<?php

	/* Include the required files */
	require_once( 'aom-config.php' );
	require_once( 'inc/pagetemplate.php' );
	require_once( 'inc/head.php' );
	require_once( 'inc/topmenu.php' );
	require_once( 'inc/functions.php' );
	require_once( 'dao/asys.user.php' );
	require_once( 'dao/asys.company.php' );
	require_once( 'dao/asys.group.php' );
	require_once( 'dao/class.gen_itemcategory.php' );
	require_once( 'dao/asys.genericdb.php' );
	require_once( 'dao/asys.masterdb.php' );
	require_once( 'dao/asys.log.php' );

	$tuser		=	new asys_users();
	$tcmp			= new asys_companies();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}		

	$gdb			=	new genericdb();
	$mdb			=	new masterdb();

	$mid			=	"";
	
	extract($_REQUEST);
	
	if(trim($mid) == "") {
		echo 'Sorry!! Direct access denied';
		exit;
	}

	$cls			=	$mdb->getItemCategoryDetail($mid);

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->endHeader();
	$iPage->startBody('style="background:#ffffff"');
	echo $cls->getHTMLRepresentation();
	$iPage->endBody();
	$iPage->endPage();

?>