<?php

	/* Include the required files */
	require_once( '../aom-config.php' );
	require_once( '../inc/pagetemplate.php' );
	require_once( '../inc/head.php' );
	require_once( '../inc/topmenu.php' );
	require_once( '../inc/functions.php' );
	require_once( '../dao/asys.user.php' );
	require_once( '../dao/asys.drcr.php' );
	require_once( '../dao/asys.group.php' );
	require_once( '../dao/asys.voucher.php' );
	require_once( '../dao/asys.vouchertag.php' );
	require_once( '../dao/asys.account.php' );
	require_once( '../dao/asys.company.php' );
	require_once( '../dao/asys.vouchertype.php' );
	require_once( '../dao/class.gen_purchase.php' );
	require_once( '../dao/class.gen_purchase_items.php' );
	require_once( '../dao/class.gen_purchase_addless.php' );
	require_once( '../dao/class.gen_sale.php' );
	require_once( '../dao/class.gen_sale_items.php' );
	require_once( '../dao/class.gen_sale_addless.php' );	
	require_once( '../dao/asys.genericdb.php' );
	require_once( '../dao/asys.masterdb.php' );
	require_once( '../dao/asys.voucherdb.php' );
	require_once( '../dao/class.purchasedb.php' );
	require_once( '../dao/class.saledb.php' );
	require_once( '../dao/asys.log.php' );
	require_once( '../dao/asys.logindb.php' );
	require_once( '../dao/asys.userpermission.php' );

	$tuser		=	new asys_users();
	$tcmp			= new asys_companies();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		print("-1");
		exit;
	}
	
	if(isset($_SESSION["ssECmp"])){
		$tcmp	=	unserialize($_SESSION["ssECmp"]);
	}
	
	if($tcmp->getCompanyID() <= 0) {
		print("-1");
		exit;	
	}

	$dt				=	date("Y-m-d");
	$db				=	new masterdb();
	$vdb			=	new voucherdb();
	$gdb			=	new genericdb();
	$ldb			= new logindb();
	$pdb			= new purchasedb();
	$sdb			= new saledb();

	$aid			= 0;
	$sn				= 0;
	$amt			= 0;
	$vid			= 0;
	$cmpid		= $tcmp->getCompanyID();

	extract($_REQUEST);

	$aid			=	(int)$aid;
	$sn				= (int)$sn;
	$amt			= (double)$amt;
	$vid			= (int)$vid;

	extract($_REQUEST);
	
	if($aid == 0) {
		print("0");
		exit;	
	}
	
	$adet			= $db->getAccountDetail($aid);
	$grList		= array();
	if($adet->getBGID() == 3) /* Creditors */
		$grList		= $pdb->getSupplierWisePurchaseList($cmpid, $aid);
	else
		$grList		= $sdb->getCustomerWiseSaleList($cmpid, $aid);
	
?>


	<table border="0" cellpadding="0" cellspacing="0" width="98%" bgcolor="#cccccc" align="center">
		<tr>	
			<th colspan="5">Voucher Tagging for <font class="red bold"><?php echo $adet->getAccountName()?></font></th>
		</tr>
		<tr bgcolor="#FFFFFF">
			<td colspan="5" class="td_normal_medium">
				&nbsp;Voucher Amount - <b><?php echo $amt?></b>.&nbsp;
				Adjusted: <input type="text" name="_tagTotAdj" id="_tagTotAdj" value="" class="invisible_text red bold" readOnly="true" style="width:100px;" />
				Balance: <input type="text" name="_tagTotBal" id="_tagTotBal" value="" class="invisible_text green bold" readOnly="true" />
			</td>
		</tr>
		<tr bgcolor="#FFFFFF" style="height:4px"><td colspan="5"></td></tr>
		<tr><td colspan="5" style="border-top:#e4e4e4 1px solid;"></td></tr>
		
		<tr>
			<th width="20%">Document#</th>
			<th width="20%">Dated</th>			
			<th  width="20%" align="right">Bill Amount</th>
			<th  width="20%" align="right">Balance Amount</th>			
			<th  width="20%" align="right">Adjustment Amount</th>						
		</tr>
		
		<?php
			$cnt			= 0;
			for($i=0;$i<count($grList);$i++) {
				$cls		= $grList[$i];
				$btot		= 0;
				$bal		= 0;
				$mid		= 0;
				$rid		= 0;
				
				if($adet->getBGID() == 3) {
					$btot	= $cls->getNetTotal();
					$bal	= $btot;
					$mid	= PURCHASE;
					$rid	= $cls->getPurchaseID();
				} else {
					$btot	= $cls->getNetTotal();
					$bal	= $btot;
					$mid	= SALE;
					$rid	= $cls->getSaleID();
				}
				
				if($adet->getBGID() == 3)
					$tagtot	= $vdb->getTotalAmountByMuduleBill($cmpid, PURCHASE, $rid);
				else
					$tagtot	= $vdb->getTotalAmountByMuduleBill($cmpid, SALE, $rid);
				
				/*if($tagtot >= $btot) continue;*/
				
				if($adet->getBGID() == 3)
					$vtagList	= $vdb->getModuleWiseTagList($cmpid, PURCHASE, $rid, $aid);
				else
					$vtagList	= $vdb->getModuleWiseTagList($cmpid, SALE, $rid, $aid);

				
				$aamt			= 0;
				$tagid		= 0;
				for($ii=0;$ii<count($vtagList);$ii++) {
					$tcls		= $vtagList[$ii];
					$bal		= $bal - $tcls->getAdjustedAmount();
					$dno		= $vdb->getDayWiseNoByVoucherID($tcls->getVoucherID());
					
					if($tcls->getVoucherID() == $vid) $aamt	= $tcls->getAdjustedAmount();
				}
				
				if($bal > 0 || $aamt > 0) {
					$cnt++;
			?>
			
			<tr bgcolor="#FFFFFF">
				<td style="padding:2px;">
					<?php 
						if($adet->getBGID() == 3)
							echo $cls->getPurchaseNo().'/'.$cls->getFinYear();
						else
							echo $cls->getSaleNo().'/'.$cls->getFinYear();
					?>
				</td>
				<td style="padding:2px;">
					<?php 
						if($adet->getBGID() == 3)
							$cls->getPurchaseDate('yes');
						else
							$cls->getDOS('yes');
					?>
				</td>			
				<td align="right" style="padding:2px;">
					<?php echo $btot?>
				</td>
				<td align="center" style="padding:2px;">
					<?php echo $bal?>
				</td>
				<td align="right" style="padding:2px;">
					<input type="hidden" name="_tagModuleID<?php echo $cnt?>" id="_tagModuleID<?php echo $cnt?>" value="<?php echo $mid?>" />
					<input type="hidden" name="_tagRelatedID<?php echo $cnt?>" id="_tagRelatedID<?php echo $cnt?>" value="<?php echo $rid?>" />
					<input type="hidden" name="_tagBillAmount<?php echo $cnt?>" id="_tagBillAmount<?php echo $cnt?>" value="<?php echo $btot?>" />
					<input type="hidden" name="_tagBalanceAmount<?php echo $cnt?>" id="_tagBalanceAmount<?php echo $cnt?>" value="<?php echo $bal?>" />
					<input type="hidden" name="_prevtagAdjustedAmount<?php echo $cnt?>" id="_prevtagAdjustedAmount<?php echo $cnt?>" value="<?php echo $aamt?>" />
					<input type="text" name="_tagAdjustedAmount<?php echo $cnt?>" id="_tagAdjustedAmount<?php echo $cnt?>" value="<?php if($aamt > 0) echo $aamt?>" style="width:80px;" class="input" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="chgAdjustment(<?php echo $cnt?>)" />
				</td>
			</tr>
			
			<?php } ?>
		
		<?php }  ?>
		
		<tr bgcolor="#FFFFFF">
			<td colspan="5" class="td_normal_large" align="center">
				<input type="button" class="red_button" value="Update" onClick="updateTags(<?php echo $sn?>)" />
				<input type="hidden" name="_tagCnt" id="_tagCnt" value="<?php echo $cnt?>" />
				<input type="hidden" name="_tagVamt" id="_tagVamt" value="<?php echo $amt?>" />
			</td>
		</tr>		
		
	</table>