<?php

	/* Include the required files */
	require_once( '../aom-config.php' );
	require_once( '../inc/pagetemplate.php' );
	require_once( '../inc/head.php' );
	require_once( '../inc/topmenu.php' );
	require_once( '../inc/functions.php' );
	require_once( '../dao/asys.user.php' );
	require_once( '../dao/asys.company.php' );
	require_once( '../dao/asys.config.php' );
	require_once( '../dao/asys.genericdb.php' );
	require_once( '../dao/asys.voucherdb.php' );
	require_once( '../dao/asys.log.php' );
	require_once( '../dao/asys.logindb.php' );
	require_once( '../dao/asys.userpermission.php' );

	$tuser		=	new asys_users();
	$tcmp			= new asys_companies();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		print("-1");
		exit;
	}
	
	if(isset($_SESSION["ssECmp"])){
		$tcmp	=	unserialize($_SESSION["ssECmp"]);
	}
	
	if($tcmp->getCompanyID() <= 0) {
		print("-3");
		exit;	
	}	
	
	$ModuleID			= 14;	

	$gdb					=	new genericdb();
	$vdb					=	new voucherdb();
	$ldb					= new logindb();
	
	if($ldb->getCreatePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		print("-2");
		exit;
	}
	
	$vid					= 0;
	$sid					= 0;
	$cdt					= "";
	
	extract($_REQUEST);
	
	$vid					= (int)$vid;
	$sid					= (int)$sid;
	$cdt					= addslashes($cdt);
	if($vid <= 0) {
		print("-4");
		exit;	
	}
	if($sid <= 0) {
		print("-4");
		exit;	
	}	
	if(FormatIndianDateToSQLDate($cdt) == "1900-01-01") {
		print("-4");
		exit;
	}	
	
	
	if($vdb->updateClearingDate($vid, $sid, FormatIndianDateToSQLDate($cdt)) > 0) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setCompanyID($tcmp->getCompanyID());
		$log->setModuleID($ModuleID);
		$log->setRelatedID($vid);			
		$log->setActivity("Updated clearing date for Bank Reconciliation");
		$log->setClassName('asys_voucher_entry');
		$log->setModuleSnapshot("");
		$gdb->SaveObjectToDB($log);
		print("1");
	}	else {
		print("0");
	}
	
?>