<?php

	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.store.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.stockvoucher.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.purchasedb.php' );
	
	
	$ModuleID			= 21;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$pdb					= new purchasedb();
	$cclass				= new asys_stock_voucher();
	$itmList			= $mdb->getItemList('', 0, $tcmp->getCompanyID());
	$strList			= $mdb->getStoreList($tcmp->getCompanyID());
	
	if($ldb->getEditPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}

	$paction		=	"";
	$xFile			=	"";
	$rmsg				=	"";
	$rmsg2			=	"";
	
	$sid				= "";
	$dot				= "";
	
	extract($_REQUEST);
	
	$sid				= (int)$sid;
	
	if($paction == "upd") {
	
		if($sid == 0) {
			echo 'Please select Store<br />';
			echo 'Click <a href="bulkManualStockIN.php">here</a> to go Back.';
			exit;
		}
		
		if(FormatIndianDateToSQLDate($dot) == "1900-01-01") {
			echo 'Please enter date<br />';
			echo 'Click <a href="bulkManualStockIN.php">here</a> to go Back.';
			exit;
		}		
	
		$fileName		= $_FILES['xFile']['name'];
		$fileType		= $_FILES['xFile']['type'];
		$fileSize		= $_FILES['xFile']['size'];


		if($fileSize !=0 ){
			$temp				= pathinfo($fileName);
			$basename		= $temp["basename"];
			$extension 	= strtolower($temp["extension"]);

			if($extension != "xlsx" && $extension != "xls")	{
				if($rmsg != "") $rmsg	=	$rmsg.", ";
				$rmsg	=	$rmsg."Invalid Excel file extension - try xlsx/xls";
			} else {
				$fn					=	uniqid("ix").".".$extension;
				$uploaddir	=	$fn;
				if (move_uploaded_file($_FILES['xFile']['tmp_name'], $uploaddir)){

					error_reporting(E_ALL);

					require_once ( './excel/PHPExcel.php' );
					require_once ( './excel/PHPExcel/Reader/Excel5.php' );
					require_once ( './excel/PHPExcel/Reader/Excel2007.php' );
					
					ini_set('max_execution_time', 300);
					
					if($extension == "xlsx")
						$objReader = new PHPExcel_Reader_Excel2007();
					else
						$objReader = new PHPExcel_Reader_Excel5();
					$objReader->setReadDataOnly(true);
					$objReader->setLoadAllSheets();
					$objPHPExcel 	= $objReader->load($uploaddir);
					$worksheet		= $objPHPExcel->getSheet(0);
					
					$num_rows 		= $worksheet->getHighestRow();
					$num_cols 		= $worksheet->getHighestColumn();
					
					if ($num_rows != 1 && $num_cols != 1) {
						$iidarr	=	"";
						for ($r = 2; $r <= $num_rows; ++$r) {
							$iid 	= $worksheet->getCellByColumnAndRow(0, $r)->getCalculatedValue();
							
							$qty 	= (double)$worksheet->getCellByColumnAndRow(3, $r)->getCalculatedValue();
							$prc 	= (double)$worksheet->getCellByColumnAndRow(4, $r)->getCalculatedValue();
							
							if($qty <= 0) continue;
							if($prc <= 0) continue;
							
							$cclass				= new asys_stock_voucher();
							
							$cclass->setSVoucherID($gdb->getNextID("asys_stock_voucher","SVoucherID"));
							$cclass->setCompanyID($tcmp->getCompanyID());
							$cclass->setStoreID($sid);
							$cclass->setModuleID(MANUAL_STOCK_IN);
							$cclass->setFinYear('');
							$cclass->setRelatedID(0);
							$cclass->setDOT($dot);
							$cclass->setItemID($iid);
							$cclass->setQuantity($qty);
							$cclass->setUnitPrice($prc);
							$cclass->setStockInOut(STOCK_IN);
							$cclass->setBatchNo('');
							$cclass->setNarration("By Manual Stock IN");							
							
							if($pdb->CreateManualStockIN($cclass) > 0){
								$msg	=	"<font class='blue'>Manual Stock IN created successfully</font>";
								$log	=	new asys_user_log();
								$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
								$log->setUserID($tuser->getUserID());
								$log->setCompanyID($tcmp->getCompanyID());
								$log->setModuleID($ModuleID);
								$log->setRelatedID($cclass->getSVoucherID());				
								$log->setActivity("Added Manual Stock IN - ".$cclass->getSVoucherID());
								$log->setClassName('asys_stock_voucher');
								$log->setModuleSnapshot(serialize($cclass));
								$gdb->SaveObjectToDB($log);				
							} else {
								$msg	=	"<font class='red'>Fail to save record due to internal Server ERROR, try again later.</font>";
							}

						}
											
					}	
					
				}
				clearstatcache();
			}
		}			
	}

	$iPage	=	new asys_pages(APP_TITLE);
	$iPage->startPage();
	$iPage->startHeader();
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/select2.js");	
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);
	
?>

	<div id="pagehead">&nbsp;BULK MANUAL STOCK IN</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div><b>Download Items in Excel format</b></div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">

				Download the Excel file to bulk insert items in stock.<br /><br />
				The Excel file will contain 5 columns, as follows <br />
				<b>A --> Item Code (Internal, please do not change)</b><br />
				<b>B --> Item No</b><br />
				<b>C --> Item Description</b><br />
				<b>D --> Quantity</b><br />
				<b>E --> Unit Price</b><br />
				
				<br />
				<font class="red">Do not alter/change the Store Code and Item Code</font><br /><br />
				Open and modify other fields like Quantity, Unit Price and Date, save the Excel file.<br /><br /><br />
				
				<div style="float:left;width:100px;">
					Item Category 
				</div>
				<div style="float:left;" id="_jsontd7">
					<select name="ItemCategoryID" id="ItemCategoryID" style="width:400px"></select>
				</div>				
				
				<br /><br />
				<input type="button" class="red_button" value=" Download Excel File &raquo; " onClick="dnldExcel()" />
			</td>
		</tr>
	</table>
	
	<div style="height:5px;"></div>

	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div><b>Upload Excel file to insert item in stock</b></div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<?php if($rmsg != ""){ ?>
					<font class="red bold"><?php echo $rmsg ?></font><br />
				<?php } ?>
				
				Upload the saved Excel file to insert item in stock manually.<br /><br />
				<form method="POST" action="" enctype="multipart/form-data">
					<input type="hidden" name="paction" value="upd" />
					<input type="file" name="xFile" />
					&nbsp;
					Select Store
					<select name="sid" id="sid" style="width:300px;"></select>
					Enter Date
					<input data-toggle="datepicker" type="text" class="input" name="dot" id="dot" value="<?php echo date('d-m-Y')?>" style="width:80px;" />
					<br />
					<input type="submit" class="red_button" value=" Upload Excel File &raquo;" />
				</form>
			
			</td>
		</tr>
	</table>
	
	<br />



<?php
	$iPage->endBody();
	$iPage->endPage();
?>	


<script language="javaScript">

	$(function () {
		$("#sid").select2();
		$("#ItemCategoryID").select2();
		fetchStoreID();
		fetchItemCategoryID();
	});
	
	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});

	function fetchStoreID() {
	
    $('#sid').empty();
    $('#sid').append('<option value="0">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getStoreList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#sid').append('<option value="' + d.StoreID + '">' + d.StoreName + '</option>');
				});
				
			}
    });

	}	
	
	function fetchItemCategoryID() {
	
    $('#ItemCategoryID').empty();
    $('#ItemCategoryID').append('<option value="0">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getItemCategoryList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#ItemCategoryID').append('<option value="' + d.ItemCategoryID + '">' + d.ItemCategoryName + '</option>');
				});
				
			}
    });	

	}	

	function dnldExcel() {
		var icid		=	EBD('ItemCategoryID').value;

		location		=	"dnldItem2.php?ItemCategoryID=" + icid;
	}
	

</script>