<?php

	/**
	 * Author - Subhashis Pandey (psubho@gmail.com). Written - Nov 07, 2008
	 */



	/* Class begins here */
	class asys_base_voucher {
		/**
		 * @Field		BVID
		 * @Type		smallint(6)
		 * @Access	Private
		 */
		var $BVID = 0;

		/**
		 * @Field		VoucherName
		 * @Type		varchar(30)
		 * @Access	Private
		 */
		var $VoucherName = "";

		/**
		 * Getter Methods to retrive the values of the Variables of the Class
		 */
		function getBVID($formatted='no') {
			if($formatted=='yes') {
				return number_format($this->BVID,2,'.',',');
			} else if($formatted=='asis') {
				return $this->BVID;
			} else {
				return $this->BVID;
			}
		}

		function getVoucherName($formatted='no') {
			if($formatted=='yes') {
				return htmlspecialchars(stripslashes($this->VoucherName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->VoucherName;
			} else {
				return stripslashes($this->VoucherName);
			}
		}

		/**
		 * Setter Methods to set the values of the Variables of the Class
		 */
		function setBVID($arg) {
			$this->BVID = (int)$arg;
		}

		function setVoucherName($arg) {
			$this->VoucherName = addslashes($arg);
		}
	};

?>