<?php

	/**
	 * Author - Subhashis Pandey (psubho@gmail.com). Written - May 04, 2017
	 */

	/**
	 * (c) 2011 Swastika Systems, All Rights Reserved.
	 */

	class asys_cities {
		/**
		 * @Field		Country
		 * @Type		varchar(50)
		 * @Access	Protected
		 */
		protected $Country = "";

		/**
		 * @Field		State
		 * @Type		varchar(100)
		 * @Access	Protected
		 */
		protected $State = "";

		/**
		 * @Field		City
		 * @Type		varchar(100)
		 * @Access	Protected
		 */
		protected $City = "";

		/**
		 * Constructor, particularly for PHP PDO
		 */
		public function __construct() {
			$this->Country = addslashes($this->Country);
			$this->State = addslashes($this->State);
			$this->City = addslashes($this->City);
		}

		/**
		 * Getter Methods to retrive the values of the Variables of the Class
		 */
		public function getCountry($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->Country),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->Country;
			} else {
				return stripslashes($this->Country);
			}
		}

		public function getState($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->State),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->State;
			} else {
				return stripslashes($this->State);
			}
		}

		public function getCity($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->City),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->City;
			} else {
				return stripslashes($this->City);
			}
		}

		/**
		 * Setter Methods to set the values of the Variables of the Class
		 */
		public function setCountry($arg) {
			$this->Country = addslashes($arg);
		}

		public function setState($arg) {
			$this->State = addslashes($arg);
		}

		public function setCity($arg) {
			$this->City = addslashes($arg);
		}

		public function getInsertSQL() {		

			$sql	=	"INSERT INTO `asys_cities` (`Country`, `State`, `City`) VALUES(";
			$sql	=	$sql."'".$this->getCountry('asis')."', ";
			$sql	=	$sql."'".$this->getState('asis')."', ";
			$sql	=	$sql."'".$this->getCity('asis')."')";

			return $sql;
		}

		public function getUpdateSQL() {		

			$sql	=	"UPDATE `asys_cities` SET ";
			$sql	=	$sql."`Country` = '".$this->getCountry('asis')."', ";
			$sql	=	$sql." AND `State` = '".$this->getState('asis')."'";
			$sql	=	$sql." AND `City` = '".$this->getCity('asis')."'";

			return $sql;
		}

		public function getDeleteSQL() {		

			$sql	=	"DELETE FROM `asys_cities` ";
			$sql	=	$sql." AND `State` = '".$this->getState('asis')."'";
			$sql	=	$sql." AND `City` = '".$this->getCity('asis')."'";
			$sql	=	$sql." LIMIT 1";

			return $sql;
		}

		public function validateFields() {		

			$chk	=	true;
			if(trim($State) == "") $chk	=	false;
			if(trim($City) == "") $chk	=	false;

			return $chk;
		}

		public function getHTMLRepresentation() {		

			$str	=	'
				<div style="float:left;width:150px;">Country</div>
				<div style="float:left;">: '.$this->getCountry('yes').'</div>
				<div style="clear:both;"></div>
				<div style="float:left;width:150px;">State</div>
				<div style="float:left;">: '.$this->getState('yes').'</div>
				<div style="clear:both;"></div>
				<div style="float:left;width:150px;">City</div>
				<div style="float:left;">: '.$this->getCity('yes').'</div>
				<div style="clear:both;"></div>
			';

			return $str;
		}
	};

?>