<?php
	/**
	 * Author - Subhashis Pandey (psubho@gmail.com). Written - Aug 04, 2014
	 */


	/* Class begins here */
	class DrCr {
		/**
		 * @Field		MotherAccount
		 * @Type		int(11)
		 * @Access	Private
		 */
		var $MotherAccount = 0;

		/**
		 * @Field		MotherAccountName
		 * @Type		varchar(100)
		 * @Access	Private
		 */
		var $MotherAccountName = "";

		/**
		 * @Field		ContainsSubLedger
		 * @Type		enum('NO','YES')
		 * @Access	Private
		 */
		var $ContainsSubLedger = "NO";

		/**
		 * @Field		AccountID
		 * @Type		int(11)
		 * @Access	Private
		 */
		var $AccountID = 0;

		/**
		 * @Field		AccountName
		 * @Type		varchar(50)
		 * @Access	Private
		 */
		var $AccountName = "";
		
		/**
		 * @Field		PrnName
		 * @Type		varchar(50)
		 * @Access	Private
		 */
		var $PrnName = "";		
		
		/**
		 * @Field		BGID
		 * @Type		int(4)
		 * @Access	Private
		 */
		var $BGID = 0;
		
		/**
		 * @Field		SubgroupID
		 * @Type		int(4)
		 * @Access	Private
		 */
		var $SubgroupID = 0;
		
		/**
		 * @Field		CompanyCode
		 * @Type		varchar(50)
		 * @Access	Private
		 */
		var $CompanyCode = "";				

		/**
		 * Getter Methods to retrive the values of the Variables of the Class
		 */
		function getMotherAccount($formatted='no') {
			if($formatted=='yes') {
				return number_format($this->MotherAccount,2,'.',',');
			} else if($formatted=='asis') {
				return $this->MotherAccount;
			} else {
				return $this->MotherAccount;
			}
		}

		function getMotherAccountName($formatted='no') {
			if($formatted=='yes') {
				return htmlspecialchars(stripslashes($this->MotherAccountName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->MotherAccountName;
			} else {
				return stripslashes($this->MotherAccountName);
			}
		}

		function getContainsSubLedger($formatted='no') {
			if($formatted=='yes') {
				return htmlspecialchars(stripslashes($this->ContainsSubLedger),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->ContainsSubLedger;
			} else {
				return stripslashes($this->ContainsSubLedger);
			}
		}

		function getAccountID($formatted='no') {
			if($formatted=='yes') {
				return $this->AccountID;
			} else {
				return $this->AccountID;
			}
		}

		function getAccountName($formatted='no') {
			if($formatted=='yes') {
				return htmlspecialchars(stripslashes($this->AccountName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->AccountName;
			} else {
				return stripslashes($this->AccountName);
			}
		}
		
		function getPrnName($formatted='no') {
			if($formatted=='yes') {
				return htmlspecialchars(stripslashes($this->PrnName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->PrnName;
			} else {
				return stripslashes($this->PrnName);
			}
		}		
		
		function getBGID($formatted='no') {
			if($formatted=='yes') {
				return $this->BGID;
			} else {
				return $this->BGID;
			}
		}	
		
		function getSubgroupID($formatted='no') {
			if($formatted=='yes') {
				return $this->SubgroupID;
			} else {
				return $this->SubgroupID;
			}
		}
		
		function getCompanyCode($formatted='no') {
			if($formatted=='yes') {
				return htmlspecialchars(stripslashes($this->CompanyCode),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->CompanyCode;
			} else {
				return stripslashes($this->CompanyCode);
			}
		}

		/**
		 * Setter Methods to set the values of the Variables of the Class
		 */
		function setMotherAccount($arg) {
			$this->MotherAccount = (int)$arg;
		}

		function setMotherAccountName($arg) {
			$this->MotherAccountName = addslashes($arg);
		}

		function setContainsSubLedger($arg) {
			$this->ContainsSubLedger = addslashes($arg);
		}

		function setAccountID($arg) {
			$this->AccountID = (int)$arg;
		}

		function setAccountName($arg) {
			$this->AccountName = addslashes($arg);
		}
		
		function setPrnName($arg) {
			$this->PrnName = addslashes($arg);
		}		
		
		function setBGID($arg) {
			$this->BGID = (int)$arg;
		}
		
		function setSubgroupID($arg) {
			$this->SubgroupID = (int)$arg;
		}
		
		function setCompanyCode($arg) {
			$this->CompanyCode = addslashes($arg);
		}		
		
	};

?>