<?php

	/**
	 * Author - Subhashis Pandey (psubho@gmail.com). Written - Dec 31, 2017
	 */

	/**
	 * (c) 2011 Swastika Systems, All Rights Reserved.
	 */

	class asys_gstrate {
		/**
		 * @Field		RateID
		 * @Type		tinyint(4)
		 * @Access	Protected
		 */
		protected $RateID = 0;

		/**
		 * @Field		Rate
		 * @Type		double
		 * @Access	Protected
		 */
		protected $Rate = 0;

		/**
		 * Constructor, particularly for PHP PDO
		 */
		public function __construct() {
			$this->RateID = (int)$this->RateID;
			$this->Rate = (double)$this->Rate;
		}

		/**
		 * Getter Methods to retrive the values of the Variables of the Class
		 */
		public function getRateID($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->RateID,2,'.',',');
			} else if($formatted=='asis') {
				return $this->RateID;
			} else {
				return $this->RateID;
			}
		}

		public function getRate($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->Rate,2,'.',',');
			} else if($formatted=='asis') {
				return $this->Rate;
			} else {
				return $this->Rate;
			}
		}

		/**
		 * Setter Methods to set the values of the Variables of the Class
		 */
		public function setRateID($arg) {
			$this->RateID = (int)$arg;
		}

		public function setRate($arg) {
			$this->Rate = (double)$arg;
		}

		public function getInsertSQL() {		

			$sql	=	"INSERT INTO `asys_gstrate` (`RateID`, `Rate`) VALUES(";
			$sql	=	$sql."'".$this->getRateID('asis')."', ";
			$sql	=	$sql."'".$this->getRate('asis')."')";

			return $sql;
		}

		public function getUpdateSQL() {		

			$sql	=	"UPDATE `asys_gstrate` SET ";
			$sql	=	$sql."`Rate` = '".$this->getRate('asis')."' ";
			$sql	=	$sql." WHERE `RateID` = '".$this->getRateID('asis')."'";

			return $sql;
		}

		public function getDeleteSQL() {		

			$sql	=	"DELETE FROM `asys_gstrate` ";
			$sql	=	$sql." WHERE `RateID` = '".$this->getRateID('asis')."'";
			$sql	=	$sql." LIMIT 1";

			return $sql;
		}

		public function validateFields() {		

			$chk	=	true;
			if((int)$RateID <= 0) $chk	=	false;

			return $chk;
		}

		public function getHTMLRepresentation() {		

			$str	=	'
				<div style="float:left;width:150px;">RateID</div>
				<div style="float:left;">: '.$this->getRateID('yes').'</div>
				<div style="clear:both;"></div>
				<div style="float:left;width:150px;">Rate</div>
				<div style="float:left;">: '.$this->getRate('yes').'</div>
				<div style="clear:both;"></div>
			';

			return $str;
		}
	};

?>