<?php

	/**
	 * Author - Subhashis Pandey (psubho@gmail.com). Written - Apr 20, 2016
	 */

	/**
	 * (c) 2011 Swastika Systems, All Rights Reserved.
	 */

	class gen_sale {
		/**
		 * @Field		SaleID
		 * @Type		int(11)
		 * @Access	Protected
		 */
		protected $SaleID = 0;

		/**
		 * @Field		CompanyID
		 * @Type		int(11)
		 * @Access	Protected
		 */
		protected $CompanyID = 0;

		/**
		 * @Field		CompanyName
		 * @Type		int(11)
		 * @Access	Protected
		 */
		protected $CompanyName = "";

		/**
		 * @Field		FinYear
		 * @Type		varchar(10)
		 * @Access	Protected
		 */
		protected $FinYear = "";

		/**
		 * @Field		SaleNo
		 * @Type		int(11)
		 * @Access	Protected
		 */
		protected $SaleNo = 0;

		/**
		 * @Field		DOS
		 * @Type		date
		 * @Access	Protected
		 */
		protected $DOS = "1900-01-01";

		/**
		 * @Field		SaleAccountID
		 * @Type		int(11)
		 * @Access	Protected
		 */
		protected $SaleAccountID = 0;

		/**
		 * @Field		SaleAccountName
		 * @Type		int(11)
		 * @Access	Protected
		 */
		protected $SaleAccountName = "";

		/**
		 * @Field		CustomerID
		 * @Type		int(11)
		 * @Access	Protected
		 */
		protected $CustomerID = 0;

		/**
		 * @Field		CustomerName
		 * @Type		int(11)
		 * @Access	Protected
		 */
		protected $CustomerName = "";
		
		/**
		 * @Field		StoreID
		 * @Type		int(11)
		 * @Access	Protected
		 */
		protected $StoreID = 0;		

		/**
		 * @Field		StoreName
		 * @Type		int(11)
		 * @Access	Protected
		 */
		protected $StoreName = "";

		/**
		 * @Field		SaleType
		 * @Type		enum('DIRECT','ESTIMATE')
		 * @Access	Protected
		 */
		protected $SaleType = "DIRECT";

		/**
		 * @Field		RelatedID
		 * @Type		varchar(100)
		 * @Access	Protected
		 */
		protected $RelatedID = "";

		/**
		 * @Field		RelatedName
		 * @Type		varchar(100)
		 * @Access	Protected
		 */
		protected $RelatedName = "";

		/**
		 * @Field		ItemTotal
		 * @Type		decimal(12,2)
		 * @Access	Protected
		 */
		protected $ItemTotal = 0;
		
		/**
		 * @Field		IGST
		 * @Type		decimal(12,2)
		 * @Access	Protected
		 */
		protected $IGST = 0;

		/**
		 * @Field		CGST
		 * @Type		decimal(12,2)
		 * @Access	Protected
		 */
		protected $CGST = 0;

		/**
		 * @Field		SGST
		 * @Type		decimal(12,2)
		 * @Access	Protected
		 */
		protected $SGST = 0;

		/**
		 * @Field		DiscountTotal
		 * @Type		decimal(12,2)
		 * @Access	Protected
		 */
		protected $DiscountTotal = 0;		

		/**
		 * @Field		AddLessTotal
		 * @Type		decimal(12,2)
		 * @Access	Protected
		 */
		protected $AddLessTotal = 0;

		/**
		 * @Field		NetTotal
		 * @Type		decimal(12,2)
		 * @Access	Protected
		 */
		protected $NetTotal = 0;

		/**
		 * @Field		Notes
		 * @Type		varchar(500)
		 * @Access	Protected
		 */
		protected $Notes = "";

		/**
		 * @Field		CashSale
		 * @Type		enum('NO','YES')
		 * @Access	Protected
		 */
		protected $CashSale = "NO";

		/**
		 * @Field		DOE
		 * @Type		text
		 * @Access	Protected
		 */
		protected $DOE = "";
		
		/**
		 * @Field		Transport
		 * @Type		varchar(200)
		 * @Access	Protected
		 */
		protected $Transport = "";

		/**
		 * @Field		VehicleNo
		 * @Type		varchar(100)
		 * @Access	Protected
		 */
		protected $VehicleNo = "";

		/**
		 * @Field		GRNo
		 * @Type		varchar(100)
		 * @Access	Protected
		 */
		protected $GRNo = "";

		/**
		 * @Field		GRDate
		 * @Type		date
		 * @Access	Protected
		 */
		protected $GRDate = "1900-01-01";

		/**
		 * @Field		SupplyDate
		 * @Type		date
		 * @Access	Protected
		 */
		protected $SupplyDate = "1900-01-01";

		/**
		 * @Field		SupplyPlace
		 * @Type		varchar(100)
		 * @Access	Protected
		 */
		protected $SupplyPlace = "";

		/**
		 * @Field		ConsigneeID
		 * @Type		int(11)
		 * @Access	Protected
		 */
		protected $ConsigneeID = 0;

		/**
		 * @Field		ConsigneeName
		 * @Type		int(11)
		 * @Access	Protected
		 */
		protected $ConsigneeName = "";
		
		/**
		 * @Field		OnlineSale
		 * @Type		enum('NO','YES')
		 * @Access	Protected
		 */
		protected $OnlineSale = "NO";

		/**
		 * @Field		Export
		 * @Type		enum('NO','YES')
		 * @Access	Protected
		 */
		protected $Export = "NO";

		/**
		 * @Field		Currency
		 * @Type		varchar(10)
		 * @Access	Protected
		 */
		protected $Currency = "";

		/**
		 * @Field		Conversion
		 * @Type		double
		 * @Access	Protected
		 */
		protected $Conversion = 0;
		
		/**
		 * @Field		OnlineSaleBill
		 * @Type		varchar(50)
		 * @Access	Protected
		 */
		protected $OnlineSaleBill = "";
		
		/**
		 * @Field		ReverseCharge
		 * @Type		enum('NO','YES')
		 * @Access	Protected
		 */
		protected $ReverseCharge = "NO";

		/**
		 * @Field		StockEntry
		 * @Type		enum('YES','NO')
		 * @Access	Protected
		 */
		protected $StockEntry = "YES";
		
		/**
		 * @Field		Remark
		 * @Type		varchar(200)
		 * @Access	Protected
		 */
		protected $Remark = "";				
		
		/**
		 * @Field		ItemList
		 * @Type		Array()
		 * @Access	Private
		 */
		var $ItemList = array();
		
		/**
		 * @Field		AddLessList
		 * @Type		Array()
		 * @Access	Private
		 */
		var $AddLessList = array();
		
		/**
		 * Constructor, particularly for PHP PDO
		 */
		public function __construct() {
			$this->SaleID = (int)$this->SaleID;
			$this->CompanyID = (int)$this->CompanyID;
			$this->FinYear = addslashes($this->FinYear);
			$this->SaleNo = (int)$this->SaleNo;
			$this->SaleAccountID = (int)$this->SaleAccountID;
			$this->CustomerID = (int)$this->CustomerID;
			$this->StoreID = (int)$this->StoreID;
			$this->SaleType = addslashes($this->SaleType);
			$this->RelatedID = addslashes($this->RelatedID);
			$this->ItemTotal = (double)$this->ItemTotal;
			$this->IGST = (double)$this->IGST;
			$this->CGST = (double)$this->CGST;
			$this->SGST = (double)$this->SGST;
			$this->DiscountTotal = (double)$this->DiscountTotal;
			$this->AddLessTotal = (double)$this->AddLessTotal;
			$this->NetTotal = (double)$this->NetTotal;
			$this->Notes = addslashes($this->Notes);
			$this->CashSale = addslashes($this->CashSale);
			$this->DOE = addslashes($this->DOE);
			$this->Transport = addslashes($this->Transport);
			$this->VehicleNo = addslashes($this->VehicleNo);
			$this->GRNo = addslashes($this->GRNo);
			$this->SupplyPlace = addslashes($this->SupplyPlace);
			$this->ConsigneeID = (int)$this->ConsigneeID;
			$this->OnlineSale = addslashes($this->OnlineSale);
			$this->Export = addslashes($this->Export);
			$this->Currency = addslashes($this->Currency);
			$this->Conversion = (double)$this->Conversion;
			$this->OnlineSaleBill = addslashes($this->OnlineSaleBill);
			$this->ReverseCharge = addslashes($this->ReverseCharge);
			$this->StockEntry = addslashes($this->StockEntry);
			$this->Remark = addslashes($this->Remark);
		}		

		/**
		 * Getter Methods to retrive the values of the Variables of the Class
		 */
		public function getSaleID($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->SaleID,2,'.',',');
			} else if($formatted=='asis') {
				return $this->SaleID;
			} else {
				return $this->SaleID;
			}
		}

		public function getCompanyID($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->CompanyID,2,'.',',');
			} else if($formatted=='asis') {
				return $this->CompanyID;
			} else {
				return $this->CompanyID;
			}
		}

		public function getCompanyName($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->CompanyName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->CompanyName;
			} else {
				return stripslashes($this->CompanyName);
			}
		}

		public function getFinYear($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->FinYear),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->FinYear;
			} else {
				return stripslashes($this->FinYear);
			}
		}

		public function getSaleNo($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->SaleNo,2,'.',',');
			} else if($formatted=='asis') {
				return $this->SaleNo;
			} else {
				return $this->SaleNo;
			}
		}

		public function getDOS($formatted='no') {
			if($formatted == 'yes') {
				return FormatSQLDateToIndianDate($this->DOS);
			} else if($formatted=='asis') {
				return $this->DOS;
			} else {
				return stripslashes($this->DOS);
			}
		}

		public function getSaleAccountID($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->SaleAccountID,2,'.',',');
			} else if($formatted=='asis') {
				return $this->SaleAccountID;
			} else {
				return $this->SaleAccountID;
			}
		}

		public function getSaleAccountName($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->SaleAccountName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->SaleAccountName;
			} else {
				return stripslashes($this->SaleAccountName);
			}
		}

		public function getCustomerID($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->CustomerID,2,'.',',');
			} else if($formatted=='asis') {
				return $this->CustomerID;
			} else {
				return $this->CustomerID;
			}
		}

		public function getCustomerName($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->CustomerName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->CustomerName;
			} else {
				return stripslashes($this->CustomerName);
			}
		}
		
		public function getStoreID($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->StoreID,2,'.',',');
			} else if($formatted=='asis') {
				return $this->StoreID;
			} else {
				return $this->StoreID;
			}
		}

		public function getStoreName($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->StoreName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->StoreName;
			} else {
				return stripslashes($this->StoreName);
			}
		}		

		public function getSaleType($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->SaleType),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->SaleType;
			} else {
				return stripslashes($this->SaleType);
			}
		}

		public function getRelatedID($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->RelatedID),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->RelatedID;
			} else {
				return stripslashes($this->RelatedID);
			}
		}

		public function getRelatedName($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->RelatedName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->RelatedName;
			} else {
				return stripslashes($this->RelatedName);
			}
		}

		public function getItemTotal($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->ItemTotal,2,'.',',');
			} else if($formatted=='asis') {
				return $this->ItemTotal;
			} else {
				return $this->ItemTotal;
			}
		}
		
		public function getIGST($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->IGST,2,'.',',');
			} else if($formatted=='asis') {
				return $this->IGST;
			} else {
				return $this->IGST;
			}
		}

		public function getCGST($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->CGST,2,'.',',');
			} else if($formatted=='asis') {
				return $this->CGST;
			} else {
				return $this->CGST;
			}
		}

		public function getSGST($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->SGST,2,'.',',');
			} else if($formatted=='asis') {
				return $this->SGST;
			} else {
				return $this->SGST;
			}
		}

		public function getDiscountTotal($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->DiscountTotal,2,'.',',');
			} else if($formatted=='asis') {
				return $this->DiscountTotal;
			} else {
				return $this->DiscountTotal;
			}
		}		

		public function getAddLessTotal($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->AddLessTotal,2,'.',',');
			} else if($formatted=='asis') {
				return $this->AddLessTotal;
			} else {
				return $this->AddLessTotal;
			}
		}

		public function getNetTotal($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->NetTotal,2,'.',',');
			} else if($formatted=='asis') {
				return $this->NetTotal;
			} else {
				return $this->NetTotal;
			}
		}

		public function getNotes($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->Notes),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->Notes;
			} else {
				return stripslashes($this->Notes);
			}
		}

		public function getCashSale($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->CashSale),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->CashSale;
			} else {
				return stripslashes($this->CashSale);
			}
		}

		public function getDOE($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->DOE),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->DOE;
			} else {
				return stripslashes($this->DOE);
			}
		}
		
		public function getTransport($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->Transport),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->Transport;
			} else {
				return stripslashes($this->Transport);
			}
		}

		public function getVehicleNo($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->VehicleNo),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->VehicleNo;
			} else {
				return stripslashes($this->VehicleNo);
			}
		}

		public function getGRNo($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->GRNo),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->GRNo;
			} else {
				return stripslashes($this->GRNo);
			}
		}

		public function getGRDate($formatted='no') {
			if($formatted == 'yes') {
				return FormatSQLDateToIndianDate($this->GRDate);
			} else if($formatted=='asis') {
				return $this->GRDate;
			} else {
				return stripslashes($this->GRDate);
			}
		}

		public function getSupplyDate($formatted='no') {
			if($formatted == 'yes') {
				return FormatSQLDateToIndianDate($this->SupplyDate);
			} else if($formatted=='asis') {
				return $this->SupplyDate;
			} else {
				return stripslashes($this->SupplyDate);
			}
		}

		public function getSupplyPlace($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->SupplyPlace),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->SupplyPlace;
			} else {
				return stripslashes($this->SupplyPlace);
			}
		}

		public function getConsigneeID($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->ConsigneeID,2,'.',',');
			} else if($formatted=='asis') {
				return $this->ConsigneeID;
			} else {
				return $this->ConsigneeID;
			}
		}

		public function getConsigneeName($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->ConsigneeName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->ConsigneeName;
			} else {
				return stripslashes($this->ConsigneeName);
			}
		}
		
		public function getOnlineSale($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->OnlineSale),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->OnlineSale;
			} else {
				return stripslashes($this->OnlineSale);
			}
		}

		public function getExport($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->Export),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->Export;
			} else {
				return stripslashes($this->Export);
			}
		}

		public function getCurrency($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->Currency),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->Currency;
			} else {
				return stripslashes($this->Currency);
			}
		}

		public function getConversion($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->Conversion,2,'.',',');
			} else if($formatted=='asis') {
				return $this->Conversion;
			} else {
				return $this->Conversion;
			}
		}
		
		public function getOnlineSaleBill($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->OnlineSaleBill),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->OnlineSaleBill;
			} else {
				return stripslashes($this->OnlineSaleBill);
			}
		}
		
		public function getReverseCharge($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->ReverseCharge),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->ReverseCharge;
			} else {
				return stripslashes($this->ReverseCharge);
			}
		}

		public function getStockEntry($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->StockEntry),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->StockEntry;
			} else {
				return stripslashes($this->StockEntry);
			}
		}
		
		public function getRemark($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->Remark),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->Remark;
			} else {
				return stripslashes($this->Remark);
			}
		}		
		
		function getItemList() {
			return $this->ItemList;
		}
		
		function getAddLessList() {
			return $this->AddLessList;
		}		

		/**
		 * Setter Methods to set the values of the Variables of the Class
		 */
		public function setSaleID($arg) {
			$this->SaleID = (int)$arg;
		}

		public function setCompanyID($arg) {
			$this->CompanyID = (int)$arg;
		}

		public function setCompanyName($arg) {
			$this->CompanyName = addslashes($arg);
		}

		public function setFinYear($arg) {
			$this->FinYear = addslashes($arg);
		}

		public function setSaleNo($arg) {
			$this->SaleNo = (int)$arg;
		}

		public function setDOS($arg) {
			$this->DOS = FormatIndianDateToSQLDate($arg);
		}

		public function setSaleAccountID($arg) {
			$this->SaleAccountID = (int)$arg;
		}

		public function setSaleAccountName($arg) {
			$this->SaleAccountName = addslashes($arg);
		}

		public function setCustomerID($arg) {
			$this->CustomerID = (int)$arg;
		}

		public function setCustomerName($arg) {
			$this->CustomerName = addslashes($arg);
		}
		
		public function setStoreID($arg) {
			$this->StoreID = (int)$arg;
		}

		public function setStoreName($arg) {
			$this->StoreName = addslashes($arg);
		}		

		public function setSaleType($arg) {
			$this->SaleType = addslashes($arg);
		}

		public function setRelatedID($arg) {
			$this->RelatedID = addslashes($arg);
		}

		public function setRelatedName($arg) {
			$this->RelatedName = addslashes($arg);
		}

		public function setItemTotal($arg) {
			$this->ItemTotal = (double)$arg;
		}
		
		public function setIGST($arg) {
			$this->IGST = (double)$arg;
		}

		public function setCGST($arg) {
			$this->CGST = (double)$arg;
		}

		public function setSGST($arg) {
			$this->SGST = (double)$arg;
		}

		public function setDiscountTotal($arg) {
			$this->DiscountTotal = (double)$arg;
		}

		public function setAddLessTotal($arg) {
			$this->AddLessTotal = (double)$arg;
		}

		public function setNetTotal($arg) {
			$this->NetTotal = (double)$arg;
		}

		public function setNotes($arg) {
			$this->Notes = addslashes($arg);
		}

		public function setCashSale($arg) {
			$this->CashSale = addslashes($arg);
		}

		public function setDOE($arg) {
			$this->DOE = addslashes($arg);
		}
		
		public function setTransport($arg) {
			$this->Transport = addslashes($arg);
		}

		public function setVehicleNo($arg) {
			$this->VehicleNo = addslashes($arg);
		}

		public function setGRNo($arg) {
			$this->GRNo = addslashes($arg);
		}

		public function setGRDate($arg) {
			$this->GRDate = FormatIndianDateToSQLDate($arg);
		}

		public function setSupplyDate($arg) {
			$this->SupplyDate = FormatIndianDateToSQLDate($arg);
		}

		public function setSupplyPlace($arg) {
			$this->SupplyPlace = addslashes($arg);
		}

		public function setConsigneeID($arg) {
			$this->ConsigneeID = (int)$arg;
		}

		public function setConsigneeName($arg) {
			$this->ConsigneeName = addslashes($arg);
		}
		
		public function setOnlineSale($arg) {
			$this->OnlineSale = addslashes($arg);
		}

		public function setExport($arg) {
			$this->Export = addslashes($arg);
		}

		public function setCurrency($arg) {
			$this->Currency = addslashes($arg);
		}

		public function setConversion($arg) {
			$this->Conversion = (double)$arg;
		}
		
		public function setOnlineSaleBill($arg) {
			$this->OnlineSaleBill = addslashes($arg);
		}
		
		public function setReverseCharge($arg) {
			$this->ReverseCharge = addslashes($arg);
		}

		public function setStockEntry($arg) {
			$this->StockEntry = addslashes($arg);
		}
		
		public function setRemark($arg) {
			$this->Remark = addslashes($arg);
		}		
		
		function setItemList($arg) {
			$this->ItemList = $arg;
		}
		
		function setAddLessList($arg) {
			$this->AddLessList = $arg;
		}		

		public function getInsertSQL() {		

			$sql	=	"INSERT INTO `gen_sale` (`SaleID`, `CompanyID`, `FinYear`, `SaleNo`, `DOS`, `SaleAccountID`, `CustomerID`, `StoreID`, `SaleType`, `RelatedID`, `ItemTotal`, `IGST`, `CGST`, `SGST`, `DiscountTotal`, `AddLessTotal`, `NetTotal`, `Notes`, `CashSale`, `DOE`, `Transport`, `VehicleNo`, `GRNo`, `GRDate`, `SupplyDate`, `SupplyPlace`, `ConsigneeID`, `OnlineSale`, `Export`, `Currency`, `Conversion`, `OnlineSaleBill`, `ReverseCharge`, `StockEntry`, `Remark`) VALUES(";
			$sql	=	$sql."'".$this->getSaleID('asis')."', ";
			$sql	=	$sql."'".$this->getCompanyID('asis')."', ";
			$sql	=	$sql."'".$this->getFinYear('asis')."', ";
			$sql	=	$sql."'".$this->getSaleNo('asis')."', ";
			$sql	=	$sql."'".$this->getDOS('asis')."', ";
			$sql	=	$sql."'".$this->getSaleAccountID('asis')."', ";
			$sql	=	$sql."'".$this->getCustomerID('asis')."', ";
			$sql	=	$sql."'".$this->getStoreID('asis')."', ";
			$sql	=	$sql."'".$this->getSaleType('asis')."', ";
			$sql	=	$sql."'".$this->getRelatedID('asis')."', ";
			$sql	=	$sql."'".$this->getItemTotal('asis')."', ";
			$sql	=	$sql."'".$this->getIGST('asis')."', ";
			$sql	=	$sql."'".$this->getCGST('asis')."', ";
			$sql	=	$sql."'".$this->getSGST('asis')."', ";
			$sql	=	$sql."'".$this->getDiscountTotal('asis')."', ";
			$sql	=	$sql."'".$this->getAddLessTotal('asis')."', ";
			$sql	=	$sql."'".$this->getNetTotal('asis')."', ";
			$sql	=	$sql."'".$this->getNotes('asis')."', ";
			$sql	=	$sql."'".$this->getCashSale('asis')."', ";
			$sql	=	$sql."'".$this->getDOE('asis')."', ";
			$sql	=	$sql."'".$this->getTransport('asis')."', ";
			$sql	=	$sql."'".$this->getVehicleNo('asis')."', ";
			$sql	=	$sql."'".$this->getGRNo('asis')."', ";
			$sql	=	$sql."'".$this->getGRDate('asis')."', ";
			$sql	=	$sql."'".$this->getSupplyDate('asis')."', ";
			$sql	=	$sql."'".$this->getSupplyPlace('asis')."', ";
			$sql	=	$sql."'".$this->getConsigneeID('asis')."', ";
			$sql	=	$sql."'".$this->getOnlineSale('asis')."', ";
			$sql	=	$sql."'".$this->getExport('asis')."', ";
			$sql	=	$sql."'".$this->getCurrency('asis')."', ";
			$sql	=	$sql."'".$this->getConversion('asis')."', ";
			$sql	=	$sql."'".$this->getOnlineSaleBill('asis')."', ";
			$sql	=	$sql."'".$this->getReverseCharge('asis')."', ";
			$sql	=	$sql."'".$this->getStockEntry('asis')."', ";
			$sql	=	$sql."'".$this->getRemark('asis')."')";

			return $sql;
		}

		public function getUpdateSQL() {		

			$sql	=	"UPDATE `gen_sale` SET ";
			$sql	=	$sql."`CompanyID` = '".$this->getCompanyID('asis')."', ";
			$sql	=	$sql."`FinYear` = '".$this->getFinYear('asis')."', ";
			$sql	=	$sql."`SaleNo` = '".$this->getSaleNo('asis')."', ";
			$sql	=	$sql."`DOS` = '".$this->getDOS('asis')."', ";
			$sql	=	$sql."`SaleAccountID` = '".$this->getSaleAccountID('asis')."', ";
			$sql	=	$sql."`CustomerID` = '".$this->getCustomerID('asis')."', ";
			$sql	=	$sql."`StoreID` = '".$this->getStoreID('asis')."', ";
			$sql	=	$sql."`SaleType` = '".$this->getSaleType('asis')."', ";
			$sql	=	$sql."`RelatedID` = '".$this->getRelatedID('asis')."', ";
			$sql	=	$sql."`ItemTotal` = '".$this->getItemTotal('asis')."', ";
			$sql	=	$sql."`IGST` = '".$this->getIGST('asis')."', ";
			$sql	=	$sql."`CGST` = '".$this->getCGST('asis')."', ";
			$sql	=	$sql."`SGST` = '".$this->getSGST('asis')."', ";
			$sql	=	$sql."`DiscountTotal` = '".$this->getDiscountTotal('asis')."', ";
			$sql	=	$sql."`AddLessTotal` = '".$this->getAddLessTotal('asis')."', ";
			$sql	=	$sql."`NetTotal` = '".$this->getNetTotal('asis')."', ";
			$sql	=	$sql."`Notes` = '".$this->getNotes('asis')."', ";
			$sql	=	$sql."`CashSale` = '".$this->getCashSale('asis')."', ";
			$sql	=	$sql."`DOE` = '".$this->getDOE('asis')."', ";
			$sql	=	$sql."`Transport` = '".$this->getTransport('asis')."', ";
			$sql	=	$sql."`VehicleNo` = '".$this->getVehicleNo('asis')."', ";
			$sql	=	$sql."`GRNo` = '".$this->getGRNo('asis')."', ";
			$sql	=	$sql."`GRDate` = '".$this->getGRDate('asis')."', ";
			$sql	=	$sql."`SupplyDate` = '".$this->getSupplyDate('asis')."', ";
			$sql	=	$sql."`SupplyPlace` = '".$this->getSupplyPlace('asis')."', ";
			$sql	=	$sql."`ConsigneeID` = '".$this->getConsigneeID('asis')."', ";
			$sql	=	$sql."`OnlineSale` = '".$this->getOnlineSale('asis')."', ";
			$sql	=	$sql."`Export` = '".$this->getExport('asis')."', ";
			$sql	=	$sql."`Currency` = '".$this->getCurrency('asis')."', ";
			$sql	=	$sql."`Conversion` = '".$this->getConversion('asis')."', ";
			$sql	=	$sql."`OnlineSaleBill` = '".$this->getOnlineSaleBill('asis')."', ";
			$sql	=	$sql."`ReverseCharge` = '".$this->getReverseCharge('asis')."', ";
			$sql	=	$sql."`StockEntry` = '".$this->getStockEntry('asis')."', ";
			$sql	=	$sql."`Remark` = '".$this->getRemark('asis')."' ";
			$sql	=	$sql." WHERE `SaleID` = '".$this->getSaleID('asis')."'";

			return $sql;
		}

		public function getDeleteSQL() {		

			$sql	=	"DELETE FROM `gen_sale` ";
			$sql	=	$sql." WHERE `SaleID` = '".$this->getSaleID('asis')."'";
			$sql	=	$sql." LIMIT 1";

			return $sql;
		}

		public function validateFields() {		

			$chk	=	true;
			if((int)$SaleID <= 0) $chk	=	false;

			return $chk;
		}

		public function displayFull() {		

			$str	=	'<br />
			<table cellpadding="4" cellspacing="1" bgcolor="#cccccc" width="96%" align="center">
				<tr bgcolor="#f4f4f4">
					<td class="td_normal_large" width="150px">SALE DETAIL</td>
					<td class="td_normal_large" align="right"></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">Sale#</td>
					<td class="td_normal">'.$this->getSaleNo("no").'/'.$this->getFinYear("yes").'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">Sale Date</td>
					<td class="td_normal">'.$this->getDOS('yes').'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">Sale Account</td>
					<td class="td_normal">'.$this->getSaleAccountName("yes").'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">Customer</td>
					<td class="td_normal">'.$this->getCustomerName("yes").'</td>
				</tr>				
				<tr bgcolor="#ffffff">
					<td class="td_normal">Consignee</td>
					<td class="td_normal">'.$this->getConsigneeName("yes").'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">Store</td>
					<td class="td_normal">'.$this->getStoreName("yes").'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">Transport</td>
					<td class="td_normal">'.$this->getTransport("yes").'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">Vehicle No.</td>
					<td class="td_normal">'.$this->getVehicleNo("yes").'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">GR/LR No.</td>
					<td class="td_normal">'.$this->getGRNo("yes").' dated: '.$this->getGRDate('yes').'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">Supply Place/Date</td>
					<td class="td_normal">'.$this->getSupplyPlace("yes").' dated: '.$this->getSupplyDate('yes').'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">Online Sale?</td>
					<td class="td_normal">'.$this->getOnlineSale("yes").' '.$this->getOnlineSaleBill('yes').'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">Export?</td>
					<td class="td_normal">'.$this->getExport("yes").' '.$this->getCurrency('yes').' '.$this->getConversion('yes').'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">Discount Total</td>
					<td class="td_normal">'.$this->getDiscountTotal("yes").'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">Item Total</td>
					<td class="td_normal">'.$this->getItemTotal("yes").'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">IGST</td>
					<td class="td_normal">'.$this->getIGST("yes").'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">CGST</td>
					<td class="td_normal">'.$this->getCGST("yes").'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">SGST</td>
					<td class="td_normal">'.$this->getSGST("yes").'</td>
				</tr>												
				<tr bgcolor="#ffffff">
					<td class="td_normal">Add/Less Total</td>
					<td class="td_normal">'.$this->getAddLessTotal("yes").'</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td class="td_normal">Net Total</td>
					<td class="td_normal">'.$this->getNetTotal("yes").'</td>
				</tr>';
				if(count($this->ItemList) > 0) {
					$str	=	$str.'<tr>
						<td colspan="2">
							<table cellpadding="4" cellspacing="1" bgcolor="#cccccc" width="100%" align="center">
								<tr><td colspan="13" class="td_normal_large" bgcolor="#f4f4f4">PRODUCTS SOLD</td></tr>
								<tr bgcolor="#D6E3F3">
									<td class="td_normal" width="20%"><b>Item</b></td>
									<td class="td_normal" width="6%" align="center"><b>Quantity</b></td>
									<td class="td_normal" width="6%" align="center"><b>Rate</b></td>
									<td class="td_normal" width="6%" align="center"><b>Disc%</b></td>
									<td class="td_normal" width="8%" align="center"><b>Discount</b></td>
									<td class="td_normal" width="8%" align="right"><b>Amount</b></td>
									<td class="td_normal" width="6%" align="center"><b>IGST%</b></td>
									<td class="td_normal" width="6%" align="right"><b>IGST</b></td>
									<td class="td_normal" width="6%" align="center"><b>CGST%</b></td>
									<td class="td_normal" width="6%" align="right"><b>CGST</b></td>
									<td class="td_normal" width="6%" align="center"><b>SGST%</b></td>
									<td class="td_normal" width="6%" align="right"><b>SGST</b></td>
									<td class="td_normal" width="10%" align="right"><b>Net Amount</b></td>
								</tr>';
								for($i=0;$i<count($this->ItemList);$i++) {
									$row	=	$this->ItemList[$i];
									$str	=	$str.$row->displayFull();
								}
							$str	=	$str.'</table>
						</td>
					</tr>';
				}
				if(count($this->AddLessList) > 0) {
					$str	=	$str.'<tr>
						<td colspan="2">
							<table cellpadding="4" cellspacing="1" bgcolor="#cccccc" width="100%" align="center">
								<tr><td colspan="7" class="td_normal_large" bgcolor="#f4f4f4">ADD/LESS LIST</td></tr>
								<tr bgcolor="#D6E3F3">
									<td class="td_normal" width="10%"><b>Serial</b></td>
									<td class="td_normal" width="20%"><b>Account Name</b></td>
									<td class="td_normal" width="30%"><b>Narration</b></td>
									<td class="td_normal" width="10%"><b>Add/Less</b></td>
									<td class="td_normal" width="20%"><b>Percent (%) of Amount</b></td>
									<td class="td_normal" width="10%" align="right"><b>Amount</b></td>
								</tr>';
								for($i=0;$i<count($this->AddLessList);$i++) {
									$row	=	$this->AddLessList[$i];
									$str	=	$str.$row->displayFull();
								}
							$str	=	$str.'</table>
						</td>
					</tr>';
				}
			$str	=	$str.'</table>';

			return $str;
		}
	};

?>