<?php

	/* Include the required files */
	require_once( 'aom-config.php' );
	require_once( 'inc/pagetemplate.php' );
	require_once( 'inc/head.php' );
	require_once( 'inc/topmenu.php' );
	require_once( 'inc/functions.php' );
	require_once( 'dao/asys.user.php' );
	require_once( 'dao/asys.config.php' );
	require_once( 'dao/asys.genericdb.php' );
	require_once( 'dao/asys.masterdb.php' );
	require_once( 'dao/asys.log.php' );
	require_once( 'dao/asys.logindb.php' );
	require_once( 'dao/asys.userpermission.php' );	

	$tuser		=	new asys_users();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}	
	
	$ModuleID			= 8;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	
	if($tuser->getUserStatus() < HIDDEN_USER) {
		echo 'Only System Architect can view/open this Page. <a href="home.php">Click here to go back.</a>';
		exit;
	}
	
	$pkey					=	0;
	$schStr				=	"";
	$pno					= 0;
	
	extract($_REQUEST);

	$pkey					= (int)$pkey;
	$pno					=	(int)$pno;
	$schStr				= addslashes($schStr);
	
	$det					=	$mdb->getConfigDetail($pkey);
	
	if($pkey == 1) {
		echo 'Config # cannot be deleted. <a href="home.php">Click here to go back.</a>';
		exit;
	}	
	
	/*if($mdb->deleteConfig($det)) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setModuleID($ModuleID);
		$log->setRelatedID($pkey);		
		$log->setActivity("Deleted Config - ".$det->getConfigName());
		$log->setClassName('asys_config');
		$log->setModuleSnapshot(serialize($det));
		$gdb->SaveObjectToDB($log);
	}*/
	
	header("Location:viewConfig.php?schStr=$schStr&pno=$pno");

?>