<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_items.php' );	
		
	
	$ModuleID			= 3;

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	
	if($ldb->getDeletePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pkey					=	0;
	$schStr				=	"";
	$pno					= 0;
	
	extract($_REQUEST);

	$pkey					= (int)$pkey;
	$pno					=	(int)$pno;
	$schStr				= addslashes($schStr);
	
	$det					=	$mdb->getItemDetail($pkey);
	$det1					= $det;
	
	if($tcmp->getCompanyID() != $mdb->getCompanyIDByTransaction('gen_items', 'ItemID', $pkey)) {
		echo 'This data does not belong to the Company selected.';
		echo '<a href="home.php">Click Here</a> to go to Home';
		exit;
	}	
	
	if($mdb->deleteItem($det)) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setCompanyID($tcmp->getCompanyID());
		$log->setModuleID($ModuleID);
		$log->setRelatedID($pkey);		
		$log->setActivity("Deleted Item - ".$det->getItemName());
		$log->setClassName('gen_items');
		$log->setModuleSnapshot(serialize($det1));
		$gdb->SaveObjectToDB($log);
		
		$fullPath = __DIR__ . "/json/getItemList" ;
		array_map('unlink', glob( "$fullPath*.json"));
		$fullPath = __DIR__ . "/json/getItemListByCategory" ;
		array_map('unlink', glob( "$fullPath*.json"));		
	}
	
	header("Location:viewItem.php?schStr=$schStr&pno=$pno");

?>