<?php

	/* Include the required files */
	require_once( 'aom-config.php' );
	require_once( 'inc/pagetemplate.php' );
	require_once( 'inc/head.php' );
	require_once( 'inc/topmenu.php' );
	require_once( 'inc/functions.php' );
	require_once( 'dao/asys.user.php' );
	require_once( 'dao/asys.module.php' );
	require_once( 'dao/asys.modulesubmodule.php' );
	require_once( 'dao/asys.modulecolumn.php' );
	require_once( 'dao/asys.modulecolumnevent.php' );
	require_once( 'dao/asys.modulestockconfig.php' );
	require_once( 'dao/asys.modulevoucherconfig.php' );
	require_once( 'dao/asys.moduleview.php' );
	require_once( 'dao/asys.moduleviewsearch.php' );
	require_once( 'dao/asys.moduleviewfield.php' );		
	require_once( 'dao/asys.genericdb.php' );
	require_once( 'dao/asys.moduledb.php' );
	require_once( 'dao/asys.log.php' );
	require_once( 'dao/asys.logindb.php' );
	require_once( 'dao/asys.userpermission.php' );	

	$tuser		=	new asys_users();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}	

	$gdb					=	new genericdb();
	$mdb					=	new moduledb();
	$ldb					= new logindb();
	
	if($tuser->getUserStatus() != HIDDEN_USER) {
		echo 'no, not allowed';
		exit;
	}	
	
	$pkey					=	0;
	$mid					=	"";
	$ModuleType		= "";
	$ModuleName		= "";
	$pno					= 0;
	
	extract($_REQUEST);

	$pkey					= (int)$pkey;
	$mid					= (int)$mid;
	$pno					=	(int)$pno;
	$ModuleType		= addslashes($ModuleType);
	$ModuleName		= addslashes($ModuleName);
	
	$det					=	$mdb->getModuleDetail($pkey);
	$det1					= $det;
	
	if($mdb->deleteModule($det)) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setModuleID(-3);
		$log->setRelatedID($pkey);		
		$log->setActivity("Deleted Module - ".$det->getModuleName());
		$log->setClassName('asys_modules');
		$log->setModuleSnapshot(serialize($det1));
		$gdb->SaveObjectToDB($log);
	}
	
	header("Location:viewModule.php?mid=$mid&ModuleType=$ModuleType&ModuleName=$ModuleName&pno=$pno");

?>