<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_purchase.php' );
	require_once( 'dao/class.gen_purchase_items.php' );
	require_once( 'dao/class.gen_purchase_addless.php' );
	require_once( 'dao/class.purchasedb.php' );
			
	
	$ModuleID			= 17;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$pdb					= new purchasedb();
	
	if($ldb->getDeletePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pkey					=	0;
	$ono					= "";
	$BDate1				= "";
	$BDate2				= "";
	$sid					= "";
	$pno					= 0;
	$str					= "";
	
	extract($_REQUEST);

	$pkey					= (int)$pkey;
	$pno					=	(int)$pno;
	$ono					= (int)$ono;
	$BDate1				=	FormatIndianDateToSQLDate($BDate1);
	$BDate2				=	FormatIndianDateToSQLDate($BDate2);
	$sid					= (int)$sid;
	$str					= addslashes($str);

	if($tcmp->getCompanyID() != $pdb->getCompanyIDByTransaction('gen_purchase', 'PurchaseID', $pkey)) {
		echo 'This data does not belong to the Company selected.';
		echo '<a href="home.php">Click Here</a> to go to Home';
		exit;
	}	
	
	$det					=	$pdb->getPurchaseDetail($pkey);
	$det1					= $det;
	
	if($pdb->deletePurchase($det)) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setCompanyID($tcmp->getCompanyID());
		$log->setModuleID($ModuleID);
		$log->setRelatedID($pkey);		
		$log->setActivity("Deleted Purchase - ".$det->getPurchaseNo().'/'.$det->getFinYear());
		$log->setClassName('gen_purchase');
		$log->setModuleSnapshot(serialize($det1));
		$gdb->SaveObjectToDB($log);
	}
	
	header("Location:viewPurchase.php?BDate1=$BDate1&BDate2=$BDate2&ono=$ono&sid=$sid&pno=$pno&str=$str");

?>