<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_stockjournal.php' );
	require_once( 'dao/class.gen_stockjournal_in.php' );
	require_once( 'dao/class.gen_stockjournal_out.php' );
	require_once( 'dao/class.purchasedb.php' );
		
	
	$ModuleID			= 24;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$pdb					= new purchasedb();
	
	if($ldb->getDeletePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pkey					=	0;
	$BDate1				=	"";
	$BDate1				=	"";
	$sid					=	"";
	$jid					= "";
	$pno					= 0;
	
	extract($_REQUEST);

	$pkey					= (int)$pkey;
	$pno					=	(int)$pno;
	$BDate1				= addslashes($BDate1);
	$BDate2				= addslashes($BDate2);
	$sid					=	(int)$sid;
	$jid					=	(int)$jid;
	
	if($tcmp->getCompanyID() != $pdb->getCompanyIDByTransaction('gen_stockjournal', 'StockJournalID', $pkey)) {
		echo 'This data does not belong to the Company selected.';
		echo '<a href="home.php">Click Here</a> to go to Home';
		exit;
	}	
	
	$det					=	$pdb->getStockJournalDetail($pkey);
	$det1					= $det;
	
	if($pdb->deleteStockJournal($det)) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setCompanyID($tcmp->getCompanyID());
		$log->setModuleID($ModuleID);
		$log->setRelatedID($pkey);		
		$log->setActivity("Deleted Stock Journal - ".$det->getStockJournalID());
		$log->setClassName('gen_stockjournal');
		$log->setModuleSnapshot(serialize($det1));
		$gdb->SaveObjectToDB($log);
	}
	
	header("Location:viewStockJournal.php?BDate1=$BDate1&BDate2=$BDate2&sid=$sid&pno=$pno&jid=$jid");

?>