<?php

	/* Include the required files */
	require_once( 'aom-config.php' );
	require_once( 'inc/pagetemplate.php' );
	require_once( 'inc/head.php' );
	require_once( 'inc/topmenu.php' );
	require_once( 'inc/functions.php' );
	require_once( 'dao/asys.user.php' );
	require_once( 'dao/asys.company.php' );
	require_once( 'dao/asys.basesubgroup.php' );
	require_once( 'dao/asys.genericdb.php' );
	require_once( 'dao/asys.masterdb.php' );
	require_once( 'dao/asys.log.php' );
	require_once( 'dao/asys.logindb.php' );
	require_once( 'dao/asys.userpermission.php' );	

	$tuser		=	new asys_users();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}		
	
	$ModuleID			= -3;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	
	if($tuser->getUserStatus() < ADMIN_USER) {
		echo 'Only Admin Users can view/open this Page. <a href="home.php">Click here to go back.</a>';
		exit;
	}	
	
	$pkey					=	0;
	$schStr				=	"";
	$bgid					= 0;
	$pno					= 0;
	
	extract($_REQUEST);

	$pkey					= (int)$pkey;
	$pno					=	(int)$pno;
	$schStr				= addslashes($schStr);
	$bgid					=	(int)$bgid;
	
	$det					=	$mdb->getSubgroupDetail($pkey);
	$det1					= $det;
	
	if($mdb->deleteSubgroup($det)) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setCompanyID(0);
		$log->setModuleID($ModuleID);
		$log->setRelatedID($pkey);		
		$log->setActivity("Deleted Subgroup - ".$det->getSubgroupName());
		$log->setClassName('asys_base_subgroup');
		$log->setModuleSnapshot(serialize($det1));
		$gdb->SaveObjectToDB($log);
	}
	
	header("Location:viewSubgroup.php?schStr=$schStr&pno=$pno&bgid=$bgid");

?>