<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.drcr.php' );
	require_once( 'dao/asys.group.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.vouchertag.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.vouchertype.php' );
	require_once( 'dao/asys.voucherdb.php' );	
	
	
	$db				=	new masterdb();
	$gdb			=	new genericdb();
	$vdb			=	new voucherdb();	
	$ldb			= new logindb();	

	$vid			=	0;
	$dtf			=	"";
	$dtt			=	"";
	$accid		=	0;
	
	$ModuleID	= 8;

	extract($_REQUEST);

	$vid			=	(int)$vid;
	$dtf			=	addslashes($dtf);
	$dtt			=	addslashes($dtt);
	$accid		=	(int)$accid;
	
	$vlist		= $vdb->getVoucherList($vid);
	$veb			= new asys_voucher_entry();
	if(count($vlist) > 0) $veb	=	$vlist[0];
	$vtype		= $veb->getVoucherType();
	$vno			= $veb->getVoucherNo();
	$finyear	= $veb->getFinYear();
	
	$loc			=	'view';
	if($vtype == CASH_RECEIPT_VOUCHER) {
		$ModuleID	= 6;
		$loc			=	$loc.'CRV';
	} else if($vtype == BANK_RECEIPT_VOUCHER) {
		$ModuleID	= 7;
		$loc			=	$loc.'BRV';	
	} else if($vtype == CASH_PAYMENT_VOUCHER) {
		$ModuleID	= 8;
		$loc			=	$loc.'CPV';	
	} else if($vtype == BANK_PAYMENT_VOUCHER) {
		$ModuleID	= 9;
		$loc			=	$loc.'BPV';	
	} else if($vtype == CONTRA_VOUCHER) {
		$ModuleID	= 10;
		$loc			=	$loc.'CON';	
	} else if($vtype == JOURNAL_VOUCHER) {
		$ModuleID	= 11;
		$loc			=	$loc.'JRN';	
	} else if($vtype == CREDIT_NOTE_VOUCHER) {
		$ModuleID	= 12;
		$loc			=	$loc.'CDN';	
	} else if($vtype == DEBIT_NOTE_VOUCHER) {
		$ModuleID	= 13;
		$loc			=	$loc.'DBN';
	}	
	
	if($ldb->getDeletePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}
	
	if($tcmp->getCompanyID() != $db->getCompanyIDByTransaction('asys_voucher_entry', 'VoucherID', $vid)) {
		echo 'This data does not belong to the Company selected.';
		echo '<a href="home.php">Click Here</a> to go to Home';
		exit;
	}				

	$rst	= $vdb->deleteVoucher($vid);

	if($rst){
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setCompanyID($tcmp->getCompanyID());
		$log->setModuleID($ModuleID);
		$log->setRelatedID($vid);		
		$log->setActivity("Deleted Voucher - ".$vno.'/'.$finyear);
		$log->setClassName('asys_voucher_entry');
		$log->setModuleSnapshot(serialize($veb));
		$gdb->SaveObjectToDB($log);
	}
	

	header("Location:$loc.php?vtid=$vtype&DateFrom=$dtf&DateTo=$dtt&AccountID=$accid");

?>