<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_items.php' );
		

	$gdb						=	new genericdb();
	$mdb						=	new masterdb();
	
	$schStr					= "";
	$ItemCategoryID	=	0;
	
	extract($_REQUEST);

	$schStr					=	addslashes($schStr);
	$ItemCategoryID	= (int)$ItemCategoryID;

	$arr						= $mdb->getItemList($schStr, $ItemCategoryID, $tcmp->getCompanyID());

	/** Error reporting */
	error_reporting(E_ALL);

	/** PHPExcel */
	require_once ( './excel/PHPExcel.php' );
	
	$objPHPExcel = new PHPExcel();

	$objPHPExcel->getProperties()->setCreator("Rani Sati Ji")
								 ->setLastModifiedBy("Subhashis Pandey")
								 ->setTitle("Office 2007 XLSX Item List")
								 ->setSubject("Item")
								 ->setDescription("Item")
								 ->setKeywords("Item")
								 ->setCategory("Item");	
								 
	$objPHPExcel->setActiveSheetIndex(0);
	$objPHPExcel->getActiveSheet()->setTitle("Original");
	
	$objPHPExcel->getActiveSheet()->getPageSetup()->setOrientation(PHPExcel_Worksheet_PageSetup::ORIENTATION_PORTRAIT);
	$objPHPExcel->getActiveSheet()->getPageSetup()->setPaperSize(PHPExcel_Worksheet_PageSetup::PAPERSIZE_A4);
	$objPHPExcel->getDefaultStyle()->getFont()->setName('Arial');
	$objPHPExcel->getDefaultStyle()->getFont()->setSize(10);	
	
	$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(10);
	$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(10);
	$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(15);
	$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(15);
	$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(50);
	$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(10);

	$objPHPExcel->getActiveSheet()->setCellValue('A1', 'Serial No');
	$objPHPExcel->getActiveSheet()->setCellValue('B1', 'Item No');	
	$objPHPExcel->getActiveSheet()->setCellValue('C1', 'Unit');
	$objPHPExcel->getActiveSheet()->setCellValue('D1', 'Category');
	$objPHPExcel->getActiveSheet()->setCellValue('E1', 'Item');
	$objPHPExcel->getActiveSheet()->setCellValue('F1', 'Rate');
	
	for($i=0;$i<count($arr);$i++) {
		$ecls		=	$arr[$i];			
		
		$objPHPExcel->getActiveSheet()->setCellValue('A'.($i+2), ($i + 1));
		$objPHPExcel->getActiveSheet()->setCellValue('B'.($i+2), $ecls->getItemNo('no'));
		$objPHPExcel->getActiveSheet()->setCellValue('C'.($i+2), $ecls->getUnitName('no'));
		$objPHPExcel->getActiveSheet()->setCellValue('D'.($i+2), $ecls->getItemCategoryName('no'));
		$objPHPExcel->getActiveSheet()->setCellValue('E'.($i+2), $ecls->getItemName('no'));
		$objPHPExcel->getActiveSheet()->setCellValue('F'.($i+2), $ecls->getRate('yes'));

	}
	
	
	$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
	$objWriter->save(str_replace('.php', '.xlsx', __FILE__));

	$file = fopen("dnldItem.xlsx","r");
	header("Content-type: application/octet-stream");
	header("Content-Disposition: attachment; filename=dnldItem.xlsx");
	header("Content-Description: PHP3 Generated Data");
	header("Pragma: no-cache");
	header("Expires: 0");
	fpassthru($file);
	fclose($file);	
	
?>