<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.drcr.php' );
	require_once( 'dao/asys.group.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.vouchertag.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.vouchertype.php' );
	require_once( 'dao/asys.voucherdb.php' );
		
	
	$ModuleID			= 10;

	$dt				=	date("Y-m-d");
	$db				=	new masterdb();
	$vdb			=	new voucherdb();
	$gdb			=	new genericdb();
	$ldb			= new logindb();
	$cclass		=	new asys_voucher_entry();
	
	if($ldb->getEditPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	

	$vtid				= CONTRA_VOUCHER;
	$vid				=	0;
	$acc				=	0;
	$DateFrom		=	date('d-m-Y');
	$DateTo			=	date('d-m-Y');
	$AccountID	=	0;
	$rmsg				=	"";
	$msg				=	"Select account and enter amount, click Update.";
	$pagen			=	"";

	extract($_REQUEST);

	$acc				=	(int)$acc;
	$vid				=	(int)$vid;
	$DateFrom		=	addslashes($DateFrom);
	$DateTo			=	addslashes($DateTo);
	$AccountID	=	(int)$AccountID;
	$vname			= getVoucherType($vtid);

	if($vid == 0) {
		echo 'Sorry!!! direct access denied. <a href="viewCON.php?DateFrom='.$DateFrom.'&DateTo='.$DateTo.'&AccountID='.$AccountID.'" class="nav">Click here</a> to view Voucher list.';
		exit;
	}
	
	if($tcmp->getCompanyID() != $db->getCompanyIDByTransaction('asys_voucher_entry', 'VoucherID', $vid)) {
		echo 'This data does not belong to the Company selected.';
		echo '<a href="home.php">Click Here</a> to go to Home';
		exit;
	}	

	$creditList		= $db->getCashBankListJSON($tcmp->getCompanyID());
	$debitList		= $vdb->getBankList($tcmp->getCompanyID());
	$vname				= getVoucherType($vtid);
	$vList				=	$vdb->getVoucherList($vid);
	$veb					=	$vList[count($vList)-1];
	$oldDT				= $veb->getDOV();

	if($pagen == "cust") {
		$vList		=	array();
		if(FormatIndianDateToSQLDate($dt) == "1900-01-01"){
			if($rmsg != "") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Date is must";
		}

		if(trim($depwith) == ""){
			if($rmsg != "") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Please select the deposit/withdraw";
		}

		if($acc == 0){
			if($rmsg != "") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Please select the Cash Account";
		}
		
		$tdf						= $tcmp->getTxnDateFrom();
		$tdt						= $tcmp->getTxnDateTo();
		$txnDate				= FormatIndianDateToSQLDate($dt);
		if($txnDate < $tdf || $txnDate > $tdt) {
			if($rmsg != "") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Transaction date outside allowed date range";			
		}		

		$totCR					= 0;
		$totDB					= 0;
		for($k=1;$k<=$numRows;$k++){
			if($depwith == "DEPOSIT")
				$DrCr				= DEBIT;
			else
				$DrCr				=	CREDIT;
			$macc					= (int)$_REQUEST["macc$k"];
			$cacc					= (int)$_REQUEST["cacc$k"];
			$amt					= (double)$_REQUEST["amt$k"];
			$csl					=	$_REQUEST["csubled$k"];
			$ChequeNo			= formatSQLString($_REQUEST["chqno$k"]);
			$BankName			= formatSQLString($_REQUEST["chqbn$k"]);
			$ChqDate			= $_REQUEST["chqdt$k"];

			if($csl == "YES") {
				$MotherAccount	=	$macc;
				$AccountID2			=	$cacc;
			} else {
				$MotherAccount	=	0;
				$AccountID2			=	$macc;
			}

			if($AccountID2 == 0)
				continue;
			if($amt == 0)
				continue;

			$totCR+=$amt;

			$cclass	=	new asys_voucher_entry();
			$cclass->setCompanyID($tcmp->getCompanyID());
			$cclass->setVoucherType($vtid);
			$cclass->setFinYear($veb->getFinYear());
			$cclass->setVoucherID($vid);
			$cclass->setSerialID(0);
			$cclass->setDOV($dt);
			$cclass->setMotherAccount($MotherAccount);
			$cclass->setAccountID($AccountID2);
			$cclass->setRelatedID(0);
			$cclass->setTxnType(0);
			$cclass->setDrCr($DrCr);
			$cclass->setAmount($amt);
			$cclass->setNarration(formatSQLString($Narration));
			$cclass->setUserID($veb->getUserID());
			$cclass->setDOE($veb->getDOE('yes'));
			$cclass->setChequeNo($ChequeNo);
			$cclass->setChqDate($ChqDate);
			$cclass->setBankName($BankName);
			$cclass->setClearedOn("01-01-1900");
			$cclass->setDayWiseNo($veb->getDayWiseNo());

			$vList[] = $cclass;
		}

		if($totCR == 0){
			if($rmsg != "") $rmsg	=	$rmsg.", ";
			$rmsg	=	"Total Amount cannot be ZERO!!!";
		}

		if($depwith == "DEPOSIT")
			$DrCr				= CREDIT;
		else
			$DrCr				=	DEBIT;

		$cclass	=	new asys_voucher_entry();
		$cclass->setCompanyID($tcmp->getCompanyID());
		$cclass->setVoucherType($vtid);
		$cclass->setFinYear($veb->getFinYear());
		$cclass->setVoucherID($vid);
		$cclass->setSerialID(0);
		$cclass->setDOV($dt);
		$cclass->setAccountID($acc);
		$cclass->setRelatedID(0);
		$cclass->setTxnType(0);
		$cclass->setDrCr($DrCr);
		$cclass->setAmount($totCR);
		$cclass->setNarration(formatSQLString($Narration));
		$cclass->setUserID($veb->getUserID());
		$cclass->setDOE($veb->getDOE('yes'));
		$cclass->setDayWiseNo($veb->getDayWiseNo());

		$vList[] = $cclass;

		if($rmsg == ""){
			$vid	=	$vdb->UpdateTotalVoucher($vList, $oldDT);
			if($vid > 0){
				$msg	=	"<font class='blue'>Voucher updated successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($vid);				
				$log->setActivity("Updated Contra Voucher - ".$veb->getVoucherNo().'/'.$veb->getFinYear());
				$log->setClassName('asys_voucher_entry');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);
				$vList			=	$vdb->getVoucherList($vid);
				$veb				=	$vList[count($vList)-1];
			}else
				$msg	=	"<font class='red'>Fail to create Voucher, try again</font>";
		}else{
			$msg	=	"<font class='red'>ERROR: ".$rmsg."</font>";
		}
	}
	$numRows		=	count($vList)-1;
	
	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/select2.css");
	$iPage->addLink("css/modal.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/modal.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	outputHeader($tuser, $tcmp);
	outputMenu($tuser); 	

?>
	<div id="pagehead">&nbsp;MODIFY EXISTING <?php echo $vname?> #<?php echo $veb->getVoucherNo()?> of <?php echo $veb->getFinYear()?></div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="cust" />
	<input type="hidden" name="vid" value="<?php echo $vid?>" />
	<input type="hidden" name="numRows" id="numRows" value="<?php echo $numRows?>" />
	<input type="hidden" name="DateFrom" value="<?php echo $DateFrom?>" />
	<input type="hidden" name="DateTo" value="<?php echo $DateTo?>" />
	<input type="hidden" name="AccountID" value="<?php echo $AccountID?>" />
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td class="td_normal">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewCON.php"><img src="images/columns.gif" title="View <?php echo $vname?> List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td></td></tr>
		<tr style="height:2px"><td></td></tr>
		
		<tr width="100%">
			<td width="100%">
				<table style="border:0px;" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td width="20%" class="td_normal">
							<div style="float:left;padding:3px;width:76px;">
								&nbsp;Date:&nbsp;
							</div>
							<div style="float:left">
								<input data-toggle="datepicker" type="text" name="dt" id="dt" class="input" value="<?php echo $veb->getDOV('yes') ?>" style="width:80px" onBlur="this.className='input'" maxLength="10" />
							</div>
							<div style="float:left;padding-left:4px;">
								<select name="depwith" id="depwith" style="width:120px">
									<option value="DEPOSIT" <?php if($veb->getDrCr()==CREDIT) echo 'selected'; ?>>DEPOSIT</option>
									<option value="WITHDRAW"<?php if($veb->getDrCr()==DEBIT) echo 'selected'; ?>>WITHDRAW</option>
								</select>
							</div>
							<div style="float:left">
								&nbsp;
								<select name="acc" id="acc" style="width:300px" onChange="showCBAL('')">
									<option value="0">--</option>
								<?php	for($i=0;$i<count($creditList);$i++) { ?>
								<?php		$cb	= $creditList[$i]; ?>
									<?php $tmp = ""; ?>
									<?php if($veb->getAccountID() == $cb[0]) $tmp = "selected"; ?>
										<option value="<?php echo $cb[0]?>" <?php echo $tmp?>><?php echo $cb[1]?></option>
								<?php } ?>
								</select>
							</div>
							<div style="float:left;;padding:3px;">
								&nbsp;Closing Balance:&nbsp;
							</div>
							<div style="float:left">
								<input type="text" class="input" name="cbal" id="cbal" value="" style="width:80px" readOnly="true" />
							</div>
							<div style="float:left">
								&nbsp;<input type="button" class="red_button" name="VL" id="VL" value="VL" onClick="showLedger('')" />
							</div>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td>
				<table style="border:0px;" cellpadding="0" cellspacing="2" width="100%" height="100%">
					<tr>
						<td width="8%" class="td_normal" valign="top">
							&nbsp;Narration
						</td>
						<td>
							<textarea name="Narration" id="Narration" style="width:95%;height:50px;"><?php echo $veb->getNarration('yes')?></textarea>
						</td>
					</tr>
				</table>
			</td>
		</tr>

		<tr width="100%" valign="middle">
			<td width="100%">
				<table style="border:0px;" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<th width="5%" style="border-left: 1px solid #99BBE8;">SNo</th>
						<th width="20%">Ledger</th>
						<th width="30%">Sub Ledger</th>
						<th width="7%">Ch No.</th>
						<th width="10%">Dated</th>
						<th width="11%">Bank Name</th>
						<th width="12%" align="right">Amount</th>
						<th width="5%">
							<input type="button" class="red_button" value="—" onClick="delRow()" />
						</th>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td>
				<table style="border:0px;" cellpadding="0" cellspacing="2" width="100%" height="100%" id="byTable">
				<?php
					for($i=0;$i<count($vList)-1;$i++) {
						$tmpveb	=	$vList[$i];
				?>
						<tr>
							<td  width="5%">
								<input type="button" class="red_button" style="width:25px;" value="<?php echo ($i+1)?>" onClick="clearAmount(<?php echo ($i+1)?>)" id="sn<?php echo ($i+1)?>" />
							</td>
							<td width="20%" class="td_normal">
								<select name="macc<?php echo ($i+1)?>" id="macc<?php echo ($i+1)?>" class="select" style="width:180px">
									<option value="0">--</option>
									<?php	for($ii=0;$ii<count($debitList);$ii++) { ?>
									<?php		$cb	= $debitList[$ii]; ?>
									<?php		if($cb->getMotherAccount() == 0) { ?>
										<?php $tmp = ""; ?>
										<?php		if($tmpveb->getMotherAccount() != 0) { ?>
											<?php if($tmpveb->getMotherAccount() == $cb->getAccountID()) $tmp = "selected"; ?>
										<?php } else { ?>
											<?php if($tmpveb->getAccountID() == $cb->getAccountID()) $tmp = "selected"; ?>
										<?php } ?>
											<option value="<?php echo $cb->getAccountID()?>" <?php echo $tmp?>><?php echo $cb->getAccountName()?></option>
										<?php } ?>
									<?php } ?>							
								</select>
								<?php		if($tmpveb->getMotherAccount() != 0) { ?>
								<input type="hidden" name="csubled<?php echo ($i+1)?>" id="csubled<?php echo ($i+1)?>" value="YES" />
								<?php } else { ?>
								<input type="hidden" name="csubled<?php echo ($i+1)?>" id="csubled<?php echo ($i+1)?>" value="NO" />
								<?php } ?>
							</td>
							<td id="adiv<?php echo ($i+1)?>" width="30%" class="td_normal">
								<div style="float:left;padding-top:1px;">
									<?php		if($tmpveb->getMotherAccount() != 0) { ?>
									<select name="cacc<?php echo ($i+1)?>" id="cacc<?php echo ($i+1)?>" style="width:160px">
										<option value="0">--</option>
										<?php	for($ii=0;$ii<count($debitList);$ii++) { ?>
										<?php		$cb	= $debitList[$ii]; ?>
										<?php		if($cb->getMotherAccount() == $tmpveb->getMotherAccount() ) { ?>
											<?php $tmp = ""; ?>
											<?php if($tmpveb->getAccountID() == $cb->getAccountID()) $tmp = "selected"; ?>								
												<option value="<?php echo $cb->getAccountID()?>" <?php echo $tmp?>><?php echo $cb->getAccountName()?></option>
											<?php } ?>
										<?php } ?>								
									</select>
									<?php } else { ?>
									<select name="cacc<?php echo ($i+1)?>" id="cacc<?php echo ($i+1)?>" style="width:160px"><option value="0">--</option></select>
									<?php } ?>
								</div>
								<div style="float:left;padding-top:1px;">
									&nbsp;<input type="text" class="input" name="cbal<?php echo ($i+1)?>" id="cbal<?php echo ($i+1)?>" value="" style="width:70px" readOnly="true" />
								</div>
								<div style="float:left">
									&nbsp;<input type="button" class="red_button" name="VL<?php echo ($i+1)?>" id="VL<?php echo ($i+1)?>" value="VL" onClick="showLedger(<?php echo ($i+1)?>)" />
								</div>
							</td>
							<td  width="7%">
								<input type="text" class="input" name="chqno<?php echo ($i+1)?>" id="chqno<?php echo ($i+1)?>" value="<?php echo $tmpveb->getChequeNo()?>" style="width:50px" maxLength="6" onBlur="this.className='input'" />
							</td>
							<td  width="10%">
								<input data-toggle="datepicker" type="text" class="input" name="chqdt<?php echo ($i+1)?>" id="chqdt<?php echo ($i+1)?>" value="<?php echo $tmpveb->getChqDate('yes')?>" style="width:80px" onBlur="this.className='input'" maxLength="10" />
							</td>
							<td  width="11%">
								<input type="text" class="input" name="chqbn<?php echo ($i+1)?>" id="chqbn<?php echo ($i+1)?>" value="<?php echo $tmpveb->getBankName()?>" style="width:90px" onBlur="this.className='input'" />
							</td>
							<td align="right" width="12%">
								<input type="text" class="input" name="amt<?php echo ($i+1)?>" id="amt<?php echo ($i+1)?>" value="<?php echo $tmpveb->getAmount('no')?>" style="width:100px;text-align:right" maxLength="14" onChange="calcTotal()" />
							</td>
							<td width="5%" align="center">
								<input type="button" class="red_button" value="+" onClick="addRow()" />
							</td>
						</tr>
				<?php	} ?>
				</table>
			</td>
		</tr>
		<tr style="height:4px"><td></td></tr>
		<tr>
			<td style="border-top:#e4e4e4 1px solid;">
				<table style="border:0px;" cellpadding="0" cellspacing="2" width="100%" height="100%">
					<tr>
						<td width="83%" class="td_normal bold" style="text-align:right;">
							Total:&nbsp;
						</td>
						<td width="12%" align="right">
							<input type="text" class="input" name="netTot" id="netTot" value="" style="width:100px;text-align:right" readOnly="true" />
						</td>
						<td align="right" width="5%">
							&nbsp;
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value="Update (S)" AccessKey="S" onClick="chkRec()" />
				<input type="button" class="red_button" value="Go Back (G)" AccessKey="G" onClick="goBack()" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
	<div id="ex1" class="modal" style="height:500px;"></div>
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">

	var numRows		= <?php echo $numRows?>;
	var mdrList		= new Array();
	var cdrList		= new Array();
	var vid				= "<?php echo $vid ?>";


	<?php

		$j 	= 0;
		$k	=	0;

		for($i=0;$i<count($debitList);$i++){
			$cb	= $debitList[$i];
			if($cb->getMotherAccount() == 0){
	?>
				mdrList[<?php echo $j?>] 			= new Array();
				mdrList[<?php echo $j?>][0] 	= "<?php echo $cb->getAccountID()?>";
				mdrList[<?php echo $j?>][1] 	= "<?php echo formatJScriptString($cb->getAccountName())?>";
				mdrList[<?php echo $j?>][2] 	= "<?php echo $cb->getMotherAccount()?>";
				mdrList[<?php echo $j?>][3] 	= "<?php echo $cb->getContainsSubLedger()?>";
	<?php
				$j++;
			} else {
	?>	
				cdrList[<?php echo $k?>] 			= new Array();
				cdrList[<?php echo $k?>][0] 	= "<?php echo $cb->getAccountID()?>";
				cdrList[<?php echo $k?>][1] 	= "<?php echo formatJScriptString($cb->getAccountName())?>";
				cdrList[<?php echo $k?>][2] 	= "<?php echo $cb->getMotherAccount()?>";
				cdrList[<?php echo $k?>][3] 	= "<?php echo $cb->getContainsSubLedger()?>";
	<?php
				$k++;
			}
		}
	?>

	$(function () {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		calcTotal(0);
		$("#acc").select2();
		$('#depwith').select2();
		
		for(var i=1; i<=numRows; i++) {
			$("#macc" + i).select2({dropdownCssClass : 'drop400'});
			$("#cacc" + i).select2({dropdownCssClass : 'drop400'});
			
			$("#macc" + i).on("change", function (e) {
      	var nm		= $(this).attr('name');
      	var param	= nm.substring(4);
      	fetchSubaccount(param);
				showCBAL(param);
			});			
		}
		
		if(vid == "-1")
			alert("SORRY!!!, Critical System ERROR, Fail to Save Record");

	});	

	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});

	function showCBAL(param) {
		var accid = 0;
		if(param!=''){
			var macc	=	EBD('macc'+param).value;
			for(var i=0;i<mdrList.length;i++){
				if(mdrList[i][0]==macc){
					if(mdrList[i][3]=="NO")
						accid			= macc;
					else
						accid			= EBD("cacc"+param).value;
				}
			}
		}else
			accid			= EBD("acc"+param).value;

		if(accid!=0){
			var x = (window.ActiveXObject) ? new ActiveXObject("Microsoft.XMLHTTP") : new XMLHttpRequest();
			if (x){
				x.onreadystatechange = function(){
					if (x.readyState == 4 && x.status == 200){
						EBD("cbal"+param).value = x.responseText;
					}
				};
				x.open("POST", "ajax/clbal.php?accid="+accid, true);
				x.send("accid="+accid);
			}
		}
	}

	function showLedger(param) {
		var accid = 0;
		if(param=='')
			accid = EBD("acc"+param).value;
		else{
			var macc	=	EBD('macc'+param).value;
			for(var i=0;i<mdrList.length;i++){
				if(mdrList[i][0]==macc){
					if(mdrList[i][3]=="NO")
						accid			= macc;
					else
						accid			= EBD("cacc"+param).value;
				}
			}
		}
		if(accid==0){
			alert("Please select a Account");
			return;
		}

		var mf	= "menubar=yes,status=no,titlebar=no,toolbar=no,scrollbars=yes, resizable=yes,height=600,width=800";
		var loc	= "displayLedger.php?accid="+accid;
		window.open(loc,"ledger",mf);
	}

	function addRow() {
		var rTable=EBD("byTable");
		var iRow=rTable.insertRow(numRows);
		numRows++;
		if(numRows%2==0)
			iRow.style.background	=	"#f8f8f8";
		var iCell;
		iCell						= iRow.insertCell(0);
		iCell.innerHTML	= "<input type='button' class='red_button' style='width:25px;' value='"+numRows+"' onClick='clearAmount("+numRows+")' id='sn"+numRows+"' />";

		iCell						= iRow.insertCell(1);
		iCell.className	= "td_normal";
		iCell.innerHTML	= '<select name="macc' + numRows + '" id="macc' + numRows + '" style="width:180px"></select><input type="hidden" name="csubled' + numRows + '" id="csubled' + numRows + '" value="NO" />';

		iCell						= iRow.insertCell(2);
		iCell.id				=	"adiv"+numRows;
		iCell.className	= "td_normal";
		iCell.innerHTML	= '<div style="float:left;padding-top:1px;"><select name="cacc' + numRows + '" id="cacc' + numRows + '" style="width:160px"></select></div><div style="float:left;padding-top:1px;">&nbsp;<input type="text" class="input" name="cbal'+numRows+'" id="cbal'+numRows+'" value="" style="width:70px" readOnly="true" /></div><div style="float:left">&nbsp;<input type="button" class="red_button" name="VL'+numRows+'" id="VL'+numRows+'" value="VL" onClick="showLedger('+numRows+')" /></div>';

		iCell 					= iRow.insertCell(3);
		iCell.innerHTML	= '<input type="text" class="input" name="chqno'+numRows+'" id="chqno'+numRows+'" value="" style="width:50px" maxLength="6" onBlur="this.className=\'input\'" />';

		iCell 					= iRow.insertCell(4);
		iCell.innerHTML	= '<input type="text" class="input" name="chqdt'+numRows+'" id="chqdt'+numRows+'" value="<?php echo date('d-m-Y')?>" style="width:80px" onBlur="this.className=\'input\'" maxLength="10" />';

		iCell 					= iRow.insertCell(5);
		iCell.innerHTML	= '<input type="text" class="input" name="chqbn'+numRows+'" id="chqbn'+numRows+'" value="" style="width:90px" onBlur="this.className=\'input\'" />';

		iCell 					= iRow.insertCell(6);
		iCell.align			=	"right";
		iCell.innerHTML	= "<input type='text' class='input' name='amt"+numRows+"' id='amt"+numRows+"' value='' style='width:100px;text-align:right' maxLength='14' onChange='calcTotal()' />";

		iCell 					= iRow.insertCell(7);
		iCell.align			= "center";
		iCell.innerHTML	= "<input type='button' class='red_button' value='+' onClick='addRow()' />";


		$("#macc" + numRows).select2({dropdownCssClass : 'drop400'});
		$('#macc' + numRows).append('<option value="0">--</option>');
		$("#cacc" + numRows).select2({dropdownCssClass : 'drop400'});
		$('#chqdt' + numRows).datepicker({
			format: 'dd-mm-yyyy',
			autoHide: 'yes'
		});		
				
		for(var ii=0;ii<mdrList.length;ii++){
			$('#macc' + numRows).append('<option value="' + mdrList[ii][0] + '">' + mdrList[ii][1] + '</option>');
		}
		
		$("#macc" + numRows).on("change", function (e) {
      var nm		= $(this).attr('name');
      var param	= nm.substring(4);
      fetchSubaccount(param);
      showCBAL(param);
		});
	}

	function delRow() {
		if(numRows > 1){
			var rTable	= EBD("byTable");
			var iRow		= rTable.deleteRow(numRows-1);
			numRows--;
		}
	}

	function chkRec() {
		if(checkForValidInput('dt','Date','Please enter a valid date')==false) 	return;

		if(EBD('depwith').value==''){
			alert('Please select deposit/withdraw');
			EBD('depwith').focus();
			return;
		}

		if(EBD('acc').value==0){
			alert('Please select the Cash Account');
			EBD('accname').focus();
			return;
		}

		for(i=1;i<=numRows;i++){
			if(EBD('csubled'+i).value=='YES'){
				if(EBD('cacc'+i).value==0){
						alert("Please select sub ledger");
						EBD('caccname'+i).focus();
						return;
				}
			}
			for(j=i+1;j<=numRows;j++){
				if(EBD('macc'+i).value==EBD('macc'+j).value){
					if(EBD('cacc'+i).value==EBD('cacc'+j).value){
						alert("Duplicate/Same Account not allowed in Voucher entry");
						EBD('maccname'+j).focus();
						return;
					}
				}
			}
		}

		if(checkForValidInput('netTot','Positive','Nothing to Save, Net Total cannot be ZERO!!!')==false) 	return;

		EBD("numRows").value=numRows;

		if(confirm("SURE!!! SAVE THIS VOUCHER INFORMATION")==false) return false;

		var fm=EBD('hfrm');
		fm.submit();
	}

	function fetchSubaccount(param) {

    $('#cacc' + param).empty();
    $('#cacc' + param).append('<option value="0">--</option>');	
	
		var macc	=	EBD('macc' + param).value;
		if(macc == 0) return;

		var csl		=	'NO';
		for(var ij=0; ij<mdrList.length; ij++) {
			if(mdrList[ij][0] == macc)
				csl	=	mdrList[ij][3];
		}
		EBD('csubled' + param).value	=	csl;

		if(csl=='YES') {
			var j	=	0;
			for(var ii=0; ii<cdrList.length; ii++) {
				if(cdrList[ii][2] == macc) {
					$('#cacc' + param).append('<option value="' + cdrList[ii][0] + '">' + cdrList[ii][1] + '</option>');
				}
			}
		}
		
		$("#cacc" + param).on("change", function (e) {
      var nm		= $(this).attr('name');
      var n			= nm.substring(4);
      showCBAL(n);
		});
	}

	function calcTotal() {
		var tot	=	0;
		for(i=1;i<=numRows;i++){
			if(EBD('amt'+i).value=="") EBD('amt'+i).value	=	"0";
			if(isNaN(EBD('amt'+i).value)) EBD('amt'+i).value	=	"0";

			tot	=	tot + parseFloat(EBD('amt'+i).value);
		}
		EBD('netTot').value	=	setMoneyFormat(tot);
	}

	function clearAmount(param) {
		if(confirm("Are you sure, clear this row?")==false) return;

		EBD('amt'+param).value	=	"0";
		calcTotal();
	}

	function goBack() {
		location	=	"viewCON.php?vtid=<?php echo $vtid?>&DateFrom=<?php echo $DateFrom?>&DateTo=<?php echo $DateTo?>&AccountID=<?php echo $AccountID?>";
	}
	
</script>