<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.gstrate.php' );	
	
	
	$ModuleID			= -5;

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$cclass				= new asys_gstrate();
	
	if($tuser->getUserStatus() < ADMIN_USER) {
		header("Location:accessDenied.php");
		exit;
	}	
							
			
	$RateID	=	"";
	$Rate	=	"";

	$pno					= 0;
	$pkey					=	"";
	$rmsg					=	"";
	$msg					=	"Please enter all the fields correctly.";
	$pagen				=	"";

	$fcss					=	 array();
	for($i=0;$i<2;$i++)
		$fcss[$i]		=	"input";

	extract($_REQUEST);	
	
	$pKey					= (int)$pKey;
	$pno					= (int)$pno;
	
	$cclass				= $mdb->getGSTRateDetail($pKey);
	
	if($pagen == "process") {
		/* Check for valid input */


		$cclass->setRateID($pKey);
		$cclass->setRate($Rate);	

		if($rmsg == "") {
			if($gdb->UpdateObjectInDB($cclass)) {
				$msg	=	"<font class='blue'>GST Rate updated successfully</font>";
				$log	=	new asys_user_log();
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getRateID());				
				$log->setActivity("Updated existing GST Rate - ".$Rate);
				$log->setClassName('asys_gstrate');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);	
				
				$cclass				= $mdb->getGSTRateDetail($pKey);		
			} else {
				$msg	=	"<font class='red'>Rate ID/Name already exist, try with a different ID/Name</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
?>	

	<div id="pagehead">&nbsp;MODIFY EXISTING GST RATE</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="process" />
	<input type="hidden" name="pKey" value="<?php echo $pKey?>" />
	<input type="hidden" name="pno" value="<?php echo $pno?>" />
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewGSTRate.php"><img src="images/columns.gif" title="View GST Rate List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>		
				
		<tr>
			<td class="td_normal" width="150px">&nbsp;GST Rate</td>
			<td class="td_normal" width="10px">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[1]?>" name="Rate" id="Rate" value="<?php if($cclass->getRate() != 0) echo $cclass->getRate()?>" style="width:80px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[1]?>'" /></td>
		</tr>	
						
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Update (S) " AccessKey="S" onClick="submitForm('hfrm')" />
				<input type="button" class="red_button" value=" Go Back (G) " AccessKey="G" onClick="goBack()" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
	<br /><br />
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>	
		
<script language="javaScript">

	window.onload	=	function() {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		EBD('Rate').focus();
	};
	
	function goBack() {
		location = "viewGSTRate.php?pno=<?php echo $pno?>";
	}
	
</script>