<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_itemsubcategory.php' );
		
	
	$ModuleID			= 49;

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$cclass				= new gen_itemsubcategory();
	
	if($ldb->getEditPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
							
			
	$ItemSubcategoryID		=	"";
	$ItemCategoryID				=	"";
	$CompanyID						=	"";
	$ItemSubcategoryName	=	"";

	$schStr				= "";
	$icid					= "";
	$pkey					=	"";
	$rmsg					=	"";
	$msg					=	"Please enter all the fields correctly.";
	$pagen				=	"";

	$fcss					=	 array();
	for($i=0;$i<4;$i++)
		$fcss[$i]		=	"input";

	extract($_REQUEST);	
	
	$schStr				= addslashes($schStr);
	$icid					= (int)$icid;
	$pKey					= (int)$pKey;
	
	$cclass				= $mdb->getItemSubcategoryDetail($pKey);
	
	if($pagen == "process") {
		/* Check for valid input */		
		
		if((int)$ItemCategoryID <= 0) {
			$fcss[1]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Item Category";
		}

		if(trim($ItemSubcategoryName) == "") {
			$fcss[3]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Item Sub-category Name";
		}


		$cclass->setItemSubcategoryID($pKey);
		$cclass->setItemCategoryID($ItemCategoryID);
		//$cclass->setCompanyID($CompanyID);
		$cclass->setItemSubcategoryName($ItemSubcategoryName);	

		if($rmsg == "") {
			if($gdb->UpdateObjectInDB($cclass)) {
				$msg	=	"<font class='blue'>Item Subcategory updated successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getItemSubcategoryID());				
				$log->setActivity("Updated existing Item Subcategory - ".$ItemSubcategoryName);
				$log->setClassName('gen_itemsubcategory');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);
				
				$fullPath = __DIR__ . "/json/getItemSubcategoryList" ;
				array_map('unlink', glob( "$fullPath*.json"));				
				
				$cclass				= $mdb->getItemSubcategoryDetail($pKey);		
			} else {
				$msg	=	"<font class='red'>ItemSubcategory ID/Name already exist, try with a different ID/Name</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
?>	

	<div id="pagehead">&nbsp;MODIFY EXISTING ITEM SUB-CATEGORY</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="process" />
	<input type="hidden" name="pKey" value="<?php echo $pKey?>" />
	<input type="hidden" name="schStr" value="<?php echo $schStr?>" />
	<input type="hidden" name="icid" value="<?php echo $icid?>" />
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewItemSubcategory.php"><img src="images/columns.gif" title="View ItemSubcategory List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
			
		<tr>
			<td class="td_normal" width="170px">&nbsp;Item Category</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd1">
				<select name="ItemCategoryID" id="ItemCategoryID" style="width:400px"></select>
			</td>
		</tr>
				
		<tr>
			<td class="td_normal">&nbsp;Sub-category Name</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[3]?>" name="ItemSubcategoryName" id="ItemSubcategoryName" value="<?php echo $cclass->getItemSubcategoryName('yes')?>" style="width:400px" maxLength="200" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[3]?>'" /></td>
		</tr>
						
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Update (S) " AccessKey="S" onClick="submitForm('hfrm')" />
				<input type="button" class="red_button" value=" Go Back (G) " AccessKey="G" onClick="goBack()" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
	<br /><br />
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>	
		
<script language="javaScript">

	$(function () {
		$("#ItemCategoryID").select2();
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		fetchItemCategoryID();
	});
				
	function fetchItemCategoryID() {
	
    $('#ItemCategoryID').empty();
    $('#ItemCategoryID').append('<option value="0">--</option>');
    var iid		= "<?php echo $cclass->getItemCategoryID()?>";
    
    $.ajax({
			type: "POST",
			url: "json/getItemCategoryList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#ItemCategoryID').append('<option value="' + d.ItemCategoryID + '">' + d.ItemCategoryName + '</option>');
				});
				$("#ItemCategoryID").val(iid).change();
				
			}
    });

	}
	
	function goBack() {
		location = "viewItemSubcategory.php?schStr=<?php echo $schStr?>&pno=<?php echo $pno?>&icid=<?php echo $icid?>";
	}
	
</script>