<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.store.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.stockvoucher.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.gen_purchaseorder.php' );
	require_once( 'dao/class.gen_purchaseorder_items.php' );
	require_once( 'dao/class.gen_purchaseorder_addless.php' );
	require_once( 'dao/class.purchasedb.php' );
		
	
	$ModuleID			= 16;
	$cmpState			= $tcmp->getState();
	$cmStateCode	= getGSTStateCode($cmpState);	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$pdb					= new purchasedb();
	$cclass				= new gen_purchaseorder();
	$itmList			= $mdb->getItemList('', 0, $tcmp->getCompanyID());
	$accList			= $mdb->getAccountList($tcmp->getCompanyID());
	$addList			=	$mdb->getAddLessListJSON($tcmp->getCompanyID());
	$mainList			= $mdb->getMainAccountList($tcmp->getCompanyID());
	$casList			=	$mdb->getCashListJSON($tcmp->getCompanyID());
	$strList			= $mdb->getStoreList($tcmp->getCompanyID());
	
	if($ldb->getEditPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
							
			
	$OrderID				=	"";
	$PurchaseDate		=	"";
	$FinYear				=	"";
	$PurchaseNo			=	"";
	$PMotherAccountID	=	"";
	$PAccountID			=	"";
	$SMotherAccountID	=	"";
	$SupplierID			=	"";
	$StoreID				=	"";
	$ItemCategoryID	=	"";
	$SupplierBillNo	=	"";
	$SupplierBillDate	=	"";	
	$ItemTotal			=	"";
	$AddTotal				=	"";
	$LessTotal			=	"";
	$NetTotal				=	"";
	$DOE						=	"";
	$JVAccountID		=	"";
	$JVAddLess			=	"";
	$JVAmount				=	"";
	$Purpose				=	"";
	$Narration			=	"";
	$Import					=	"";
	$Currency				=	"";
	$Conversion			=	"";
	$CashSale				=	"";	


	$rmsg				=	"";
	$msg				=	"Please enter all the fields correctly.";
	$pagen			=	"";
	$numOfRows1	= 1;
	$numOfRows2	= 1;
	$csubled		= "NO";
	$csubled2		= "NO";
	$dataSaved	= "NO";
	
	$pKey				= "";
	$BDate1			= "";
	$Bdate2			= "";
	$ono				= "";
	$sid				= "";
	$pno				= "";
	$str				= "";	

	$fcss				=	 array();
	for($i=0;$i<40;$i++)
		$fcss[$i]	=	"input";

	extract($_REQUEST);
	
	$pKey				= (int)$pKey;
	$BDate1			= FormatSQLDateToIndianDate($BDate1);
	$BDate2			= FormatSQLDateToIndianDate($BDate2);
	$ono				= (int)$ono;
	$sid				= (int)$sid;
	$pno				= (int)$pno;
	$str				= (int)$str;
	
	if($tcmp->getCompanyID() != $pdb->getCompanyIDByTransaction('gen_purchaseorder', 'OrderID', $pKey)) {
		echo 'This data does not belong to the Company selected.';
		echo '<a href="home.php">Click Here</a> to go to Home';
		exit;
	}	
	
	$cclass			= $pdb->getPurchaseOrderDetail($pKey);		
	
	if($pagen == "process") {
		/* Check for valid input */		

		if(FormatIndianDateToSQLDate($PurchaseDate) == "1900-01-01") {
			$fcss[1]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Invalid Purchase Date";
		}

		if((int)$PMotherAccountID <= 0) {
			$fcss[2]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Main Account (Purchase)";
		}
		
		if($csubled == "YES") {
			if((int)$PAccountID <= 0) {
				$fcss[2]	=	"err_input";
				if($rmsg != "") $rmsg = $rmsg.",";
				$rmsg	=	$rmsg."Sub Account (Purchase)";
			}
		}	

		if((int)$SMotherAccountID <= 0) {
			$fcss[7]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Main Account (Supplier)";
		}		
		
		if($csubled2 == "YES") {
			if((int)$SupplierID <= 0) {
				$fcss[4]	=	"err_input";
				if($rmsg != "") $rmsg = $rmsg.",";
				$rmsg	=	$rmsg."Sub Account (Supplier)";
			}
		}
		
		if((int)$StoreID <= 0) {
			$fcss[6]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Store";
		}
		
		if(isset($_REQUEST["CashSale"])){
			$SupplierID	= $CashID;
			$CashSale		=	"YES";
		} else {
			$CashSale		=	"NO";
		}
		
		if(isset($_REQUEST["Import"]))
			$Import	= "YES";
		else
			$Import	= "NO";
			
		if($Import == "YES") {
			if(trim($Currency) == "") {
				if($rmsg != "") $rmsg = $rmsg.",";
				$rmsg	=	$rmsg."Currency";
			}			
			if((double)$Conversion <= 0) {
				if($rmsg != "") $rmsg = $rmsg.",";
				$rmsg	=	$rmsg."Currency conversion rate";
			}			
		}							

		$tdf						= $tcmp->getTxnDateFrom();
		$tdt						= $tcmp->getTxnDateTo();
		$txnDate				= FormatIndianDateToSQLDate($PurchaseDate);
		if($txnDate < $tdf || $txnDate > $tdt) {
			if($rmsg != "") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Transaction date outside allowed date range";
		}
		
		$itot		=	0;
		$distot	= 0;
		$igtot	= 0;
		$cgtot	= 0;
		$sgtot	= 0;
		$atot		=	0;
		$ntot		=	0;
		
		$prodList	=	array();
		for($i=1;$i<=$numOfRows1;$i++){
			$icls	=	new gen_purchaseorder_items();
			if((int)$_REQUEST["ItemID$i"] > 0 && (double)$_REQUEST["Quantity$i"] > 0 && (double)$_REQUEST["Rate$i"] > 0) {
			
				$iid		= (int)$_REQUEST["ItemID$i"];
				$qty		= (double)$_REQUEST["Quantity$i"];
				$rat		= (double)$_REQUEST["Rate$i"];
				$amt		= (double)$_REQUEST["Amount$i"];
				$drat		= (double)$_REQUEST["DiscPer$i"];
				$disc		= (double)$_REQUEST["Discount$i"];
				$igrt		= (double)$_REQUEST["IGSTRate$i"];
				$igamt	= (double)$_REQUEST["IGST$i"];
				$cgrt		= (double)$_REQUEST["CGSTRate$i"];
				$cgamt	= (double)$_REQUEST["CGST$i"];
				$sgrt		= (double)$_REQUEST["SGSTRate$i"];
				$sgamt	= (double)$_REQUEST["SGST$i"];
				$tamt		= (double)$_REQUEST["TotalAmount$i"];
			
				$icls->setOrderID($pKey);
				$icls->setItemID($iid);
				$icls->setQuantity($qty);
				$icls->setRate($rat);
				$icls->setDiscPer($drat);
				$icls->setDiscount($disc);
				$icls->setAmount($amt);
				$icls->setIGSTRate($igrt);
				$icls->setIGST($igamt);
				$icls->setCGSTRate($cgrt);
				$icls->setCGST($cgamt);
				$icls->setSGSTRate($sgrt);
				$icls->setSGST($sgamt);
				$icls->setTotalAmount($tamt);				
				
				$itot				= $itot + $tamt;
				$distot			= $distot + $disc;
				$igtot			= $igtot + $igamt;
				$cgtot			= $cgtot + $cgamt;
				$sgtot			= $sgtot + $sgamt;		
			
				$prodList[]	=	$icls;
			}
		}
		$cclass->setItemList($prodList);
		
		$alList	=	array();
		for($i=1;$i<=$numOfRows2;$i++) {
			$alclass	=	new gen_purchaseorder_addless();
			if($_REQUEST["alAmount$i"] != 0 && $_REQUEST["AccountID$i"] != 0){
				$alclass->setOrderID(0);
				$alclass->setAccountID($_REQUEST["AccountID$i"]);
				$alclass->setAddLess($_REQUEST["AddLess$i"]);
				$alclass->setCalcPercent($_REQUEST["CalcPercent$i"]);
				$alclass->setCalcAmount($_REQUEST["CalcAmount$i"]);
				$alclass->setAmount($_REQUEST["alAmount$i"]);
				$alclass->setNarration($_REQUEST["Narration$i"]);

				// Cross Check
				if($alclass->getAddLess() == "ADD")
					$atot	=	$atot + $alclass->getAmount();
				else
					$atot	=	$atot - $alclass->getAmount();

				$alList[]	=	$alclass;
			}
		}
		$cclass->setAddlessList($alList);
		
		$ntot	=	$itot + $atot;
		
		if($JVAccountID != 0) {
			if($JVAddLess == "ADD")
				$ntot	= $ntot + $JVAmount;
			else
				$ntot	= $ntot - $JVAmount;
		}		
		
		if($itot == 0) {
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."No Item selected";		
		}
		
		if($JVAccountID == 0) $JVAmount = 0;
		

		$cclass->setOrderID($pKey);
		//$cclass->setCompanyID($tcmp->getCompanyID());
		$cclass->setPurchaseDate($PurchaseDate);
		//$cclass->setFinYear($FinYear);
		//$cclass->setPurchaseNo($PurchaseNo);
		$cclass->setPMotherAccountID($PMotherAccountID);
		$cclass->setPAccountID($PAccountID);
		$cclass->setSMotherAccountID($SMotherAccountID);
		$cclass->setSupplierID($SupplierID);
		$cclass->setStoreID($StoreID);
		$cclass->setItemCategoryID($ItemCategoryID);
		$cclass->setSupplierBillNo($SupplierBillNo);
		$cclass->setSupplierBillDate($SupplierBillDate);		
		$cclass->setItemTotal($itot);
		$cclass->setIGST($igtot);
		$cclass->setCGST($cgtot);
		$cclass->setSGST($sgtot);
		$cclass->setDiscountTotal($distot);
		$cclass->setAddLessTotal($atot);
		$cclass->setNetTotal($ntot);
		$cclass->setDOE($cclass->getDOE().','.date('d-m-Y').' - '.$tuser->getUserID());
		$cclass->setJVAccountID($JVAccountID);
		$cclass->setJVAddLess($JVAddLess);
		$cclass->setJVAmount($JVAmount);
		if($JVAmount == 0) {
			$cclass->setJVAccountID(0);
			$cclass->setJVAddLess("");
			$cclass->setJVAmount(0);		
		}
		$cclass->setPurpose($Purpose);
		$cclass->setNarration($Narration);
		$cclass->setImport($Import);
		$cclass->setCurrency($Currency);
		$cclass->setConversion($Conversion);
		$cclass->setCashSale($CashSale);		

		if($rmsg == "") {
			if($pdb->UpdatePurchaseOrder($cclass) > 0) {
				$msg	=	"<font class='blue'>Purchase order updated successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getOrderID());				
				$log->setActivity("Modified Purchase order - ".$cclass->getPurchaseNo().'/'.$cclass->getFinYear());
				$log->setClassName('gen_purchaseorder');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);
				
				$dataSaved		= $cclass->getOrderID();
				
			} else {
				$msg	=	"<font class='red'>Purchase ID/Name already exist, try with a different ID/Name</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/select2.css");
	$iPage->addLink("css/modal.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/modal.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	if($cclass->getPAccountID() != 0) $csubled 		= "YES";
	if($cclass->getSupplierID() != 0) $csubled2		= "YES";	
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
	$cclass			= $pdb->getPurchaseOrderDetail($pKey);
	if(count($cclass->getItemList()) != 0)	$numOfRows1		=	count($cclass->getItemList());
	if(count($cclass->getAddlessList())!=0)	$numOfRows2		=	count($cclass->getAddlessList());
	
?>	

	<div id="pagehead">&nbsp;MODIFY PURCHASE ORDER</div>
	<div style="height:10px;"></div>
	
	<div style="width:1080px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="process" />
	<input type="hidden" name="pKey" id="pKey" value="<?php echo $pKey?>" />
	<input type="hidden" name="BDate1" id="BDate1" value="<?php echo $BDate1?>" />
	<input type="hidden" name="BDate2" id="BDate2" value="<?php echo $BDate2?>" />
	<input type="hidden" name="ono" id="ono" value="<?php echo $ono?>" />
	<input type="hidden" name="sid" id="sid" value="<?php echo $sid?>" />
	<input type="hidden" name="pno" id="pno" value="<?php echo $pno?>" />	
	<input type="hidden" name="str" id="str" value="<?php echo $str?>" />
	<input type="hidden" name="cmpState" id="cmpState" value="<?php echo $cmpState?>" />
	<input type="hidden" name="cusState" id="cusState" value="" />	
	<input type="hidden" name="numOfRows1" id="numOfRows1" value="<?php echo $numOfRows1?>" />
	<input type="hidden" name="numOfRows2" id="numOfRows2" value="<?php echo $numOfRows2?>" />
	<input type="hidden" name="csubled" id="csubled" value="<?php echo $csubled?>" />
	<input type="hidden" name="csubled2" id="csubled2" value="<?php echo $csubled2?>" />
	<table cellpadding="1" cellspacing="0" border="0" width="1080px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:1000px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewPurchaseOrder.php"><img src="images/columns.gif" title="View Purchase Order List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr style="height:2px"><td colspan="3"></td></tr>	
				
		<tr>
			<td class="td_normal" width="170px;">&nbsp;Order Date</td>
			<td class="td_normal" width="10px;">:</td>
			<td class="td_normal"><input data-toggle="datepicker" type="text" class="<?php echo $fcss[1]?>" name="PurchaseDate" id="PurchaseDate" value="<?php echo $cclass->getPurchaseDate('yes')?>" style="width:80px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[1]?>'" /></td>
		</tr>	
				
		<tr>
			<td class="td_normal">&nbsp;Select Ledger (Purchase)</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd8">
				<div style="float:left;">
				
				<select name="PMotherAccountID" id="PMotherAccountID" style="width:300px" onChange="fetchSubaccount()">
					<option value="0">--</option>
				<?php	
					for($i=0;$i<count($accList);$i++) {
						$cb	= $accList[$i];
						$tmp	= "";
						if($cb->getMotherAccount() == 0) {
							if($cclass->getPMotherAccountID() == $cb->getAccountID()) $tmp = "selected";
				?>
						<option value="<?php echo $cb->getAccountID()?>" <?php echo $tmp?>><?php echo $cb->getAccountName()?></option>
					<?php } ?>
				<?php } ?>
					</select>				

				</div>
				<div style="float:left;padding-left:5px;" id="_childDiv">
				
					<select name="PAccountID" id="PAccountID" style="width:300px">
						<option value="0">--</option>
					<?php	
						for($i=0;$i<count($accList);$i++) {
							$cb	= $accList[$i];
							$tmp	= "";
							if($cb->getMotherAccount() == $cclass->getPMotherAccountID()) {
								if($cclass->getPAccountID() == $cb->getAccountID()) $tmp = "selected";
					?>
							<option value="<?php echo $cb->getAccountID()?>" <?php echo $tmp?>><?php echo $cb->getAccountName()?></option>
						<?php } ?>
					<?php } ?>
						</select>
				</div>
			</td>
		</tr>
				
		<tr>
			<td class="td_normal">&nbsp;Supplier</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd5">
				<div style="float:left;padding-right:5px;padding-top:3px;">
					Cash Purchase
					<input type="checkbox" name="CashSale" id="CashSale" onChange="chgCustomer()" />
				</div>
				<div style="float:left;" id="supDiv">
				<select name="SMotherAccountID" id="SMotherAccountID" style="width:300px" onChange="fetchSubaccount2()">
					<option value="0">--</option>
				<?php	
					for($i=0;$i<count($accList);$i++) {
						$cb	= $accList[$i];
						$tmp	= "";
						if($cb->getMotherAccount() == 0) {
							if($cclass->getSMotherAccountID() == $cb->getAccountID()) $tmp = "selected";
				?>
						<option value="<?php echo $cb->getAccountID()?>" <?php echo $tmp?>><?php echo $cb->getAccountName()?></option>
					<?php } ?>
				<?php } ?>
					</select>
				</div>
				<div style="float:left;padding-left:5px;" id="_childDiv2">
					<select name="SupplierID" id="SupplierID" style="width:300px">
						<option value="0">--</option>
					<?php	
						for($i=0;$i<count($accList);$i++) {
							$cb	= $accList[$i];
							$tmp	= "";
							if($cb->getMotherAccount() == $cclass->getSMotherAccountID()) {
								if($cclass->getSupplierID() == $cb->getAccountID()) $tmp = "selected";
					?>
							<option value="<?php echo $cb->getAccountID()?>" <?php echo $tmp?>><?php echo $cb->getAccountName()?></option>
						<?php } ?>
					<?php } ?>
						</select>
				</div>
				<div style="float:left;display:none;width:430px;" id="cashDiv">
					<select name="CashID" id="CashID" style="width:400px">
						<option value="0">--</option>
					<?php	
						for($i=0;$i<count($casList);$i++) {
							$cb	= $casList[$i];
							$tmp	= "";
							if($cclass->getSupplierID() == $cb[0]) $tmp = "selected";
					?>
							<option value="<?php echo $cb[0]?>" <?php echo $tmp?>><?php echo $cb[1]?></option>
					<?php } ?>
					</select>
				</div>
			</td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Purpose</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="input" name="Purpose" id="Purpose" value="<?php echo $cclass->getPurpose('yes')?>" style="width:400px" maxLength="200" onFocus="this.className='input_focus'" onBlur="this.className='input'" /></td>
		</tr>	
				
		<tr>
			<td class="td_normal">&nbsp;Store</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd6">
				<select name="StoreID" id="StoreID" style="width:400px">
					<option value="0">--</option>
				<?php	
					for($i=0;$i<count($strList);$i++) {
						$cb	= $strList[$i];
						$tmp	= "";
						if($cclass->getStoreID() == $cb->getStoreID()) $tmp = "selected";
				?>
						<option value="<?php echo $cb->getStoreID()?>" <?php echo $tmp?>><?php echo $cb->getStoreName()?></option>
				<?php } ?>
				</select>
			</td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Narration</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="input" name="Narration" id="Narration" value="<?php echo $cclass->getNarration('yes')?>" style="width:600px" maxLength="300" onFocus="this.className='input_focus'" onBlur="this.className='input'" /></td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Import?</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<div style="float:left;">
					<input type="checkbox" class="<?php echo $fcss[26]?>" name="Import" id="Import" <?php if($cclass->getImport() == "YES") echo 'checked'; ?> onChange="showHideImport()" />
				</div>
				<div style="float:left;padding-left:5px;" id="_divImport">
					Currency&nbsp;
					<input type="text" class="input" name="Currency" id="Currency" value="<?php echo $cclass->getCurrency('yes')?>" style="width:80px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
					&nbsp;Conversion&nbsp;
					<input type="text" class="input" name="Conversion" id="Conversion" value="<?php echo $cclass->getConversion('yes')?>" style="width:80px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
				</div>
			</td>
		</tr>		
		
		<tr style="height:2px"><td colspan="3"></td></tr>
		<tr><td colspan="3" style="border-bottom:#99BBE8 1px solid;"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" class="td_normal_large bold red">
				&nbsp;Purchase Order Items
				<input type="button" class="red_button" value="+" onClick="paddRow()" />
				<input type="button" class="red_button" value="—" onClick="pdelRow()" />
			</td>
		</tr>
		<tr><td colspan="3" style="border-top:#99BBE8 1px solid;"></td></tr>
		<tr style="height:2px"><td colspan="3"></td></tr>	

	
	<!---------- ITEMS STARTS HERE ---------->
	
		<tr>
			<td colspan="3">	
	
				<table style="border:0px;" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<th width="4%" style="border-left: 1px solid #99BBE8;">SN</th>
						<th width="18%">Item</th>
						<th width="7%">Quantity</th>
						<th width="7%">Rate</th>
						<th width="8%">Amount</th>
						<th width="5%">Disc</th>
						<th width="7%">Discount</th>
						<th width="5%">(%)</th>
						<th width="7%">IGST</th>
						<th width="5%">(%)</th>
						<th width="7%">CGST</th>
						<th width="5%">(%)</th>
						<th width="7%">SGST</th>
						<th width="8%">Total</th>				
					</tr>
				</table>
				
			</td>
		</tr>	
	
		<tr>
			<td colspan="3">

				<table style="border:0px;" cellpadding="0" cellspacing="1" width="100%" id="ptTable">
				
		<?php if(count($cclass->getItemList()) == 0) { ?>
				
			<tr>
				<td width="4%" style="padding:2px;">
					<input type="button" class="orange_button" style="width:25px;" value="1" onClick="iclearItem(1)" id="msn1" />
				</td>
				<td  width="18%" style="padding:2px;" id="_jsontd11" class="td_normal">
					<select name="ItemID1" id="ItemID1" style="width:170px">
						<option value="0">--</option>
					<?php	
						for($i=0;$i<count($itmList);$i++) {
							$cb	= $itmList[$i];
							$tmp	= "";
					?>
							<option value="<?php echo $cb->getItemID()?>" <?php echo $tmp?>><?php echo $cb->getItemName()?></option>
					<?php } ?>
					</select>
				</td>
				<td width="7%" style="padding:2px;">
					<input type="text" class="input" name="Quantity1" id="Quantity1" value="" style="width:65px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="calcItemTot(1, 'Quantity1')" />
				</td>
				<td width="7%" style="padding:2px;">
					<input type="text" class="input" name="Rate1" id="Rate1" value="" style="width:65px" maxLength="15" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="calcItemTot(1, 'Rate1')" />
				</td>
				<td  width="8%" style="padding:2px;">
					<input type="text" class="input" name="Amount1" id="Amount1" value="" style="width:70px" maxLength="15" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="calcItemTot(1, 'Amount1')" />
				</td>
				<td width="5%" style="padding:2px;">
					<input type="text" class="input" name="DiscPer1" id="DiscPer1" value="" style="width:40px" maxLength="15" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="calcItemTot(1, 'DiscPer1')" />
				</td>
				<td  width="7%" style="padding:2px;">
					<input type="text" class="input" name="Discount1" id="Discount1" value="" style="width:60px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="calcItemTot(1, 'Discount1')" />
				</td>
				<td width="5%" style="padding:2px;">
					<input type="text" class="input" name="IGSTRate1" id="IGSTRate1" value="" style="width:40px" maxLength="15" readOnly="true" />
				</td>
				<td  width="7%" style="padding:2px;">
					<input type="text" class="input" name="IGST1" id="IGST1" value="" style="width:60px" onFocus="this.className='input_focus'" onBlur="this.className='input'"   onChange="calcItemTot(1, 'IGST1')" />
				</td>
				<td width="5%" style="padding:2px;">
					<input type="text" class="input" name="CGSTRate1" id="CGSTRate1" value="" style="width:40px" maxLength="15" readOnly="true" />
				</td>
				<td  width="7%" style="padding:2px;">
					<input type="text" class="input" name="CGST1" id="CGST1" value="" style="width:60px" onFocus="this.className='input_focus'" onBlur="this.className='input'"   onChange="calcItemTot(1, 'CGST1')" />
				</td>
				<td width="5%" style="padding:2px;">
					<input type="text" class="input" name="SGSTRate1" id="SGSTRate1" value="" style="width:40px" maxLength="15" readOnly="true" />
				</td>
				<td  width="7%" style="padding:2px;">
					<input type="text" class="input" name="SGST1" id="SGST1" value="" style="width:60px" onFocus="this.className='input_focus'" onBlur="this.className='input'"   onChange="calcItemTot(1, 'SGST1')" />
				</td>
				<td  width="8%" style="padding:2px;">
					<input type="text" class="input" name="TotalAmount1" id="TotalAmount1" value="" style="width:70px" readOnly="true" />
				</td>
			</tr>
				
			<?php } else { ?>
			<?php
				$pitm	=	$cclass->getItemList();
				for($i=0;$i<count($pitm);$i++) {
					$icls	=	$pitm[$i];
			?>
			
			<tr>
				<td width="4%" style="padding:2px;">
					<input type="button" class="orange_button" style="width:25px;" value="<?php echo ($i+1)?>" onClick="iclearItem(<?php echo ($i+1)?>)" id="msn<?php echo ($i+1)?>" />
				</td>
				<td  width="18%" style="padding:2px;" id="_jsontd1<?php echo ($i+1)?>" class="td_normal">
					<select name="ItemID<?php echo ($i+1)?>" id="ItemID<?php echo ($i+1)?>" style="width:170px">
						<option value="0">--</option>
					<?php	
						for($ii=0;$ii<count($itmList);$ii++) {
							$cb	= $itmList[$ii];
							$tmp	= "";
							if($icls->getItemID() == $cb->getItemID()) $tmp = "selected";
					?>
							<option value="<?php echo $cb->getItemID()?>" <?php echo $tmp?>><?php echo $cb->getItemName()?></option>
					<?php } ?>
					</select>
				</td>
				<td width="7%" style="padding:2px;">
					<input type="text" class="input" name="Quantity<?php echo ($i+1)?>" id="Quantity<?php echo ($i+1)?>" value="<?php echo $icls->getQuantity('no')?>" style="width:65px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="calcItemTot(<?php echo ($i+1)?>, 'Quantity<?php echo ($i+1)?>')" />
				</td>
				<td width="7%" style="padding:2px;">
					<input type="text" class="input" name="Rate<?php echo ($i+1)?>" id="Rate<?php echo ($i+1)?>" value="<?php echo $icls->getRate('no')?>" style="width:65px" maxLength="15" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="calcItemTot(<?php echo ($i+1)?>, 'Rate<?php echo ($i+1)?>')" />
				</td>
				<td  width="8%" style="padding:2px;">
					<input type="text" class="input" name="Amount<?php echo ($i+1)?>" id="Amount<?php echo ($i+1)?>" value="<?php echo $icls->getAmount('no')?>" style="width:70px" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="calcItemTot(<?php echo ($i+1)?>, 'Amount<?php echo ($i+1)?>')" />
				</td>
				<td width="5%" style="padding:2px;">
					<input type="text" class="input" name="DiscPer<?php echo ($i+1)?>" id="DiscPer<?php echo ($i+1)?>" value="<?php if($icls->getDiscPer() != 0) echo $icls->getDiscPer('no')?>" style="width:40px" maxLength="15" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="calcItemTot(<?php echo ($i+1)?>, 'DiscPer<?php echo ($i+1)?>')" />
				</td>
				<td  width="7%" style="padding:2px;">
					<input type="text" class="input" name="Discount<?php echo ($i+1)?>" id="Discount<?php echo ($i+1)?>" value="<?php if($icls->getDiscount() != 0) echo $icls->getDiscount('no')?>" style="width:60px" maxLength="10,2" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="calcItemTot(<?php echo ($i+1)?>, 'Discount<?php echo ($i+1)?>')" />
				</td>
				<td width="5%" style="padding:2px;">
					<input type="text" class="input" name="IGSTRate<?php echo ($i+1)?>" id="IGSTRate<?php echo ($i+1)?>" value="<?php if($icls->getIGSTRate() != 0) echo $icls->getIGSTRate('no')?>" style="width:40px" maxLength="15" readOny="true" />
				</td>
				<td  width="7%" style="padding:2px;">
					<input type="text" class="input" name="IGST<?php echo ($i+1)?>" id="IGST<?php echo ($i+1)?>" value="<?php if($icls->getIGST() != 0) echo $icls->getIGST('no')?>" style="width:60px" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="calcItemTot(<?php echo ($i+1)?>, 'IGST<?php echo ($i+1)?>')" />
				</td>
				<td width="5%" style="padding:2px;">
					<input type="text" class="input" name="CGSTRate<?php echo ($i+1)?>" id="CGSTRate<?php echo ($i+1)?>" value="<?php if($icls->getCGSTRate() != 0) echo $icls->getCGSTRate('no')?>" style="width:40px" maxLength="15" readOnly="true" />
				</td>
				<td  width="7%" style="padding:2px;">
					<input type="text" class="input" name="CGST<?php echo ($i+1)?>" id="CGST<?php echo ($i+1)?>" value="<?php if($icls->getCGST() != 0) echo $icls->getCGST('no')?>" style="width:60px" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="calcItemTot(<?php echo ($i+1)?>, 'CGST<?php echo ($i+1)?>')" />
				</td>
				<td width="5%" style="padding:2px;">
					<input type="text" class="input" name="SGSTRate<?php echo ($i+1)?>" id="SGSTRate<?php echo ($i+1)?>" value="<?php if($icls->getSGSTRate() != 0) echo $icls->getSGSTRate('no')?>" style="width:40px" maxLength="15" readOnly="true" />
				</td>
				<td  width="7%" style="padding:2px;">
					<input type="text" class="input" name="SGST<?php echo ($i+1)?>" id="SGST<?php echo ($i+1)?>" value="<?php if($icls->getSGST() != 0) echo $icls->getSGST('no')?>" style="width:60px" onFocus="this.className='input_focus'" onBlur="this.className='input'" onChange="calcItemTot(<?php echo ($i+1)?>, 'SGST<?php echo ($i+1)?>')" />
				</td>
				<td  width="8%" style="padding:2px;">
					<input type="text" class="input" name="TotalAmount<?php echo ($i+1)?>" id="TotalAmount<?php echo ($i+1)?>" value="<?php if($icls->getTotalAmount() != 0) echo $icls->getTotalAmount('no')?>" style="width:70px" readOnly="true" />
				</td>
			</tr>
				
			<?php } } ?>
				
		</table>
		
			</td>
		</tr>	

		<tr style="height:4px"><td colspan="3" style="border-bottom:#e6b800 1px solid;"></td></tr>
		<tr bgcolor="#F5F579">
			<td colspan="3">
				<table style="border:0px;" cellpadding="0" cellspacing="0" width="100%">	
	
					<tr bgcolor="#F5F579">
						<td colspan="4" class="td_normal bold">
							&nbsp;Item Total
						</td>
						<td  width="8%" style="padding:2px;">
							<input type="text" class="input" name="iTotal" id="iTotal" value="" style="width:70px" readOnly="true" />
						</td>
						<td  width="5%" style="padding:2px;">&nbsp;</td>
						<td  width="7%" style="padding:2px;">
							<input type="text" class="input" name="dTotal" id="dTotal" value="" style="width:60px" readOnly="true" />						
						</td>
						<td  width="5%" style="padding:2px;">&nbsp;</td>
						<td  width="7%" style="padding:2px;">
							<input type="text" class="input" name="IGSTTotal" id="IGSTTotal" value="" style="width:59px" readOnly="true" />
						</td>
						<td width="5%" style="padding:2px;">
							&nbsp;
						</td>
						<td  width="7%" style="padding:2px;">
							<input type="text" class="input" name="CGSTTotal" id="CGSTTotal" value="" style="width:59px" readOnly="true" />
						</td>
						<td width="5%" style="padding:2px;">
							&nbsp;
						</td>
						<td  width="7%" style="padding:2px;">
							<input type="text" class="input" name="SGSTTotal" id="SGSTTotal" value="" style="width:59px" readOnly="true" />
						</td>				
						<td width="8%" style="padding:2px;" align="center">
							<input type="text" class="input" value="<?php echo $cclass->getItemTotal()?>" name="ItemTotal" id="ItemTotal" style="width:68px" readOnly="true" />
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3" style="border-top:#e6b800 1px solid;"></td></tr>
			
	<!---------- ITEM ENDS HERE ---------->
	
	
		<tr>
			<td colspan="3">
				<table style="border:0px;" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td width="20%" style="padding:2px;" class="td_normal bold">JOURNAL VOUCHER</td>
						<td width="50%" style="padding:2px;" class="td_normal">
							<select name="JVAccountID" id="JVAccountID" style="width:400px">
								<option value="0">--</option>
							<?php	
								for($i=0;$i<count($mainList);$i++) {
									$cb	= $mainList[$i];
									$tmp	= "";
									if($cclass->getJVAccountID() == $cb->getAccountID()) $tmp = "selected";
							?>
									<option value="<?php echo $cb->getAccountID()?>" <?php echo $tmp?>><?php echo $cb->getAccountName()?></option>
							<?php } ?>
							</select>
						</td>
						<td  width="15%" style="padding:2px;" class="td_normal">
							<select name="JVAddLess" id="JVAddLess" style="width:70px;" onChange="calculateTotalOnly()">
								<option value="ADD">ADD</option>
								<option value="LESS">LESS</option>
							</select>
						</td>
						<td  width="15%" style="padding:2px;" align="right">
							<input type="text" class="input" value="" name="JVAmount" id="JVAmount" onFocus="this.className='input_focus'" onBlur="this.className='input'" maxLength="12" style="width:80px" onChange="calculateTotalOnly()" />
						</td>
					</tr>
				</table>
			</td>
		</tr>	
	
	
	<!---------- ADD-LESS STARTS HERE ---------->
		

		<tr>
			<td colspan="3">
				<table style="border:0px;" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<th width="5%" style="border-left: 1px solid #99BBE8;">SN</th>
						<th width="25%">Account</th>
						<th width="8%">Add/Less</th>
						<th  width="28%">Narration</th>
						<th  width="19%">Percent (%) of Amount</th>
						<th width="10%" align="right">Amount</th>
						<th width="5%" align="right" style="padding:2px;">
							<input type="button" class="red_button" value="—" onClick="aldelRow()" />
						</th>
					</tr>
				</table>
			</td>
		</tr>
		
		<tr>
			<td colspan="3">
				<table style="border:0px;" cellpadding="0" cellspacing="1" width="100%" id="alTable">
				<?php if(count($cclass->getAddlessList()) == 0) { ?>
					<tr>
						<td width="5%" style="padding:2px;">
							<input type="button" class="orange_button" style="width:25px;" value="1" onClick="alclearWtRate(1)" id="ssn1" />
						</td>
						<td width="25%" style="padding:2px;" class="td_normal">
							<select name="AccountID1" id="AccountID1" style="width:250px">
								<option value="0">--</option>
							<?php	
								for($i=0;$i<count($addList);$i++) {
									$cb	= $addList[$i];
									$tmp	= "";
							?>
									<option value="<?php echo $cb[0]?>" <?php echo $tmp?>><?php echo $cb[1]?></option>
							<?php } ?>
							</select>
						</td>
						<td  width="8%" style="padding:2px;" class="td_normal">
							<select name="AddLess1" id="AddLess1" onChange="calcAddlessTot(1)" style="width:75px">
								<option value="ADD">ADD</option>
								<option value="LESS">LESS</option>
							</select>
						</td>
						<td width="28%" style="padding:2px;">
							<input type="text" class="input" value="" name="Narration1" id="Narration1" onFocus="this.className='input_focus'" onBlur="this.className='input';" maxLength="200" style="width:250px" />
						</td>
						<td width="19%" style="padding:2px;" class="td_normal">
							<input type="text" class="input" value="" name="CalcPercent1" id="CalcPercent1" onFocus="this.className='input_focus'" onBlur="this.className='input';" maxLength="5" style="width:40px" onChange="calcAddlessTot(1)" />
							&nbsp;% of&nbsp;
							<input type="text" class="input" value="" name="CalcAmount1" id="CalcAmount1" onFocus="this.className='input_focus';findAmount(1)" onBlur="this.className='input';" maxLength="12" style="width:70px" onChange="calcAddlessTot(1)" />
						</td>
						<td  width="10%" style="padding:2px;" align="right">
							<input type="text" class="input" value="" name="alAmount1" id="alAmount1" onFocus="this.className='input_focus'" onBlur="this.className='input'" maxLength="12" style="width:80px" onChange="calcAddlessTot(1)" />
						</td>
						<td width="5%" style="padding:2px;" align="right">
							<input type="button" class="red_button" id="sbtnAS1" value="+" onClick="aladdRow()" />
						</td>
					</tr>
				<?php } else { ?>
				<?php
					$cstn	=	$cclass->getAddlessList();
					for($i=0;$i<count($cstn);$i++) {
						$iscls	=	$cstn[$i];
				?>
					<tr>
						<td width="5%" style="padding:2px;">
							<input type="button" class="orange_button" style="width:25px;" value="<?php echo ($i+1)?>" onClick="alclearWtRate(<?php echo $i+1?>)" id="ssn<?php echo $i+1?>" />
						</td>
						<td width="25%" style="padding:2px;" class="td_normal">
							<select name="AccountID<?php echo $i+1?>" id="AccountID<?php echo $i+1?>" style="width:250px">
								<option value="0">--</option>
							<?php	
								for($ii=0;$ii<count($addList);$ii++) {
									$cb	= $addList[$ii];
									$tmp	= "";
									if($iscls->getAccountID() == $cb[0]) $tmp = "selected";
							?>
									<option value="<?php echo $cb[0]?>" <?php echo $tmp?>><?php echo $cb[1]?></option>
							<?php } ?>
							</select>
						</td>
						<td  width="8%" style="padding:2px;" class="td_normal">
							<select name="AddLess<?php echo $i+1?>" id="AddLess<?php echo $i+1?>" onChange="calcAddlessTot(<?php echo $i+1?>)" style="width:75px">
								<option value="ADD" <?php if($iscls->getAddLess()=="ADD") echo 'selected';?>>ADD</option>
								<option value="LESS" <?php if($iscls->getAddLess()=="LESS") echo 'selected';?>>LESS</option>
							</select>
						</td>
						<td width="28%" style="padding:2px;">
							<input type="text" class="input" value="<?php echo $iscls->getNarration('yes')?>" name="Narration<?php echo $i+1?>" id="Narration<?php echo $i+1?>" onFocus="this.className='input_focus'" onBlur="this.className='input';" maxLength="200" style="width:250px" />
						</td>
						<td width="19%" style="padding:2px;" class="td_normal">
							<input type="text" class="input" value="<?php echo $iscls->getCalcPercent('no')?>" name="CalcPercent<?php echo $i+1?>" id="CalcPercent<?php echo $i+1?>" onFocus="this.className='input_focus'" onBlur="this.className='input';" maxLength="5" style="width:40px" onChange="calcAddlessTot(<?php echo $i+1?>)" />
							% of
							<input type="text" class="input" value="<?php echo $iscls->getCalcAmount('no')?>" name="CalcAmount<?php echo $i+1?>" id="CalcAmount<?php echo $i+1?>" onFocus="this.className='input_focus';findAmount(<?php echo $i+1?>)" onBlur="this.className='input';" maxLength="12" style="width:70px" onChange="calcAddlessTot(<?php echo $i+1?>)" />
						</td>
						<td  width="10%" style="padding:2px;" align="right">
							<input type="text" class="input" value="<?php echo $iscls->getAmount()?>" name="alAmount<?php echo $i+1?>" id="alAmount<?php echo $i+1?>" onFocus="this.className='input_focus'" onBlur="this.className='input'" maxLength="12" style="width:80px" onChange="calcAddlessTot(<?php echo $i+1?>)" />
						</td>
						<td width="5%" style="padding:2px;" align="right">
							<input type="button" class="red_button" id="sbtnAS<?php echo $i+1?>" value="+" onClick="aladdRow()" />
						</td>
					</tr>
				<?php } } ?>
				</table>
			</td>
		</tr>
		
		<tr style="height:4px"><td colspan="3" style="border-bottom:#e6b800 1px solid;"></td></tr>
		<tr bgcolor="#F5F579">
			<td colspan="3">
				<table style="border:0px;" cellpadding="0" cellspacing="0" width="100%">
					<tr bgcolor="#F5F579">
						<td width="85%" style="padding:2px;" class="td_normal bold">
							&nbsp;Add/Less Total
						</td>
						<td width="10%" style="padding:2px;" align="right">
							<input type="text" class="input" value="<?php echo $cclass->getAddLessTotal()?>" name="AddLessTotal" id="AddLessTotal" maxLength="12" style="width:100px" readOnly="true" />
						</td>
						<td width="5%" style="padding:2px;" align="right">
							&nbsp;
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3" style="border-top:#e6b800 1px solid;"></td></tr>
		<!---------- ADD-LESS ENDS HERE ---------->
		
		<tr style="height:4px"><td colspan="3" style="border-bottom:#0ca6a6 1px solid;"></td></tr>
		<tr bgcolor="#79F5F5">
			<td colspan="3">
				<table style="border:0px;" cellpadding="0" cellspacing="0" width="100%">
					<tr bgcolor="#79F5F5">
						<td width="85%" style="padding:2px;" class="td_normal bold">
							&nbsp;NET TOTAL
						</td>
						<td width="10%" style="padding:2px;">
							<input type="text" class="input" value="<?php echo $cclass->getNetTotal()?>" name="NetTotal" id="NetTotal" maxLength="12" style="width:100px" readOnly="true" />
						</td>
						<td width="5%" style="padding:2px;" align="right">
							&nbsp;
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr style="height:1px"><td colspan="3" style="border-top:#0ca6a6 1px solid;"></td></tr>
		
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Update (S) " AccessKey="S" onClick="saveRec()" />
				<input type="button" class="red_button" value=" Go Back (G) " AccessKey="G" onClick="goBack()" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
	<br /><br />
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>	
		
<script language="javaScript">

	var numRows1	= "<?php echo $numOfRows1?>";
	var numRows2	= "<?php echo $numOfRows2?>";

	var addList		= new Array();
	var mdrList		= new Array();
	var cdrList		= new Array();
	var itmList		= new Array();
	
	<?php $j 	= 0; ?>
	<?php	$k	=	0; ?>
	<?php	for($i=0;$i<count($accList);$i++) { ?>
	<?php		$cb	= $accList[$i]; ?>
	<?php		if($cb->getMotherAccount() == 0) { ?>
				mdrList[<?php echo $j?>] 			= new Array();
				mdrList[<?php echo $j?>][0] 	= "<?php echo $cb->getAccountID()?>";
				mdrList[<?php echo $j?>][1] 	= "<?php echo formatJScriptString($cb->getAccountName())?>";
				mdrList[<?php echo $j?>][2] 	= "<?php echo $cb->getMotherAccount()?>";
				mdrList[<?php echo $j?>][3] 	= "<?php echo $cb->getContainsSubLedger()?>";
				mdrList[<?php echo $j?>][4] 	= "<?php echo $cb->getState()?>";
	<?php $j++; ?>
	<?php		} else { ?>
				cdrList[<?php echo $k?>] 			= new Array();
				cdrList[<?php echo $k?>][0] 	= "<?php echo $cb->getAccountID()?>";
				cdrList[<?php echo $k?>][1] 	= "<?php echo formatJScriptString($cb->getAccountName())?>";
				cdrList[<?php echo $k?>][2] 	= "<?php echo $cb->getMotherAccount()?>";
				cdrList[<?php echo $k?>][3] 	= "<?php echo $cb->getContainsSubLedger()?>";
				cdrList[<?php echo $k?>][4] 	= "<?php echo $cb->getState()?>";
	<?php $k++; ?>
	<?php		} ?>
	<?php	} ?>	
	
	<?php for($i=0;$i<count($addList);$i++) { ?>
	<?php		$ab	= $addList[$i]; ?>
			addList[<?php echo $i?>] 			= new Array();
			addList[<?php echo $i?>][0] 	= "<?php echo $ab['AccountID']?>";
			addList[<?php echo $i?>][1] 	= "<?php echo formatJScriptString($ab['AccountName'])?>";
	<?php } ?>
	
	<?php	for($i=0;$i<count($itmList);$i++) { ?>
	<?php		$ab	= $itmList[$i]; ?>
			itmList[<?php echo $i?>] 			= new Array();
			itmList[<?php echo $i?>][0] 	= "<?php echo $ab->getItemID()?>";
			itmList[<?php echo $i?>][1] 	= "<?php echo formatJScriptString($ab->getItemName())?>";
	<?php } ?>	

	$(function () {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		
		$("#PMotherAccountID").select2();
		$("#PAccountID").select2();
		$("#SMotherAccountID").select2();
		$("#SupplierID").select2();
		$("#CashID").select2();
		$("#JVAccountID").select2();
		$("#JVAddLess").select2();
		$("#StoreID").select2();
		
		showHideImport();
		
		for(var i=1; i<=numRows1; i++) {
			$("#ItemID" + i).select2({dropdownCssClass : 'drop400'});			
		}
		
		for(var i=1; i<=numRows2; i++) {
			$("#AccountID" + i).select2({dropdownCssClass : 'drop400'});
			$("#AddLess" + i).select2();
		}		
		
	});	

	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});	

	function fetchSubaccount() {
    $('#PAccountID').empty();
    $('#PAccountID').append('<option value="0">--</option>');
    var pid		= "<?php echo $cclass->getPAccountID()?>";	
	
		var macc	=	EBD('PMotherAccountID').value;
		if(macc == 0) return;

		var csl		=	'NO';
		for(var ij=0; ij<mdrList.length; ij++) {
			if(mdrList[ij][0] == macc)
				csl	=	mdrList[ij][3];
		}
		EBD('csubled').value	=	csl;

		if(csl=='YES') {
			var j	=	0;
			for(var ii=0; ii<cdrList.length; ii++) {
				if(cdrList[ii][2] == macc) {
					$('#PAccountID').append('<option value="' + cdrList[ii][0] + '">' + cdrList[ii][1] + '</option>');
				}
			}
		}
		$('#PAccountID').val(pid).change();
	}
	
	function fetchSubaccount2() {
    $('#SupplierID').empty();
    $('#SupplierID').append('<option value="0">--</option>');
    var pid		= "<?php echo $cclass->getSupplierID()?>";	
	
		var macc	=	EBD('SMotherAccountID').value;
		if(macc == 0) return;

		var csl		=	'NO';
		for(var ij=0; ij<mdrList.length; ij++) {
			if(mdrList[ij][0] == macc)
				csl	=	mdrList[ij][3];
		}
		EBD('csubled2').value	=	csl;

		if(csl=='YES') {
			var j	=	0;
			for(var ii=0; ii<cdrList.length; ii++) {
				if(cdrList[ii][2] == macc) {
					$('#SupplierID').append('<option value="' + cdrList[ii][0] + '">' + cdrList[ii][1] + '</option>');
				}
			}
		}
		$('#SupplierID').val(pid).change();
	}
	
	function iclearItem(param) {
		if(confirm('Click OK to proceed with Item removal, please click Save/Update button to make final changes') == false) return;
		
		EBD('txtItemID' + param).value		=	"";
		EBD('ItemID' + param).value				=	"";
		EBD('Rate' + param).value					=	"";
		EBD('Quantity' + param).value			=	"";
		EBD('Amount' + param).value				=	"";
		EBD('DiscPer' + param).value			=	"";
		EBD('Discount' + param).value			=	"";
		EBD('IGSTRate' + param).value			=	"";
		EBD('IGST' + param).value					=	"";
		EBD('CGSTRate' + param).value			=	"";
		EBD('CGST' + param).value					=	"";
		EBD('SGSTRate' + param).value			=	"";
		EBD('SGST' + param).value					=	"";
		EBD('TotalAmount' + param).value	=	"";
	}
	
	function alclearWtRate(n) {
		if(confirm('Are you sure set Amount to ZERO!!!')==false) return;
		EBD('alAmount'+n).value		=	"0";
	}
	
	function findAmount(param){
		if(EBD('CalcPercent'+param).value=="") EBD('CalcPercent'+param).value			=	"0";
		if(isNaN(EBD('CalcPercent'+param).value)) EBD('CalcPercent'+param).value	=	"0";

		var per	=	parseFloat(EBD('CalcPercent'+param).value);
		if(per==0) return;

		var itot	=	parseFloat(EBD('ItemTotal').value);
		if(param==1)
			EBD('CalcAmount'+param).value	=	itot;
		else if(param>1){
			var prev	=	param - 1;
			EBD('CalcAmount'+param).value	=	EBD('alAmount'+prev).value;
		}

		calculateTotalOnly();
	}
	
	function paddRow()	{
		var rTable	= EBD("ptTable");
		var iRow		= rTable.insertRow(numRows1);
		
		numRows1++;
		var iCell;
		
		iCell								= iRow.insertCell(0);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="button" class="orange_button" style="width:25px;" value="' + numRows1 + '" onClick="iclearItem(' + numRows1 + ')" id="msn' + numRows1 + '">';

		iCell								= iRow.insertCell(1);
		iCell.style.padding	=	"2px";
		iCell.className			= "td_normal";
		iCell.id						=	"_jsontd1"+numRows1;
		iCell.innerHTML			= '<select name="ItemID' + numRows1 + '" id="ItemID' + numRows1 + '" style="width:170px;" onChange="fetchItemGST(' + numRows1 + ')"></select>';
		
		iCell								= iRow.insertCell(2);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="Quantity' + numRows1 + '" id="Quantity' + numRows1 + '" value="" style="width:65px" maxLength="10" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" onChange="calcItemTot('+numRows1+', \'Quantity'+numRows1+'\')" />';		

		iCell								= iRow.insertCell(3);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="Rate' + numRows1 + '" id="Rate' + numRows1 + '" value="" style="width:65px" maxLength="15" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" onChange="calcItemTot('+numRows1+', \'Rate'+numRows1+'\')" />';

		iCell								= iRow.insertCell(4);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="Amount' + numRows1 + '" id="Amount' + numRows1 + '" value="" style="width:70px" maxLength="15" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" onChange="calcItemTot('+numRows1+', \'Amount'+numRows1+'\')" />';

		iCell								= iRow.insertCell(5);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="DiscPer' + numRows1 + '" id="DiscPer' + numRows1 + '" value="" style="width:40px" maxLength="15" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" onChange="calcItemTot('+numRows1+', \'DiscPer'+numRows1+'\')" />';
		
		iCell								= iRow.insertCell(6);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="Discount' + numRows1 + '" id="Discount' + numRows1 + '" value="" style="width:60px" maxLength="10"  onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" onChange="calcItemTot('+numRows1+', \'Discount'+numRows1+'\')" />';

		iCell								= iRow.insertCell(7);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="IGSTRate' + numRows1 + '" id="IGSTRate' + numRows1 + '" value="" style="width:40px" maxLength="15" readOnly="true" />';
		
		iCell								= iRow.insertCell(8);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="IGST' + numRows1 + '" id="IGST' + numRows1 + '" value="" style="width:60px" onChange="calcItemTot('+numRows1+', \'IGST'+numRows1+'\')"  />';		

		iCell								= iRow.insertCell(9);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="CGSTRate' + numRows1 + '" id="CGSTRate' + numRows1 + '" value="" style="width:40px" maxLength="15" readOnly"true" />';
		
		iCell								= iRow.insertCell(10);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="CGST' + numRows1 + '" id="CGST' + numRows1 + '" value="" style="width:60px" onChange="calcItemTot('+numRows1+', \'CGST'+numRows1+'\')"  />';
		
		iCell								= iRow.insertCell(11);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="SGSTRate' + numRows1 + '" id="SGSTRate' + numRows1 + '" value="" style="width:40px" maxLength="15" readOnly="true" />';
		
		iCell								= iRow.insertCell(12);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="SGST' + numRows1 + '" id="SGST' + numRows1 + '" value="" style="width:60px" onChange="calcItemTot('+numRows1+', \'SGST'+numRows1+'\')"  />';
		
		iCell								= iRow.insertCell(13);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="TotalAmount' + numRows1 + '" id="TotalAmount' + numRows1 + '" value="" style="width:70px" readOnly="true" />';	

		$("#ItemID" + numRows1).select2({dropdownCssClass : 'drop400'});	
		$('#ItemID' + numRows1).append('<option value="0">--</option>');	
		
		for(var ii=0;ii<itmList.length;ii++){
			$('#ItemID' + numRows1).append('<option value="' + itmList[ii][0] + '">' + itmList[ii][1] + '</option>');
		}
		
	}

	function pdelRow()	{
		if(numRows1 > 1)	{
			var rTable	= EBD("ptTable");
			var iRow		= rTable.deleteRow(numRows1 - 1);
			numRows1--;
			
			calculateTotalOnly();
		}
	}
	
	function aladdRow()	{
		var rTable	= EBD("alTable");
		var iRow		= rTable.insertRow(numRows2);
		numRows2++;
		var iCell;
		
		iCell								= iRow.insertCell(0);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="button" class="orange_button" style="width:25px;" value="'+numRows2+'" onClick="alclearWtRate('+numRows2+')" id="ssn'+numRows2+'" />';

		iCell								= iRow.insertCell(1);
		iCell.style.padding	=	"2px";
		iCell.className			= "td_normal";
		iCell.innerHTML			= '<select name="AccountID'+numRows2+'" id="AccountID'+numRows2+'" style="width:250px;" ></select>';

		iCell								= iRow.insertCell(2);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<select name="AddLess'+numRows2+'" id="AddLess'+numRows2+'" onChange="calcAddlessTot('+numRows2+')" style="width:75px"><option value="ADD">ADD</option><option value="LESS">LESS</option></select>';

		iCell								= iRow.insertCell(3);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" value="" name="Narration'+numRows2+'" id="Narration'+numRows2+'" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\';" maxLength="200" style="width:250px" />';

		iCell								=	iRow.insertCell(4);
		iCell.style.padding	=	"2px";
		iCell.className			=	"td_normal";
		iCell.innerHTML			= '<input type="text" class="input" value="" name="CalcPercent'+numRows2+'" id="CalcPercent'+numRows2+'" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\';" maxLength="5" style="width:40px" onChange="calcAddlessTot('+numRows2+')" /> &nbsp;% of&nbsp; <input type="text" class="input" value="" name="CalcAmount'+numRows2+'" id="CalcAmount'+numRows2+'" onFocus="this.className=\'input_focus\';findAmount('+numRows2+')" onBlur="this.className=\'input\';" maxLength="12" style="width:70px" onChange="calcAddlessTot('+numRows2+')" />';

		iCell								=	iRow.insertCell(5);
		iCell.align					=	"right";
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" value="" name="alAmount'+numRows2+'" id="alAmount'+numRows2+'" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" maxLength="12" style="width:80px" onChange="calcAddlessTot('+numRows2+')">';

		iCell 							= iRow.insertCell(6);
		iCell.align					=	"right";
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="button" class="red_button" id="sbtnAS'+numRows2+'" value="+" onClick="aladdRow()" />';

		$("#AddLess" + numRows2).select2();
		$("#AccountID" + numRows2).select2({dropdownCssClass : 'drop400'});	
		$('#AccountID' + numRows2).append('<option value="0">--</option>');	
		
		for(var ii=0;ii<addList.length;ii++){
			$('#AccountID' + numRows2).append('<option value="' + addList[ii][0] + '">' + addList[ii][1] + '</option>');
		}
	}

	function aldelRow()	{
		if(numRows2 > 1)	{
			var rTable	= EBD("alTable");
			var iRow		= rTable.deleteRow(numRows2-1);
			numRows2--;
			
			calculateTotalOnly();
		}
	}
	
	function saveRec() {
		
		if(checkForValidInput('PurchaseDate','Date','Please enter Purchase Date') == false) return;
		
		if(EBD('PMotherAccountID').value == 0) {
			alert('Please select Purchase account');
			EBD('maccname1').focus();
			return;
		}
		
		if(EBD('csubled').value == "YES") {
			if(EBD('PAccountID').value == 0) {
				alert('Please select Purchase sub ledger');
				EBD('caccname1').focus();
				return;
			}
		}
		
		if(EBD('SMotherAccountID').value == 0) {
			alert('Please select Credit A/c');
			EBD('maccname2').focus();
			return;
		}
		
		if(EBD('csubled2').value == "YES") {
			if(EBD('SupplierID').value == 0) {
				alert('Please select Credit A/c sub ledger');
				EBD('caccname2').focus();
				return;
			}
		}
		
		if(EBD('StoreID').value == 0) {
			alert('Please select Store');
			EBD('txtStoreID').focus();
			return;
		}		

		var chk	= 0;
		for(i=1;i<=numRows1;i++) {
			if(checkForValidInput('Quantity'+i,'NonNegative','Quantity cannot be Negative, can enter Zero') == false) return;
			if(checkForValidInput('Rate'+i,'NonNegative','Rate cannot be Negative, zero allowed') == false) return;
		}
		
		for(i=1;i<=numRows2;i++) {
			if(checkForValidInput('alAmount'+i,'NonNegative','All/Less Amount cannot be Negative, can enter Zero')==false) return;
		}		

		EBD("numOfRows1").value	= numRows1;
		EBD("numOfRows2").value	= numRows2;
		
		var itot	=	parseFloat(EBD('ItemTotal').value);
		var altot	=	parseFloat(EBD('AddLessTotal').value);
		var ntot	=	parseFloat(EBD('NetTotal').value);

		if(itot == 0){
			alert('Nothing to save, please select at least ONE product');
			EBD('txtItemID1').focus();
			return;
		}
		if(ntot <= 0){
			alert('Net Total cannot be ZERO or Less than ZERO');
			return;
		}		

		if(confirm("SURE!!! UPDATE PURCHASE RECORD") == false) return;

		var fm	= EBD('hfrm');
		fm.submit();
	}
	
	function goBack() {
		location = "viewPurchaseOrder.php?BDate1=<?php echo $BDate1?>&BDate2=<?php echo $BDate2?>&ono=<?php echo $ono?>&sid=<?php echo $sid?>&pno=<?php echo $pno?>&str=<?php echo $str?>";
	}
	
	function fetchGSTRate() {
		
		var n					= numRows1;		
			
		for(var j=1;j<=n;j++) {
			
			fetchItemGST(j);
			
		}	
		
	}
	
	function fetchItemGST(param) {
		var cmpState	= EBD('cmpState').value;
		var cid				= EBD('SMotherAccountID').value;
		if(EBD('csubled2').value == "YES")
			cid					= EBD('SupplierID').value;
		var cusState	= "";
		var iid				= EBD('ItemID' + param).value;
		
		if(EBD('csubled2').value == "NO") {
			for(var i=1;i<=mdrList.length;i++) {
				if(mdrList[i-1][0] == cid) {
					cusState	= mdrList[i-1][4];
					break;
				}
			}	
		} else {
			for(var i=1;i<=cdrList.length;i++) {
				if(cdrList[i-1][0] == cid) {
					cusState	= cdrList[i-1][4];
					break;
				}
			}		
		}
		
		if(EBD('CashSale').checked == true) 
			cusState = cmpState;
			
		if(EBD('Import').checked == true) 
			cusState = "";			
		
		EBD('IGSTRate' + param).value		= "";
		EBD('IGST' + param).value				= "";
		EBD('SGSTRate' + param).value		= "";
		EBD('SGST' + param).value				= "";
		EBD('CGSTRate' + param).value		= "";
		EBD('CGST' + param).value				= "";
		
		EBD('IGST' + param).readOnly			= true;
		EBD('CGST' + param).readOnly			= true;
		EBD('SGST' + param).readOnly			= true;

		if(cusState == "") {
			//alert('Either customer not selected, or State not mentioned in Customer master.');
			calcItemTot(param, '');
			return;
		}
		
		if(iid == "") {
			//alert('Please select item.');
			calcItemTot(param, '');
			return;
		}		
		
		var x = (window.ActiveXObject) ? new ActiveXObject("Microsoft.XMLHTTP") : new XMLHttpRequest();
		if (x) {
			x.onreadystatechange = function() {
				if (x.readyState == 4 && x.status == 200) {
					var fr	= x.responseText;
					if(fr != "-1") {
						if(cmpState == cusState) {
							EBD('CGSTRate' + param).value			= fr/2;
							EBD('SGSTRate' + param).value			= fr/2;
							EBD('CGST' + param).readOnly			= false;
							EBD('SGST' + param).readOnly			= false;							
						} else {
							EBD('IGSTRate' + param).value			= fr;
							EBD('IGST' + param).readOnly			= false;							
						}
						
						calcItemTot(param, '');

					}
				}
			}
			x.open("GET", "ajax/getItemGSTRate.php?iid=" + iid, true);
			x.send(null);
		}		
				
	}
	
	function chgCustomer(fc){
		if(EBD('CashSale').checked == true){
			EBD('cashDiv').style.display		=	"inline";
			EBD('supDiv').style.display			=	"none";
			EBD('_childDiv2').style.display	=	"none";
		} else {
			EBD('cashDiv').style.display		=	"none";
			EBD('supDiv').style.display			=	"inline";
			EBD('_childDiv2').style.display	=	"inline";
		}
		
		if(fc == 'yes')
			fetchGSTRate();
	}
	
	function showHideImport() {
		if(EBD('Import').checked == true) {
			EBD('_divImport').style.display	= "inline";
		} else {
			EBD('_divImport').style.display	= "none";
		}
		
		fetchGSTRate();
	}
	
	function calculateTotalOnly() {

		var itot	=	0;
		var igtot	= 0;
		var cgtot	= 0;
		var sgtot	= 0;
		var altot	=	0;
		var ntot	=	0;
		var dtot	= 0;
		
		for(i=1;i<=numRows1;i++) {
			
			itot			= itot + parseFloat(EBD('TotalAmount' + i).value);
			igtot			= igtot + parseFloat(EBD('IGST' + i).value);
			cgtot			= cgtot + parseFloat(EBD('CGST' + i).value);
			sgtot			= sgtot + parseFloat(EBD('SGST' + i).value);
			dtot			= dtot + parseFloat(EBD('Discount' + i).value);
			
		}
		
		EBD('dTotal').value			=	setMoneyFormat(dtot);
		EBD('iTotal').value			=	setMoneyFormat(itot - (igtot + cgtot + sgtot) + dtot);
		EBD('IGSTTotal').value	=	setMoneyFormat(igtot);
		EBD('CGSTTotal').value	=	setMoneyFormat(cgtot);
		EBD('SGSTTotal').value	=	setMoneyFormat(sgtot);		
		
		for(i=1;i<=numRows2;i++)	{

			if(EBD('CalcPercent' + i).value=="") EBD('CalcPercent' + i).value			=	"0";
			if(isNaN(EBD('CalcPercent' + i).value)) EBD('CalcPercent' + i).value	=	"0";

			if(EBD('CalcAmount' + i).value=="") EBD('CalcAmount' + i).value			=	"0";
			if(isNaN(EBD('CalcAmount' + i).value)) EBD('CalcAmount' + i).value	=	"0";

			if(EBD('alAmount' + i).value=="") EBD('alAmount' + i).value			=	"0";
			if(isNaN(EBD('alAmount' + i).value)) EBD('alAmount' + i).value	=	"0";		

			var amt	=	parseFloat(EBD('alAmount' +i ).value);
			var al	=	EBD('AddLess' + i).value;
			if(al == "ADD")
				altot	=	altot + amt;
			else
				altot	=	altot - amt;
		}
		
		ntot		=	itot + altot;
		
		EBD('AddLessTotal').value	=	setMoneyFormat(altot);
		EBD('ItemTotal').value		=	setMoneyFormat(itot);		
		EBD('NetTotal').value			=	setMoneyFormat(ntot);		
	}
	
	function calcItemTot(n, fld) {

		var itot	=	0;

		if(isNaN(EBD('Quantity' + n).value)) EBD('Quantity' + n).value	=	"";
		if(isNaN(EBD('Rate' + n).value)) EBD('Rate' + n).value					=	"";
		if(isNaN(EBD('Amount' + n).value)) EBD('Amount' + n).value			=	"";
		if(isNaN(EBD('DiscPer' + n).value)) EBD('DiscPer' + n).value		=	"";
		if(isNaN(EBD('Discount' + n).value)) EBD('Discount' + n).value	=	"";
		if(isNaN(EBD('IGSTRate' + n).value)) EBD('IGSTRate' + n).value	=	"";
		if(isNaN(EBD('IGST' + n).value)) EBD('IGST' + n).value					=	"";
		if(isNaN(EBD('CGSTRate' + n).value)) EBD('CGSTRate' + n).value	=	"";
		if(isNaN(EBD('CGST' + n).value)) EBD('CGST' + n).value					=	"";
		if(isNaN(EBD('SGSTRate' + n).value)) EBD('SGSTRate' + n).value	=	"";
		if(isNaN(EBD('SGST' + n).value)) EBD('SGST' + n).value					=	"";
		
		var qt		= 0;
		var rt		= 0;
		var amt		= 0;
		var dper	= 0;
		var disc	= 0;
		var igrt	= 0;
		var igamt	= 0;
		var cgrt	= 0;
		var cgamt	= 0;
		var sgrt	= 0;
		var sgamt	= 0;
		var tamt	= 0;

		if(EBD('Quantity' + n).value != "")
			qt		=	parseFloat(EBD('Quantity' + n).value);
		if(fld != 'Amount' + n ) {
			if(EBD('Rate' + n).value != "")
				rt		=	parseFloat(EBD('Rate' + n).value);
		}
		if(EBD('DiscPer' + n).value != "")
			dper	=	parseFloat(EBD('DiscPer' + n).value);
		if(EBD('Discount' + n).value != "")
			disc	=	parseFloat(EBD('Discount' + n).value);
		if(EBD('IGSTRate' + n).value != "")
			igrt	=	parseFloat(EBD('IGSTRate' + n).value);
		if(EBD('CGSTRate' + n).value != "")
			cgrt	=	parseFloat(EBD('CGSTRate' + n).value);
		if(EBD('SGSTRate' + n).value != "")
			sgrt	=	parseFloat(EBD('SGSTRate' + n).value);																			

		if(fld == 'Amount' + n) {
			amt				= EBD('Amount' + n).value;
			rt				= amt / qt;
			EBD('Rate' + n).value = rt;
		} else {
			amt				=	qt * rt;
			EBD('Amount' + n).value		=	setMoneyFormat(amt);
		}
		
		if(dper != 0)
			disc		= (dper/100) * amt;
			
		amt				= amt - disc;
		
		if(fld == 'Quantity' + n || fld == 'Rate' + n || fld == 'Amount' + n || fld == 'DiscPer' + n || fld == 'Discount' + n) {
		
			igamt			= (igrt/100) * amt;
			cgamt			= (cgrt/100) * amt;
			sgamt			= (sgrt/100) * amt;
			
		} else {
			
			if(EBD('IGST' + n).value != "")
				igamt	=	parseFloat(EBD('IGST' + n).value);			
			if(igamt == 0)
				igamt			= (igrt/100) * amt;

			if(EBD('CGST' + n).value != "")
				cgamt	=	parseFloat(EBD('CGST' + n).value);			
			if(cgamt == 0)
				cgamt			= (cgrt/100) * amt;
					
			if(EBD('SGST' + n).value != "")
				sgamt	=	parseFloat(EBD('SGST' + n).value);			
			if(sgamt == 0)
				sgamt			= (sgrt/100) * amt;
			
		}
		
		EBD('Discount' + n).value	=	setMoneyFormat(disc);
		
		tamt			= amt + (igamt + cgamt + sgamt);
		
		EBD('IGST' + n).value					=	setMoneyFormat(igamt);
		EBD('CGST' + n).value					=	setMoneyFormat(cgamt);
		EBD('SGST' + n).value					=	setMoneyFormat(sgamt);		
		EBD('TotalAmount' + n).value	=	setMoneyFormat(tamt);
		
		calculateTotalOnly();
	}	
	
	function calcAddlessTot(n) {
		
		if(EBD('CalcPercent' + n).value=="") EBD('CalcPercent' + n).value			=	"0";
		if(isNaN(EBD('CalcPercent' + n).value)) EBD('CalcPercent' + n).value	=	"0";

		if(EBD('CalcAmount' + n).value=="") EBD('CalcAmount' + n).value				=	"0";
		if(isNaN(EBD('CalcAmount' + n).value)) EBD('CalcAmount' + n).value		=	"0";

		if(EBD('alAmount' + n).value=="") EBD('alAmount' + n).value						=	"0";
		if(isNaN(EBD('alAmount' + n).value)) EBD('alAmount' + n).value				=	"0";

		var amt	=	0;
		var per	=	0;
		var pam	=	0;

		per	=	parseFloat(EBD('CalcPercent' + n).value);
		pam	=	parseFloat(EBD('CalcAmount' + n).value);

		if(per != 0 && pam != 0){
			amt	=	per/100 * pam;
			EBD('alAmount' + n).value	=	setMoneyFormat(amt);
		}
		
		calculateTotalOnly();
	}	

</script>