<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.tdssection.php' );	
	
	
	$ModuleID			= 53;

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$cclass				= new asys_tdssection();
	
	if($ldb->getEditPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
							
			
	$SectionID		=	"";
	$SectionName	=	"";
	$Detail				=	"";
	$Percentage		=	"";

	$pno					= 0;
	$pKey					=	"";
	$rmsg					=	"";
	$msg					=	"Please enter all the fields correctly.";
	$pagen				=	"";

	$fcss					=	 array();
	for($i=0;$i<5;$i++)
		$fcss[$i]		=	"input";

	extract($_REQUEST);	
	
	$pKey					= (int)$pKey;
	$pno					= (int)$pno;
	
	$cclass				= $mdb->getTDSSectionDetail($pKey);
	
	if($pagen == "process") {
		/* Check for valid input */

		if(trim($SectionName) == "") {
			$fcss[1]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Section Name";
		}

		if((int)$Percentage <= 0) {
			$fcss[3]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Percentage";
		}

		$cclass->setSectionName($SectionName);
		$cclass->setDetail($Detail);
		$cclass->setPercentage($Percentage);	

		if($rmsg == "") {
			if($gdb->UpdateObjectInDB($cclass)) {
				$msg	=	"<font class='blue'>TDS Section updated successfully</font>";
				$log	=	new asys_user_log();
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getSectionID());				
				$log->setActivity("Updated existing TDS Section - ".$SectionName);
				$log->setClassName('asys_tdssection');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);	
				
				$cclass				= $mdb->getTDSSectionDetail($pKey);		
			} else {
				$msg	=	"<font class='red'>Section ID/Name already exist, try with a different ID/Name</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
?>	

	<div id="pagehead">&nbsp;MODIFY EXISTING TDS Section</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="process" />
	<input type="hidden" name="pKey" value="<?php echo $pKey?>" />
	<input type="hidden" name="pno" value="<?php echo $pno?>" />
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewTDSSection.php"><img src="images/columns.gif" title="View TDS Section List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>		
				
		<tr>
			<td class="td_normal">&nbsp;Section Name</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[1]?>" name="SectionName" id="SectionName" value="<?php echo $cclass->getSectionName('yes')?>" style="width:400px" maxLength="30" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[1]?>'" /></td>
		</tr>	
				
		<tr>
			<td class="td_normal" valign="top">&nbsp;Detail</td>
			<td class="td_normal" valign="top">:</td>
			<td class="td_normal" valign="top"><textarea class="<?php echo $fcss[2]?>" name="Detail" id="Detail" value="" style="width:400px" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[2]?>'" /><?php echo $cclass->getDetail('yes')?></textarea></td>
		</tr>	
				
		<tr>
			<td class="td_normal">&nbsp;Percentage</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[3]?>" name="Percentage" id="Percentage" value="<?php if($cclass->getPercentage('no') != 0) echo $cclass->getPercentage('no')?>" style="width:80px" maxLength="5,2" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[3]?>'" /></td>
		</tr>
						
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Update (S) " AccessKey="S" onClick="submitForm('hfrm')" />
				<input type="button" class="red_button" value=" Go Back (G) " AccessKey="G" onClick="goBack()" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
	<br /><br />
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>	
		
<script language="javaScript">

	window.onload	=	function() {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		EBD('SectionName').focus();
	};
	
	function goBack() {
		location = "viewTDSSection.php?pno=<?php echo $pno?>";
	}
	
</script>