<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_grn.php' );
	require_once( 'dao/class.gen_grn_items.php' );
	require_once( 'dao/class.purchasedb.php' );

	$pdb			= new purchasedb();
	
	$grnList	= $pdb->getGRNListForTagging($tcmp->getCompanyID());
	
	$grs			= "";
	
	extract($_REQUEST);
	
	$mgrs			= "";
	
	if($grs != "") {
		$tmp		= explode(",", $grs);
		
		for($i=0;$i<count($tmp);$i++) {
			$gid	= (int)$tmp[$i];
			if($gid != 0) {
				if($mgrs != '') $mgrs = $mgrs.',';
				$mgrs = $mgrs.$gid;
			}
		}
	}

?>


<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>adapSys ERP</title>
	<link rel="stylesheet" href="css/asys.css" type="text/css" />
	<script type="text/javascript" src="js/jquery.js"></script>
</head>

<body>

	<div><font class="red" style="font-size:18px;">GRN FOR TAGGING</font></div>
	
	<table cellpadding="1" cellspacing="1" border="0" width="850px" align="center" style="background-color:#89BCCC">
		
		<tr bgcolor="#D6E3F3">
			<td class="td_normal bold" width="50" align="center">Action</td>
			<td class="td_normal bold" width="100">#</td>
			<td class="td_normal bold" width="100">Date</td>
			<td class="td_normal bold" width="200">Store</td>
			<td class="td_normal bold" width="240">Supplier</td>
			<td class="td_normal bold" width="110" align="right">Amount</td>
		</tr>
		
	</table>	

	<div style="height:380px;overflow:auto;">

		<table cellpadding="1" cellspacing="1" border="0" width="99%" align="center" style="background-color:#89BCCC">
		
			<?php
				$m		= 0;
				if($grs != "") {
					$tmp	= explode(",", $mgrs);
					$m		= count($tmp);
					for($i = 0; $i < $m; $i++) {
						$gid	= $tmp[$i];
						$row	= $pdb->getGRNDetail($gid);
			?>
				
				<tr bgcolor="#FFF">
					<td width="50" class="td_normal" style="text-align:center">
						<input type="checkbox" class="select" id="_chk<?php echo $i?>" checked>
						<input type="hidden" id="_grnid<?php echo $i?>" value="<?php echo $row->getGRNID()?>">
					</td>			
					<td width="100" class="td_normal"><?php echo $row->getGRNNo()?>/<?php echo $row->getFinYear()?></td>
					<td width="100" class="td_normal" align="center"><?php echo $row->getGRNDate('yes')?></td>
					<td width="200" class="td_normal"><?php echo $row->getStoreName('yes')?></td>
					<td width="250" class="td_normal"><?php echo $row->getSupplierName()?></td>
					<td width="100" class="td_normal" style="text-align:right"><?php echo $row->getItemTotal('yes')?></td>
				</tr>			
			
				<?php } ?>
			<?php } ?>
		
			<?php
				$n					= count($grnList);
				for($i = $m; $i < ($m+$n); $i++) {
					$row			= $grnList[$i-$m];
			?>
				<tr bgcolor="#FFF">
					<td width="50" class="td_normal" style="text-align:center">
						<input type="checkbox" class="select" id="_chk<?php echo $i?>">
						<input type="hidden" id="_grnid<?php echo $i?>" value="<?php echo $row->getGRNID()?>">
					</td>			
					<td width="100" class="td_normal"><?php echo $row->getGRNNo()?>/<?php echo $row->getFinYear()?></td>
					<td width="100" class="td_normal" align="center"><?php echo $row->getGRNDate('yes')?></td>
					<td width="200" class="td_normal"><?php echo $row->getStoreName('yes')?></td>
					<td width="250" class="td_normal"><?php echo $row->getSupplierName()?></td>
					<td width="100" class="td_normal" style="text-align:right"><?php echo $row->getItemTotal('yes')?></td>
				</tr>
			<?php } ?>
		
		</table>
	
	</div>
	
	<div style="text-align:center;padding:10px;">
		<input type="hidden" id="_grnCnt" value="<?php echo ($m+$n)?>">
		<input type="button" class="red_button" value="Select GRN" onClick="updateGRNs()" style="width:100px;">
		<input type="button" class="red_button" value="Close" onClick="javascript:$.modal.close();" style="width:100px;">
	</div>

</body>
</html>
