<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.group.php' );
	require_once( 'dao/asys.basesubgroup.php' );
	require_once( 'dao/asys.account.php' );			
	
	$ModuleID			= 4;

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	
	if($ldb->getEditPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$paction		=	"";
	$xFile			=	"";
	$rmsg				=	"";
	$rmsg2			=	"";
	
	extract($_REQUEST);
	
	if($paction == "upd") {
			
	
		/* Presentation File */
		$fileName		= $_FILES['xFile']['name'];
		$fileType		= $_FILES['xFile']['type'];
		$fileSize		= $_FILES['xFile']['size'];

		/* If the file uploaded and having size>0 then proceed */
		if($fileSize !=0 ){
			$temp				= pathinfo($fileName);
			$basename		= $temp["basename"];
			$extension 	= strtolower($temp["extension"]);

			if($extension != "xlsx" && $extension != "xls")	{
				if($rmsg != "") $rmsg	=	$rmsg.", ";
				$rmsg	=	$rmsg."Invalid Excel file extension - try xlsx/xls";
			} else {
				$fn					=	uniqid("ix").".".$extension;
				$uploaddir	=	$fn;
				if (move_uploaded_file($_FILES['xFile']['tmp_name'], $uploaddir)){
					/** Error reporting */
					error_reporting(E_ALL);

					/** PHPExcel */
					require_once ( './excel/PHPExcel.php' );
					require_once ( './excel/PHPExcel/Reader/Excel5.php' );
					require_once ( './excel/PHPExcel/Reader/Excel2007.php' );
					
					ini_set('max_execution_time', 300);
					
					if($extension == "xlsx")
						$objReader = new PHPExcel_Reader_Excel2007();
					else
						$objReader = new PHPExcel_Reader_Excel5();
					$objReader->setReadDataOnly(true);
					$objReader->setLoadAllSheets();
					$objPHPExcel 	= $objReader->load($uploaddir);
					$worksheet		= $objPHPExcel->getSheet(0);
					
					$num_rows 		= $worksheet->getHighestRow();
					$num_cols 		= $worksheet->getHighestColumn();
					
					if ($num_rows != 1 && $num_cols != 1) {

						for ($r = 1; $r <= $num_rows; ++$r) {
							$gid 	= (int)$worksheet->getCellByColumnAndRow(0, $r)->getCalculatedValue();
							$sgid = (int)$worksheet->getCellByColumnAndRow(1, $r)->getCalculatedValue();
							$mid 	= (int)$worksheet->getCellByColumnAndRow(2, $r)->getCalculatedValue();
							$csl 	= trim($worksheet->getCellByColumnAndRow(3, $r)->getCalculatedValue());
							$anm	= trim($worksheet->getCellByColumnAndRow(4, $r)->getCalculatedValue());
							$pnm	= trim($worksheet->getCellByColumnAndRow(5, $r)->getCalculatedValue());
							$ctry	= trim($worksheet->getCellByColumnAndRow(6, $r)->getCalculatedValue());
							$stat	= trim($worksheet->getCellByColumnAndRow(7, $r)->getCalculatedValue());
							$city	= trim($worksheet->getCellByColumnAndRow(8, $r)->getCalculatedValue());
							$gst	= trim($worksheet->getCellByColumnAndRow(9, $r)->getCalculatedValue());
							$pan	= trim($worksheet->getCellByColumnAndRow(10, $r)->getCalculatedValue());

							if($gid < 1) continue;
							if($gid > 25) continue;
							
							if($mid != 0) {
								$accdet = $mdb->getAccountDetail($mid);
								if($accdet->getContainsSubLedger() != "YES") {
									$mid = 0;
								} else {
									$gid = $accdet->getGroupID();
								}
							}
							
							if($mid != 0) $csl = "NO";
							
							if($sgid != 0) {
								$sgdet = $mdb->getSubgroupDetail($sgid);
								if($sgdet->getSubgroupID() == 0) $sgid = 0;
							}
							
							if($anm == "") continue;
							if($csl != "YES") $csl = "NO";
							
							$cclass				= new asys_accounts();
							
							$cclass->setAccountID($gdb->getNextID("asys_accounts","AccountID"));
							$cclass->setCompanyID($tcmp->getCompanyID());
							$cclass->setGroupID($gid);
							$cclass->setBGID($mdb->getBaseGroupByGroupID($gid));
							$cclass->setSubgroupID($sgid);
							$cclass->setMotherAccount($mid);
							$cclass->setContainsSubLedger($csl);
							$cclass->setAccountName($anm);
							$cclass->setPrnName($pnm);
							$cclass->setCountry($ctry);
							$cclass->setState($stat);
							$cclass->setCity($city);
							$cclass->setGST($gst);
							$cclass->setPAN($pan);
							
							$gdb->SaveObjectToDB($cclass);
							
							$msg	=	"<font class='blue'>Account created successfully</font>";

						}
											
					}	
					
				}
				clearstatcache();
			}
		}			
	}

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("extjs/resources/css/ext-all.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("extjs/adapter/ext/ext-base.js");
	$iPage->addScript("extjs/ext-all.js");	
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);
	
?>

	<div id="pagehead">&nbsp;IMPORT ACCOUNT LEDGER FROM EXCEL</div>
	<div style="height:4px;"></div>
	
	<table cellspacing="1" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div><b>Excel file format</b></div>
		</td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">

				The Excel file will contain 5 columns, as follows <br />
				<b>A --> GROUP ID</b><br />
				<b>B --> SUB-GROUP ID</b><br />
				<b>C --> Main/Mother Account ID (if any)</b><br />
				<b>D --> Contains Sub Ledger (YES/NO) blank implies NO</b><br />
				<b>E --> Account Name</b><br />
				<b>F --> Printable Name</b><br />
				<b>G --> Country</b><br />
				<b>H --> State</b><br />
				<b>I --> City</b><br />
				<b>J --> GST</b><br />
				<b>K --> PAN</b><br />
				
				<br />
				<font class="red bold">For Group ID reference value <a href="groupDetail.php" target="_blank">click here</a></font><br />
				<br />
				<font class="red bold">For Sub-Group ID reference value <a href="subgroupDetail.php" target="_blank">click here</a></font><br />				
				
			</td>
		</tr>

		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<?php if($rmsg != ""){ ?>
					<font class="red bold"><?php echo $rmsg ?></font><br />
				<?php } ?>
				
				Upload Excel file to insert Account Ledger in DB.<br /><br />
				<form method="POST" action="" enctype="multipart/form-data">
					<input type="hidden" name="paction" value="upd">
					<input type="file" name="xFile">
					<input type="submit" class="red_button" value=" Upload Excel File &raquo; ">
				</form>
			
			</td>
		</tr>
	</table>
	
	<br />



<?php
	$iPage->endBody();
	$iPage->endPage();
?>	


<script language="javaScript">
	
	window.onload	= function() {
		//
	};

	Ext.onReady(function(){
		
		
	});

</script>