<?php

	/**
	 * Author - Subhashis Pandey (psubho@gmail.com). Written - Nov 01, 2014
	 */

	/**
	 * (c) 2011 Swastika Systems, All Rights Reserved.
	 */


	/* Class begins here */
	class asys_pages {
		/**
		 * @Field		PageTitle
		 * @Access	Private
		 */
		var $PageTitle = "";

		/**
		 * @Field		LoadFunction
		 * @Access	Private
		 */
		var $LoadFunction = "";

		/**
		 * @Field		pageContent
		 * @Access	Private
		 */
		var $pageContent = "&nbsp;";

		public function __construct($title = '')	{
			if($title != '')
				$this->PageTitle	=	$title;
		}

		function setPageTitle($arg) {
			$this->PageTitle = $arg;
		}

		function addLink($link)	{
			if($link == "")
				return;
			echo "\n\t".'<link rel="stylesheet" href="'.$link.'" type="text/css" />';
		}

		function addScript($script)	{
			if($script == "")
				return;
			echo "\n\t".'<script type="text/javascript" src="'.$script.'"></script>';
		}

		function startPage() {
			/* start output */
			header('Content-Type: text/html; charset=utf');
			echo '<!DOCTYPE html>'."\n";
			echo '<html>'."\n";
		}

		function startHeader() {
			echo '<head>';
			echo "\n\t".'<meta charset="UTF-8">';
			echo "\n\t<title>".$this->PageTitle."</title>";
		}

		function endHeader() {
			echo "\n</head>\n\n";
		}

		function setLoadFunction($lf = '') {
			$this->LoadFunction	=	$lf;
		}

		function setPageContent($ct = '&nbsp;') {
			$this->pageContent	=	$ct;
		}

		function startBody($attr = '') {
			if($this->LoadFunction == "") {
				if($attr == '')
					echo "<body>";
				else
					echo '<body '.$attr.'>';
			} else
				echo "<body onLoad=\" ".$this->LoadFunction." \">";
		}

		function outputContent() {
			echo $this->pageContent;
		}

		function endBody() {
			echo "\n</body>";
		}

		function endPage() {
			echo "\n\n</html>\n";
		}
	};

?>