<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.group.php' );
	require_once( 'dao/asys.account.php' );	
		
	
	$ModuleID			= 4;

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$cclass				= new asys_accounts();
	$cclass->setCountry('India');
	$glist				=	$mdb->getGroupList();
	
	if($ldb->getCreatePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	

	$AccountID	=	"";
	$CompanyID	=	"";
	$GroupID	=	"";
	$BGID	=	"";
	$SubgroupID	=	"";
	$MotherAccount	=	"";
	$ContainsSubLedger	=	"";
	$AccountName	=	"";
	$PrnName	=	"";
	$Address1	=	"";
	$Address2	=	"";
	$City	=	"";
	$PIN	=	"";
	$State	=	"";
	$Country	=	"";
	$Phone	=	"";
	$Mobile	=	"";
	$AlternateMobile	=	"";
	$Email	=	"";
	$AlternateEmail	=	"";
	$PAN	=	"";
	$GST	=	"";
	$SEZ	=	"NO";
	$CompScheme	=	"NO";
	$DeemedExporter	=	"NO";
	$OBalType	=	"";
	$OBal	=	"";
	$CreditLimit	=	"";
	$Remarks	=	"";
	$RelateToBill	=	"NO";

	$rmsg								=	"";
	$msg								=	"Please enter all the fields correctly.";
	$pagen							=	"";

	$fcss								=	 array();
	for($i=0;$i<38;$i++)
		$fcss[$i]		=	"input";

	extract($_REQUEST);

	if($pagen == "process") {
		/* Check for valid input */	
		
		if((int)$GroupID <= 0) {
			$fcss[1]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.", ";
			$rmsg	=	$rmsg."Group";
		}			

		if(trim($AccountName) == "") {
			$fcss[5]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.", ";
			$rmsg	=	$rmsg."Account Name";
		}

		if(trim($PrnName) == "") {
			$fcss[6]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.", ";
			$rmsg	=	$rmsg."Printable Name";
		}
		
		if($State == "") {
			if($rmsg!="") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."State";		
		}
		
		if($GST != "") {
			if(strlen($GST) < 15) {
				if($rmsg!="") $rmsg	=	$rmsg.", ";
				$rmsg			=	$rmsg."Invalid GST, must contain 15 characters";			
			}
			if(substr($GST, 0 ,2) != getGSTStateCode($State)) {
				if($rmsg!="") $rmsg	=	$rmsg.", ";
				$rmsg			=	$rmsg."Invalid GST, State code mismatch";				
			}		
		}		

		if(isset($_REQUEST["ContainsSubLedger"]))
			$ContainsSubLedger	= "YES";
		else
			$ContainsSubLedger	= "NO";

		if(isset($_REQUEST["RelateToBill"]))
			$RelateToBill	= "YES";
		else
			$RelateToBill	= "NO";
			
		if(isset($_REQUEST["VividhEntry"]))
			$VividhEntry	= "YES";
		else
			$VividhEntry	= "NO";
			
		if(isset($_REQUEST["RasidEntry"]))
			$RasidEntry	= "YES";
		else
			$RasidEntry	= "NO";
			
		if(	$VividhEntry == "YES")
			$RasidEntry	= "NO";						


		$cclass->setAccountID($gdb->getNextID("asys_accounts","AccountID"));
		$cclass->setCompanyID($tcmp->getCompanyID());
		$cclass->setGroupID($GroupID);
		$cclass->setBGID($mdb->getBaseGroupByGroupID($GroupID));
		$cclass->setSubgroupID($SubgroupID);
		$cclass->setMotherAccount(0);
		$cclass->setContainsSubLedger($ContainsSubLedger);
		$cclass->setAccountName($AccountName);
		$cclass->setPrnName($PrnName);
		$cclass->setAddress1($Address1);
		$cclass->setAddress2($Address2);
		$cclass->setCity($City);
		$cclass->setPIN($PIN);
		$cclass->setState($State);
		$cclass->setCountry($Country);
		$cclass->setPhone($Phone);
		$cclass->setMobile($Mobile);
		$cclass->setAlternateMobile($AlternateMobile);
		$cclass->setEmail($Email);
		$cclass->setAlternateEmail($AlternateEmail);
		$cclass->setPAN($PAN);
		$cclass->setGST($GST);
		$cclass->setSEZ($SEZ);
		$cclass->setCompScheme($CompScheme);
		$cclass->setDeemedExporter($DeemedExporter);
		$cclass->setOBalType($OBalType);
		$cclass->setOBal($OBal);
		$cclass->setCreditLimit($CreditLimit);
		$cclass->setRemarks($Remarks);
		$cclass->setRelateToBill($RelateToBill);

		if($rmsg == "") {
			if($gdb->SaveObjectToDB($cclass)) {
				$msg	=	"<font class='blue'>Ledger created successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getAccountID());
				$log->setActivity("Added new Ledger - ".$AccountName);
				$log->setClassName('asys_accounts');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);
				
				$fullPath = __DIR__ . "/json/getAccountListCompanyWise" ;
				array_map('unlink', glob( "$fullPath*.json"));
				$fullPath = __DIR__ . "/json/getChildAccountListCompanyWise" ;
				array_map('unlink', glob( "$fullPath*.json"));
				$fullPath = __DIR__ . "/json/getCustomerList" ;
				array_map('unlink', glob( "$fullPath*.json"));				
				$fullPath = __DIR__ . "/json/getMainAccountListCompanyWise" ;
				array_map('unlink', glob( "$fullPath*.json"));
				$fullPath = __DIR__ . "/json/getMotherAccountListCompanyWise" ;
				array_map('unlink', glob( "$fullPath*.json"));
				$fullPath = __DIR__ . "/json/getSupplierList" ;
				array_map('unlink', glob( "$fullPath*.json"));				
				
				$cclass				= new asys_accounts();
				$cclass->setCountry('India');
			} else {
				$msg	=	"<font class='red'>Account ID/Name already exist, try with a different ID/Name</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");	
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	

?>
	<div id="pagehead">&nbsp;CREATE NEW ACCOUNT</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="process" />
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewAccount.php"><img src="images/columns.gif" title="View Account List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr style="height:4px"><td colspan="3"></td></tr>	
			
		<tr>
			<td class="td_normal">&nbsp;Select Group <font class="red large">*</font></td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<select name="GroupID" id="GroupID" style="width:300px" onChange="fetchSubgroup()"></select>
			</td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Sub group</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<select name="SubgroupID" id="SubgroupID" style="width:300px"></select>
			</td>
		</tr>		
		
		<tr>
			<td class="td_normal">&nbsp;Contains Sub Ledger?</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="checkbox" class="<?php echo $fcss[4]?>" name="ContainsSubLedger" id="ContainsSubLedger" <?php if($cclass->getContainsSubLedger() == "YES") echo 'checked'; ?> /></td>
		</tr>		
					
		<tr>
			<td class="td_normal">&nbsp;Account Name <font class="red large">*</font></td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[5]?>" name="AccountName" id="AccountName" value="<?php echo $cclass->getAccountName('yes')?>" style="width:500px" maxLength="250" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[5]?>'" /></td>
		</tr>	
				
		<tr>
			<td class="td_normal">&nbsp;Printable Name <font class="red large">*</font></td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[6]?>" name="PrnName" id="PrnName" value="<?php echo $cclass->getPrnName('yes')?>" style="width:500px" maxLength="250" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[6]?>'" /></td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Country <font class="red large">*</font></td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<select name="Country" id="Country" style="width:300px" onChange="fetchState()"></select>
			</td>
		</tr>	
		
		<tr>
			<td class="td_normal">&nbsp;State <font class="red large">*</font></td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd3">
				<select name="State" id="State" style="width:300px"></select>
			</td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;City <font class="red large">*</font></td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<input type="text" class="<?php echo $fcss[3]?>" name="City" id="City" value="<?php echo $cclass->getCity('yes')?>" style="width:200px" maxLength="50" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[3]?>'" />
				&nbsp;PIN
				<input type="text" class="<?php echo $fcss[10]?>" name="PIN" id="PIN" value="<?php echo $cclass->getPIN('yes')?>" style="width:60px" maxLength="6" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[10]?>'" />
			</td>
		</tr>	
		
		<tr>
			<td class="td_normal">&nbsp;PAN</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<input type="text" class="input" name="PAN" id="PAN" value="<?php echo $cclass->getPAN('yes')?>" style="width:200px" maxLength="45" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
				&nbsp;GST
				<input type="text" class="input" name="GST" id="GST" value="<?php echo $cclass->getGST('yes')?>" style="width:200px" maxLength="30" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
			</td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Under SEZ?</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<input type="checkbox" class="<?php echo $fcss[22]?>" name="SEZ" id="SEZ" <?php if($cclass->getSEZ() == "YES") echo 'checked'; ?> />
				
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Under Comp Scheme?
				<input type="checkbox" class="<?php echo $fcss[23]?>" name="CompScheme" id="CompScheme" <?php if($cclass->getCompScheme() == "YES") echo 'checked'; ?> />
				
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Deemed Exporter?
				<input type="checkbox" class="<?php echo $fcss[24]?>" name="DeemedExporter" id="DeemedExporter" <?php if($cclass->getDeemedExporter() == "YES") echo 'checked'; ?> />
			</td>
		</tr>
				
		<tr>
			<td class="td_normal">&nbsp;Opening Balance Type</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<div style="float:left;">
					<select name="OBalType" id="OBalType" class="select">
						<option value="<?php echo DEBIT?>" <?php if($cclass->getOBalType() == DEBIT) echo 'selected';?>>Debit</option>
						<option value="<?php echo CREDIT?>" <?php if($cclass->getOBalType() == CREDIT) echo 'selected';?>>Credit</option>
					</select>
				</div>
				<div style="float:left;width:120px;">
					&nbsp;Opening Balance&nbsp;
				</div>
				<div style="float:left;">
					<input type="text" class="<?php echo $fcss[29]?>" name="OBal" id="OBal" value="<?php if($cclass->getOBal() != 0) echo $cclass->getOBal('no')?>" style="width:100px" maxLength="15" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[29]?>'" />
					
					&nbsp;Credit Limit&nbsp;
					<input type="text" class="<?php echo $fcss[30]?>" name="CreditLimit" id="CreditLimit" value="<?php if($cclass->getCreditLimit() != 0) echo $cclass->getCreditLimit('no')?>" style="width:80px" maxLength="10,2" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[30]?>'" />
				</div>
			</td>
		</tr>
				
		<tr>
			<td class="td_normal">&nbsp;Remarks</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[31]?>" name="Remarks" id="Remarks" value="<?php echo $cclass->getRemarks('yes')?>" style="width:500px" maxLength="150" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[31]?>'" /></td>
		</tr>
				
		<tr>
			<td class="td_normal">&nbsp;Relate To Bill?</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="checkbox" class="<?php echo $fcss[32]?>" name="RelateToBill" id="RelateToBill" <?php if($cclass->getRelateToBill() == "YES") echo 'checked'; ?> /></td>
		</tr>		
						
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Create (S) " AccessKey="S" onClick="submitForm('hfrm')" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>	
		
<script language="javaScript">

	$(function () {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		$("#GroupID").select2();
		$("#Country").select2();
		$("#State").select2();
		$("#SubgroupID").select2();
		fetchGroupID();
		fetchSubgroup();
		fetchCountry();
	});
	
	function fetchGroupID() {
	
    $('#GroupID').empty();
    $('#GroupID').append('<option value="0">--</option>');
    var gid		= "<?php echo $cclass->getGroupID()?>";
    
    $.ajax({
			type: "POST",
			url: "json/getGroupList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#GroupID').append('<option value="' + d.GroupID + '">' + d.GroupName + '</option>');
				});
				$("#GroupID").val(gid).change();
				
			}
    });

	}
	
	function fetchCountry() {
	
    $('#Country').empty();
    $('#Country').append('<option value="0">--</option>');
    var con		= "<?php echo $cclass->getCountry()?>";
    
    $.ajax({
			type: "POST",
			url: "json/getCountryList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#Country').append('<option value="' + d.CountryName + '">' + d.CountryName + '</option>');
				});
				$("#Country").val(con).change();
				
			}
    });

	}
	
	function fetchState() {
	
		var cid		= EBD('Country').value;
		
		if(cid != "India") {
			$("#State").select2('destroy');
			EBD('_jsontd3').innerHTML		= '<input type="text" class="input" name="State" id="State" value="" style="width:300px" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" />';
			return;
		} else {
			EBD('_jsontd3').innerHTML		= '<select name="State" id="State" style="width:300px"></select>';
		}
	
		$("#State").select2();
    $('#State').empty();
    $('#State').append('<option value="0">--</option>');
    var sta		= "<?php echo $cclass->getState()?>";
    
    $.ajax({
			type: "POST",
			url: "json/getStateList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#State').append('<option value="' + d.State + '">' + d.State + '</option>');
				});
				$("#State").val(sta).change();
				
			}
    });	
	
	}
	
	function fetchSubgroup() {
	
		var gid		= EBD('GroupID').value;
	
    $('#SubgroupID').empty();
    $('#SubgroupID').append('<option value="0">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getSubgroupList.php",
			data: {"gid": gid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#SubgroupID').append('<option value="' + d.SubgroupID + '">' + d.SubgroupName + '</option>');
				});
				$("#SubgroupID").val(gid).change();
				
			}
    });
		
	}
				
</script>