<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.drcr.php' );
	require_once( 'dao/asys.group.php' );
	require_once( 'dao/asys.gstrate.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.vouchertag.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.vouchertype.php' );
	require_once( 'dao/asys.voucherdb.php' );	
	
	
	$ModuleID			= 7;

	$db				=	new masterdb();
	$vdb			=	new voucherdb();
	$gdb			=	new genericdb();
	$ldb			= new logindb();
	$gstrate	= $db->getGSTRateList();
	$cclass		=	new asys_voucher_entry();
	
	$gststr		= "";
	for($i=0;$i<count($gstrate);$i++) {
		$gcls	= $gstrate[$i];
		$gststr	= $gststr.'<option value="'.$gcls->getRate().'">'.$gcls->getRate().'</option>';
	}	
	
	if($ldb->getCreatePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	

	$vtid					= BANK_RECEIPT_VOUCHER;
	$vid					= 0;
	$acc					=	0;
	
	$rmsg					=	"";
	$msg					=	"Select account and enter amount, click Create.";
	$pagen				=	"";
	$dt						=	date('d-m-Y');	

	extract($_REQUEST);

	$acc					=	(int)$acc;

	$creditList		= $vdb->getCreditList($vtid, $tcmp->getCompanyID());
	$debitList		= $vdb->getDebitList($vtid, $tcmp->getCompanyID());
	$vname				= getVoucherType($vtid);
	$vList				=	array();


	if($pagen == "cust") {
		if(FormatIndianDateToSQLDate($dt) == "1900-01-01"){
			if($rmsg != "") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Date is must";
		}

		if($acc == 0){
			if($rmsg != "") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Please select the Cash Account";
		}
		
		if($tcmp->getCompanyID() != $db->getCompanyIDByAccountID($acc)) {
			echo 'This data does not belong to the Company selected.';
			echo '<a href="home.php">Click Here</a> to go to Home';
			exit;
		}
		
		$tdf						= $tcmp->getTxnDateFrom();
		$tdt						= $tcmp->getTxnDateTo();
		$txnDate				= FormatIndianDateToSQLDate($dt);
		if($txnDate < $tdf || $txnDate > $tdt) {
			if($rmsg != "") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Transaction date outside allowed date range";			
		}		

		$totCR					= 0;
		$totDB					= 0;
		for($k=1;$k<=$numRows;$k++){
			$DrCr					= CREDIT;
			$macc					= (int)$_REQUEST["macc$k"];
			$cacc					= (int)$_REQUEST["cacc$k"];
			$amt					= (double)$_REQUEST["amt$k"];
			$csl					=	$_REQUEST["csubled$k"];
			$ChequeNo			= formatSQLString($_REQUEST["chqno$k"]);
			$BankName			= formatSQLString($_REQUEST["chqbn$k"]);
			$ChqDate			= $_REQUEST["chqdt$k"];
			$gst					= "NO";
			if(isset($_REQUEST["GST$k"]))
				$gst				= "YES";
			$hsn					= $_REQUEST["HSN$k"];
			$gstrt				= $_REQUEST["GSTRate$k"];
			$rcm					= "NO";
			if(isset($_REQUEST["RCM$k"]))
				$rcm				= "YES";
			$gstbase			= "NO";
			if(isset($_REQUEST["GSTBase$k"]))
				$gstbase		= "YES";			

			if($csl == "YES") {
				$MotherAccount	=	$macc;
				$AccountID			=	$cacc;
			} else {
				$MotherAccount	=	0;
				$AccountID			=	$macc;
			}

			if($AccountID == 0)
				continue;
			if($amt == 0)
				continue;

			$totCR+=$amt;
			
			if($tcmp->getCompanyID() != $db->getCompanyIDByAccountID($AccountID)) {
				echo 'This data does not belong to the Company selected.';
				echo '<a href="home.php">Click Here</a> to go to Home';
				exit;
			}			

			$cclass	=	new asys_voucher_entry();
			$cclass->setCompanyID($tcmp->getCompanyID());
			$cclass->setVoucherType($vtid);
			$cclass->setFinYear("");
			$cclass->setVoucherID(0);
			$cclass->setSerialID(0);
			$cclass->setDOV($dt);
			$cclass->setMotherAccount($MotherAccount);
			$cclass->setAccountID($AccountID);
			$cclass->setRelatedID(0);
			$cclass->setTxnType(0);
			$cclass->setDrCr($DrCr);
			$cclass->setAmount($amt);
			$cclass->setNarration(formatSQLString($Narration));
			$cclass->setUserID($tuser->getUserID());
			$cclass->setDOE(date('d-m-Y'));
			$cclass->setChequeNo($ChequeNo);
			$cclass->setChqDate($ChqDate);
			$cclass->setBankName($BankName);
			$cclass->setClearedOn("01-01-1900");
			$cclass->setGST($gst);
			$cclass->setHSN($hsn);
			$cclass->setGSTRate($gstrt);
			$cclass->setRCM($rcm);
			$cclass->setGSTBase($gstbase);			
			
			$vtags		= $_REQUEST["_vtags$k"];
			if($vtags != "") {
				
				$tList	= array();
				$varr		= explode(",", $vtags);
				for($ii=0;$ii<count($varr);$ii++) {
					$tmp	= $varr[$ii];
					$tarr	= explode("~", $tmp);
					$mid	= $tarr[0];
					$rid	= $tarr[1];
					$bamt	= $tarr[2];
					$aamt	= $tarr[3];
					
					$tagcls				= new asys_voucher_tags();
					$tagcls->setTagID(0);
					$tagcls->setVoucherID(0);
					$tagcls->setSerialID(0);
					$tagcls->setCompanyID($tcmp->getCompanyID());
					$tagcls->setDOV($dt);
					$tagcls->setAccountID($AccountID);
					$tagcls->setModuleID($mid);
					$tagcls->setRelatedID($rid);
					$tagcls->setVoucherAmount($amt);
					$tagcls->setBillAmount($bamt);
					$tagcls->setAdjustedAmount($aamt);
					$tList[]	= $tagcls;
				}
				$cclass->setTagList($tList);
				
			}			

			$vList[] = $cclass;
		}

		if($totCR == 0){
			if($rmsg != "") $rmsg	=	$rmsg.", ";
			$rmsg	=	"Total Amount cannot be ZERO!!!";
		}

		$cclass	=	new asys_voucher_entry();
		$cclass->setCompanyID($tcmp->getCompanyID());
		$cclass->setVoucherType($vtid);
		$cclass->setFinYear("");
		$cclass->setVoucherID(0);
		$cclass->setSerialID(0);
		$cclass->setDOV($dt);
		$cclass->setAccountID($acc);
		$cclass->setRelatedID(0);
		$cclass->setTxnType(0);
		$cclass->setDrCr(DEBIT);
		$cclass->setAmount($totCR);
		$cclass->setNarration(formatSQLString($Narration));
		$cclass->setUserID($tuser->getUserID());
		$cclass->setDOE(date('d-m-Y'));

		$vList[] = $cclass;

		if($rmsg == "") {
			$vid	=	$vdb->CreateTotalVoucher($vList);
			if($vid > 0) {
				$veb			= $vList[0];
				$FinYear	= $veb->getFinYear();
				$vno			= $veb->getVoucherNo();
				$msg	=	"<font class='blue'>Voucher created successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($vid);				
				$log->setActivity("Created Bank Receipt Voucher - ".$vno.'/'.$FinYear);
				$log->setClassName('asys_voucher_entry');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);
				$vList	=	array();
				$pagen	=	'';
			} else
				$msg	=	"<font class='red'>Fail to create Voucher, try again</font>";
		} else {
			$msg	=	"<font class='red'>ERROR: ".$rmsg."</font>";
		}
	}

	$numRows	=	count($vList) - 1;
	if($numRows <= 0)
		$numRows	=	1;
		
		
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/select2.css");
	$iPage->addLink("css/modal.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/modal.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);		

?>
	<div id="pagehead">&nbsp;CREATE NEW <?php echo $vname?></div>
	<div style="height:10px;"></div>
	
	<div style="width:1080px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="cust" />
	<input type="hidden" name="vtid" id="vtid" value="<?php echo $vtid ?>" />
	<input type="hidden" name="numRows" id="numRows" value="<?php echo $numRows?>" />
	<table cellpadding="1" cellspacing="0" border="0" width="1080px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td class="td_normal">
			<div id="dhead" style="float:left;width:1000px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewBRV.php"><img src="images/columns.gif" title="View <?php echo $vname?> List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td></td></tr>
		<tr style="height:2px"><td></td></tr>
		
		<tr width="100%">
			<td width="100%">
				<table style="border:0px;" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td width="20%" class="td_normal">
							<div style="float:left;padding:3px;width:76px;">
								&nbsp;Date:&nbsp;
							</div>
							<div style="float:left">
								<input data-toggle="datepicker" type="text" name="dt" id="dt" class="input" value="<?php echo date('d-m-Y') ?>" style="width:80px" onBlur="this.className='input'" maxLength="10" />
							</div>
							<div style="float:left;padding:3px;">
								&nbsp;Select Bank Account:&nbsp;
							</div>
							<div style="float:left">
								<select name="acc" id="acc" style="width:400px" onChange="showCBAL('')">
									<option value="0">--</option>
								<?php	for($i=0;$i<count($creditList);$i++) { ?>
								<?php		$cb	= $creditList[$i]; ?>
								<?php		if($cb->getMotherAccount()==0) { ?>
										<option value="<?php echo $cb->getAccountID()?>"><?php echo $cb->getAccountName()?></option>
									<?php } ?>
								<?php } ?>
								</select>
							</div>
							<div style="float:left;;padding:3px;">
								&nbsp;Closing Balance:&nbsp;
							</div>
							<div style="float:left">
								<input type="text" class="input" name="cbal" id="cbal" value="" style="width:80px" readOnly="true" />
							</div>
							<div style="float:left">
								&nbsp;<input type="button" class="red_button" name="VL" id="VL" value="VL" onClick="showLedger('')" />
							</div>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td>
				<table style="border:0px;" cellpadding="0" cellspacing="2" width="100%" height="100%">
					<tr>
						<td width="76px" class="td_normal" valign="top">
							&nbsp;Narration
						</td>
						<td>
							<textarea name="Narration" id="Narration" style="width:95%;height:50px;"></textarea>
						</td>
					</tr>
				</table>
			</td>
		</tr>

		<tr width="100%" valign="middle">
			<td width="100%">
				<table style="border:0px;" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<th width="3%" style="border-left: 1px solid #99BBE8;">#</th>
						<th width="15%">Ledger</th>
						<th width="28%">Sub Ledger</th>
						<th width="7%">Ch No.</th>
						<th width="9%">Dated</th>
						<th width="10%">Bank Name</th>
						<th width="10%">Amount</th>
						<th width="11%">GST</th>						
						<th width="3%">Tag</th>						
						<th width="4%">
							<input type="button" class="red_button" value="—" onClick="delRow()" />
						</th>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td>
				<table style="border:0px;" cellpadding="0" cellspacing="2" width="100%" height="100%" id="byTable">
					<tr>
						<td  width="3%" valign="top">
							<input type="button" class="red_button" style="width:25px;" value="1" onClick="clearAmount(1)" id="sn1" />
						</td>
						<td width="15%" valign="top" class="td_normal">
							<select name="macc1" id="macc1" style="width:150px">
								<option value="0">--</option>
								<?php	for($ii=0;$ii<count($debitList);$ii++) { ?>
								<?php		$cb	= $debitList[$ii]; ?>
								<?php		if($cb->getMotherAccount() == 0) { ?>
										<option value="<?php echo $cb->getAccountID()?>"><?php echo $cb->getAccountName()?></option>
									<?php } ?>
								<?php } ?>							
							</select>
							<input type="hidden" name="csubled1" id="csubled1" value="NO" />
						</td>
						<td id="adiv1" width="28%" valign="top" class="td_normal">
							<div style="float:left;padding-top:1px;">
								<select name="cacc1" id="cacc1" style="width:180px" class="select"></select>
							</div>
							<div style="float:left;padding-top:1px;">
								&nbsp;<input type="text" class="input" name="cbal1" id="cbal1" value="" style="width:65px" readOnly="true" />
							</div>
							<div style="float:left">
								&nbsp;<input type="button" class="red_button" name="VL1" id="VL1" value="VL" onClick="showLedger(1)" />
							</div>
						</td>
						<td  width="7%" valign="top">
							<input type="text" class="input" name="chqno1" id="chqno1" value="" style="width:50px" maxLength="6" onBlur="this.className='input'" />
						</td>
						<td  width="9%" valign="top">
							<input data-toggle="datepicker" type="text" class="input" name="chqdt1" id="chqdt1" value="<?php echo date('d-m-Y')?>" style="width:80px" onBlur="this.className='input'" maxLength="10" />
						</td>
						<td  width="10%" valign="top">
							<input type="text" class="input" name="chqbn1" id="chqbn1" value="" style="width:90px" onBlur="this.className='input'" />
						</td>
						<td align="right" width="10%" valign="top">
							<input type="text" class="input" name="amt1" id="amt1" value="" style="width:90px;text-align:right" maxLength="14" onChange="calcTotal(1)" />
						</td>
						<td align="left" width="11%" class="td_normal_small" valign="top">
							<div style="text-align:center;">
								Base<input type="checkbox" class="input" name="GSTBase1" id="GSTBase1" />
								&nbsp;&nbsp;
								GST<input type="checkbox" class="input" name="GST1" id="GST1" onChange="chgGST(1)" />
							</div>
							<div id="_gstDiv1" style="display:none;text-align:left;">
								HSN&nbsp;&nbsp;<input type="text" class="input" name="HSN1" id="HSN1" value="" style="width:60px" maxLength="30" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
								<br />
								Rate&nbsp;
								<select class="select" name="GSTRate1" id="GSTRate1">
									<option value="">--</option>
									<?php
										for($ii=0;$ii<count($gstrate);$ii++) {
											$gcls	= $gstrate[$ii];
											$tmp	= "";
											//if($cclass->getGSTRate() == $gcls->getRate()) $tmp = "selected";
											echo '<option value="'.$gcls->getRate().'" '.$tmp.'>'.$gcls->getRate().'</option>';
										}
									?>
								</select>
								<br />
								RCM?&nbsp;<input type="checkbox" class="input" name="RCM1" id="RCM1" />
							</div>
						</td>						
						<td align="center" width="3%" valign="top">
							<input type="button" class="red_button" name="vtbtn1" id="vtbtn1" value="&nbsp;&raquo;&nbsp;" onClick="tagBills(1)" />
							<input type="hidden" name="_vtags1" id="_vtags1" value="" />
						</td>						
						<td width="4%" align="center" valign="top">
							<input type="button" class="red_button" value="+" onClick="addRow()" />
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr style="height:4px"><td></td></tr>
		<tr>
			<td style="border-top:#e4e4e4 1px solid;">
				<table style="border:0px;" cellpadding="0" cellspacing="2" width="100%" height="100%">
					<tr>
						<td width="72%" style="text-align:right" class="td_normal bold">
							Total&nbsp;
						</td>
						<td width="10%" align="right">
							<input type="text" class="input" name="netTot" id="netTot" value="" style="width:90px;text-align:right" readOnly="true" />
						</td>
						<td align="right" width="18%">
							&nbsp;
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td></td></tr>
		<tr bgcolor="#D6E3F3">
			<td align="center" style="padding:2px">
				<input type="button" id="btnS" class="red_button" value="Create (S)" AccessKey="S" onClick="chkRec()" />
				<input type="button" class="red_button" value="Reset All (A)" AccessKey="A" onClick="resetA()" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
	<div id="ex1" class="modal" style="height:500px;"></div>	
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">

	var numRows		= <?php echo $numRows?>;
	var mdrList		= new Array();
	var cdrList		= new Array();
	var vid				= "<?php echo $vid ?>";


	<?php	$j 	= 0; ?>
	<?php	$k	=	0; ?>
	<?php	for($i=0;$i<count($debitList);$i++) { ?>
	<?php		$cb	= $debitList[$i]; ?>
	<?php		if($cb->getMotherAccount() == 0) { ?>

				mdrList[<?php echo $j?>] 			= new Array();
				mdrList[<?php echo $j?>][0] 	= "<?php echo $cb->getAccountID()?>";
				mdrList[<?php echo $j?>][1] 	= "<?php echo formatJScriptString($cb->getAccountName())?>";
				mdrList[<?php echo $j?>][2] 	= "<?php echo $cb->getMotherAccount()?>";
				mdrList[<?php echo $j?>][3] 	= "<?php echo $cb->getContainsSubLedger()?>";
	
	<?php			$j++; ?>
	<?php		} else { ?>

				cdrList[<?php echo $k?>] 			= new Array();
				cdrList[<?php echo $k?>][0] 	= "<?php echo $cb->getAccountID()?>";
				cdrList[<?php echo $k?>][1] 	= "<?php echo formatJScriptString($cb->getAccountName())?>";
				cdrList[<?php echo $k?>][2] 	= "<?php echo $cb->getMotherAccount()?>";
				cdrList[<?php echo $k?>][3] 	= "<?php echo $cb->getContainsSubLedger()?>";
	
	<?php			$k++; ?>
	<?php		} ?>
	<?php	} ?>


	$(function () {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		
		$("#acc").select2();
		
		for(var i=1; i<=numRows; i++) {
			$("#macc" + i).select2({dropdownCssClass : 'drop400'});
			$("#cacc" + i).select2({dropdownCssClass : 'drop400'});
			$("#GSTRate" + i).select2();
			
			$("#macc" + i).on("change", function (e) {
      	var nm		= $(this).attr('name');
      	var param	= nm.substring(4);
      	fetchSubaccount(param);
				deleteTags(param);
				showCBAL(param);
			});			
		}
		
		if(vid == "-1")
			alert("SORRY!!!, Critical System ERROR, Fail to Save Record");
		else if(vid != "0") {
			var loc	= "printvoucher.php?vid=" + vid;
			window.open(loc,'_blank');
		}
	});	

	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});

	function showCBAL(param) {
		var accid = 0;
		if(param != '') {
			var macc	=	EBD('macc' + param).value;
			for(var i=0;i<mdrList.length;i++) {
				if(mdrList[i][0] == macc){
					if(mdrList[i][3] == "NO")
						accid			= macc;
					else
						accid			= EBD("cacc" + param).value;
				}
			}
		} else
			accid			= EBD("acc" + param).value;

		if(accid != 0) {
			var x = (window.ActiveXObject) ? new ActiveXObject("Microsoft.XMLHTTP") : new XMLHttpRequest();
			if (x) {
				x.onreadystatechange = function() {
					if (x.readyState == 4 && x.status == 200) {
						EBD("cbal"+param).value = x.responseText;
					}
				};
				x.open("POST", "ajax/clbal.php?accid=" + accid, true);
				x.send("accid=" + accid);
			}
		}
	}

	function showLedger(param) {
		var accid = 0;
		if(param == '')
			accid = EBD("acc" + param).value;
		else{
			var macc	=	EBD('macc' + param).value;
			for(var i=0;i<mdrList.length;i++) {
				if(mdrList[i][0]==macc){
					if(mdrList[i][3] == "NO")
						accid			= macc;
					else
						accid			= EBD("cacc" + param).value;
				}
			}
		}
		if(accid == 0) {
			alert("Please select a Account");
			return;
		}

		var loc	= "displayLedger.php?accid=" + accid;
		window.open(loc,"_blank");
	}

	function addRow() {
		var rTable	= EBD("byTable");
		var iRow		= rTable.insertRow(numRows);
		numRows++;
		if(numRows % 2 == 0)
			iRow.style.background	=	"#f8f8f8";
		var iCell;
		iCell						= iRow.insertCell(0);
		iCell.style.verticalAlign	= "top";
		iCell.innerHTML	= "<input type='button' class='red_button' style='width:25px;' value='" + numRows + "' onClick='clearAmount(" + numRows + ")' id='sn" + numRows + "' />";

		iCell						= iRow.insertCell(1);
		iCell.style.verticalAlign	= "top";
		iCell.className	= "td_normal";
		iCell.innerHTML	= '<select name="macc' + numRows + '" id="macc' + numRows + '" style="width:150px"></select><input type="hidden" name="csubled' + numRows + '" id="csubled' + numRows + '" value="NO" />';

		iCell						= iRow.insertCell(2);
		iCell.style.verticalAlign	= "top";
		iCell.className	= "td_normal";
		iCell.id				=	"adiv" + numRows;
		iCell.innerHTML	= '<div style="float:left;padding-top:1px;"><select name="cacc' + numRows + '" id="cacc' + numRows + '" style="width:180px"></select></div><div style="float:left;padding-top:1px;">&nbsp;<input type="text" class="input" name="cbal' + numRows + '" id="cbal' + numRows + '" value="" style="width:65px" readOnly="true" /></div><div style="float:left">&nbsp;<input type="button" class="red_button" name="VL' + numRows + '" id="VL' + numRows + '" value="VL" onClick="showLedger(' + numRows + ')" /></div>';

		iCell 					= iRow.insertCell(3);
		iCell.style.verticalAlign	= "top";
		iCell.innerHTML	= '<input type="text" class="input" name="chqno' + numRows + '" id="chqno' + numRows + '" value="" style="width:50px" maxLength="6" onBlur="this.className=\'input\'" />';

		iCell 					= iRow.insertCell(4);
		iCell.style.verticalAlign	= "top";
		iCell.innerHTML	= '<input type="text" class="input" name="chqdt' + numRows + '" id="chqdt' + numRows + '" value="<?php echo date('d-m-Y')?>" style="width:80px" onBlur="this.className=\'input\'" maxLength="10" />';

		iCell 					= iRow.insertCell(5);
		iCell.style.verticalAlign	= "top";
		iCell.innerHTML	= '<input type="text" class="input" name="chqbn' + numRows + '" id="chqbn' + numRows + '" value="" style="width:90px" onBlur="this.className=\'input\'" />';
		
		iCell 					= iRow.insertCell(6);
		iCell.style.verticalAlign	= "top";
		iCell.align			=	"right";
		iCell.innerHTML	= "<input type='text' class='input' name='amt" + numRows + "' id='amt" + numRows + "' value='' style='width:90px;text-align:right' maxLength='14' onChange='calcTotal(" + numRows + ")' />";
		
		iCell 					= iRow.insertCell(7);
		iCell.style.verticalAlign	= "top";
		iCell.align			=	"left";
		iCell.className	= "td_normal_small";
		iCell.innerHTML	= '\
							<div style="text-align:center;">\
								Base<input type="checkbox" class="input" name="GSTBase' + numRows + '" id="GSTBase' + numRows + '" />\
								&nbsp;&nbsp;\
								GST<input type="checkbox" class="input" name="GST' + numRows + '" id="GST' + numRows + '" onChange="chgGST(' + numRows + ')" />\
							</div>\
							<div id="_gstDiv' + numRows + '" style="display:none;text-align:left;">\
								HSN&nbsp;&nbsp;<input type="text" class="input" name="HSN' + numRows + '" id="HSN' + numRows + '" value="" style="width:60px" maxLength="30" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" />\
								<br />\
								Rate&nbsp;\
								<select class="select" name="GSTRate' + numRows + '" id="GSTRate' + numRows + '">\
									<option value="">--</option><?php echo $gststr?>\
								</select>\
								<br />\
								RCM?&nbsp;<input type="checkbox" class="input" name="RCM' + numRows + '" id="RCM' + numRows + '" />\
							</div>\
		';		
		
		iCell 					= iRow.insertCell(8);
		iCell.style.verticalAlign	= "top";
		iCell.align			=	"center";
		iCell.innerHTML	= '<input type="button" class="red_button" name="vtbtn' + numRows + '" id="vtbtn' + numRows + '" value="&nbsp;&raquo;&nbsp;" onClick="tagBills(' + numRows + ')" /><input type="hidden" name="_vtags' + numRows + '" id="_vtags' + numRows + '" value="" />';

		iCell 					= iRow.insertCell(9);
		iCell.style.verticalAlign	= "top";
		iCell.align			= "center";
		iCell.innerHTML	= "<input type='button' class='red_button' value='+' onClick='addRow()' />";

		$("#macc" + numRows).select2({dropdownCssClass : 'drop400'});
		$('#macc' + numRows).append('<option value="0">--</option>');
		$("#cacc" + numRows).select2({dropdownCssClass : 'drop400'});
		$("#GSTRate" + numRows).select2();
		$('#chqdt' + numRows).datepicker({
			format: 'dd-mm-yyyy',
			autoHide: 'yes'
		});
				
		for(var ii=0;ii<mdrList.length;ii++){
			$('#macc' + numRows).append('<option value="' + mdrList[ii][0] + '">' + mdrList[ii][1] + '</option>');
		}
		
		$("#macc" + numRows).on("change", function (e) {
      var nm		= $(this).attr('name');
      var param	= nm.substring(4);
      fetchSubaccount(param);
      deleteTags(param);
      showCBAL(param);
		});		
	}

	function delRow() {
		if(numRows > 1) {
			var rTable	= EBD("byTable");
			var iRow		= rTable.deleteRow(numRows - 1);
			numRows--;
			
			calcTotal(0);
		}
	}

	function chkRec() {
		if(checkForValidInput('dt','Date','Please enter a valid date') == false) 	return;
		if(checkFYDate(EBD('dt').value,'<?php echo getFinancialYear(date('Y-m-d'))?>') == false) {
			if(confirm('Date out of range for Financial Year <?php echo getFinancialYear(date('Y-m-d'))?>, Click OK to proceed, Cancel to change Date') == false)
				return;
		}

		if(EBD('acc').value == 0) {
			alert('Please select the Cash Account');
			EBD('accname').focus();
			return;
		}

		for(i=1;i<=numRows;i++) {
			if(EBD('csubled' + i).value == 'YES') {
				if(EBD('cacc' + i).value == 0) {
						alert("Please select sub ledger");
						EBD('caccname' + i).focus();
						return;
				}
			}
			for(j=i+1;j<=numRows;j++) {
				if(EBD('macc' + i).value == EBD('macc' + j).value) {
					if(EBD('cacc' + i).value == EBD('cacc' + j).value) {
						alert("Duplicate/Same Account not allowed in Voucher entry");
						EBD('maccname' + j).focus();
						return;
					}
				}
			}
		}

		if(checkForValidInput('netTot','Positive','Nothing to Save, Net Total cannot be ZERO!!!') == false) 	return;

		EBD("numRows").value	= numRows;

		if(confirm("SURE!!! SAVE THIS VOUCHER INFORMATION") == false) return false;

		var fm	= EBD('hfrm');
		fm.submit();
	}

	function resetA() {
		var vtid	= EBD("vtid").value;
		if(confirm("Are you sure? REFRESH the Page") == false) return;
		location	= "newBRV.php";
	}

	function fetchSubaccount(param) {

    $('#cacc' + param).empty();
    $('#cacc' + param).append('<option value="0">--</option>');	
	
		var macc	=	EBD('macc' + param).value;
		if(macc == 0) return;

		var csl		=	'NO';
		for(var ij=0; ij<mdrList.length; ij++) {
			if(mdrList[ij][0] == macc)
				csl	=	mdrList[ij][3];
		}
		EBD('csubled' + param).value	=	csl;

		if(csl=='YES') {
			var j	=	0;
			for(var ii=0; ii<cdrList.length; ii++) {
				if(cdrList[ii][2] == macc) {
					$('#cacc' + param).append('<option value="' + cdrList[ii][0] + '">' + cdrList[ii][1] + '</option>');
				}
			}
		}
		
		$("#cacc" + param).on("change", function (e) {
      var nm		= $(this).attr('name');
      var n			= nm.substring(4);		
      deleteTags(n);
      showCBAL(n);
		});		
		
		deleteTags(param);
	}

	function calcTotal(n) {
		var tot	=	0;
		for(i=1;i<=numRows;i++) {
			if(EBD('amt' + i).value == "") EBD('amt' + i).value	=	"0";
			if(isNaN(EBD('amt' + i).value)) EBD('amt' + i).value	=	"0";

			tot	=	tot + parseFloat(EBD('amt' + i).value);
		}
		EBD('netTot').value	=	setMoneyFormat(tot);
		
		if(n != 0)
			deleteTags(n);
	}

	function clearAmount(param) {
		if(confirm("Are you sure, clear this row?") == false) return;

		EBD('amt' + param).value	=	"0";
		calcTotal();
	}	
	
	function tagBills(n) {
	
		var aid		= 0;
		var amt		= 0;
		
		try {
			aid			= EBD('cacc' + n).value;
		} catch(e) {
			//do nothing
		}
		
		if(!isNaN(EBD('amt' + n).value)) {
			amt	=	parseFloat(EBD('amt' + n).value);
		}
		if(isNaN(amt)) amt = 0;
		
		if(aid == 0) {
			alert('Please select Customer/Supplier');
			EBD('cacc' + n).focus();
			return;
		}

		if(amt == 0) {
			alert('Please enter Amount');
			EBD('amt' + n).focus();
			return;		
		}
	
		//EBD('tag_content').innerHTML = '<img src="images/ajax-loader.gif" />';
		
		$('#ex1')[0].innerHTML	= '<img src="images/ajax-loader.gif" /';
		$('#ex1').modal({
			fadeDuration: 250,
			showClose: false
		});		

    $.ajax({
			type: "POST",
			url: "ajax/tagDetail.php",
			data: {"aid": aid, "sn": n, "amt": amt},
			success: function(data){

				if(data == "-1") {
					alert('Access denied, or session timed out');
					$('#ex1').modal().close();
					return;
				} else if(data == "0") {
					alert('No Account selected, please select account and try again');
					$('#ex1').modal().close();
					return;						
				}
				$('#ex1')[0].innerHTML	= data;
				
			}
    });		

	}
	
	function updateTags(n) {
		var vtags		= "";
		var tcnt		= parseInt(EBD('_tagCnt').value);
		if(isNaN(tcnt)) tcnt = 0;
		var vamt		= parseFloat(EBD('amt' + n).value);
		var tamt		= 0;

		for(var i=1;i<=tcnt;i++) {
			var mid			= parseInt(EBD('_tagModuleID' + i).value);
			var rid			= parseInt(EBD('_tagRelatedID' + i).value);
			var bamt		= parseFloat(EBD('_tagBillAmount' + i).value);
			var aamt		= parseFloat(EBD('_tagAdjustedAmount' + i).value);
			
			if(isNaN(mid)) 	mid 	= 0;
			if(isNaN(rid)) 	rid 	= 0;
			if(isNaN(bamt)) bamt 	= 0;
			if(isNaN(aamt)) aamt 	= 0;
			
			tamt		= tamt + aamt;

			if(tamt > vamt) {
				alert('Total adjusted amount is greater then voucher amount.');
				return;
			}
			
			if(aamt > 0) {
				if(vtags != "") vtags = vtags + ",";
				vtags = vtags + mid + "~" + rid + "~" + bamt + "~" + aamt;
			}
		}
		
		EBD('_vtags' + n).value	= vtags;
		
	}
	
	function deleteTags(n) {
		
		if(EBD('_vtags' + n).value != "") {
			EBD('_vtags' + n).value	= "";
			alert('Tags related to this entry removed.');
		}
		
	}
	
	function chgAdjustment(n) {
		var aamt		= 0;
		var bamt		= 0;
		var pamt		= 0;
		var tamt		= 0;
		var bal			= 0;
		var vamt		= parseFloat(EBD('_tagVamt').value);
		var tcnt		= parseInt(EBD('_tagCnt').value);
		if(isNaN(tcnt)) tcnt = 0;		
		
		aamt				= parseFloat(EBD('_tagAdjustedAmount' + n).value);
		if(isNaN(aamt)) aamt = 0;
		
		bamt				= parseFloat(EBD('_tagBalanceAmount' + n).value);
		if(isNaN(bamt)) bamt = 0;
		
		pamt				= parseFloat(EBD('_prevtagAdjustedAmount' + n).value);
		if(isNaN(pamt)) pamt = 0;
		
		if(aamt > bamt + pamt) {
			alert('Adjustment amount cannot be greater than Balance amount');
			EBD('_tagAdjustedAmount' + n).value = "";
			EBD('_tagAdjustedAmount' + n).focus();
			return;
		}
		
		for(var i=1;i<=tcnt;i++) {
			var aamt		= parseFloat(EBD('_tagAdjustedAmount' + i).value);
			if(isNaN(aamt)) aamt 	= 0;
			tamt		= tamt + aamt;

			if(tamt > vamt) {
				alert('Total adjusted amount is greater then voucher amount.');
				EBD('_tagAdjustedAmount' + n).value = "";
				EBD('_tagAdjustedAmount' + n).focus();
				return;
			}			
		}
		
		EBD('_tagTotAdj').value		= tamt;
		EBD('_tagTotBal').value		= vamt - tamt;
				
	}	
	
	function chgGST(n) {
		if(EBD('GST' + n).checked == true) {
			EBD('_gstDiv' + n).style.display	= "inline";
		} else {
			EBD('_gstDiv' + n).style.display	= "none";
		}
	}
	
</script>