<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.store.php' );
	require_once( 'dao/asys.account.php' );
			
	
	$ModuleID			= 20;

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$cclass				= new asys_stores();
	$accList			= $mdb->getAccountList($tcmp->getCompanyID());
	$mainList			= $mdb->getBGWiseAccountList($tcmp->getCompanyID(), 13);
	
	if($ldb->getCreatePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
							
			
	$StoreID			=	"";
	$StoreName		=	"";
	$PrasadStore	=	"";
	$GeneralItemStore	=	"";
	$MotherAccountID	=	"";
	$AccountID	=	"";
	$OppositeAccountID	=	"";

	$csubled			= "";
	$rmsg					=	"";
	$msg					=	"Please enter all the fields correctly.";
	$pagen				=	"";

	$fcss					=	 array();
	for($i=0;$i<2;$i++)
		$fcss[$i]		=	"input";

	extract($_REQUEST);
	
	if($pagen == "process") {
		/* Check for valid input */

		if(trim($StoreName) == "") {
			$fcss[1]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Store Name";
		}	

		if((int)$MotherAccountID <= 0) {
			$fcss[3]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Main Account";
		}
		
		if($csubled == "YES") {
			if((int)$AccountID <= 0) {
				$fcss[4]	=	"err_input";
				if($rmsg != "") $rmsg = $rmsg.",";
				$rmsg	=	$rmsg."Sub Account";
			}		
		}
		
		if((int)$OppositeAccountID <= 0) {
			$fcss[5]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Opposite Account";
		}		

		$cclass->setStoreID($gdb->getNextID("asys_stores","StoreID"));
		$cclass->setCompanyID($tcmp->getCompanyID());
		$cclass->setStoreName($StoreName);
		$cclass->setMotherAccountID($MotherAccountID);
		$cclass->setAccountID($AccountID);
		$cclass->setOppositeAccountID($OppositeAccountID);

		if($rmsg == "") {
			if($gdb->SaveObjectToDB($cclass)) {
				$msg	=	"<font class='blue'>Store created successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getStoreID());				
				$log->setActivity("Added new Store - ".$StoreName);
				$log->setClassName('asys_stores');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);	
				
				$cclass				= new asys_stores();
				
				$fullPath = __DIR__ . "/json/getStoreList" ;
				array_map('unlink', glob( "$fullPath*.json"));
			} else {
				$msg	=	"<font class='red'>Store ID/Name already exist, try with a different ID/Name</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/select2.css");
	$iPage->addLink("css/modal.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/modal.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
?>	

	<div id="pagehead">&nbsp;CREATE NEW STORE</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="process" />
	<input type="hidden" name="csubled" id="csubled" value="NO" />
	
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewStore.php"><img src="images/columns.gif" title="View Store List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr style="height:2px"><td colspan="3"></td></tr>	
				
		<tr>
			<td class="td_normal" width="170px;">&nbsp;Store Name</td>
			<td class="td_normal" width="10px;">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[1]?>" name="StoreName" id="StoreName" value="<?php echo $cclass->getStoreName('yes')?>" style="width:400px" maxLength="200" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[1]?>'" /></td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Select Ledger</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd9">
				<div style="float:left;">
				
					<select name="MotherAccountID" id="MotherAccountID" style="width:300px" onChange="fetchSubaccount()">
						<option value="0">--</option>
					<?php	
						for($i=0;$i<count($accList);$i++) { 
							$cb			= $accList[$i];
							if($cb->getMotherAccount()==0) {
								$tmp	= "";
								if($cclass->getMotherAccountID() == $cb->getAccountID()) $tmp = 'selected';
					?>
							<option value="<?php echo $cb->getAccountID()?>" <?php echo $tmp?>><?php echo $cb->getAccountName()?></option>
						<?php } ?>
					<?php } ?>
					</select>				

				</div>
				<div style="float:left;padding-left:5PX;" id="_childDiv">
					<select name="AccountID" id="AccountID" style="width:300px"></select>
				</div>
			</td>
		</tr>
		
		<tr>
			<td class="td_normal" valign="top">&nbsp;Opposite posting Ledger</td>
			<td class="td_normal" valign="top">:</td>
			<td class="td_normal" valign="top">
				<select class="select" name="OppositeAccountID" id="OppositeAccountID" style="width:400px;">
					<option value="0"></option>
					<?php
						for($i=0;$i<count($mainList);$i++) {
							$acls	= $mainList[$i];
							if($acls->getMotherAccount() != 0) continue;
							$tmp	= "";
							if($cclass->getOppositeAccountID() == $acls->getAccountID()) $tmp = 'selected';
							echo '<option value="'.$acls->getAccountID().'" '.$tmp.'>'.$acls->getAccountName().'</option>';
						}
					?>
				</select>
				&nbsp;Direct Expense group ledgers
			</td>
		</tr>	
						
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Create (S) " AccessKey="S" onClick="submitForm('hfrm')" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
	<br /><br />
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>
		
<script language="javaScript">

	var mdrList		= new Array();
	var cdrList		= new Array();
	
	<?php
		$j 	= 0;
		$k	=	0;
		for($i=0;$i<count($accList);$i++) {
			$cb	= $accList[$i];
			if($cb->getMotherAccount() == 0) {
	?>
				mdrList[<?php echo $j?>] 			= new Array();
				mdrList[<?php echo $j?>][0] 	= "<?php echo $cb->getAccountID()?>";
				mdrList[<?php echo $j?>][1] 	= "<?php echo formatJScriptString($cb->getAccountName())?>";
				mdrList[<?php echo $j?>][2] 	= "<?php echo $cb->getMotherAccount()?>";
				mdrList[<?php echo $j?>][3] 	= "<?php echo $cb->getContainsSubLedger()?>";
	<?php
				$j++;
			} else {
	?>
				cdrList[<?php echo $k?>] 			= new Array();
				cdrList[<?php echo $k?>][0] 	= "<?php echo $cb->getAccountID()?>";
				cdrList[<?php echo $k?>][1] 	= "<?php echo formatJScriptString($cb->getAccountName())?>";
				cdrList[<?php echo $k?>][2] 	= "<?php echo $cb->getMotherAccount()?>";
				cdrList[<?php echo $k?>][3] 	= "<?php echo $cb->getContainsSubLedger()?>";
	<?php
				$k++;
			}
		}
	?>

	$(function () {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		
		$("#MotherAccountID").select2({dropdownCssClass : 'drop400'});
		$("#AccountID").select2({dropdownCssClass : 'drop400'});
		$("#OppositeAccountID").select2();

	});	
	
	function fetchSubaccount() {

    $('#AccountID').empty();
    $('#AccountID').append('<option value="0">--</option>');
    
    var aid		= "<?php echo $cclass->getAccountID()?>";
	
		var macc	=	EBD('MotherAccountID').value;
		if(macc == 0) return;

		var csl		=	'NO';
		for(var ij=0; ij<mdrList.length; ij++) {
			if(mdrList[ij][0] == macc)
				csl	=	mdrList[ij][3];
		}
		EBD('csubled').value	=	csl;

		if(csl=='YES') {
			var j	=	0;
			for(var ii=0; ii<cdrList.length; ii++) {
				if(cdrList[ii][2] == macc) {
					$('#AccountID').append('<option value="' + cdrList[ii][0] + '">' + cdrList[ii][1] + '</option>');
				}
			}
		}
		$("#AccountID").val(aid).change();
	}
	
</script>