<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_unit.php' );
	
	
	$ModuleID			= 1;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$cclass				= new gen_unit();
	
	if($ldb->getCreatePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
							
			
	$UnitID	=	"";
	$UnitName	=	"";


	$rmsg					=	"";
	$msg					=	"Please enter all the fields correctly.";
	$pagen				=	"";

	$fcss					=	 array();
	for($i=0;$i<11;$i++)
		$fcss[$i]		=	"input";

	extract($_REQUEST);
	
	if($pagen == "process") {
		/* Check for valid input */		

		if(trim($UnitName) == "") {
			$fcss[1]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	"UnitName";
		}

		$cclass->setUnitID($gdb->getNextID("gen_unit","UnitID"));
		$cclass->setUnitName($UnitName);	

		if($rmsg == "") {
			if($gdb->SaveObjectToDB($cclass)) {
				$msg	=	"<font class='blue'>Unit created successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getUnitID());
				$log->setActivity("Added new Unit - ".$UnitName);
				$log->setClassName('gen_unit');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);
				
				$fullPath = __DIR__ . "/json/getUnitList" ;
				array_map('unlink', glob( "$fullPath*.json"));				
				
				$cclass				= new gen_unit();
			} else {
				$msg	=	"<font class='red'>Unit ID/Name already exist, try with a different ID/Name</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/jquery.js");	
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
?>	

	<div id="pagehead">&nbsp;CREATE NEW UNIT</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="process" />
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewUnit.php"><img src="images/columns.gif" title="View Unit List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>	
				
		<tr>
			<td class="td_normal">&nbsp;Unit Name</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[1]?>" name="UnitName" id="UnitName" value="<?php echo $cclass->getUnitName('yes')?>" style="width:400px" maxLength="200" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[1]?>'" /></td>
		</tr>	
						
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Create (S) " AccessKey="S" onClick="submitForm('hfrm')" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>	
		
<script language="javaScript">

	window.onload	=	function() {
		EBD('UnitName').focus();
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
	};	

</script>