<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.drcr.php' );
	require_once( 'dao/asys.group.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.vouchertag.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.vouchertype.php' );
	require_once( 'dao/asys.voucherdb.php' );
	

	$db			=	new masterdb();
	$vdb		=	new voucherdb();
	$ldb		= new logindb();
	$veb		= new asys_voucher_entry();
	$veb1		= new asys_voucher_entry();

	$vid			=	0;
	$vtid			= 0;
	$finyear	=	getFinancialYear(date('Y-m-d'));

	extract($_REQUEST);

	$vid			=	(int)$vid;
	$vtid			=	(int)$vtid;
	$finyear	=	addslashes($finyear);

	if($vid == 0) {
		echo "Sorry!!! Direct Access not allowed here";
		exit;
	}

	$vList	=	$vdb->getVoucherList($vid);
	if(count($vList) > 0) {
		$veb		= $vList[0];
		$veb1		= $vList[1];
	} else {
		echo "Sorry!!! Invalid input parameters.";
		exit;
	}
	$dov		=	$veb->getDOV('yes');
	$vtid		= $veb->getVoucherType();
	
	if($vtid == CASH_RECEIPT_VOUCHER) {
		$ModuleID	= 6;
		$footer 	= $tcmp->getCRVFooter();
	} else if($vtid == BANK_RECEIPT_VOUCHER) {
		$ModuleID	= 7;
		$footer 	= $tcmp->getBRVFooter();
	}
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}
	
	$supid		= $veb->getAccountID();
	$supdet		= $db->getAccountDetail($supid);
	
	$logstr		= $ldb->getLogStringByModuleRelatedID($tcmp->getCompanyID(), $ModuleID, $vid);

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>

<head>
	<meta http-equiv="Content-Language" content="en">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title>Money Receipt</title>
</head>

<body topmargin="20" leftmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0">

<div align="center">
	<table border="1" width="850" cellspacing="0" cellpadding="0" style="border-collapse: collapse" bordercolor="#666666">
		<tr>
			<td>
			<div align="left">
			<table border="0" width="100%" cellpadding="4">
				<tr>
					<td height="50" colspan="2">
					<p align="center"><font face="Arial"><b>
					<span style="text-decoration:underline">M O N E Y&nbsp; R E C E I P T</span></b></font></td>
				</tr>
				<tr>
					<td width="65%" valign="top">
					<font face="Arial" style="font-size: 11pt; font-weight: 700">
					<?php echo $tcmp->getCompanyName()?><br />
					<?php echo nl2br($tcmp->getCompanyAddress())?></font><p>&nbsp;</td>
					<td width="35%" valign="top">
						<font face="Arial" style="font-size: 11pt; font-weight: 700">
						<div style="float:left;width:90px;">Receipt No. </div>
						<div style="float:left;">: <?php echo getShortVoucherType($veb->getVoucherType()).'/'.FormatSQLDateToVoucherPrintFormat($veb->getDOV()).'/'.$veb->getDayWiseNo()?></div>
						<div style="clear:both;float:left;width:90px;">Date </div>
						<div style="float:left;">: <?php echo $dov?></div>
						</font>
					</td>
				</tr>
				<tr>
					<td width="95%" valign="top" colspan="2"><hr /></td>
				</tr>
				<tr>
					<td width="95%" colspan="2">
					<table border="0" width="100%" cellspacing="0" cellpadding="0">
						<tr>
							<td width="24%" valign="top">
							<font face="Arial" style="font-size: 11pt">RECEIVED with thanks from :</font></td>
							<td width="76%" valign="top">
							<font face="Arial" style="font-size: 11pt"><?php echo $supdet->getAccountName()?><br />
							<?php echo $supdet->getAddress1()?><br />
							<?php echo $supdet->getCity()?></font></td>
						</tr>
						<tr>
							<td width="24%" valign="top">&nbsp;</td>
							<td width="76%" valign="top">&nbsp;</td>
						</tr>
						<tr>
							<td width="24%" valign="top"><font face="Arial" style="font-size: 11pt">the sum of Rupees :</font></td>
							<td width="76%" valign="top"><font face="Arial" style="font-size: 11pt"><?php echo numToWord($veb->getAmount(),'Paise')?></font></td>
						</tr>
						<tr>
							<td width="24%" valign="top">&nbsp;</td>
							<td width="76%" valign="top">&nbsp;</td>
						</tr>
						<tr>
							<td width="24%" valign="top">
							<font face="Arial" style="font-size: 11pt">By :</font></td>
							<td width="76%" valign="top">
							<font face="Arial" style="font-size: 11pt"><?php if($ModuleID == 6) { echo 'Cash'; } else { echo 'Cheque No. '.$veb->getChequeNo().', Cheque Date : '.$veb->getChqDate('yes').', Bank :'.$veb->getBankName(); } ?></font></td>
						</tr>
					</table>
					</td>
				</tr>
				<tr>
					<td width="95%" colspan="2">
					&nbsp;</td>
				</tr>
				<tr>
					<td width="95%" height="30" colspan="2">
					<font face="Arial" style="font-size: 11pt; font-weight: 700">
					Rs. <?php echo $veb->getAmount('yes')?></font></td>
				</tr>
				<tr>
					<td width="95%" colspan="2" align="right"><font face="Arial" style="font-size: 11pt; font-weight: 700"><?php echo $tcmp->getCompanyName()?></font></td>
				</tr>
				<tr>
					<td width="48%">&nbsp;<p>&nbsp;</p>
					<p><font face="Arial" size="2">RECEIPT SUBJECT TO 
					REALIZATION OF CHEQUE/DD</font></td>
					<td width="47%">
					<p align="right">&nbsp;</td>
				</tr>
				</table>
			</div>
			</td>
		</tr>
	</table>
	<p>&nbsp;</div>

</body>

</html>
