<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.drcr.php' );
	require_once( 'dao/asys.group.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.vouchertag.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.vouchertype.php' );
	require_once( 'dao/asys.voucherdb.php' );
	

	$db			=	new masterdb();
	$vdb		=	new voucherdb();
	$ldb		= new logindb();
	$veb		= new asys_voucher_entry();

	$vid			=	0;
	$vtid			= 0;
	$finyear	=	getFinancialYear(date('Y-m-d'));

	extract($_REQUEST);

	$vid			=	(int)$vid;
	$vtid			=	(int)$vtid;
	$finyear	=	addslashes($finyear);

	if($vid == 0) {
		echo "Sorry!!! Direct Access not allowed here";
		exit;
	}

	$vList	=	$vdb->getVoucherList($vid);
	if(count($vList) > 0) {
		$veb		= $vList[0];
	} else {
		echo "Sorry!!! Invalid input parameters.";
		exit;
	}
	$dov		=	$veb->getDOV('yes');
	$vtid		= $veb->getVoucherType();
	
	if($vtid == CASH_RECEIPT_VOUCHER) {
		$ModuleID	= 6;
		$footer 	= $tcmp->getCRVFooter();
	} else if($vtid == BANK_RECEIPT_VOUCHER) {
		$ModuleID	= 7;
		$footer 	= $tcmp->getBRVFooter();
	} else if($vtid == CASH_PAYMENT_VOUCHER) {
		$ModuleID	= 8;
		$footer 	= $tcmp->getCPVFooter();
	} else if($vtid == BANK_PAYMENT_VOUCHER) {
		$ModuleID	= 9;
		$footer 	= $tcmp->getBPVFooter();
	} else if($vtid == CONTRA_VOUCHER) {
		$ModuleID	= 10;
		$footer 	= $tcmp->getCONFooter();
	} else if($vtid == JOURNAL_VOUCHER) {
		$ModuleID	= 11;
		$footer 	= $tcmp->getJRNFooter();
	} else if($vtid == CREDIT_NOTE_VOUCHER) {
		$ModuleID	= 12;
		$footer 	= $tcmp->getCDNFooter();
	} else if($vtid == DEBIT_NOTE_VOUCHER) {
		$ModuleID	= 13;
		$footer 	= $tcmp->getDBNFooter();
	}
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}				
	
	$logstr		= $ldb->getLogStringByModuleRelatedID2($tcmp->getCompanyID(), $ModuleID, $vid);

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
	<title><?php echo APP_TITLE?></title>
	<link rel="stylesheet" href="css/rpt.css" type="text/css" />
</head>
	<body topmargin="0" leftmargin="0" rightmargin="0" style="background-color:#ffffff">
	
		<div align="center">
			<table width="800" cellspacing="0" cellpadding="2" style="border:#C0C0C0 1px solid;">
				<tr>
					<td width="100%" height="30">
					<table style="border:0px;" width="100%" cellpadding="2">
						<tr>
							<td colspan="2" align="center">
								<b><font style="font-size:20px;" face="Arial"><?php echo $tcmp->getCompanyName()?></font></b>
								<hr />
								<b><font style="font-size:14px;" face="Arial"><?php echo nl2br($tcmp->getCompanyAddress())?></font></b>								
							</td>
						</tr>					
						<tr>
							<td height="36" colspan="2">
				<p align="center"><b><font face="Arial" size="2"><?php echo strtoupper(getVoucherType($vtid))?></font></b></td>
						</tr>
						<tr>
							<td height="30" width="50%">
							<p align="left" style="margin-right: 2px; margin-top:0; margin-bottom:0">
							<font face="Arial" size="2">Voucher No. : <?php echo getShortVoucherType($veb->getVoucherType()).'/'.FormatSQLDateToVoucherPrintFormat($veb->getDOV()).'/'.$veb->getDayWiseNo()?></font></td>
							<td height="30" width="50%">
							<p align="right" style="margin-right: 2px; margin-top:0; margin-bottom:0">
							<font face="Arial" size="2">Date : <?php echo $dov?></font></td>
						</tr>
						
						<tr>
							<td colspan="2"><img src="images/line1.gif" width="100%" height="1"></td>
						</tr>
						<tr>
							<td colspan="2">
								<?php	if($vtid == BANK_PAYMENT_VOUCHER || $vtid == BANK_RECEIPT_VOUCHER || $vtid == CONTRA_VOUCHER){	?>
								<table width="100%" style="border:0px;">
									<tr>
										<td width="35%" class="td_normal">ACCOUNT NAME</td>
										<td width="10%" class="td_normal">CHQ/DD</td>
										<td width="10%" class="td_normal">CH DATE</td>
										<td width="15%" class="td_normal">BANK</td>
										<td width="15%" class="td_normal" align="right">DEBIT</td>
										<td width="15%" class="td_normal" align="right">CREDIT</td>
									</tr>
								</table>
								<?php }else{ ?>
								<table width="100%" style="border:0px;">
									<tr>
										<td width="70%" class="td_normal">ACCOUNT NAME</td>
										<td width="15%" class="td_normal" align="right">DEBIT</td>
										<td width="15%" class="td_normal" align="right">CREDIT</td>
									</tr>
								</table>
								<?php	}	?>
							</td>
						</tr>
						<tr>
							<td colspan="2"><img src="images/line1.gif" width="100%" height="1"></td>
						</tr>
						<tr>
							<td colspan="2">
								<table width="100%" style="border:0px;">
								<?php
									$totAmt	=	0;
									for($i=0;$i<count($vList);$i++) {
										$veb	=	$vList[$i];
										if($vtid==BANK_PAYMENT_VOUCHER || $vtid==BANK_RECEIPT_VOUCHER || $vtid == CONTRA_VOUCHER) {
										
											$chqno	= "";
											$bname	= "";
											$chqdt	= "";
											if($veb->getChequeNo() != "") {
												$chqno	= $veb->getChequeNo();
												$chqdt	= $veb->getChqDate('yes');
												$bname	= $veb->getBankName();
											}										

								?>
											<tr>
												<td width="35%" class="td_normal"><?php if($veb->getMotherAccount() != 0) echo $veb->getMotherAccountName().' - '; ?> <?php echo $veb->getAccountName()?></td>
												<td width="10%" class="td_normal"><?php echo $chqno?></td>
												<td width="10%" class="td_normal"><?php echo $chqdt?></td>
												<td width="15%" class="td_normal"><?php echo $bname?></td>
												<?php
													if($veb->getDrCr()==DEBIT) {
														$totAmt+=$veb->getAmount();
												?>
														<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
														<td width="15%" class="td_normal" align="right"></td>
												<?php
													} else {
												?>
														<td width="15%" class="td_normal" align="right"></td>
														<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
												<?php } ?>
											</tr>
								<?php
										} else {
								?>
											<tr>
												<td width="70%" class="td_normal"><?php if($veb->getMotherAccount() != 0) echo $veb->getMotherAccountName().' - '; ?><?php echo $veb->getAccountName()?></td>
												<?php
													if($veb->getDrCr()==DEBIT) {
														$totAmt+=$veb->getAmount();
												?>
														<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
														<td width="15%" class="td_normal" align="right"></td>
												<?php } else {
												?>
														<td width="15%" class="td_normal" align="right"></td>
														<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
												<?php } ?>
											</tr>
								<?php
										}
									}
								?>
									<tr>
										<td colspan="3" class="td_normal"><br><br>NARRATION : <?php echo nl2br($veb->getNarration())?></td>
									</tr>
									<tr>
										<td colspan="3" class="td_normal"><br><b><font style="font-size:10px">TOTAL : <?php echo CURRENCY_WORD?> <?php echo numToWord($totAmt,'Paise')?></font></b></td>
									</tr>
									<tr>
										<td colspan="3" class="td_normal_micro"><?php echo $veb->getUserID()?></td>
									</tr>									
								</table>
							</td>
						</tr>
						<tr>
							<td colspan="2"><img src="images/line1.gif" width="100%" height="1"></td>
						</tr>
						
						<!-- Footer starts here -->
						
						<tr>
							<td height="30" colspan="2">
							
								<?php echo $footer ?>
							
							</td>
						</tr>
						
						<!-- Footer ends here -->
					</table>
					</td>
				</tr>
				</table>
		</div>
	
	
	</body>
	
</html>

<script language="javaScript">

	window.onload	=	function() {
		window.print();
		window.close();
	}

</script>