<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.drcr.php' );
	require_once( 'dao/asys.group.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.vouchertype.php' );
	require_once( 'dao/asys.voucherdb.php' );
	

	$db				=	new masterdb();
	$vdb			=	new voucherdb();
	$ldb			= new logindb();
	$veb			= new asys_voucher_entry();

	$DateFrom	=	"";
	$DateTo		= "";
	$vtid			= 0;

	extract($_REQUEST);

	$dtf			=	FormatIndianDateToSQLDate($DateFrom);
	$dtt			=	FormatIndianDateToSQLDate($DateTo);
	$vtid			=	(int)$vtid;
	
	$footer 	= "";
	
	if($vtid == CASH_RECEIPT_VOUCHER) {
		$footer 	= $tcmp->getCRVFooter();
	} else if($vtid == BANK_RECEIPT_VOUCHER) {
		$footer 	= $tcmp->getBRVFooter();
	} else if($vtid == CASH_PAYMENT_VOUCHER) {
		$footer 	= $tcmp->getCPVFooter();
	} else if($vtid == BANK_PAYMENT_VOUCHER) {
		$footer 	= $tcmp->getBPVFooter();
	} else if($vtid == CONTRA_VOUCHER) {
		$footer 	= $tcmp->getCONFooter();
	} else if($vtid == JOURNAL_VOUCHER || $vtid == MANUAL_JOURNAL_VOUCHER) {
		$footer 	= $tcmp->getJRNFooter();
	} else if($vtid == CREDIT_NOTE_VOUCHER) {
		$footer 	= $tcmp->getCDNFooter();
	} else if($vtid == DEBIT_NOTE_VOUCHER) {
		$footer 	= $tcmp->getDBNFooter();
	}	


	$vList	=	$vdb->getVoucherListByType($vtid, $dtf, $dtt, $tcmp->getCompanyID());
	if(count($vList) > 0) {
		$veb		= $vList[0];
	} else {
		echo "No records found";
		exit;
	}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
	<title>Bulk Voucher Print</title>
	<link rel="stylesheet" href="css/rpt.css" type="text/css" />
</head>
	<body topmargin="0" leftmargin="0" rightmargin="0" style="background-color:#ffffff">
	
	<?php
		$n			= count($vList);
		for($i=0;$i<$n;$i++) {
			$veb	=	$vList[$i];	
	?>
	
		<div align="center">
			<table border="1" width="800" cellspacing="0" cellpadding="2" style="border-collapse: collapse" bordercolor="#C0C0C0">
				<tr>
					<td width="100%" height="30">
					<table border="0" width="100%" cellpadding="2">
						<tr>
							<td colspan="2">
							<p align="center" style="margin-top: 0; margin-bottom: 0"><b>
				<font style="font-size:18px;" face="Arial"><?php echo $tcmp->getCompanyName()?></font></b>
							</td>
						</tr>
						<tr>
							<td height="36" colspan="2">
				<p align="center"><b><font face="Arial" size="2"><?php echo getVoucherType($vtid)?></font></b></td>
						</tr>
						<tr>
							<td height="30" width="50%">
							<p align="left" style="margin-right: 2px; margin-top:0; margin-bottom:0">
							<font face="Arial" size="2">Voucher No. : <?php echo getShortVoucherType($veb->getVoucherType()).'/'.FormatSQLDateToVoucherPrintFormat($veb->getDOV()).'/'.$veb->getDayWiseNo()?></font></td>
							<td height="30" width="50%">
							<p align="right" style="margin-right: 2px; margin-top:0; margin-bottom:0">
							<font face="Arial" size="2">Date : <?php echo $veb->getDOV('yes')?></font></td>
						</tr>
						
						<tr>
							<td colspan="2"><img src="images/line1.gif" width="100%" height="1"></td>
						</tr>
						<tr>
							<td colspan="2">
								<?php	if($vtid == BANK_PAYMENT_VOUCHER || $vtid == BANK_RECEIPT_VOUCHER || $vtid == CONTRA_VOUCHER){	?>
								<table width="100%">
									<tr>
										<td width="35%" class="td_normal">ACCOUNT NAME</td>
										<td width="10%" class="td_normal">CHQ/DD</td>
										<td width="10%" class="td_normal">CH DATE</td>
										<td width="15%" class="td_normal">BANK</td>
										<td width="15%" class="td_normal" align="right">DEBIT</td>
										<td width="15%" class="td_normal" align="right">CREDIT</td>
									</tr>
								</table>
								<?php }else{ ?>
								<table width="100%">
									<tr>
										<td width="70%" class="td_normal">ACCOUNT NAME</td>
										<td width="15%" class="td_normal" align="right">DEBIT</td>
										<td width="15%" class="td_normal" align="right">CREDIT</td>
									</tr>
								</table>
								<?php	}	?>
							</td>
						</tr>
						<tr>
							<td colspan="2"><img src="images/line1.gif" width="100%" height="1"></td>
						</tr>
						<tr>
							<td colspan="2">
								<table width="100%">
								
								<?php
									$totAmt	=	0;
									if($vtid==BANK_PAYMENT_VOUCHER || $vtid==BANK_RECEIPT_VOUCHER || $vtid == CONTRA_VOUCHER) {
										
									$chqno	= "";
									$bname	= "";
									$chqdt	= "";
									if($veb->getChequeNo() != "") {
										$chqno	= $veb->getChequeNo();
										$chqdt	= $veb->getChqDate('yes');
										$bname	= $veb->getBankName();
									}										

								?>
											<tr>
												<td width="35%" class="td_normal"><?php if($veb->getMotherAccount() != 0) echo $veb->getMotherAccountName().' - '; ?> <?php echo $veb->getAccountName()?></td>
												<td width="10%" class="td_normal"><?php echo $chqno?></td>
												<td width="10%" class="td_normal"><?php echo $chqdt?></td>
												<td width="15%" class="td_normal"><?php echo $bname?></td>
												<?php
													if($veb->getDrCr()==DEBIT) {
														$totAmt+=$veb->getAmount();
												?>
														<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
														<td width="15%" class="td_normal" align="right"></td>
												<?php
													} else {
												?>
														<td width="15%" class="td_normal" align="right"></td>
														<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
												<?php } ?>
											</tr>
								<?php
										} else {
								?>
											<tr>
												<td width="70%" class="td_normal"><?php if($veb->getMotherAccount() != 0) echo $veb->getMotherAccountName().' - '; ?><?php echo $veb->getAccountName()?></td>
												<?php
													if($veb->getDrCr()==DEBIT) {
														$totAmt+=$veb->getAmount();
												?>
														<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
														<td width="15%" class="td_normal" align="right"></td>
												<?php } else {
												?>
														<td width="15%" class="td_normal" align="right"></td>
														<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
												<?php } ?>
											</tr>
								<?php } ?>								
								
								
								
								<?php
									$vList2	= $vdb->getRestVoucher($veb->getVoucherID());
									$nn			= count($vList2);
									for($ii=0;$ii<$nn;$ii++) {
										$veb	=	$vList2[$ii];
										if($vtid==BANK_PAYMENT_VOUCHER || $vtid==BANK_RECEIPT_VOUCHER || $vtid == CONTRA_VOUCHER) {
										
											$chqno	= "";
											$bname	= "";
											$chqdt	= "";
											if($veb->getChequeNo() != "") {
												$chqno	= $veb->getChequeNo();
												$chqdt	= $veb->getChqDate('yes');
												$bname	= $veb->getBankName();
											}										

								?>
											<tr>
												<td width="35%" class="td_normal"><?php if($veb->getMotherAccount() != 0) echo $veb->getMotherAccountName().' - '; ?> <?php echo $veb->getAccountName()?></td>
												<td width="10%" class="td_normal"><?php echo $chqno?></td>
												<td width="10%" class="td_normal"><?php echo $chqdt?></td>
												<td width="15%" class="td_normal"><?php echo $bname?></td>
												<?php
													if($veb->getDrCr()==DEBIT) {
														$totAmt+=$veb->getAmount();
												?>
														<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
														<td width="15%" class="td_normal" align="right"></td>
												<?php
													} else {
												?>
														<td width="15%" class="td_normal" align="right"></td>
														<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
												<?php } ?>
											</tr>
								<?php
										} else {
								?>
											<tr>
												<td width="70%" class="td_normal"><?php if($veb->getMotherAccount() != 0) echo $veb->getMotherAccountName().' - '; ?><?php echo $veb->getAccountName()?></td>
												<?php
													if($veb->getDrCr()==DEBIT) {
														$totAmt+=$veb->getAmount();
												?>
														<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
														<td width="15%" class="td_normal" align="right"></td>
												<?php } else {
												?>
														<td width="15%" class="td_normal" align="right"></td>
														<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
												<?php } ?>
											</tr>
								<?php
										}
									}
								?>
									<tr>
										<td colspan="3" class="td_normal"><br><br>NARRATION : <?php echo nl2br($veb->getNarration())?></td>
									</tr>
									<tr>
										<td colspan="3" class="td_normal"><br><b><font style="font-size:10px">TOTAL : <?php echo CURRENCY_WORD?> <?php echo numToWord($totAmt,'Paise')?></font></b></td>
									</tr>
									<tr>
										<td colspan="3" class="td_normal_micro"><?php echo $veb->getUserID()?></td>
									</tr>									
								</table>
							</td>
						</tr>
						<tr>
							<td colspan="2"><img src="images/line1.gif" width="100%" height="1" /></td>
						</tr>
						
						<!-- Footer starts here -->
						
						<tr>
							<td height="30" colspan="2">
							
								<?php echo $footer ?>
							
							</td>
						</tr>
						
						<!-- Footer ends here -->
					</table>
					</td>
				</tr>
				</table>
		</div>
		<div style="page-break-after:always">&nbsp;</div>
		
		<?php } ?>
	
	</body>
	
</html>

<script language="javaScript">

	/*window.onload	=	function() {
		window.print();
		window.close();
	}*/

</script>