<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.gen_grn.php' );
	require_once( 'dao/class.gen_grn_items.php' );
	require_once( 'dao/class.purchasedb.php' );
	
	
	$ModuleID	= 20;	

	$gdb			=	new genericdb();
	$mdb			=	new masterdb();
	$pdb			=	new purchasedb();
	$ldb			= new logindb();
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pKey			= 0;
	
	extract($_REQUEST);
	
	$pKey			= (int)$pKey;
	$pcls			= $pdb->getGRNDetail($pKey);
	$itmList	= $pcls->getItemList();
	
	$logstr		= $ldb->getLogStringByModuleRelatedID($tcmp->getCompanyID(), $ModuleID, $pcls->getGRNID());

?>		

<html>

<head>
<meta http-equiv="Content-Language" content="en-us" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Print GRN</title>
<link rel="stylesheet" href="css/rpt.css" type="text/css" />
</head>

<body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0">

	<div align="center">
		<table border="1" width="850" cellspacing="0" cellpadding="2" style="border-collapse: collapse" bordercolor="#C0C0C0">
			<tr>
				<td width="100%" height="30" colspan="5">
					<table border="0" width="100%" cellpadding="2">
						<tr>
							<td colspan="2" align="center"><b<font size="6" face="Arial"><?php echo $tcmp->getCompanyName()?></font></b>
							</td>
						</tr>
						<tr>
							<td height="26" colspan="2" align="center"><b><font face="Arial">Goods Received Note (GRN)</font></b></td>
						</tr>
						<tr>
							<td height="25" colspan="2"><b><font size="2" face="Arial">Store Name : <?php echo $pcls->getStoreName()?></font></b></td>
						</tr>
						<tr>
							<td height="25" colspan="2"><b><font size="2" face="Arial">Supplier Name : <?php echo $pcls->getSupplierName()?></font></b></td>
						</tr>
						<tr>
							<td height="30" width="50%"><font face="Arial" size="2"><?php echo $pcls->getGRNNo()?>/<?php echo $pcls->getFinYear()?></font></td>
							<td height="30" width="50%" align="right"><font face="Arial" size="2">Date : <?php echo $pcls->getGRNDate('yes')?></font></td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td width="5%" height="30" align="center"><b><font size="2" face="Arial">Sl. No.</font></b></td>
				<td width="50%" height="30" align="center"><b><font size="2" face="Arial">Item Name &amp; Code</font></b></td>
				<td width="15%" height="30" align="center"><b><font size="2" face="Arial">Qty. </font></b></td>
				<td width="15%" height="30" align="center"><b><font size="2" face="Arial">Unit </font></b></td>
				<td width="15%" height="30" align="center"><b><font face="Arial" size="2">Rate</font></b></td>
			</tr>
			
			<?php
				for($i=0;$i<count($itmList);$i++) {
					$icls		= $itmList[$i];
					$iDet		= $mdb->getItemDetail($icls->getItemID());
			?>			
			
			<tr>
				<td width="5%" height="26"><font face="Arial" size="2"><?php echo ($i+1)?></font></td>
				<td width="50%" height="26"><font face="Arial" size="2"><?php echo $icls->getItemName()?> (<?php echo $iDet->getItemNo()?>)</font></td>
				<td width="15%" height="26" align="center"><font face="Arial" size="2"><?php echo $icls->getQuantity()?> </font></td>
				<td width="15%" height="26" align="center"><font face="Arial" size="2"><?php echo $iDet->getUnitName()?></font></td>
				<td width="15%" height="26" align="right"><font face="Arial" size="2"><?php echo $icls->getRate()?></font></td>
			</tr>
			
			<?php } ?>
			

			<tr>
				<td width="98%" height="40" align="right" colspan="5">
					<table border="0" width="100%" cellspacing="0" cellpadding="0">
						<tr>
							<td height="60" width="33%" valign="bottom"><b><font face="Arial" size="2">Store Keeper</font></b></td>
							<td height="60" width="33%" valign="bottom" align="center"><b><font face="Arial" size="2">Purchase In-Charge</font></b></td>
							<td height="60" width="33%" valign="bottom" align="right"><b><font face="Arial" size="2">Manager</font></b></td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td colspan="5" class="td_normal_micro"><?php echo $logstr?></td>
			</tr>
		</table>
	</div>

</body>

</html>

<script language="javaScript">

	window.onload	=	function() {
		window.print();
		window.close();
	}

</script>