<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.gen_issue.php' );
	require_once( 'dao/class.gen_issue_items.php' );
	require_once( 'dao/class.purchasedb.php' );
	
	
	$ModuleID	= 42;

	$gdb			=	new genericdb();
	$mdb			=	new masterdb();
	$pdb			=	new purchasedb();
	$ldb			= new logindb();
	
	$pKey			= 0;
	
	extract($_REQUEST);
	
	$pKey			= (int)$pKey;
	$pcls			= $pdb->getIssueDetail($pKey);
	$itmList	= $pcls->getItemList();
	
	$logstr		= $ldb->getLogStringByModuleRelatedID($tcmp->getCompanyID(), $ModuleID, $pcls->getIssueID());

?>		

<html>

<head>
<meta http-equiv="Content-Language" content="en-us" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Print Issue</title>
<link rel="stylesheet" href="css/rpt.css" type="text/css" />
</head>

<body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0">

	<div align="center">
		<table border="1" width="850" cellspacing="0" cellpadding="2" style="border-collapse: collapse" bordercolor="#C0C0C0">
			<tr>
				<td width="100%" height="30" colspan="8">
				<table border="0" width="100%" cellpadding="2">
					<tr>
						<td colspan="2">
						<p align="center" style="margin-top: 0; margin-bottom: 0"><b>
			<font size="3" face="Arial"><?php echo $tcmp->getCompanyName()?><br /><?php echo $tcmp->getCompanyAddress()?></font></b>
						</td>
					</tr>
					<tr>
						<td height="26" colspan="2">
			<p align="center" style="margin-top: 0; margin-bottom: 0"><b>
			<font face="Arial">Issue/Consumption</font></b></td>
					</tr>
					<tr>
						<td height="30" width="50%">
						<font face="Arial" size="2"><?php echo $pcls->getIssueNo()?>/<?php echo $pcls->getFinYear()?></font></td>
						<td height="30" width="50%">
						<p align="right" style="margin-top:0; margin-bottom:0">
						<font face="Arial" size="2">Date : <?php echo $pcls->getIssueDate('yes')?></font></td>
					</tr>					
					<tr>
						<td height="25" colspan="2">
			<b>
				<font size="2" face="Arial">Store Name : <?php echo $pcls->getStoreName()?></font></b></td>
					</tr>
					<tr>
						<td height="25" colspan="2">
			<b>
				<font size="2" face="Arial"> Debit Ledger : <?php echo $pcls->getDebitMotherAccountName()?> <?php if($pcls->getDebitAccountID() > 0) echo 'Sub ledger: '.$pcls->getDebitAccountName()?></font></b></td>
					</tr>
					<tr>
						<td height="25" colspan="2">
			<b>
				<font size="2" face="Arial"> Credit Ledger : <?php echo $pcls->getCreditMotherAccountName()?> <?php if($pcls->getCreditAccountID() > 0) echo 'Sub ledger: '.$pcls->getCreditAccountName()?></font></b></td>
					</tr>					
				</table>
				</td>
			</tr>
			<tr>
				<td width="5%" height="30" align="center"><b>
				<font size="2" face="Arial">Sl. No.</font></b></td>
				<td width="50%" height="30" align="center"><b>
				<font size="2" face="Arial">Item Name &amp; Code</font></b></td>
				<td width="15%" height="30" align="center">
				<b><font size="2" face="Arial">Qty. </font></b></td>
				<td width="15%" height="30" align="center">
				<b><font size="2" face="Arial">Unit </font></b></td>
				<td width="15%" height="30" align="center">
				<b><font face="Arial" size="2">Remark</font></b></td>
			</tr>
			
			<?php
				for($i=0;$i<count($itmList);$i++) {
					$icls		= $itmList[$i];
					$iDet		= $mdb->getItemDetail($icls->getItemID());
					
					if($i != 0 && $i%8 == 0) {
			?>
			<tr>
				<td width="98%" height="40" align="right" colspan="8">
				<table border="0" width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td height="60" width="33%" valign="bottom">
						<p style="margin-left: 8px; margin-top: 0; margin-bottom: 0">
						<b><font size="2" face="Arial">स्टोर कीपर </font></b></td>
						<td height="60" width="33%" valign="bottom">
						<p align="center"><b><font size="2" face="Arial">मैनेजर
						</font></b></td>
						<td height="60" width="33%" valign="bottom">
						<p align="right" style="margin-right: 8px; margin-top: 0; margin-bottom: 0">
						<b><font size="2" face="Arial">प्राप्तकर्ता</font></b></td>
					</tr>
				</table>
				</td>
			</tr>
		</table>
		
		<div style="page-break-before:always">&nbsp;</div>
		
		<table border="1" width="850" cellspacing="0" cellpadding="2" style="border-collapse: collapse" bordercolor="#C0C0C0">
			<tr>
				<td width="100%" height="30" colspan="8">
				<table border="0" width="100%" cellpadding="2">
					<tr>
						<td colspan="2">
						<p align="center" style="margin-top: 0; margin-bottom: 0"><b>
			<font size="3" face="Arial"><?php echo $tcmp->getCompanyName()?><br /><?php echo $tcmp->getCompanyAddress()?></font></b>
						</td>
					</tr>
					<tr>
						<td height="26" colspan="2">
			<p align="center" style="margin-top: 0; margin-bottom: 0"><b>
			<font face="Arial">Issue/Consumption</font></b></td>
					</tr>
					<tr>
						<td height="30" width="50%">
						<font face="Arial" size="2"><?php echo $pcls->getIssueNo()?>/<?php echo $pcls->getFinYear()?></font></td>
						<td height="30" width="50%">
						<p align="right" style="margin-top:0; margin-bottom:0">
						<font face="Arial" size="2">Date : <?php echo $pcls->getIssueDate('yes')?></font></td>
					</tr>					
					<tr>
						<td height="25" colspan="2">
			<b>
				<font size="2" face="Arial">Store Name : <?php echo $pcls->getStoreName()?></font></b></td>
					</tr>
					<tr>
						<td height="25" colspan="2">
			<b>
				<font size="2" face="Arial"> Debit Ledger : <?php echo $pcls->getDebitMotherAccountName()?> <?php if($pcls->getDebitAccountID() > 0) echo 'Sub ledger: '.$pcls->getDebitAccountName()?></font></b></td>
					</tr>
					<tr>
						<td height="25" colspan="2">
			<b>
				<font size="2" face="Arial"> Credit Ledger : <?php echo $pcls->getCreditMotherAccountName()?> <?php if($pcls->getCreditAccountID() > 0) echo 'Sub ledger: '.$pcls->getCreditAccountName()?></font></b></td>
					</tr>										
				</table>
				</td>
			</tr>					
			<tr>
				<td width="5%" height="30" align="center"><b>
				<font size="2" face="Arial">Sl. No.</font></b></td>
				<td width="50%" height="30" align="center"><b>
				<font size="2" face="Arial">Item Name &amp; Code</font></b></td>
				<td width="15%" height="30" align="center">
				<b><font size="2" face="Arial">Qty. </font></b></td>
				<td width="15%" height="30" align="center">
				<b><font size="2" face="Arial">Unit </font></b></td>
				<td width="15%" height="30" align="center">
				<b><font face="Arial" size="2">Remark</font></b></td>
			</tr>			
			
			<?php } ?>			
			
			<tr>
				<td width="5%" height="26" align="left">
				<p align="left" style="margin-right: 2px">
				<font face="Arial" size="2"><?php echo ($i+1)?></font></td>
				<td width="50%" height="26">
				<p style="margin-left: 2px"><font face="Arial" size="2"><?php echo $icls->getItemName()?> (<?php echo $iDet->getItemNo()?>)</font></td>
				<td width="15%" height="26" align="center">
				<p style="margin-right: 2px"><font face="Arial" size="2"><?php echo $icls->getQuantity()?> </font></td>
				<td width="15%" height="26" align="right">
				<p align="center"><font face="Arial" size="2"><?php echo $iDet->getUnitName()?></font></td>
				<td width="15%" height="26" align="center">
				<p style="margin-right: 2px; margin-top:0; margin-bottom:0">
				<font face="Arial" size="2"><?php echo $icls->getRemark();?></font></td>
			</tr>
			
			<?php } ?>
			
			<tr>
				<td colspan="5"><font size="2" face="Arial"><?php echo $pcls->getPurpose('yes')?></font></td>
			</tr>
			

			<tr>
				<td width="98%" height="40" align="right" colspan="8">
					<table border="0" width="100%" cellspacing="0" cellpadding="0">
						<tr>
							<td height="60" width="33%" valign="bottom">
							<p style="margin-left: 8px; margin-top: 0; margin-bottom: 0">
							<b><font size="2" face="Arial">स्टोर कीपर </font></b></td>
							<td height="60" width="33%" valign="bottom">
							<p align="center"><b><font size="2" face="Arial">मैनेजर
							</font></b></td>
							<td height="60" width="33%" valign="bottom">
							<p align="right" style="margin-right: 8px; margin-top: 0; margin-bottom: 0">
							<b><font size="2" face="Arial">प्राप्तकर्ता</font></b></td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td colspan="8" class="td_normal_micro"><?php echo $logstr?></td>
			</tr>
			</table>
	</div>

</body>

</html>

<script language="javaScript">

	window.onload	=	function() {
		window.print();
		window.close();
	}

</script>