<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.gen_purchaseorder.php' );
	require_once( 'dao/class.gen_purchaseorder_items.php' );
	require_once( 'dao/class.gen_purchaseorder_addless.php' );
	require_once( 'dao/class.purchasedb.php' );
	
	
	$ModuleID	= 16;	

	$gdb			=	new genericdb();
	$mdb			=	new masterdb();
	$pdb			=	new purchasedb();
	$ldb			= new logindb();
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pKey			= 0;
	
	extract($_REQUEST);
	
	$pKey			= (int)$pKey;
	$pcls			= $pdb->getPurchaseOrderDetail($pKey);
	$itmList	= $pcls->getItemList();
	
	$logstr		= $ldb->getLogStringByModuleRelatedID($tcmp->getCompanyID(), $ModuleID, $pcls->getOrderID());

?>		

<html>

<head>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title></title>
<link rel="stylesheet" href="css/rpt.css" type="text/css" />
</head>

<body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0">

	<div align="center">
		<table border="1" width="750" cellspacing="0" cellpadding="2" style="border-collapse: collapse" bordercolor="#C0C0C0">
			<tr>
				<td width="100%" height="30" colspan="5">
				<table border="0" width="100%" cellpadding="2">
					<tr>
						<td colspan="2">
						<p align="center" style="margin-top: 0; margin-bottom: 0"><b>
			<font size="3" face="Arial"><?php echo $tcmp->getCompanyName()?></font></b>
						</td>
					</tr>
					<tr>
						<td height="36" colspan="2">
			<p align="center" style="margin-top: 0; margin-bottom: 0"><b>
			<font face="Arial">Purchase Order (<?php echo $pcls->getStoreName()?>)</font></b></td>
					</tr>
					<tr>
						<td height="30" width="50%">
						<font face="Arial" size="2"><?php echo $pcls->getPurchaseNo()?>/<?php echo $pcls->getFinYear()?></font></td>
						<td height="30" width="50%">
						<p align="right" style="margin-top:0; margin-bottom:0">
						<font face="Arial" size="2">Date : <?php echo $pcls->getPurchaseDate('yes')?></font></td>
					</tr>
				</table>
				</td>
			</tr>
			<tr>
				<td width="8%" height="30" align="center"><b>
				<font size="2" face="Arial">Sl. No.</font></b></td>
				<td width="45%" height="30" align="center"><b>
				<font size="2" face="Arial">Item Name &amp; Code</font></b></td>
				<td width="15%" height="30" align="center">
				<b><font size="2" face="Arial">Qty. Required</font></b></td>
				<td width="15%" height="30" align="center">
				<b><font size="2" face="Arial">Qty. In Stock</font></b></td>
				<td width="15%" height="30" align="center">
				<b><font size="2" face="Arial">Remark</font></b></td>
			</tr>
			
			<?php
				for($i=0;$i<count($itmList);$i++) {
					$icls		= $itmList[$i];
					$iDet		= $mdb->getItemDetail($icls->getItemID());
			?>
			
			<tr>
				<td width="8%" height="26" align="right">
				<p align="right" style="margin-right: 2px">
				<font face="Arial" size="2"><?php echo ($i+1)?></font></td>
				<td width="45%" height="26">
				<p style="margin-left: 2px"><font face="Arial" size="2"><?php echo $icls->getItemName()?> (<?php echo $iDet->getItemNo()?>)</font></td>
				<td width="15%" height="26" align="right">
				<p style="margin-right: 2px"><font face="Arial" size="2"><?php echo $icls->getQuantity()?> <?php echo $iDet->getUnitName()?></font></td>
				<td width="15%" height="26" align="right">
				<p style="margin-right: 2px"><font face="Arial" size="2"><?php echo $icls->getAmount('yes');?></font></td>
				<td width="15%" height="26" align="right">
				<p align="center"><font face="Arial" size="2">&nbsp;</font></td>
			</tr>
			
			<?php } ?>

			<tr>
				<td width="98%" height="40" align="right" colspan="5">
				<table border="0" width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td height="60" width="33%" valign="bottom"><b>
						<font face="Arial" size="2">Store Keeper</font></b></td>
						<td height="60" width="33%" valign="bottom">
						<p align="center"><b><font face="Arial" size="2">Store 
						In-Charge</font></b></td>
						<td height="60" width="33%" valign="bottom">
						<p align="right"><b><font face="Arial" size="2">Manager</font></b></td>
					</tr>
				</table>
				</td>
			</tr>
			<tr>
				<td colspan="5" class="td_normal_micro"><?php echo $logstr?></td>
			</tr>
			</table>
	</div>

</body>

</html>

<script language="javaScript">

	/*window.onload	=	function() {
		window.print();
		window.close();
	}*/

</script>