<?php

	ini_set('max_execution_time', 30000);

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.store.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.stockvoucher.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.purchasedb.php' );
	
	$gdb		=	new genericdb();
	$mdb		=	new masterdb();
	$ldb		= new logindb();
	$pdb		= new purchasedb();
	
	if($ldb->getEditPermission($tuser->getUserID(), 30, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$df			= "2015-04-01";
	$dt			= "2015-04-30";
	$cmpid	= $tcmp->getCompanyID();
	
	$fdate	= "";
	$tdate	= "";
	$sid		= 0;
	
	extract($_REQUEST);
	
	$df			= FormatIndianDateToSQLDate($fdate);
	$dt			= FormatIndianDateToSQLDate($tdate);
	$sid		= (int)$sid;
	
	if($df == "1900-01-01" || $dt == "1900-01-01") {
		echo 'Invalid input parameters (dates) and/or Store';
		exit;
	}
	
	if($sid == 0) {
		$strList	= $mdb->getStoreList($cmpid);
		for($i=0;$i<count($strList);$i++) {
			$scls	= $strList[$i];
			$pdb->reCalculateStockClosingQuantityValueBalance($cmpid, $scls->getStoreID(), $df, $dt);
		}
	} else {
		$pdb->reCalculateStockClosingQuantityValueBalance($cmpid, $sid, $df, $dt);
	}
	
	echo 'DONE.';
	
?>
