<?php

	/* Include the required files */
	require_once( '../aom-config.php' );
	require_once( '../inc/functions.php' );
	require_once( '../dao/asys.user.php' );
	require_once( '../dao/asys.company.php' );		
	require_once( '../dao/asys.masterdb.php' );
	require_once( '../dao/asys.logindb.php' );
	require_once( '../dao/asys.userpermission.php' );

	$tuser		=	new asys_users();
	$tcmp			= new asys_companies();

	if(isset($_SESSION["ssEUser"])) {
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}
	
	if(isset($_SESSION["ssECmp"])) {
		$tcmp	=	unserialize($_SESSION["ssECmp"]);
	}
	
	if($tcmp->getCompanyID() <= 0) {
		header("Location:home.php");
		exit;
	}
	
	$ModuleID			= 51;
	
	$mdb		=	new masterdb("REPORT");
	$ldb		= new logindb("REPORT");
	$pdb		=	new saledb("REPORT");
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:../accessDenied.php");
		exit;
	}
	
	$fdate	= "";
	$tdate	= "";
	
	extract($_REQUEST);
	
	$dt1		= FormatIndianDateToSQLDate($fdate);
	$dt2		= FormatIndianDateToSQLDate($tdate);
		

?>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GSTR1 - 11A(1), 11A(2) Tax Liability</title>
</head>

<body>

<table border="0" width="1000" cellspacing="0" cellpadding="0" id="main_table">

	<tr>
		<td height="24" bgcolor="#FFFFFF" align="center"><b><font face="Arial" size="2">GSTR1 - 11A(1), 11A(2) Tax Liability (Advance Received)</font></b></td>
	</tr>
	<tr>
		<td height="60" bgcolor="#FFFFFF" align="center"><b><font style="font-size:16px;" face="Arial">GST#<?php echo $tcmp->getGST()?>, <?php echo $tcmp->getCompanyName()?></font></b></td>
	</tr>	
	<tr>
		<td height="24" bgcolor="#FFFFFF" align="center"><b><font face="Arial" size="2">Date : <?php echo $fdate?> - <?php echo $tdate?></font></b></td>
	</tr>
	
	<tr>
		<td bgcolor="#FFFFFF">
		<table border="1" width="100%" cellpadding="4" style="border-collapse: collapse" bordercolor="#808080">	

			<tr bgcolor="#d4d4d4">
				<td align="center" width="13%" class="td_normal_small bold">Place Of Supply</td>
				<td align="center" width="13%" class="td_normal_small bold">Applicable % of Tax Rate</td>
				<td align="center" width="13%" class="td_normal_small bold">Rate</td>
				<td align="center" width="13%" class="td_normal_small bold">Gross Advance Received</td>
				<td align="center" width="13%" class="td_normal_small bold">Cess Amount</td>
			</tr>
			
			<tr bgcolor="#FFFFFF">
				<td class="td_normal_small">&nbsp;</td>
				<td class="td_normal_small"></td>
				<td class="td_normal_small">0.00</td>
				<td class="td_normal_small">0.00</td>
				<td class="td_normal_small"></td>
			</tr>			
			
		</table>
		</td>
	</tr>
	

	

</table>
<p>&nbsp;</p>

</body>

</html>
