<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.drcr.php' );
	require_once( 'dao/asys.voucherdb.php' );
	

	$db					=	new masterdb();
	$vdb				=	new voucherdb();

	$DateFrom		=	FormatSQLDateToIndianDate(getFirstFinancialDate());
	$DateTo			=	date('d-m-Y');
	$AccountID	=	0;

	extract($_REQUEST);

	$DateFrom		=	addslashes($DateFrom);
	$DateTo			=	addslashes($DateTo);
	$AccountID	=	(int)$AccountID;

	$casList		=	$vdb->getCreditList(CASH_RECEIPT_VOUCHER, $tcmp->getCompanyID());
	$banList		=	$vdb->getCreditList(BANK_RECEIPT_VOUCHER, $tcmp->getCompanyID());

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/select2.js");


	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);

?>
	<div id="pagehead">&nbsp;REPORT - NEGATIVE BALANCES</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><b>Negative Cash Balance</b></div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="float:left;padding-top:3px;">
					&nbsp;Date From&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtfrom1" id="dtfrom1" value="<?php echo $DateFrom?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;Date To&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtto1" id="dtto1" value="<?php echo $DateTo?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;Account&nbsp;
				</div>
				<div style="float:left">
					<select name="accidc" id="accidc" style="width:400px;">
						<option value="0">--</option>
					<?php
						for($i=0;$i<count($casList);$i++) {
							$cb	= $casList[$i];
							if($cb->getMotherAccount() == 0) {
					?>
								<option value="<?php echo $cb->getAccountID()?>"><?php echo $cb->getAccountName()?></option>
						<?php } ?>
					<?php } ?>
					</select>
				</div>
				<div style="float:left">
					&nbsp;&nbsp;<input type="button" class="red_button" value="Report HTML" id="btnS" onClick="srcRC()" />
				</div>
			</td>
		</tr>
	</table>
	
	<br />
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><b>Negative Bank Balance</b></div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="float:left;padding-top:3px;">
					&nbsp;Date From&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtfrom2" id="dtfrom2" value="<?php echo $DateFrom?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;Date To&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtto2" id="dtto2" value="<?php echo $DateTo?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;Account&nbsp;
				</div>
				<div style="float:left">
					<select name="accidb" id="accidb" style="width:400px;">
						<option value="0">--</option>
					<?php
						for($i=0;$i<count($banList);$i++) {
							$cb	= $banList[$i];
							if($cb->getMotherAccount() == 0) {
					?>
								<option value="<?php echo $cb->getAccountID()?>"><?php echo $cb->getAccountName()?></option>
						<?php }?>
					<?php }?>
					</select>
				</div>
				<div style="float:left">
					&nbsp;&nbsp;<input type="button" class="red_button" value="Report HTML" id="btnS" onClick="srcRB()" />
				</div>
			</td>
		</tr>
	</table>

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">

	$(function () {
		$("#accidc").select2();
		$("#accidb").select2();
	});
	
	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});
	
	function srcRB() {
		var dtf		=	EBD('dtfrom2').value;
		var dtt		=	EBD('dtto2').value;
		var aid		=	EBD('accidb').value;

		if(checkForValidInput('dtfrom2','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtto2','Date','Please enter Upto date properly')==false) 		return;
		if(aid=='' || aid==0){
			alert('Please select the account/ledger');
			EBD('accname').focus();
			return;
		}

		var loc	=	"report/rptNegativeBalance.php?fdate=" + dtf + "&tdate=" + dtt + "&accid=" + aid;
		window.open(loc, "_blank");
	}
	
	function srcRC() {
		var dtf		=	EBD('dtfrom1').value;
		var dtt		=	EBD('dtto1').value;
		var aid		=	EBD('accidc').value;

		if(checkForValidInput('dtfrom1','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtto1','Date','Please enter Upto date properly')==false) 		return;
		if(aid=='' || aid==0){
			alert('Please select the account/ledger');
			EBD('accname').focus();
			return;
		}

		var loc	=	"report/rptNegativeBalance.php?fdate=" + dtf + "&tdate=" + dtt + "&accid=" + aid;
		window.open(loc, "_blank");
	}	
	
</script>