<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.drcr.php' );
	

	$db					=	new masterdb();
	$accList		=	$db->getShortAccountList($tcmp->getCompanyID());

	$DateFrom		=	date('d-m-Y');
	$DateTo			=	date('d-m-Y');

	extract($_REQUEST);

	$DateFrom		=	addslashes($DateFrom);
	$DateTo			=	addslashes($DateTo);

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/select2.js");

	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);

?>
	<div id="pagehead">&nbsp;REPORT - STOCK OUT LEDGER WISE</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><b>Stock Out Ledger Wise</b></div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="float:left;padding-top:3px;width:120px;">
					&nbsp;From&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtfrom" id="dtfrom" value="<?php echo $DateFrom?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;To&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtto" id="dtto" value="<?php echo $DateTo?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				
				<div style="clear:both;height:4px;"></div>
				<div style="float:left;padding-top:3px;width:120px;">
					&nbsp;Credit Account&nbsp;
				</div>
				<div style="float:left">
					<select name="accid" id="accid" style="width:400px;" onChange="fetchChildAccount()">
						<option value="0">--</option>
					<?php
						for($i=0;$i<count($accList);$i++) {
							$cb	= $accList[$i];
							if($cb->getMotherAccount()==0 && $cb->getContainsSubLedger()=="YES") {
					?>
								<option value="<?php echo $cb->getAccountID()?>"><?php echo $cb->getAccountName()?></option>
						<?php }?>
					<?php }?>					
					</select>
				</div>
				<div style="clear:both;height:4px;"></div>
				<div style="float:left;padding-top:3px;width:120px;">
					&nbsp;Sub-Account&nbsp;
				</div>
				<div id="adiv" style="float:left">
					<select name="caccid" id="caccid" style="width:400px;"></select>
				</div>
				
				<div style="clear:both;height:10px;"></div>
				<div style="float:left">
					&nbsp;&nbsp;<input type="button" class="red_button" value="Stock Out Report &raquo;" id="btnS" onClick="srcR('html')" />
					&nbsp;&nbsp;<input type="button" class="red_button" value="Account Wise Detailed Report &raquo;" id="btnS" onClick="srcR2('html')" />
					&nbsp;&nbsp;<input type="button" class="red_button" value="Item Wise Detailed Report &raquo;" id="btnS" onClick="srcR3('html')" />					
				</div>								
			</td>
		</tr>
	</table>
	<br />

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">
	
	$(function () {
		$("#accid").select2();
		$("#caccid").select2();
	});
	
	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});	
	
	function fetchChildAccount() {
		var cid					= <?php echo $tcmp->getCompanyID()?>;
		var mid					= 0;
		try {
			mid						= EBD('accid').value;
		} catch (e) {}
		
    $('#caccid').empty();
    $('#caccid').append('<option value="0">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getChildAccountListCompanyWise.php",
			data: {"cid": cid, "mid": mid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#caccid').append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
				});
				
			}
    });	
	}
	
	function srcR(param) {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;
		var maid	=	EBD('accid').value;
		var caid	=	EBD('caccid').value;		
		

		if(checkForValidInput('dtfrom','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly')==false) 		return;
			
		
		if(caid=='' || caid==0){
			alert('Please select the sub account/ledger');
			EBD('caccname').focus();
			return false;
		}				

		var loc	=	"report/rptStockOut.php?fdate=" + dtf + "&tdate=" + dtt + "&maccid=" + maid + "&caccid=" + caid;
		window.open(loc, "_blank");
	}
	
	function srcR2(param) {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;
		var maid	=	EBD('accid').value;
		var caid	=	EBD('caccid').value;		
		

		if(checkForValidInput('dtfrom','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly')==false) 		return;
			
		
		if(caid=='' || caid==0){
			alert('Please select the sub account/ledger');
			EBD('caccname').focus();
			return false;
		}				

		var loc	=	"report/rptStockOut2.php?fdate=" + dtf + "&tdate=" + dtt + "&maccid=" + maid + "&caccid=" + caid;
		window.open(loc, "_blank");
	}
	
	function srcR3(param) {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;
		var maid	=	EBD('accid').value;
		var caid	=	EBD('caccid').value;		
		

		if(checkForValidInput('dtfrom','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly')==false) 		return;
			
		
		if(caid=='' || caid==0){
			alert('Please select the sub account/ledger');
			EBD('caccname').focus();
			return false;
		}				

		var loc	=	"report/rptStockOut3.php?fdate=" + dtf + "&tdate=" + dtt + "&maccid=" + maid + "&caccid=" + caid;
		window.open(loc, "_blank");
	}						
	
</script>