<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.drcr.php' );
	

	$db					=	new masterdb();
	$glist			=	$db->getMotherAccountList($tcmp->getCompanyID());

	$DateFrom		=	FormatSQLDateToIndianDate(getFirstFinancialDate());
	$DateTo			=	date('d-m-Y');
	$AccountID	=	0;

	extract($_REQUEST);

	$DateFrom		=	addslashes($DateFrom);
	$DateTo			=	addslashes($DateTo);
	$AccountID	=	(int)$AccountID;

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/select2.js");

	$iPage->endHeader();
	$iPage->startBody();
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);

?>
	<div id="pagehead">&nbsp;REPORT - TRIAL BALANCE, PROFIT &amp; LOSS ACCOUNT AND BALANCE SHEET</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><b>Trial Balance</b></div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="float:left;padding-top:3px;">
					&nbsp;From&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtfrom" id="dtfrom" value="<?php echo $DateFrom?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;To&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtto" id="dtto" value="<?php echo $DateTo?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;<input type="checkbox" name="chkBP" id="chkBP" class="select" />&nbsp;
					With opening/closing breakup
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;<input type="checkbox" name="chkAll1" id="chkAll1" class="select" />&nbsp;
					All
				</div>				
				<div style="float:left">
					&nbsp;&nbsp;<input type="button" class="red_button" value="&nbsp;Trial General&nbsp;" id="btnS" onClick="srcR('html')" />
					&nbsp;&nbsp;<input type="button" class="red_button" value="&nbsp;Trial Group Wise&nbsp;" id="btnS2" onClick="srcR2('html')" />
				</div>
				
				<div style="clear:both;height:10px;"></div>
				<div style="float:left;padding-top:3px;">
					&nbsp;From&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtfrom2" id="dtfrom2" value="<?php echo $DateFrom?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;To&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtto2" id="dtto2" value="<?php echo $DateTo?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">&nbsp;</div>
				<div style="float:left">
					<select name="MotherAccount" id="MotherAccount" style="width:400px;">
					<?php
						for($i=0;$i<count($glist);$i++) {
							$row	=	$glist[$i];
							$tmp	=	"";
							echo '<option value="'.$row->getAccountID().'" '.$tmp.'>'.$row->getAccountName().'</option>';
						}
					?>
					</select>
					&nbsp;<input type="checkbox" name="chkBP2" id="chkBP2" class="select" />&nbsp;
					With op/cl breakup
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;<input type="checkbox" name="chkAll2" id="chkAll2" class="select" />&nbsp;
					All
				</div>				
				<div style="float:left">
					&nbsp;&nbsp;<input type="button" class="red_button" value="&nbsp;Sub Trial&nbsp;" id="btnS" onClick="srcST()" />
				</div>
			</td>
		</tr>
	</table>
	<br />
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">Profit &amp; Loss Account</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="float:left;padding-top:3px;">
					&nbsp;From&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtf2" id="dtf2" value="<?php echo $DateFrom?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;To&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtt2" id="dtt2" value="<?php echo $DateTo?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left">
					&nbsp;&nbsp;<input type="button" class="red_button" value="&nbsp;PL General&nbsp;" id="btnS21" onClick="srcPL('html')" />
					&nbsp;&nbsp;<input type="button" class="red_button" value="&nbsp;PL Group Wise&nbsp;" id="btnS22" onClick="srcPL2('html')" />
				</div>
			</td>
		</tr>
	</table>
	<br />
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">Balance Sheet</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="float:left;padding-top:3px;">
					&nbsp;From&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtf3" id="dtf3" value="<?php echo $DateFrom?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;To&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtt3" id="dtt3" value="<?php echo $DateTo?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left">
					&nbsp;&nbsp;<input type="button" class="red_button" value="&nbsp;BS General&nbsp;" id="btnS31" onClick="srcBS('html')" />
					&nbsp;&nbsp;<input type="button" class="red_button" value="&nbsp;BS Group Wise&nbsp;" id="btnS32" onClick="srcBS2('html')" />	
				</div>
			</td>
		</tr>
	</table>

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">
	
	$(function () {
		$("#MotherAccount").select2();
	});
	
	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});

	function srcR(param) {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;
		var chk		= "NO";
		if(EBD('chkBP').checked == true)
			chk			= "YES";
		var chk2	= "NO";
		if(EBD('chkAll1').checked == true)
			chk2		= "YES";			

		if(checkForValidInput('dtfrom','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly')==false) 		return;

		var loc	=	"report/rptTrial.php?fdate=" + dtf + "&tdate=" + dtt + "&chk=" + chk + "&chk2=" + chk2;
		window.open(loc, "_blank");
	}
	
	function srcR2(param) {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;
		var chk		= "NO";
		if(EBD('chkBP').checked == true)
			chk			= "YES";
		var chk2	= "NO";
		if(EBD('chkAll1').checked == true)
			chk2		= "YES";			

		if(checkForValidInput('dtfrom','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly')==false) 		return;

		var loc	=	"report/rptTrial2.php?fdate=" + dtf + "&tdate=" + dtt + "&chk=" + chk + "&chk2=" + chk2;
		window.open(loc, "_blank");
	}	

	function srcPL(param) {
		var dtf		=	EBD('dtf2').value;
		var dtt		=	EBD('dtt2').value;

		if(checkForValidInput('dtf2','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtt2','Date','Please enter Upto date properly')==false) 		return;

		var loc	=	"report/rptPL.php?fdate="+dtf+"&tdate="+dtt;
		window.open(loc, "_blank");
	}
	
	function srcPL2(param) {
		var dtf		=	EBD('dtf2').value;
		var dtt		=	EBD('dtt2').value;

		if(checkForValidInput('dtf2','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtt2','Date','Please enter Upto date properly')==false) 		return;

		var loc	=	"report/rptPL2.php?fdate="+dtf+"&tdate="+dtt;
		window.open(loc, "_blank");
	}	

	function srcBS(param) {
		var dtf		=	EBD('dtf3').value;
		var dtt		=	EBD('dtt3').value;

		if(checkForValidInput('dtf3','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtt3','Date','Please enter Upto date properly')==false) 		return;

		var loc	=	"report/rptBS.php?fdate="+dtf+"&tdate="+dtt;
		window.open(loc, "_blank");
	}
	
	function srcBS2(param) {
		var dtf		=	EBD('dtf3').value;
		var dtt		=	EBD('dtt3').value;

		if(checkForValidInput('dtf3','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtt3','Date','Please enter Upto date properly')==false) 		return;

		var loc	=	"report/rptBS2.php?fdate="+dtf+"&tdate="+dtt;
		window.open(loc, "_blank");
	}
	
	function srcST() {
		var dtf		=	EBD('dtfrom2').value;
		var dtt		=	EBD('dtto2').value;
		var accid	= EBD('MotherAccount').value;
		var chk		= "NO";
		if(EBD('chkBP2').checked == true)
			chk			= "YES";
		var chk2	= "NO";
		if(EBD('chkAll2').checked == true)
			chk2		= "YES";					

		if(checkForValidInput('dtfrom2','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtto2','Date','Please enter Upto date properly')==false) 		return;

		var loc	=	"report/rptSubTrial.php?fdate=" + dtf + "&tdate=" + dtt + "&accid=" + accid + "&chk=" + chk + "&chk2=" + chk2;
		window.open(loc, "_blank");
	}	
	
</script>