<?php

	/* Include the required files */
	require_once( 'aom-config.php' );
	require_once( 'inc/pagetemplate.php' );
	require_once( 'inc/head.php' );
	require_once( 'inc/topmenu.php' );
	require_once( 'inc/functions.php' );
	require_once( 'dao/asys.user.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.company.php' );
	require_once( 'dao/asys.genericdb.php' );
	require_once( 'dao/asys.masterdb.php' );
	require_once( 'dao/asys.companydb.php' );
	require_once( 'dao/asys.log.php' );
	require_once( 'dao/asys.logindb.php' );
	require_once( 'dao/asys.userpermission.php' );	

	$tuser		=	new asys_users();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}

	$cdb					=	new companydb();

	$cid					= 0;

	extract($_REQUEST);
	
	$cid					= (int)$cid;
	$cmpDet				= $cdb->getCompanyDetail($cid);
	
	if( !$cdb->getUserCompanyStat($tuser->getUserID(), $cid) ) {
		echo 'Sorry, you do not have access to this Company. <a href="home.php">Click here</a> to go back.';
		exit;
	}
	
	if($cmpDet->getCompanyID() <= 0) {
		header("Location:home.php");
		exit;
	} else {
	
		unset($_SESSION['ssECmp']);
	
		$_SESSION['ssECmp']		=	serialize($cmpDet);
		header("Location:companyHome.php");
		exit;		
	}
	
?>