<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_items.php' );

	
	$ModuleID			= 3;	

	$gdb						=	new genericdb();
	$ldb						= new logindb();
	$mdb						=	new masterdb();
	
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$schStr					= "";
	$ItemCategoryID	=	0;
	$pno						= 0;
	$sRec						= 0;
	$rCnt						= 0;
	$nRec						= 25; /* Number of Records per page */
	
	extract($_REQUEST);

	$pno			=	(int)$pno;
	if($pno < 0)
		$pno		=	0;

	$schStr		=	addslashes($schStr);
	$ItemCategoryID	= (int)$ItemCategoryID;

	$rCnt			= $mdb->getNumberOfItem($schStr, $ItemCategoryID, $tcmp->getCompanyID());
	if( ceil(($rCnt) / $nRec) < $pno + 1  && $rCnt != 0)
		$pno		=	ceil(($rCnt)/$nRec) - 1;
	$sRec			= $pno * $nRec;

	$arr			=	$mdb->getItemListPaged($sRec, $nRec, $schStr, $ItemCategoryID, $tcmp->getCompanyID());		
							
	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/select2.js");
	
	
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
?>	

	<div id="pagehead">&nbsp;VIEW ITEM</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><a href="newItem.php" class="nav"><b>Item</b></a></div>
			<div style="float:right;height:20px;" class="td_normal">
				<?php echo $rCnt?> records found |
				<?php if($pno>0) { ?><a class="nav" href="javaScript:gotoPage(<?php echo $pno-1?>)">Previous</a>   <?php } ?>
				Page <input type="text" class="input" name="ppno2" id="ppno2" value="<?php echo ($pno+1)?>" style="width:30px;height:13px;text-align:center" maxLength="3" onFocus="clrF(2)" onBlur="fillF(2)" /> of <?php echo ceil(($rCnt)/$nRec)?>
				<?php if(ceil(($rCnt)/$nRec)>$pno+1) { ?>  <a class="nav" href="javaScript:gotoPage(<?php echo $pno+1?>)">Next</a> <?php } ?>
			</div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="float:left;">
					Item Name: <input type="text" class="input" name="schStr" id="schStr" value="<?php echo $schStr?>"  onFocus="this.className='input_focus'" onBlur="this.className='input'" style="width:150px;" />
					&nbsp;
				</div>
				<div style="float:left;" id="_jsontd1">
					<select name="ItemCategoryID" id="ItemCategoryID" style="width:300px"></select>
				</div>				
				<div style="float:left;">
					&nbsp;<input type="button" class="red_button" value="Search »" id="btnS" onClick="srcR()"  />
				  &nbsp;<input type="button" class="red_button" value="Download Excel »" id="btnS" onClick="excelR()" />
				</div>					
			</td>
		</tr>
	</table>
	
	<div style="height:5px;"></div>
	
	<div id="rptDiv" class="fakeContainer">

		<table cellspacing="1" cellpadding="2" border="0" width="970px" align="center" id="vTable">
			<thead>
				<tr>
					<th width="50px" align="left">#</th>
					<th width="200px" align="left">Name</th>
					<th width="30px" align="left">Unit</th>
					<th width="100px" align="left">Category</th>
					<th width="80px" align="left">Code</th>
					<th width="80px" align="left">Rate</th>
					<th width="60px" align="left">HSN</th>
					<th width="60px" align="left">GST</th>
					<th width="30px">Bar</th>
					<th width="30px">Edt</th>
					<th width="30px">Del</th>
				</tr>
			</thead>
			<tbody>
		<?php

			for($i=0;$i<count($arr);$i++) {
				$row		=	$arr[$i];
		?>			
				<tr>
					<td class="td_view"><?php echo $row->getItemID()?></td>
					<td class="td_view" title="<?php echo $row->getItemName('yes')?>"><?php echo $row->getItemName('yes')?></td>
					<td class="td_view"><?php echo $row->getUnitName('yes')?></td>
					<td class="td_view" title="<?php echo $row->getItemCategoryName('yes')?>"><?php echo $row->getItemCategoryName('yes')?></td>
					<td class="td_view"><?php echo $row->getItemNo('yes')?></td>
					<td class="td_view"><?php echo $row->getRate('yes')?></td>
					<td class="td_view"><?php echo $row->getHSN('yes')?></td>
					<td class="td_view"><?php echo $row->getGSTRate('yes')?></td>
					
					<td class="td_view" align="center"><a href="prnItemBarCode.php?iid=<?php echo $row->getItemID()?>" target="_blank"><img src="images/print.gif" title="PRINT BAR CODE - <?php echo formatJScriptString($row->getItemName())?>" /></a></td>
					
					<td class="td_view" align="center"><a href="editItem.php?pKey=<?php echo $row->getItemID()?>&schStr=<?php echo $schStr?>&pno=<?php echo $pno?>"><img src="images/edit.png" title="EDIT - <?php echo formatJScriptString($row->getItemName())?>" /></a></td>
					<td class="td_view" align="center"><a href="javaScript:deleteRec('<?php echo $row->getItemID()?>','<?php echo formatJScriptString($row->getItemName())?>')"><img src="images/delete.png" title="DELETE - <?php echo formatJScriptString($row->getItemName())?>" /></a></td>
				</tr>
				<?php } ?>
			</tbody>
		</table>

	</div>
	
	<div style="height:10px;"></div>
	

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">

	$(function () {
		$("#ItemCategoryID").select2();
		fetchItemCategoryID();
	});
	
	var div	=	document.getElementById('rptDiv');

	div.style.height	=	 (window.innerHeight - 230) + "px";
	div.style.width		=	 "980px";

	//<![CDATA[	
	(function() {
		var mySt = new superTable("vTable", {
			cssSkin 		: "sSky",
			fixedCols 	: 0,
			headerRows 	: 1
		});
	})();
	//]]>

	var dept_IE4	=	(document.all)? true:false;
	var dept_NS4	=	(document.layers);

	if (dept_NS4) EBD('ppno2').captureEvents(Event.KEYPRESS);

	EBD('ppno2').onkeypress = function(e){
		var whichASC;
		if(dept_IE4)
			whichASC	=	window.event.keyCode;
		else
			whichASC	=	e.which;

		if(whichASC == 13){
			var pno	= EBD('ppno2').value - 1;
			gotoPage(pno);
		}
	};
	
	function srcR() {
		var schStr	=	EBD('schStr').value;
		var iid			= EBD('ItemCategoryID').value;

		location		=	"viewItem.php?pno=0&schStr=" + schStr + "&ItemCategoryID=" + iid;
	}

	function gotoPage(n) {
		location		=	"viewItem.php?pno=" + n + "&schStr=<?php echo $schStr?>&ItemCategoryID=<?php echo $ItemCategoryID?>";
	}

	function clrF(n){
		EBD('ppno'+n).value	=	'';
	}

	function fillF(n){
		EBD('ppno'+n).value	=	"<?php echo $pno+1?>";
	}
	
	function deleteRec(pkey, nm) {
		if(confirm("Click OK to delete " + nm) == false) return;
		
		location =	"deleteItem.php?pkey=" + pkey + "&schStr=<?php echo $schStr?>&pno=<?php echo $pno?>";
	}
	
	function excelR() {
		var schStr	=	EBD('schStr').value;
		var iid			= EBD('ItemCategoryID').value;

		location		=	"dnldItem.php?&schStr=" + schStr + "&ItemCategoryID=" + iid;
	}	
	
	function resetR() {
		location		=	"viewItem.php";
	}	
	
	
	function fetchItemCategoryID() {
	
    $('#ItemCategoryID').empty();
    $('#ItemCategoryID').append('<option value="0">--</option>');
    var iid		= "<?php echo $ItemCategoryID?>";
    
    $.ajax({
			type: "POST",
			url: "json/getItemCategoryList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#ItemCategoryID').append('<option value="' + d.ItemCategoryID + '">' + d.ItemCategoryName + '</option>');
				});
				$("#ItemCategoryID").val(iid).change();
				
			}
    });

	}	

</script>