<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_itemsubcategory.php' );
		
	
	$ModuleID			= 49;

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$icid			= 0;
	$schStr		= "";
	$pno			= 0;
	$sRec			= 0;
	$rCnt			= 0;
	$nRec			= 25; /* Number of Records per page */
	
	extract($_REQUEST);

	$pno			=	(int)$pno;
	if($pno < 0)
		$pno		=	0;

	$icid			= (int)$icid;
	$schStr		=	addslashes($schStr);

	$rCnt			= $mdb->getNumberOfItemSubcategory($icid, $schStr, $tcmp->getCompanyID());
	if( ceil(($rCnt) / $nRec) < $pno + 1  && $rCnt != 0)
		$pno		=	ceil(($rCnt)/$nRec) - 1;
	$sRec			= $pno * $nRec;

	$arr			=	$mdb->getItemSubcategoryListPaged($sRec, $nRec, $icid, $schStr, $tcmp->getCompanyID());		
							
	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
		
	
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
?>	

	<div id="pagehead">&nbsp;VIEW ITEM SUB-CATEGORY</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><a href="newItemSubcategory.php" class="nav"><b>Item Subcategory</b></a></div>
			<div style="float:right;height:20px;" class="td_normal">
				<?php echo $rCnt?> records found |
				<?php if($pno>0) { ?><a class="nav" href="javaScript:gotoPage(<?php echo $pno-1?>)">Previous</a>   <?php } ?>
				Page <input type="text" class="input" name="ppno2" id="ppno2" value="<?php echo ($pno+1)?>" style="width:30px;height:13px;text-align:center" maxLength="3" onFocus="clrF(2)" onBlur="fillF(2)" /> of <?php echo ceil(($rCnt)/$nRec)?>
				<?php if(ceil(($rCnt)/$nRec)>$pno+1) { ?>  <a class="nav" href="javaScript:gotoPage(<?php echo $pno+1?>)">Next</a> <?php } ?>
			</div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div id="_jsontd1" style="float:left;">
					<select name="icid" id="icid" style="width:300px"></select>
				</div>
				<div style="float:left;">
					&nbsp;
					<input type="text" class="input" name="schStr" id="schStr" value="<?php echo $schStr?>"  onFocus="this.className='input_focus'" onBlur="this.className='input'" style="width:200px;" />
					<input type="button" class="red_button" value="Search »" id="btnS" onClick="srcR()" />
				</div>
			</td>
		</tr>
	</table>
	
	<div style="height:5px;"></div>
	
	<div id="rptDiv" class="fakeContainer">

		<table cellspacing="1" cellpadding="2" border="0" width="970px" align="center" id="vTable">
			<thead>
				<tr>
					<th width="70px" align="left">#</th>
					<th width="300px" align="left">Category</th>
					<th width="300px" align="left">Sub-Category</th>
					<th width="30px">Edt</th>
					<th width="30px">Del</th>
				</tr>
			</thead>
			<tbody>
		<?php

			for($i=0;$i<count($arr);$i++) {
				$row		=	$arr[$i];
		?>			
				<tr>
					<td class="td_view"><?php echo $row->getItemSubcategoryID()?></td>
					<td class="td_view" title="<?php echo $row->getItemCategoryName('yes')?>"><?php echo $row->getItemCategoryName('yes')?></td>
					<td class="td_view" title="<?php echo $row->getItemSubcategoryName()?>"><?php echo $row->getItemSubcategoryName('yes')?></td>
					
					<td class="td_view" align="center"><a href="editItemSubcategory.php?pKey=<?php echo $row->getItemSubcategoryID()?>&icid=<?php echo $icid?>&schStr=<?php echo $schStr?>&pno=<?php echo $pno?>"><img src="images/edit.png" title="EDIT - <?php echo formatJScriptString($row->getItemSubcategoryName())?>" /></a></td>
					<td class="td_view" align="center"><a href="javaScript:deleteRec('<?php echo $row->getItemSubcategoryID()?>','<?php echo formatJScriptString($row->getItemSubcategoryName())?>')"><img src="images/delete.png" title="DELETE - <?php echo formatJScriptString($row->getItemSubcategoryName())?>" /></a></td>
				</tr>
				<?php } ?>
			</tbody>
		</table>

	</div>
	
	<div style="height:10px;"></div>
		

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">

	$(function () {
		$("#icid").select2();
		fetchItemCategoryID();
	});
	
	var div	=	document.getElementById('rptDiv');

	div.style.height	=	 (window.innerHeight - 230) + "px";
	div.style.width		=	 "980px";

	//<![CDATA[	
	(function() {
		var mySt = new superTable("vTable", {
			cssSkin 		: "sSky",
			fixedCols 	: 0,
			headerRows 	: 1
		});
	})();
	//]]>

	var dept_IE4	=	(document.all)? true:false;
	var dept_NS4	=	(document.layers);

	if (dept_NS4) EBD('ppno2').captureEvents(Event.KEYPRESS);

	EBD('ppno2').onkeypress = function(e){
		var whichASC;
		if(dept_IE4)
			whichASC	=	window.event.keyCode;
		else
			whichASC	=	e.which;

		if(whichASC == 13){
			var pno	= EBD('ppno2').value - 1;
			gotoPage(pno);
		}
	};
	
	function fetchItemCategoryID() {
	
    $('#icid').empty();
    $('#icid').append('<option value="0">--</option>');
    var iid		= "<?php echo $icid?>";
    
    $.ajax({
			type: "POST",
			url: "json/getItemCategoryList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#icid').append('<option value="' + d.ItemCategoryID + '">' + d.ItemCategoryName + '</option>');
				});
				$("#icid").val(iid).change();
				
			}
    });	
		
	}	
	
	function srcR() {
		var schStr	=	EBD('schStr').value;
		var icid		= EBD('icid').value;

		location		=	"viewItemSubcategory.php?pno=0&schStr=" + schStr + "&icid=" + icid;
	}

	function gotoPage(n) {
		location		=	"viewItemSubcategory.php?pno=" + n + "&schStr=<?php echo $schStr?>&icid=<?php echo $icid?>";
	}

	function clrF(n){
		EBD('ppno'+n).value	=	'';
	}

	function fillF(n){
		EBD('ppno'+n).value	=	"<?php echo $pno+1?>";
	}
	
	function deleteRec(pkey, nm) {
		if(confirm("Click OK to delete " + nm) == false) return;
		
		location =	"deleteItemSubcategory.php?pkey=" + pkey + "&schStr=<?php echo $schStr?>&pno=<?php echo $pno?>&icid=<?php echo $icid?>";
	}

</script>