<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.group.php' );
	require_once( 'dao/asys.account.php' );
	
	
	$ModuleID			= 5;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	

	$macc					=	0;
	$schStr				= "";
	$schFld				=	"AccountName";
	$sortFld			=	"AccountName";
	$pno					= 0;
	$sRec					= 0;
	$rCnt					= 0;
	$nRec					= 25; /* Number of Records per page */

	extract($_REQUEST);

	$pno					=	(int)$pno;
	if($pno<0)
		$pno				=	0;

	$schStr				=	addslashes($schStr);
	$schFld				=	addslashes($schFld);
	$sortFld			=	addslashes($sortFld);
	$macc					=	(int)$macc;

	$rCnt			= $mdb->getNumberOfSubAccount($schStr, $schFld, $macc, $tcmp->getCompanyID());
	if(ceil(($rCnt)/$nRec)<$pno+1  && $rCnt!=0)
		$pno	=	ceil(($rCnt)/$nRec) - 1;
	$sRec			= $pno*$nRec;

	$acctList	=	$mdb->getSubAccountListPaged($sRec, $nRec, $schStr, $schFld, $sortFld, $macc, $tcmp->getCompanyID());

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/select2.css");
	$iPage->addLink("css/modal.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/modal.js");


	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);

?>
	<div id="pagehead">&nbsp;VIEW SUB ACCOUNTS</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="1000px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><a href="newSubAccount.php" class="nav"><b>Sub Account</b></a></div>
			<div style="float:right;height:20px;" class="td_normal">
				<?php echo $rCnt?> records found | 
				<?php if($pno>0) { ?><a class="nav" href="javaScript:gotoPage(<?php echo $pno-1?>)">Previous</a>&nbsp;&nbsp; <?php } ?>
				Page <input type="text" class="input" name="ppno2" id="ppno2" value="<?php echo ($pno+1)?>" style="width:30px;height:13px;text-align:center" maxLength="3" onFocus="clrF(2)" onBlur="fillF(2)">&nbsp;of <?php echo ceil(($rCnt)/$nRec)?>
				<?php if(ceil(($rCnt)/$nRec)>$pno+1) { ?>&nbsp;&nbsp;<a class="nav" href="javaScript:gotoPage(<?php echo $pno+1?>)">Next</a> <?php } ?>
			</div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="float:left;">
				Search: <input type="text" class="input" name="schStr" id="schStr" value="<?php echo $schStr?>" style="width:180px;"  onFocus="this.className='input_focus'" onBlur="this.className='input'" onKeyPress="keyAnalyser('schFld')">
				&nbsp;on:
				<select name="schFld" id="schFld">
					<option value="AccountName" <?php if($schFld=="AccountName") echo 'selected';?>>Account Name</option>
					<option value="City" <?php if($schFld=="City") echo 'selected';?>>City</option>
					<option value="PIN" <?php if($schFld=="PIN") echo 'selected';?>>PIN</option>
					<option value="State" <?php if($schFld=="State") echo 'selected';?>>State</option>
					<option value="Fax" <?php if($schFld=="Fax") echo 'selected';?>>FAX</option>
					<option value="Phone" <?php if($schFld=="Phone") echo 'selected';?>>Phone</option>
					<option value="Mobile" <?php if($schFld=="Mobile") echo 'selected';?>>Mobile</option>
					<option value="Email" <?php if($schFld=="Email") echo 'selected';?>>Email</option>
				</select>
				&nbsp;Sort:
				<select name="sortFld" id="sortFld">
					<option value="AccountName" <?php if($sortFld=="AccountName") echo 'selected';?>>Account Name</option>
					<option value="City" <?php if($sortFld=="City") echo 'selected';?>>City</option>
					<option value="PIN" <?php if($sortFld=="PIN") echo 'selected';?>>PIN</option>
					<option value="State" <?php if($sortFld=="State") echo 'selected';?>>State</option>
					<option value="Fax" <?php if($sortFld=="Fax") echo 'selected';?>>FAX</option>
					<option value="Phone" <?php if($sortFld=="Phone") echo 'selected';?>>Phone</option>
					<option value="Mobile" <?php if($sortFld=="Mobile") echo 'selected';?>>Mobile</option>
					<option value="Email" <?php if($sortFld=="Email") echo 'selected';?>>Email</option>
				</select>
				&nbsp;M/L:
				</div>
				<div style="float:left;">
					<select name="macc" id="macc" style="width:300px;"></select>
				</div>
				<div style="float:left;">
				&nbsp;<input type="button" class="red_button" value=" Search &raquo; " id="btnS" onClick="srcR()">
				</div>
			</td>
		</tr>
	</table>
	
	<div style="height:5px;"></div>
	
	<div id="rptDiv" class="fakeContainer">

		<table cellspacing="1" cellpadding="2" border="0" width="990px" align="center" id="vTable">
			<thead>
				<tr>
					<th width="300px" align="left">Name</th>
					<th width="150px" align="left">Group</th>
					<th width="100px" align="left">Subgroup</th>
					<th width="100px" align="left">Mobile</th>
					<th width="100px" align="left">GST</th>
					<th width="50px">View</th>
					<th width="50px">Edit</th>
					<th width="50px">Del</th>
				</tr>
			</thead>
			<tbody>
		<?php

			for($i=0;$i<count($acctList);$i++) {
				$row		=	$acctList[$i];
		?>			
				<tr>
					<td class="td_view" title="<?php echo $row->getAccountName('yes')?>"><?php echo $row->getAccountName()?></td>
					<td class="td_view" title="<?php echo $row->getGroupName('yes')?>"><?php echo $row->getGroupName('yes')?></td>
					<td class="td_view" title="<?php echo $row->getSubgroupName()?>"><?php echo $row->getSubgroupName('yes')?></td>
					<td class="td_view"><?php echo $row->getMobile('yes')?></td>
					<td class="td_view"><?php echo $row->getGST('yes')?></td>
					
					<td class="td_view" align="center"><a id="a<?php echo $row->getAccountID()?>" href="javaScript:viewAccount('<?php echo $row->getAccountID()?>')" rel="ajax:modal"><img src="images/view.png" title="View Details of <?php echo formatJScriptString($row->getAccountName())?>" /></a></td>
					<td class="td_view" align="center"><a href="editSubAccount.php?aid=<?php echo $row->getAccountID()?>&schStr=<?php echo $schStr?>&schFld=<?php echo $schFld?>&sortFld=<?php echo $sortFld?>&pno=<?php echo $pno?>"><img src="images/edit.png" title="EDIT - <?php echo formatJScriptString($row->getAccountName())?>" /></a></td>
					<td class="td_view" align="center"><a href="javaScript:deleteRec('<?php echo $row->getAccountID()?>','<?php echo formatJScriptString($row->getAccountName())?>')"><img src="images/delete.png" title="DELETE - <?php echo formatJScriptString($row->getAccountName())?>" /></a></td>
				</tr>
				<?php } ?>
			</tbody>
		</table>

	</div>
	
	<div style="height:10px;"></div>
	
	<div id="ex1" class="modal" style="height:500px;"></div>

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">
	
	$(function () {
		$("#macc").select2();
		$("#sortFld").select2();
		$("#schFld").select2();
		$("#schStr").focus();
		fetchMotherAccount();
	});
	
	var div	=	document.getElementById('rptDiv');

	div.style.height	=	 (window.innerHeight - 230) + "px";
	div.style.width		=	 "1000px";

	//<![CDATA[	
	(function() {
		var mySt = new superTable("vTable", {
			cssSkin 		: "sSky",
			fixedCols 	: 0,
			headerRows 	: 1
		});
	})();
	//]]>
	
	function fetchMotherAccount() {
	
    $('#macc').empty();
    $('#macc').append('<option value="0">--</option>');
    var cid		= <?php echo $tcmp->getCompanyID()?>;
    var gid		= "<?php echo $macc?>";
    
    $.ajax({
			type: "POST",
			url: "json/getMotherAccountListCompanyWise.php",
			data:{"cid": cid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#macc').append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
				});
				$("#macc").val(gid).change();
				
			}
    });	
		
	}	

	var dept_IE4	=	(document.all)? true:false;
	var dept_NS4	=	(document.layers);

	if (dept_NS4) EBD('ppno2').captureEvents(Event.KEYPRESS);

	EBD('ppno2').onkeypress = function(e){
		var whichASC;
		if(dept_IE4)
			whichASC	=	window.event.keyCode;
		else
			whichASC	=	e.which;

		if(whichASC == 13){
			var pno	= EBD('ppno2').value - 1;
			gotoPage(pno);
		}
	};
	
	function deleteRec(pkey, nm) {
		if(confirm("Click OK to delete " + nm) == false) return;
		
		location =	"deleteSubaccount.php?pkey=" + pkey + "&schStr=<?php echo $schStr?>&schFld=<?php echo $schFld?>&sortFld=<?php echo $sortFld?>&pno=<?php echo $pno?>";
	}
	
	function srcR() {
		var schStr	=	EBD('schStr').value;
		var schFld	=	EBD('schFld').value;
		var sortFld	=	EBD('sortFld').value;
		var macc		=	EBD('macc').value;

		location		=	"viewSubAccount.php?pno=0&schStr="+schStr+"&schFld="+schFld+"&sortFld="+sortFld+"&macc="+macc;
	}

	function gotoPage(n) {
		location		=	"viewSubAccount.php?pno="+n+"&schStr=<?php echo $schStr?>&schFld=<?php echo $schFld?>&sortFld=<?php echo $sortFld?>&macc=<?php echo $macc?>";
	}

	function clrF(n){
		EBD('ppno'+n).value	=	'';
	}

	function fillF(n){
		EBD('ppno'+n).value	=	"<?php echo $pno+1?>";
	}	
	
	function viewAccount(aid) {

		$('#ex1')[0].innerHTML	= '';

    $.ajax({
			type: "POST",
			url: "accountDetail.php",
			data: {"aid": aid},
			success: function(data){

				$('#ex1')[0].innerHTML	= data;
				$('#ex1').modal({
					fadeDuration: 250,
					showClose: false
				});
				
			}
    });

	}		

</script>