<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.drcr.php' );
	require_once( 'dao/asys.group.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.vouchertag.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.voucherdb.php' );

	
	$ModuleID			= 15;		

	$db				=	new masterdb();
	$vdb			=	new voucherdb();
	$ldb			= new logindb();

	$vid			=	0;

	extract($_REQUEST);

	$vid			=	(int)$vid;

	if($vid == 0) {
		echo "Sorry!!! Direct Access not allowed here";
		exit;
	}

	$vList	=	$vdb->getVoucherList($vid);
	$veb		= $vList[0];
	$dov		=	$veb->getDOV('yes');
	$vtid		= $veb->getVoucherType();
	
	if($vtid == CASH_RECEIPT_VOUCHER)
		$ModuleID	= 12;
	else if($vtid == BANK_RECEIPT_VOUCHER)
		$ModuleID	= 13;
	else if($vtid == CASH_PAYMENT_VOUCHER)
		$ModuleID	= 14;
	else if($vtid == BANK_PAYMENT_VOUCHER)
		$ModuleID	= 15;
	else if($vtid == CONTRA_VOUCHER)
		$ModuleID	= 16;
	else if($vtid == JOURNAL_VOUCHER)
		$ModuleID	= 17;
	else if($vtid == CREDIT_NOTE_VOUCHER)
		$ModuleID	= 69;
	else if($vtid == DEBIT_NOTE_VOUCHER)
		$ModuleID	= 70;
		
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}			

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/rpt.css");
	$iPage->endHeader();
	$iPage->startBody('style="background:#ffffff"');
?>

	<br />
	<table cellpadding="4" cellspacing="1" bgcolor="#cccccc" width="90%" align="center">
		<tr>
			<td class="td_normal_large" bgcolor="#f4f4f4" colspan="2">VOUCHER DETAIL</td>
		</tr>
		<tr>
			<td align="center" colspan="2" class="td_normal" bgcolor="#ffffff">
				<br><font style='font-family:verdana; font-size:14px; color:#000000'><b><span style='letter-spacing: 1pt'><?php echo getVoucherType($vtid)?></span></b></font><br><br>
			</td>
		</tr>
		<tr>
			<td colspan="2" bgcolor="#ffffff">
				<table width="100%">
					<tr>
						<td width="50%" class="td_normal">Voucher # <b><?php echo $vid?></b></td>
						<td width="50%" align="right" class="td_normal">Date : <b><?php echo $dov?></b></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td colspan="2" bgcolor="#D6E3F3">
				<?php	if($vtid==BANK_PAYMENT_VOUCHER || $vtid==BANK_RECEIPT_VOUCHER) {	?>
				<table width="100%">
					<tr>
						<td width="35%" class="td_normal">ACCOUNT NAME</td>
						<td width="10%" class="td_normal">CHQ/DD</td>
						<td width="10%" class="td_normal">CH DATE</td>
						<td width="15%" class="td_normal">BANK</td>
						<td width="15%" class="td_normal" align="right">DEBIT</td>
						<td width="15%" class="td_normal" align="right">CREDIT</td>
					</tr>
				</table>
				<?php } else { ?>
				<table width="100%">
					<tr>
						<td width="70%" class="td_normal">ACCOUNT NAME</td>
						<td width="15%" class="td_normal" align="right">DEBIT</td>
						<td width="15%" class="td_normal" align="right">CREDIT</td>
					</tr>
				</table>
				<?php	}	?>
			</td>
		</tr>
		<tr>
			<td colspan="2" bgcolor="#ffffff">
				<table width="100%">
				<?php
					$totAmt	=	0;
					for($i=0;$i<count($vList);$i++) {
						$veb	=	$vList[$i];
						if($vtid==BANK_PAYMENT_VOUCHER || $vtid==BANK_RECEIPT_VOUCHER) {

				?>
							<tr>
								<td width="35%" class="td_normal"><?php echo $veb->getAccountName()?></td>
								<td width="10%" class="td_normal"><?php echo $veb->getChequeNo()?></td>
								<td width="10%" class="td_normal"><?php echo $veb->getChqDate('yes')?></td>
								<td width="15%" class="td_normal"><?php echo $veb->getBankName()?></td>
								<?php
									if($veb->getDrCr()==DEBIT) {
										$totAmt+=$veb->getAmount();
								?>
										<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
										<td width="15%" class="td_normal" align="right"></td>
								<?php } else { ?>
										<td width="15%" class="td_normal" align="right"></td>
										<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
								<?php } ?>
							</tr>
				<?php } else { ?>
							<tr>
								<td width="70%" class="td_normal"><?php echo $veb->getAccountName()?></td>
								<?php
									if($veb->getDrCr()==DEBIT) {
										$totAmt+=$veb->getAmount();
								?>
										<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
										<td width="15%" class="td_normal" align="right"></td>
								<?php
									} else { ?>
										<td width="15%" class="td_normal" align="right"></td>
										<td width="15%" class="td_normal" align="right"><?php echo $veb->getAmount('yes')?></td>
								<?php } ?>
							</tr>
				<?php
						}
					}
				?>
					<tr>
						<td colspan="2" class="td_normal" bgcolor="#ffffff"><br><br>NARRATION : <?php echo str_replace("\n","<br />",$veb->getNarration())?></td>
					</tr>
					<tr>
						<td colspan="2" class="td_normal" bgcolor="#ffffff"><br><b><font style="font-size:10px">TOTAL : <?php echo CURRENCY_WORD?> <?php echo numToWord($totAmt,'Paise')?></font></b></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td bgcolor="#ffffff" colspan="2">
				<table width="100%">
					<tr>
						<td width="70%"></td>
						<td width="15%" class="td_normal" align="right"><?php echo number_format($totAmt,2)?></td>
						<td width="15%" class="td_normal" align="right"><?php echo number_format($totAmt,2)?></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td class="td_normal_micro" bgcolor="#f4f4f4" colspan="2">User: <?php echo $veb->getUserID()?>, Entry Date: <?php echo $veb->getDOE('yes')?></td>
		</tr>
	</table>
<?php
	$iPage->endBody();
	$iPage->endPage();
?>