<?php

	require_once( 'aom-config.php' );
	require_once( 'inc/pagetemplate.php' );
	require_once( 'inc/head.php' );
	require_once( 'inc/topmenu.php' );
	require_once( 'inc/functions.php' );
	require_once( 'dao/asys.user.php' );
	require_once( 'dao/asys.company.php' );

	$tuser		=	new asys_users();
	$tcmp			= new asys_companies();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}
	
	if(isset($_SESSION["ssECmp"])){
		$tcmp	=	unserialize($_SESSION["ssECmp"]);
	}	

	$iPage	=	new asys_pages(APP_TITLE);
	$iPage->startPage();
	$iPage->startHeader();
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addScript("js/common.js");	
	$iPage->endHeader();
	$iPage->startBody();
	
	if($tcmp->getCompanyID() > 0) {
		outputHeader($tuser, $tcmp);
		outputMenu($tuser);	
	} else {
		outputHeader($tuser, '');
		include('inc/menuHome.php');
	}	

	$iPage->endBody();
	$iPage->endPage();

?>

	<div id="pagehead">&nbsp;ACCESS/PERMISSION DENIED</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="1" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left" class="red bold">Permission Denied</div>
		</td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal_large" style="padding:4px;">
				<br />
				Dear <?php echo $tuser->getUserName()?>,
				<br /><br />
				Sorry, permission is not granted to access the specified page.
				<br />
				Contact your system administrator in case you want to view the page.
				<br /><br />
			</td>
		</tr>
	</table>
	<br />

<?php
	$iPage->endBody();
	$iPage->endPage();
?>