<?php

	/* Include the required files */
	require_once( '../aom-config.php' );
	require_once( '../inc/pagetemplate.php' );
	require_once( '../inc/head.php' );
	require_once( '../inc/topmenu.php' );
	require_once( '../inc/functions.php' );
	require_once( '../dao/asys.user.php' );
	require_once( '../dao/asys.company.php' );
	require_once( '../dao/asys.genericdb.php' );
	require_once( '../dao/asys.masterdb.php' );
	require_once( '../dao/asys.openingbalance.php' );

	$tuser		=	new asys_users();
	$tcmp			= new asys_companies();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}
	
	if(isset($_SESSION["ssECmp"])){
		$tcmp	=	unserialize($_SESSION["ssECmp"]);
	}
	
	if($tcmp->getCompanyID() <= 0) {
		header("Location:home.php");
		exit;
	}	

	$gdb			=	new genericdb();
	$mdb			=	new masterdb();
	$cclass		= new asys_opening_balances();
	
	if($tuser->getUserStatus() < ADMIN_USER) {
		echo 'Only Admin Users can view/open this Page. <a href="home.php">Click here to go back.</a>';
		exit;
	}

	$fy					=	"";
	$aid				= 0;
	$OBalType		= "";
	$OBal				= "";

	extract($_REQUEST);
	
	$fy					= addslashes($fy);
	$aid				= (int)$aid;
	$OBalType		= addslashes($OBalType);
	$OBal				= (double)$OBal;
	
	$obalDet		= $mdb->getOpeningBalancesDetail($fy, $aid);
	$obalDet->setOBal($OBal);
	$obalDet->setOBalType($OBalType);	
	$mdb->updateOBalRec($obalDet);
	
	print('1');
	
?>