<?php

	/* Include the required files */
	require_once( '../aom-config.php' );
	require_once( '../inc/pagetemplate.php' );
	require_once( '../inc/head.php' );
	require_once( '../inc/topmenu.php' );
	require_once( '../inc/functions.php' );
	require_once( '../dao/asys.user.php' );
	require_once( '../dao/asys.company.php' );
	require_once( '../dao/asys.genericdb.php' );
	require_once( '../dao/asys.masterdb.php' );
	require_once( '../dao/asys.stockopening.php' );
	require_once( '../dao/asys.stockvoucher.php' );

	$tuser		=	new asys_users();
	$tcmp			= new asys_companies();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}
	
	if(isset($_SESSION["ssECmp"])){
		$tcmp	=	unserialize($_SESSION["ssECmp"]);
	}
	
	if($tcmp->getCompanyID() <= 0) {
		header("Location:home.php");
		exit;
	}	

	$gdb			=	new genericdb();
	$mdb			=	new masterdb();
	$cclass		= new asys_stock_opening();
	
	if($tuser->getUserStatus() < ADMIN_USER) {
		echo 'Only Admin Users can view/open this Page. <a href="home.php">Click here to go back.</a>';
		exit;
	}

	$oid				= 0;
	$qty				= "";
	$uprc				= "";

	extract($_REQUEST);
	
	$oid				= (int)$oid;
	$qty				= (double)$qty;
	$uprc				= (double)$uprc;
	
	$obalDet		= $mdb->getStockOpeningBalancesDetail($oid);
	$obalDet->setQuantity($qty);
	$obalDet->setUnitPrice($uprc);	
	$mdb->updateStockOBalRec($obalDet);
	
	print('1');
	
?>