<?php

	/* Include the required files */
	require_once( '../aom-config.php' );
	require_once( '../inc/pagetemplate.php' );
	require_once( '../inc/head.php' );
	require_once( '../inc/topmenu.php' );
	require_once( '../inc/functions.php' );
	require_once( '../dao/asys.user.php' );
	require_once( '../dao/asys.module.php' );
	require_once( '../dao/asys.usercompany.php' );
	require_once( '../dao/asys.logindb.php' );
	require_once( '../dao/asys.genericdb.php' );
	require_once( '../dao/asys.masterdb.php' );
	require_once( '../dao/asys.companydb.php' );
	require_once( '../dao/asys.log.php' );

	$tuser		=	new asys_users();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		print("-1");
		exit;
	}

	if($tuser->getUserStatus() < ADMIN_USER) {
		print("-2");
		exit;
	}

	$ldb			=	new logindb();
	$gdb			=	new genericdb();
	$mdb			= new masterdb();
	$cdb			= new companydb();
	$cclass		=	new asys_user_companies();

	$uid			= "";
	$cid			= "";
	$rst			=	false;

	extract($_REQUEST);
	
	$uid			= addslashes($uid);
	$cid			= (int)$cid;
	

	$rst = $cdb->setUserCompany($uid, $cid);
	if($rst) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setModuleID(-2);
		$log->setRelatedID($uid);			
		$log->setActivity("Assigned Company (".$cid.") Access to User - ".$uid);
		$log->setClassName('asys_user_companies');
		$log->setModuleSnapshot(serialize($cclass));
		$gdb->SaveObjectToDB($log);
		print("1");
	} else {
		print("0");
	}		


?>