<?php

	/* Include the required files */
	require_once( '../aom-config.php' );
	require_once( '../inc/pagetemplate.php' );
	require_once( '../inc/head.php' );
	require_once( '../inc/topmenu.php' );
	require_once( '../inc/functions.php' );
	require_once( '../dao/asys.user.php' );
	require_once( '../dao/asys.module.php' );
	require_once( '../dao/asys.logindb.php' );
	require_once( '../dao/asys.genericdb.php' );
	require_once( '../dao/asys.masterdb.php' );
	require_once( '../dao/asys.log.php' );

	$tuser		=	new asys_users();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		print("-1");
		exit;
	}

	if($tuser->getUserStatus() < ADMIN_USER) {
		print("-2");
		exit;
	}

	$ldb			=	new logindb();
	$gdb			=	new genericdb();
	$mdb			= new masterdb();
	$cclass		=	new asys_users();

	$uid			= "";
	$cid			= "";
	$mid			= "";
	$yn				= "";
	$md				= "";
	$rst			=	false;

	extract($_REQUEST);
	
	$uid			= addslashes($uid);
	$cid			= (int)$cid;
	$mid			= (int)$mid;
	$yn				= addslashes($yn);
	$md				= addslashes($md);
	
	$mdet			= $mdb->getModuleDetail($mid);

	if($md == "mc") {
		$rst = $ldb->setCreatePermission($uid, $mid, $cid, $yn);
		if($rst) {
			$log	=	new asys_user_log();
			$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
			$log->setUserID($tuser->getUserID());
			$log->setModuleID(-1);
			$log->setRelatedID($uid);			
			$log->setActivity("Changed User - ".$uid." Create Role for module ".$mdet->getModuleName()." to ".$yn);
			$log->setClassName('asys_users');
			$log->setModuleSnapshot(serialize($cclass));
			$gdb->SaveObjectToDB($log);
			print("1");
		} else {
			print("0");
		}		
	} else if($md == "me") {
		$rst = $ldb->setEditPermission($uid, $mid, $cid, $yn);
		if($rst) {
			$log	=	new asys_user_log();
			$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
			$log->setUserID($tuser->getUserID());
			$log->setModuleID(-1);
			$log->setRelatedID($uid);			
			$log->setActivity("Changed User - ".$uid." Edit Role for module ".$mdet->getModuleName()." to ".$yn);
			$log->setClassName('asys_users');
			$log->setModuleSnapshot(serialize($cclass));
			$gdb->SaveObjectToDB($log);
			print("1");
		} else {
			print("0");
		}	
	} else if($md == "md") {
		$rst = $ldb->setDeletePermission($uid, $mid, $cid, $yn);
		if($rst) {
			$log	=	new asys_user_log();
			$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
			$log->setUserID($tuser->getUserID());
			$log->setModuleID(-1);
			$log->setRelatedID($uid);			
			$log->setActivity("Changed User - ".$uid." Delete Role for module ".$mdet->getModuleName()." to ".$yn);
			$log->setClassName('asys_users');
			$log->setModuleSnapshot(serialize($cclass));
			$gdb->SaveObjectToDB($log);
			print("1");
		} else {
			print("0");
		}	
	} else if($md == "mv") {
		$rst = $ldb->setViewPermission($uid, $mid, $cid, $yn);
		if($rst) {
			$log	=	new asys_user_log();
			$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
			$log->setUserID($tuser->getUserID());
			$log->setModuleID(-1);
			$log->setRelatedID($uid);			
			$log->setActivity("Changed User - ".$uid." View Role for module ".$mdet->getModuleName()." to ".$yn);
			$log->setClassName('asys_users');
			$log->setModuleSnapshot(serialize($cclass));
			$gdb->SaveObjectToDB($log);
			print("1");
		} else {
			print("0");
		}	
	}

?>