<?php

	/* Include the required files */
	require_once( '../aom-config.php' );
	require_once( '../inc/pagetemplate.php' );
	require_once( '../inc/head.php' );
	require_once( '../inc/topmenu.php' );
	require_once( '../inc/functions.php' );
	require_once( '../dao/asys.user.php' );
	require_once( '../dao/asys.logindb.php' );
	require_once( '../dao/asys.genericdb.php' );
	require_once( '../dao/asys.log.php' );

	$tuser		=	new asys_users();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}

	if($tuser->getUserStatus() < ADMIN_USER) {
		echo 'Only Admin Users can view/open this Page. <a href="../home.php">Click here to go back.</a>';
		exit;
	}

	$ldb					=	new logindb();
	$gdb					=	new genericdb();
	$cclass				=	new asys_users();

	$uid			= "";
	$stat			= "";
	$rst			=	false;

	extract($_REQUEST);
	
	$uid			= addslashes($uid);
	$stat			= addslashes($stat);

	if($stat == "Enable")
		$rst	=	$ldb->enableUser($uid);
	else
		$rst	=	$ldb->disableUser($uid);

	if($rst) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setModuleID(-1);
		$log->setRelatedID($uid);		
		$log->setActivity("Changed User - ".$uid." status to ".$stat);
		$log->setClassName('asys_users');
		$log->setModuleSnapshot(serialize($cclass));
		$gdb->SaveObjectToDB($log);
		print("1");
	}
	else
		print("0");

?>