<?php

	define("SS_DB_HOST","localhost");
	define("SS_DB_USER","marwardna_ss");
	define("SS_DB_PASSWORD","2SJRyPES6byiu4z");
	define("SS_DB_DBNAME","marwardna_erp");
	
	define("SS_RPT_USER","marwardna_ss");
	define("SS_RPT_PASSWORD","2SJRyPES6byiu4z");
	define("SS_DBA_USER","marwardna_ss");
	define("SS_DBA_PASSWORD","2SJRyPES6byiu4z");

	date_default_timezone_set('Asia/Kolkata');


	define('COMPANY_NAME', '');
	define('COMPANY_ADDRESS', '');
	define('ABSPATH', dirname(__FILE__).'/');
	define('APP_TITLE', 'adapSys ERP');
	define('DATE_SEPERATOR', '-');
	define("CURRENCY_SYMBOL","Rs");
	define("CURRENCY_WORD","INR");
	define("CREDIT","1");
	define("DEBIT","2");
	define("STOCK_IN","1");
	define("STOCK_OUT","0");


	define("SS_DB_ERR_101","Mysql Error: mysqli extension not loaded, please re-compile PHP with mysqli option.");
	define("SS_DB_ERR_102","Mysql Error: mysql extension not loaded, please re-compile PHP with mysql option.");
	define("SS_DB_ERR_103","Mysql Error: The provided username and/or password is not valid.");
	define("SS_DB_ERR_104","Mysql Error: The provided database name is not valid.");
	define("ERR_201","&#83;i&#116;e &#85;&#82;L &#69;r&#114;o&#114;: &#84;hi&#115; &#112ro&#103;ra&#109; &#99;a&#110;no&#116; &#98;e &#117;s&#101;d &#119;i&#116;h t&#104;e &#115;p&#101c&#105;f&#105;c &#85;&#82;L.");


	define("ORDINARY_USER","1");
	define("SUPER_USER","2");
	define("ADMIN_USER","3");
	define("HIDDEN_USER","4");

	define("USER_STATUS_ONE","Ordinary User");
	define("USER_STATUS_TWO","Super User");
	define("USER_STATUS_THREE","Admin User");
	define("USER_STATUS_FOUR","Hidden User");


	define("CASH_SALE_VOUCHER","1");
	define("CREDIT_SALE_VOUCHER","2");
	define("SALE_RETURN_VOUCHER","3");
	define("PURCHASE_VOUCHER","4");
	define("PURCHASE_RETURN_VOUCHER","5");
	define("CASH_PAYMENT_VOUCHER","6");
	define("BANK_PAYMENT_VOUCHER","7");
	define("CASH_RECEIPT_VOUCHER","8");
	define("BANK_RECEIPT_VOUCHER","9");
	define("CONTRA_VOUCHER","10");
	define("JOURNAL_VOUCHER","11");
	define("DEBIT_NOTE_VOUCHER","12");
	define("CREDIT_NOTE_VOUCHER","13");
	define("COMPANY_JOURNAL","52");

	define("VT_CASH_SALE","Cash Sale Voucher");
	define("VT_CREDIT_SALE","Credit Sale Voucher");
	define("VT_SALE_RETURN","Sale Return Voucher");
	define("VT_PURCHASE","Purchase Voucher");
	define("VT_PURCHASE_RETURN","Purchase Return Voucher");
	define("VT_CASH_PAYMENT","Cash Payment Voucher");
	define("VT_BANK_PAYMENT","Bank Payment Voucher");
	define("VT_CASH_RECEIPT","Cash Receipt Voucher");
	define("VT_BANK_RECEIPT","Bank Receipt Voucher");
	define("VT_CONTRA","Contra Voucher");
	define("VT_JOURNAL","Journal Voucher");
	define("VT_DEBIT_NOTE","Debit Note Voucher");
	define("VT_CREDIT_NOTE","Credit Note Voucher");


	define("PURCHASE","1");
	define("PURCHASE_RETURN","2");
	define("SALE","3");
	define("SALE_RETURN","4");
	define("MANUAL_STOCK_IN","5");
	define("MANUAL_STOCK_OUT","6");
	define("STOCK_TRANSFER","7");
	define("STOCK_JOURNAL","8");
	define("GRN","9");
	define("ISSUE","10");
	define("TRANSFER_ISSUE","11");


	function getUserStatus($st) {
		$us	= "";
		switch($st) {
			case 1:
				$us = USER_STATUS_ONE;
				break;
			case 2:
				$us = USER_STATUS_TWO;
				break;
			case 3:
				$us = USER_STATUS_THREE;
				break;
			case 4:
				$us = USER_STATUS_FOUR;
				break;
			default:
				$us = USER_STATUS_ONE;
		}
		return $us;
	}

	function getDrCr($dc) {
		$nm	=	"CR";
		if($dc == DEBIT)
			$nm	=	"DR";
		return $nm;
	}
	
	function getVoucherType($st) {
		$vt	= "";
		switch($st) {
			case 1:
				$vt	= VT_CASH_SALE;
				break;
			case 2:
				$vt	= VT_CREDIT_SALE;
				break;
			case 3:
				$vt	= VT_SALE_RETURN;
				break;
			case 4:
				$vt	= VT_PURCHASE;
				break;
			case 5:
				$vt	= VT_PURCHASE_RETURN;
				break;
			case 6:
				$vt	= VT_CASH_PAYMENT;
				break;
			case 7:
				$vt	= VT_BANK_PAYMENT;
				break;
			case 8:
				$vt	= VT_CASH_RECEIPT;
				break;
			case 9:
				$vt	= VT_BANK_RECEIPT;
				break;
			case 10:
				$vt	= VT_CONTRA;
				break;
			case 11:
				$vt	= VT_JOURNAL;
				break;
			case 12:
				$vt	= VT_DEBIT_NOTE;
				break;
			case 13:
				$vt	= VT_CREDIT_NOTE;
				break;
			case 52:
				$vt	= "Company to Company Journal Voucher";
				break;				
			default:
				$vt	= VT_CASH_SALE;
		}
		return $vt;
	}

	function getShortVoucherType($st) {
		$vt	= "";
		switch($st) {
			case 1:
				$vt	= "CAS";
				break;
			case 2:
				$vt	= "CRE";
				break;
			case 3:
				$vt	= "SRT";
				break;
			case 4:
				$vt	= "PUR";
				break;
			case 5:
				$vt	= "PRT";
				break;
			case 6:
				$vt	= "CPV";
				break;
			case 7:
				$vt	= "BPV";
				break;
			case 8:
				$vt	= "CRV";
				break;
			case 9:
				$vt	= "BRV";
				break;
			case 10:
				$vt	= "CON";
				break;
			case 11:
				$vt	= "JRN";
				break;
			case 12:
				$vt	= "DBN";
				break;
			case 13:
				$vt	= "CRN";
				break;
			case 52:
				$vt	= "C2C";
				break;				
			default:
				$vt	= "CAS";
		}
		return $vt;
	}
	
	function _errorLog($err) {
		$err			=	$err.";\n\n";
		$fpath		=	ABSPATH."/mysqlDump/".date('Y-m-d').".log";
		$errFile 	= fopen($fpath, "a+");
		fwrite($errFile, $err);
		fclose($errFile);
	}

	session_start();

?>