<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.drcr.php' );
	require_once( 'dao/asys.group.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.vouchertag.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.vouchertype.php' );
	require_once( 'dao/asys.voucherdb.php' );	
	
	
	$ModuleID			= 14;

	$db				=	new masterdb();
	$vdb			=	new voucherdb();
	$gdb			=	new genericdb();
	$ldb			= new logindb();
	$cclass		=	new asys_voucher_entry();
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	

	$vtid					= BANK_PAYMENT_VOUCHER;
	$DateFrom			=	date('01-m-Y');
	$DateTo				=	date('d-m-Y');
	$AccountID		=	0;

	extract($_REQUEST);

	$DateFrom			=	addslashes($DateFrom);
	$DateTo				=	addslashes($DateTo);
	$AccountID		=	(int)$AccountID;

	$creditList		= $vdb->getDebitList($vtid, $tcmp->getCompanyID());

	$accDet		= $db->getAccountDetail($AccountID);
	$bal			= $accDet->getOBal();
	$balt			= $accDet->getOBalType();

	$clbal		=	$db->getClosingBalanceByAccountID($AccountID, FormatIndianDateToSQLDate($DateFrom));
	$bal			=	$clbal[0];
	$balt			=	$clbal[1];

	$alDet		= $vdb->getAccountVoucher($AccountID, FormatIndianDateToSQLDate($DateFrom), FormatIndianDateToSQLDate($DateTo));

	$totcr		= 0;
	$totdr		= 0;
	if($balt == DEBIT)
		$totdr	=	$bal;
	else
		$totcr	= $bal;
		
		
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/nlbFade.js");
	
	$iPage->endHeader();
	$iPage->startBody();
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);		

?>
	<div id="pagehead">&nbsp;BANK CLEARING DATE FOR RECONCILIATION</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<table cellpadding="2" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td class="td_normal">
			<div id="dhead" style="float:left;width:970px;padding:5px;"><b>Enter Dates and select bank Account to view entries</b></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td></td></tr>

		<tr width="100%">
			<td width="100%">
				<table border="0" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td width="20%" class="td_normal">
							<div style="float:left;padding-top:3px;">
								&nbsp;From&nbsp;
							</div>
							<div style="float:left">
								<input data-toggle="datepicker" type="text" name="dtfrom" id="dtfrom" value="<?php echo $DateFrom?>" style="width:80px;" class="input" maxLength="10" />
							</div>
							<div style="float:left;padding-top:3px;">
								&nbsp;To&nbsp;
							</div>
							<div style="float:left">
								<input data-toggle="datepicker" type="text" name="dtto" id="dtto" value="<?php echo $DateTo?>" style="width:80px;" class="input" maxLength="10" />
							</div>
							<div style="float:left;padding:3px;">
								&nbsp;Bank Account:&nbsp;
							</div>
							<div style="float:left">
								<select name="AccountID" id="AccountID" style="width:400px">
									<option value="0">--</option>
								<?php
									for($i=0;$i<count($creditList);$i++) {
										$cb		= $creditList[$i];
										$tmp	= "";
										if($cb->getAccountID() == $AccountID) $tmp = "selected";
										if($cb->getMotherAccount() == 0) {
								?>
										<option value="<?php echo $cb->getAccountID()?>" <?php echo $tmp?>><?php echo $cb->getAccountName()?></option>
									<?php } ?>
								<?php } ?>
								</select>
							</div>
							<div style="float:left">
								&nbsp;&nbsp;<input type="button" class="button" value="Search" id="btnSS" onClick="srcR()" />
							</div>							
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr style="height:4px"><td></td></tr>
		<tr>
			<td>
				<table cellSpacing='1' cellPadding='1' width='98%' border='0' bgcolor="#CCCCCC" align="center">
					<tr bgcolor="#E4E4E4" align="center">
						<td width='13%' class="td_normal" style="padding:2px;">CHEQUE NO.</td>
						<td width='13%' class="td_normal" style="padding:2px;">CHEQUE DATE</td>
						<td width='13%' class="td_normal" style="padding:2px;">CLEARING DATE</td>												
						<td width='13%' class="td_normal" style="padding:2px;">DEBIT</td>
						<td width='13%' class="td_normal" style="padding:2px;">CREDIT</td>
						<td width='25%' class="td_normal" style="padding:2px;">BALANCE</td>
						<td width='10%' class="td_normal" style="padding:2px;">UPDATE</td>
					</tr>
				</table>
				<div style="height:300px;overflow:auto;">
					<table cellSpacing='1' cellPadding='1' width='98%' border='0' bgcolor="#CCCCCC" align="center">
						<tr bgcolor="#FFFFFF">
							<td width='39%' colspan="3" style="padding:2px;">
								<font style='font-family:arial; font-size:12px'><b>By Opening Balance</b></font>
							</td>
							<?php
								if($balt == DEBIT) {
							?>
								<td width='13%' align='right' style="padding:2px;">
									<font style='font-family:arial; font-size:12px'><b><?php echo number_format($bal,2)?></b></font>
								</td>
								<td width='13%' align='right' style="padding:2px;">
									<font style='font-family:arial; font-size:12px'><b>0.00</b></font>
								</td>
							<?php } else {
							?>
								<td width='13%' align='right' style="padding:2px;">
									<font style='font-family:arial; font-size:12px'><b>0.00</b></font>
								</td>
								<td width='13%' align='right' style="padding:2px;">
									<font style='font-family:arial; font-size:12px'><b><?php echo number_format($bal,2)?></b></font>
								</td>
							<?php } ?>
							<td width='25%' align='right' style="padding:2px;">
								<font style='font-family:arial; font-size:12px'><b><?php echo number_format($bal,2)?> <?php echo getDrCr($balt)?></b></font>
							</td>
							<td width='10%' class="td_normal" style="padding:2px;">&nbsp;</td>
						</tr>
							
						<?php
							for($i=0;$i<count($alDet);$i++) {
								$veb	=	$alDet[$i];
								$vt		=	$veb->getVoucherType();
								$fy		=	$veb->getFinYear();
								$vid	=	$veb->getVoucherID();
								$olist=	$vdb->getOppositeVoucher($vid, $AccountID);
						?>
							<tr bgcolor="#FFFFFF">
								<td width='39%' colspan="3" style="padding:2px;">
									<font style='font-family:arial; font-size:12px'>
										<input type="hidden" name="oppvCnt<?php echo ($i+1)?>" id="oppvCnt<?php echo ($i+1)?>" value="<?php echo count($olist)?>" />
										<?php echo getShortVoucherType($veb->getVoucherType()).'/'.FormatSQLDateToVoucherPrintFormat($veb->getDOV()).'/'.$veb->getDayWiseNo()?>
										&nbsp;Dated&nbsp;
										<?php echo $veb->getDOV('yes')?>
									</font>
								</td>														

								<?php
									if($veb->getDrCr() == DEBIT) {
										$totdr+=$veb->getAmount();
										if($balt == DEBIT)
											$bal+=$veb->getAmount();
										else
											$bal-=$veb->getAmount();
										if($bal < 0) {
											$bal=-$bal;
											$balt	=	DEBIT;
										}
								?>
									<td width='13%' align='right' style="padding:2px;">
										<font style='font-family:arial; font-size:12px'><?php echo number_format($veb->getAmount(),2)?></font>
									</td>
									<td width='13%' align='right' style="padding:2px;">
										<font style='font-family:arial; font-size:12px'>0.00</font>
									</td>
								<?php
									} else {
										$totcr+=$veb->getAmount();
										if($balt == CREDIT)
											$bal+=$veb->getAmount();
										else
											$bal-=$veb->getAmount();
										if($bal < 0) {
											$bal=-$bal;
											$balt	=	CREDIT;
										}
								?>
									<td width='13%' align='right' style="padding:2px;">
										<font style='font-family:arial; font-size:12px'>0.00</font>
									</td>
									<td width='13%' align='right' style="padding:2px;">
										<font style='font-family:arial; font-size:12px'><?php echo number_format($veb->getAmount(),2)?></font>
									</td>
								<?php } ?>
								<td width='25%' align='right' style="padding:2px;">
									<font style='font-family:arial; font-size:12px'><?php echo number_format($bal,2)?> <?php echo getDrCr($balt)?></font>
								</td>
								<td width='10%' class="td_normal" style="padding:2px;">&nbsp;</td>
							</tr>
						<?php
								for($j=0;$j<count($olist);$j++) {
									$ovch	=	$olist[$j];
									$tmp	=	"#AAFFAA";
									
									$dbt		= 0;
									$cdt		= 0;
									if($ovch->getDrCr() == DEBIT) {
										$dbt	= $ovch->getAmount();
										$tmp	=	"#FFAAAA";
									} else {
										$cdt	= $ovch->getAmount();
										$tmp	=	"#AAFFAA";
									}
						?>
										<tr bgcolor="<?php echo $tmp?>">
											<td width='13%' class="td_normal" style="padding:2px;"><?php echo $ovch->getChequeNo()?></td>
											<td width='13%' class="td_normal" style="padding:2px;"><?php echo $ovch->getChqDate('yes')?></td>
											<td width='13%' class="td_normal" style="padding:2px;">
												<input data-toggle="datepicker" type="text" class="input" name="clearedOn<?php echo ($i+1)?><?php echo ($j+1)?>" id="clearedOn<?php echo ($i+1)?><?php echo ($j+1)?>" value="<?php echo $ovch->getClearedOn('yes')?>" style="width:80px" onBlur="this.className='input'" maxLength="10" />
												<input type="hidden" name="vid<?php echo ($i+1)?><?php echo ($j+1)?>" id="vid<?php echo ($i+1)?><?php echo ($j+1)?>" value="<?php echo $ovch->getVoucherID()?>" />
												<input type="hidden" name="sid<?php echo ($i+1)?><?php echo ($j+1)?>" id="sid<?php echo ($i+1)?><?php echo ($j+1)?>" value="<?php echo $ovch->getSerialID()?>" />
											</td>												
											<td width='13%' class="td_normal" style="padding:2px;" align="right" title="<?php echo $ovch->getAccountName('yes')?>"><?php echo $dbt?></td>
											<td width='13%' class="td_normal" style="padding:2px;" align="right" title="<?php echo $ovch->getAccountName('yes')?>"><?php echo $cdt?></td>
											<td width='25%' class="td_normal" style="padding:2px;">&nbsp;</td>
											<td width='10%' class="td_normal" style="padding:2px;" align="center"><a id="_atag<?php echo ($i+1)?><?php echo ($j+1)?>" href="javaScript:updateRec(<?php echo ($i+1)?>, <?php echo ($j+1)?>)"><img src="images/edit.png" title="UPDATE CLEARING DATE" /></a></td>
										</tr>
						<?php
								}
								echo '<tr style="height:2px;" bgcolor="#8888FF"><td colspan="7"></td></tr>';
							}
						?>
					</table>									
				</div>
			</td>
		</tr>
		<tr style="height:4px"><td></td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td></td></tr>
		<tr bgcolor="#D6E3F3">
			<td align="center" style="padding:2px">
				<input type="button" id="btnS" class="red_button" value="Update (S)" AccessKey="S" onClick="saveRec()" />
			</td>
		</tr>
	</table>
	</form>
	</div>
<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">

	var numRows		= "<?php echo count($alDet)?>";

	$(function () {
		$("#AccountID").select2();
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
	});
	
	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});

	
	
	function srcR() {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;
		var aid		=	EBD('AccountID').value;

		if(checkForValidInput('dtfrom','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly')==false) 		return;
		if(aid=='' || aid==0){
			alert('Please select the account/ledger');
			EBD('accname').focus();
			return;
		}

		location	=	"bankClearing.php?DateFrom=" + dtf + "&DateTo=" + dtt + "&AccountID=" + aid;

	}
	
	function updateRec(i, j) {
		var vid		= EBD('vid' + i + '' + j).value;
		var sid		= EBD('sid' + i + '' + j).value;
		var cdt		= EBD('clearedOn' + i + '' + j).value;
		
		if(checkForValidInput('clearedOn' + i + '' + j,'Date','Please enter Clearing date properly')==false) 	return;
		
		var url		= "ajax/updateClearingDate.php?vid=" + vid + "&sid=" + sid + "&cdt=" + cdt;
		
		EBD('_atag' + i + '' + j).innerHTML	= '<img src="images/ajax-loader.gif" />';
		
		var x = (window.ActiveXObject) ? new ActiveXObject("Microsoft.XMLHTTP") : new XMLHttpRequest();
		if (x){
			x.onreadystatechange = function(){
				if (x.readyState == 4 && x.status == 200){
					var fr	= x.responseText;

					if(fr == "0"){
						alert("Fail to update Record, try again");
					}else if(fr == "-1"){
						alert("Session timed out - please relogin");
						location	=	"index.php";
					}else if(fr == "-2") {
						alert("Not enough permission to Edit Record");
					}else if(fr == "-3") {
						alert("No Company selected");
						location	=	"home.php";
					}else if(fr == "-4") {
						alert("Invalid input parameters");
					}else{
						alert("Data updated correctly");
					}
					EBD('_atag' + i + '' + j).innerHTML	= '<img src="images/edit.png" title="UPDATE CLEARING DATE" />'	;
				}
			};
			x.open("GET", url, true);
			x.send(null);
		} else {
			EBD('_atag' + i + '' + j).innerHTML	= '<img src="images/edit.png" title="UPDATE CLEARING DATE" />'	;
			alert('AJAX not supported in your Browser.');
		}		
	}
	
	function saveRec() {
	
		EBD('btnS').disabled	= true;

		var slice	= "";
		
		for(var i=1; i<=numRows; i++) {
			var cnt		= EBD('oppvCnt' + i).value;
			
			for(var j=1; j<=cnt; j++) {
				var vid		= EBD('vid' + i + '' + j).value;
				var sid		= EBD('sid' + i + '' + j).value;
				var cdt		= EBD('clearedOn' + i + '' + j).value;
				
				if(cdt != "") {
					if(checkForValidInput('clearedOn' + i + '' + j,'Date','Please enter Clearing date properly')==false) {
						EBD('clearedOn' + i + '' + j).select();
						EBD('clearedOn' + i + '' + j).focus();
						return;
					}
					
					if(slice != "") slice = slice + "~";
					slice	= slice + vid + "," + sid + "," + cdt;					
				}	
				
			}
			
		}
		
		var url		= "ajax/batchUpdateClearingDate.php?slice=" + slice;
		
		var x = (window.ActiveXObject) ? new ActiveXObject("Microsoft.XMLHTTP") : new XMLHttpRequest();
		if (x){
			x.onreadystatechange = function(){
				if (x.readyState == 4 && x.status == 200){
					var fr	= x.responseText;

					if(fr == "0"){
						alert("Fail to update Record, try again");
					}else if(fr == "-1"){
						alert("Session timed out - please relogin");
						location	=	"index.php";
					}else if(fr == "-2") {
						alert("Not enough permission to Edit Record");
					}else if(fr == "-3") {
						alert("No Company selected")
						location	=	"home.php";
					}else if(fr == "-4") {
						alert("Invalid input parameters");					
					}else{
						alert("Data updated correctly");
					}
					
					EBD('btnS').disabled	= false;
				}
			};
			x.open("GET", url, true);
			x.send(null);
		} else {
			EBD('btnS').disabled	= false;
			alert('AJAX not supported in your Browser.');
		}		
	}	

</script>