<?php

	/**
	 * Author - Subhashis Pandey (psubho@gmail.com). Written - Nov 05, 2008
	 */



	/* Class begins here */
	class asys_groups {
		/**
		 * @Field		GroupID
		 * @Type		smallint(6)
		 * @Access	Private
		 */
		var $GroupID = 0;

		/**
		 * @Field		BGID
		 * @Type		smallint(6)
		 * @Access	Private
		 */
		var $BGID = 0;

		/**
		 * @Field		BaseGroupName
		 * @Type		varchar(30)
		 * @Access	Private
		 */
		var $BaseGroupName = "";

		/**
		 * @Field		GroupName
		 * @Type		varchar(30)
		 * @Access	Private
		 */
		var $GroupName = "";

		/**
		 * @Field		Posting
		 * @Type		varchar(5)
		 * @Access	Private
		 */
		var $Posting = "";

		/**
		 * Getter Methods to retrive the values of the Variables of the Class
		 */
		function getGroupID($formatted='no') {
			if($formatted=='yes') {
				return number_format($this->GroupID,2,'.',',');
			} else if($formatted=='asis') {
				return $this->GroupID;
			} else {
				return $this->GroupID;
			}
		}

		function getBGID($formatted='no') {
			if($formatted=='yes') {
				return number_format($this->BGID,2,'.',',');
			} else if($formatted=='asis') {
				return $this->BGID;
			} else {
				return $this->BGID;
			}
		}

		function getBaseGroupName($formatted='no') {
			if($formatted=='yes') {
				return htmlspecialchars(stripslashes($this->BaseGroupName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->BaseGroupName;
			} else {
				return stripslashes($this->BaseGroupName);
			}
		}

		function getGroupName($formatted='no') {
			if($formatted=='yes') {
				return htmlspecialchars(stripslashes($this->GroupName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->GroupName;
			} else {
				return stripslashes($this->GroupName);
			}
		}

		function getPosting($formatted='no') {
			if($formatted=='yes') {
				return htmlspecialchars(stripslashes($this->Posting),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->Posting;
			} else {
				return stripslashes($this->Posting);
			}
		}

		/**
		 * Setter Methods to set the values of the Variables of the Class
		 */
		function setGroupID($arg) {
			$this->GroupID = (int)$arg;
		}

		function setBGID($arg) {
			$this->BGID = (int)$arg;
		}

		function setBaseGroupName($arg) {
			$this->BaseGroupName = addslashes($arg);
		}

		function setGroupName($arg) {
			$this->GroupName = addslashes($arg);
		}

		function setPosting($arg) {
			$this->Posting = addslashes($arg);
		}

	};

?>