<?php

	/**
	 * Author - Subhashis Pandey (psubho@gmail.com). Written - Jun 03, 2017
	 */

	/**
	 * (c) 2011 Swastika Systems, All Rights Reserved.
	 */

	class asys_user_ledger {
		/**
		 * @Field		UserID
		 * @Type		varchar(60)
		 * @Access	Protected
		 */
		protected $UserID = "";

		/**
		 * @Field		Accounts
		 * @Type		text
		 * @Access	Protected
		 */
		protected $Accounts = "";

		/**
		 * Constructor, particularly for PHP PDO
		 */
		public function __construct() {
			$this->UserID = addslashes($this->UserID);
			$this->Accounts = addslashes($this->Accounts);
		}

		/**
		 * Getter Methods to retrive the values of the Variables of the Class
		 */
		public function getUserID($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->UserID),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->UserID;
			} else {
				return stripslashes($this->UserID);
			}
		}

		public function getAccounts($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->Accounts),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->Accounts;
			} else {
				return stripslashes($this->Accounts);
			}
		}

		/**
		 * Setter Methods to set the values of the Variables of the Class
		 */
		public function setUserID($arg) {
			$this->UserID = addslashes($arg);
		}

		public function setAccounts($arg) {
			$this->Accounts = addslashes($arg);
		}

		public function getInsertSQL() {		

			$sql	=	"INSERT INTO `asys_user_ledger` (`UserID`, `Accounts`) VALUES(";
			$sql	=	$sql."'".$this->getUserID('asis')."', ";
			$sql	=	$sql."'".$this->getAccounts('asis')."')";

			return $sql;
		}

		public function getUpdateSQL() {		

			$sql	=	"UPDATE `asys_user_ledger` SET ";
			$sql	=	$sql."`Accounts` = '".$this->getAccounts('asis')."' ";
			$sql	=	$sql." WHERE `UserID` = '".$this->getUserID('asis')."'";

			return $sql;
		}

		public function getDeleteSQL() {		

			$sql	=	"DELETE FROM `asys_user_ledger` ";
			$sql	=	$sql." WHERE `UserID` = '".$this->getUserID('asis')."'";
			$sql	=	$sql." LIMIT 1";

			return $sql;
		}

		public function validateFields() {		

			$chk	=	true;
			if(trim($UserID) == "") $chk	=	false;

			return $chk;
		}

		public function getHTMLRepresentation() {		

			$str	=	'
				<div style="float:left;width:150px;">UserID</div>
				<div style="float:left;">: '.$this->getUserID('yes').'</div>
				<div style="clear:both;"></div>
				<div style="float:left;width:150px;">Accounts</div>
				<div style="float:left;">: '.$this->getAccounts('yes').'</div>
				<div style="clear:both;"></div>
			';

			return $str;
		}
	};

?>