<?php

	/**
	 * Author - Subhashis Pandey (psubho@gmail.com). Written - Dec 01, 2014
	 */



	/* Class begins here */
	class asys_voucher_types {
		/**
		 * @Field		VTID
		 * @Type		smallint(6)
		 * @Access	Private
		 */
		var $VTID = 0;

		/**
		 * @Field		BVID
		 * @Type		smallint(6)
		 * @Access	Private
		 */
		var $BVID = 0;

		/**
		 * @Field		BaseVoucherName
		 * @Type		varchar(30)
		 * @Access	Private
		 */
		var $BaseVoucherName = "";

		/**
		 * @Field		VoucherName
		 * @Type		varchar(30)
		 * @Access	Private
		 */
		var $VoucherName = "";

		/**
		 * Getter Methods to retrive the values of the Variables of the Class
		 */
		function getVTID($formatted='no') {
			if($formatted=='yes') {
				return number_format($this->VTID,2,'.',',');
			} else if($formatted=='asis') {
				return $this->VTID;
			} else {
				return $this->VTID;
			}
		}

		function getBVID($formatted='no') {
			if($formatted=='yes') {
				return number_format($this->BVID,2,'.',',');
			} else if($formatted=='asis') {
				return $this->BVID;
			} else {
				return $this->BVID;
			}
		}

		function getBaseVoucherName($formatted='no') {
			if($formatted=='yes') {
				return htmlspecialchars(stripslashes($this->BaseVoucherName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->BaseVoucherName;
			} else {
				return stripslashes($this->BaseVoucherName);
			}
		}

		function getVoucherName($formatted='no') {
			if($formatted=='yes') {
				return htmlspecialchars(stripslashes($this->VoucherName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->VoucherName;
			} else {
				return stripslashes($this->VoucherName);
			}
		}

		/**
		 * Setter Methods to set the values of the Variables of the Class
		 */
		function setVTID($arg) {
			$this->VTID = (int)$arg;
		}

		function setBVID($arg) {
			$this->BVID = (int)$arg;
		}

		function setBaseVoucherName($arg) {
			$this->BaseVoucherName = addslashes($arg);
		}

		function setVoucherName($arg) {
			$this->VoucherName = addslashes($arg);
		}

	};

?>