<?php

	/**
	 * Author - Subhashis Pandey (psubho@gmail.com). Written - Nov 24, 2014
	 */

	/**
	 * (c) 2011 Swastika Systems, All Rights Reserved.
	 */

	class gen_unit {
		/**
		 * @Field		UnitID
		 * @Type		smallint(6)
		 * @Access	Protected
		 */
		protected $UnitID = 0;

		/**
		 * @Field		UnitName
		 * @Type		varchar(200)
		 * @Access	Protected
		 */
		protected $UnitName = "";

		/**
		 * Getter Methods to retrive the values of the Variables of the Class
		 */
		public function getUnitID($formatted='no') {
			if($formatted == 'yes') {
				return number_format($this->UnitID,2,'.',',');
			} else if($formatted=='asis') {
				return $this->UnitID;
			} else {
				return $this->UnitID;
			}
		}

		public function getUnitName($formatted='no') {
			if($formatted == 'yes') {
				return htmlspecialchars(stripslashes($this->UnitName),ENT_QUOTES);
			} else if($formatted=='asis') {
				return $this->UnitName;
			} else {
				return stripslashes($this->UnitName);
			}
		}

		/**
		 * Setter Methods to set the values of the Variables of the Class
		 */
		public function setUnitID($arg) {
			$this->UnitID = (int)$arg;
		}

		public function setUnitName($arg) {
			$this->UnitName = addslashes($arg);
		}

		public function getInsertSQL() {		

			$sql	=	"INSERT INTO `gen_unit` (`UnitID`, `UnitName`) VALUES(";
			$sql	=	$sql."'".$this->getUnitID('asis')."', ";
			$sql	=	$sql."'".$this->getUnitName('asis')."')";

			return $sql;
		}

		public function getUpdateSQL() {		

			$sql	=	"UPDATE `gen_unit` SET ";
			$sql	=	$sql."`UnitName` = '".$this->getUnitName('asis')."' ";
			$sql	=	$sql." WHERE `UnitID` = '".$this->getUnitID('asis')."'";

			return $sql;
		}

		public function getDeleteSQL() {		

			$sql	=	"DELETE FROM `gen_unit` ";
			$sql	=	$sql." WHERE `UnitID` = '".$this->getUnitID('asis')."'";
			$sql	=	$sql." LIMIT 1";

			return $sql;
		}

		public function validateFields() {		

			$chk	=	true;
			if((int)$UnitID <= 0) $chk	=	false;
			if(trim($UnitName) == "") $chk	=	false;

			return $chk;
		}

		public function getHTMLRepresentation() {		

			$str	=	'
				<div style="float:left;width:150px;">Unit#</div>
				<div style="float:left;">: '.$this->getUnitID().'</div>
				<div style="clear:both;"></div>
				<div style="float:left;width:150px;">Unit Name</div>
				<div style="float:left;">: '.$this->getUnitName('yes').'</div>
				<div style="clear:both;"></div>
			';

			return $str;
		}
	};

?>