<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	
	
	$ModuleID			= 4;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	
	if($ldb->getDeletePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pkey					=	0;
	$schStr				=	"";
	$schFld				=	"AccountName";
	$sortFld			=	"AccountName";
	$pno					= 0;
	
	extract($_REQUEST);

	$pkey					= (int)$pkey;
	$pno					=	(int)$pno;
	$schStr				= addslashes($schStr);
	$schFld				=	addslashes($schFld);
	$sortFld			=	addslashes($sortFld);	
	
	$det					=	$mdb->getAccountDetail($pkey);
	$det1					= $det;

	if($tcmp->getCompanyID() != $mdb->getCompanyIDByAccountID($pkey)) {
		echo 'This data does not belong to the Company selected.';
		echo '<a href="home.php">Click Here</a> to go to Home';
		exit;
	}
	
	if($mdb->deleteAccount($det)) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setCompanyID($tcmp->getCompanyID());
		$log->setModuleID($ModuleID);
		$log->setRelatedID($pkey);		
		$log->setActivity("Deleted Account - ".$det->getAccountName());
		$log->setClassName('asys_accounts');
		$log->setModuleSnapshot(serialize($det1));
		$gdb->SaveObjectToDB($log);
		
		$fullPath = __DIR__ . "/json/getAccountListCompanyWise" ;
		array_map('unlink', glob( "$fullPath*.json"));
		$fullPath = __DIR__ . "/json/getChildAccountListCompanyWise" ;
		array_map('unlink', glob( "$fullPath*.json"));
		$fullPath = __DIR__ . "/json/getCustomerList" ;
		array_map('unlink', glob( "$fullPath*.json"));				
		$fullPath = __DIR__ . "/json/getMainAccountListCompanyWise" ;
		array_map('unlink', glob( "$fullPath*.json"));
		$fullPath = __DIR__ . "/json/getMotherAccountListCompanyWise" ;
		array_map('unlink', glob( "$fullPath*.json"));
		$fullPath = __DIR__ . "/json/getSupplierList" ;
		array_map('unlink', glob( "$fullPath*.json"));		
	}
	
	header("Location:viewAccount.php?schStr=$schStr&schFld=$schFld&sortFld=$sortFld&pno=$pno");

?>