<?php

	/* Include the required files */
	require_once( 'aom-config.php' );
	require_once( 'inc/pagetemplate.php' );
	require_once( 'inc/head.php' );
	require_once( 'inc/topmenu.php' );
	require_once( 'inc/functions.php' );
	require_once( 'dao/asys.user.php' );
	require_once( 'dao/asys.company.php' );
	require_once( 'dao/asys.drcr.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.city.php' );
	require_once( 'dao/class.gen_branchjournal.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.genericdb.php' );
	require_once( 'dao/asys.masterdb.php' );
	require_once( 'dao/asys.voucherdb.php' );
	require_once( 'dao/asys.companydb.php' );
	require_once( 'dao/asys.log.php' );
	require_once( 'dao/asys.logindb.php' );
	require_once( 'dao/asys.userpermission.php' );	

	$tuser		=	new asys_users();
	$tcmp			= new asys_companies();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}
	
	if(isset($_SESSION["ssECmp"])){
		$tcmp	=	unserialize($_SESSION["ssECmp"]);
	}
	
	if($tcmp->getCompanyID() <= 0) {
		header("Location:home.php");
		exit;	
	}		
	
	$ModuleID			= 52;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$tdb					= new voucherdb();
	$ldb					= new logindb();
	
	if($ldb->getDeletePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pkey					= 0;
	$pno					= 0;
	$DateFrom			= "";
	$DateTo				= "";
	
	extract($_REQUEST);

	$pkey					= (int)$pkey;
	$pno					=	(int)$pno;
	$DateFrom			= addslashes($DateFrom);
	$DateTo				= addslashes($DateTo);
	
	$det					=	$tdb->getC2CDetail($pkey);
	
	if($tdb->deleteC2C($det)) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setCompanyID($tcmp->getCompanyID());
		$log->setModuleID($ModuleID);
		$log->setRelatedID($pkey);
		$log->setActivity("Deleted Company Voucher - ".$det->getBookingNo().'/'.$det->getFinYear());
		$log->setClassName('gen_branchjournal');
		$log->setModuleSnapshot(serialize($det));
		$gdb->SaveObjectToDB($log);
	}
	
	header("Location:viewCompanyVoucher.php?DateFrom=$DateFrom&DateTo=$DateTo&pno=$pno");

?>