<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.store.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.stockvoucher.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.purchasedb.php' );
	
	
	$ModuleID			= 27;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$pdb					= new purchasedb();
	$cclass				= new asys_stock_voucher();
	$itmList			= $mdb->getItemList('', 0, $tcmp->getCompanyID());
	$strList			= $mdb->getStoreList($tcmp->getCompanyID());
	
	if($ldb->getDeletePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$svid					=	0;
	$DateFrom			= "";
	$DateTo				= "";
	$ItemID				= "";
	$pno					= 0;
	
	extract($_REQUEST);

	$svid					= (int)$svid;
	$pno					=	(int)$pno;
	$DateFrom			=	addslashes($DateFrom);
	$DateTo				=	addslashes($DateTo);
	$ItemID				= (int)$ItemID;
	
	if($tcmp->getCompanyID() != $pdb->getCompanyIDByTransaction('asys_stock_voucher', 'SVoucherID', $svid)) {
		echo 'This data does not belong to the Company selected.';
		echo '<a href="home.php">Click Here</a> to go to Home';
		exit;
	}	
	
	$det					=	$pdb->getStockVoucherDetail($svid);
	$det1					= $det;
	
	if($pdb->deleteManualStockIN($det) > 0) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setCompanyID($tcmp->getCompanyID());
		$log->setModuleID($ModuleID);
		$log->setRelatedID($svid);		
		$log->setActivity("Deleted Manual Stock IN - ".$det->getSVoucherID());
		$log->setClassName('asys_stock_voucher');
		$log->setModuleSnapshot(serialize($det1));
		$gdb->SaveObjectToDB($log);
	}
	
	header("Location:manualStockIN.php?DateFrom=$DateFrom&DateTo=$DateTo&ItemID=$ItemID&pno=$pno");

?>