<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_stocktransfer.php' );
	require_once( 'dao/class.gen_stocktransfer_items.php' );
	require_once( 'dao/class.purchasedb.php' );
			
	
	$ModuleID			= 23;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$pdb					= new purchasedb();
	
	if($ldb->getDeletePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pkey					=	0;
	$BDate1				= "";
	$BDate2				= "";
	$tid					= "";
	$pno					= 0;
	
	extract($_REQUEST);

	$pkey					= (int)$pkey;
	$pno					=	(int)$pno;
	$BDate1				=	FormatIndianDateToSQLDate($BDate1);
	$BDate2				=	FormatIndianDateToSQLDate($BDate2);
	$tid					=	(int)$tid;
	
	if($tcmp->getCompanyID() != $pdb->getCompanyIDByTransaction('gen_stocktransfer', 'StockTransferID', $pkey)) {
		echo 'This data does not belong to the Company selected.';
		echo '<a href="home.php">Click Here</a> to go to Home';
		exit;
	}	
	
	$det					=	$pdb->getStockTransferDetail($pkey);
	$det1					= $det;
	
	if($pdb->deleteStockTransfer($det)) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setCompanyID($tcmp->getCompanyID());
		$log->setModuleID($ModuleID);
		$log->setRelatedID($pkey);		
		$log->setActivity("Deleted Stock Transfer - ".$det->getStockTransferID());
		$log->setClassName('gen_stocktransfer');
		$log->setModuleSnapshot(serialize($det1));
		$gdb->SaveObjectToDB($log);
	}
	
	header("Location:viewStockTransfer.php?BDate1=$BDate1&BDate2=$BDate2&pno=$pno&tid=$tid");

?>