<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.tdssection.php' );	
	
	
	$ModuleID			= 53;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	
	if($ldb->getDeletePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pkey					=	0;
	$pno					= 0;
	
	extract($_REQUEST);

	$pkey					= (int)$pkey;
	$pno					=	(int)$pno;
	
	$det					=	$mdb->getTDSSectionDetail($pkey);
	
	if($mdb->deleteTDSSection($det)) {
		$log	=	new asys_user_log();
		$log->setUserID($tuser->getUserID());
		$log->setCompanyID($tcmp->getCompanyID());
		$log->setModuleID($ModuleID);
		$log->setRelatedID($pkey);		
		$log->setActivity("Deleted TDS Section - ".$det->getSectionName());
		$log->setClassName('asys_gstrate');
		$log->setModuleSnapshot(serialize($det));
		$gdb->SaveObjectToDB($log);
	}
	
	header("Location:viewTDSSection.php?pno=$pno");

?>