<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_unit.php' );
			
	
	$ModuleID			= 1;

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	
	if($ldb->getDeletePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pkey					=	0;
	$schStr				=	"";
	$pno					= 0;
	
	extract($_REQUEST);

	$pkey					= (int)$pkey;
	$pno					=	(int)$pno;
	$schStr				= addslashes($schStr);
	
	$det					=	$mdb->getUnitDetail($pkey);
	$det1					= $det;
	
	if($mdb->deleteUnit($det)) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setCompanyID($tcmp->getCompanyID());
		$log->setModuleID($ModuleID);
		$log->setRelatedID($pkey);		
		$log->setActivity("Deleted Unit - ".$det->getUnitName());
		$log->setClassName('gen_unit');
		$log->setModuleSnapshot(serialize($det1));
		$gdb->SaveObjectToDB($log);
		
		$fullPath = __DIR__ . "/json/getUnitList" ;
		array_map('unlink', glob( "$fullPath*.json"));		
	}
	
	header("Location:viewUnit.php?schStr=$schStr&pno=$pno");

?>