<?php

	/* Include the required files */
	require_once( 'aom-config.php' );
	require_once( 'inc/pagetemplate.php' );
	require_once( 'inc/head.php' );
	require_once( 'inc/topmenu.php' );
	require_once( 'inc/functions.php' );
	require_once( 'dao/asys.user.php' );
	require_once( 'dao/asys.logindb.php' );
	require_once( 'dao/asys.genericdb.php' );
	require_once( 'dao/asys.log.php' );
	require_once( 'dao/asys.logindb.php' );
	require_once( 'dao/asys.userpermission.php' );	

	$tuser		=	new asys_users();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		print("-1");
		exit;
	}

	if($tuser->getUserStatus() < ADMIN_USER) {
		print("-2");
		exit;
	}

	$uid			= "";
	$ldb			=	new logindb();
	$gdb			=	new genericdb();

	extract($_REQUEST);

	$uid			=	addslashes($uid);
	$udet			= $ldb->getUserDetail($uid);
	$det1			= $udet;
	
	if($udet->getUserStatus() >= ADMIN_USER) {
		if($tuser->getUserStatus() != HIDDEN_USER) {
			print("-2");
			exit;
		}
	}

	if($ldb->deleteUser($udet)) {
		$log	=	new asys_user_log();
		$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
		$log->setUserID($tuser->getUserID());
		$log->setModuleID(-1);
		$log->setRelatedID($uid);		
		$log->setActivity("Deleted existing User - ".$uid);
		$log->setClassName('asys_users');
		$log->setModuleSnapshot(serialize($det1));
		$gdb->SaveObjectToDB($log);
		
		$fullPath = __DIR__ . "/json/getUserList" ;
		array_map('unlink', glob( "$fullPath*.json"));		
		
		
		print("1");
		exit;		
	} else {
		print("0");
		exit;
	}

?>