<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.drcr.php' );
	require_once( 'dao/asys.group.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.vouchertag.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.vouchertype.php' );
	require_once( 'dao/asys.voucherdb.php' );
	

	$db			=	new masterdb();
	$vdb		=	new voucherdb();

	$cdate	= date("d-m-Y");
	$accid	= 0;
	$fdate	=	'';
	$tdate	=	date("Y-m-d");
	
	$bal		= 0;
	$balt		= 0;

	extract($_REQUEST);

	$expand	=	'yes';
	$accid	=	(int)$accid;

	if($accid == 0) {
		echo "Sorry!!! Direct Access not allowed here";
		exit;
	}

	$accDet		= $db->getAccountDetail($accid);

	if($fdate == '') {
		$tmpdt	= $vdb->getLastDOV($accid);
		$yy			= substr($tmpdt,0,4);
		$mm			= substr($tmpdt,5,2);
		$mm--;
		if($mm < 1) {
			$mm	=	12;
			$yy--;
		}
		if($mm < 10)	$mm	=	"0".$mm;
		$tmpdt	=	$yy.'-'.$mm.'-01';

		$alDet		= $vdb->getAccountVoucher($accid, $tmpdt, $tdate);
		if(count($alDet) > 0) {
			$tmparr	=	$db->getClosingBalanceByAccountID($accid, $tmpdt, 'YES');
			$bal		= $tmparr[0];
			$balt		= $tmparr[1];
		}
	} else {
		$alDet		= $vdb->getAccountVoucher($accid, $fdate, $tdate);
		$bal			= $accDet->getOBal();
		$balt			= $accDet->getOBalType();
	}

	$totcr		= 0;
	$totdr		= 0;
	if($balt == DEBIT)
		$totdr	=	$bal;
	else
		$totcr	= $bal;

?>


<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
		<title>Ledger of <?php echo $accDet->getAccountName()?></title>
		<link href="css/rpt.css" type="text/css" rel="stylesheet">
		<script src="js/common.js"></script>
	</head>
<body style="background-color:#ffffff">
	<div style="font-family:verdana;margin:0px auto;width:900px;">

		<div style="font-size:12px;">
			<table cellSpacing='1' cellPadding='4' width='100%' bgcolor="#CCCCCC" id="main_table">
			
				<tr bgcolor="#FFFFFF">
					<td colspan="6" align="center">
						<div style="font-size:18px; letter-spacing:1pt;">
							<b><?php echo $tcmp->getCompanyName()?><br /></b>
						</div>
						<div style="font-size:15px; letter-spacing:1pt;">
							<?php echo nl2br($tcmp->getCompanyAddress())?>
						</div>
						<div style="font-size:15px; letter-spacing:1pt;">
							<b><br /><?php echo $accDet->getAccountName()?></b>
						</div>
						<div style="font-size:13px;">
							<b>Ledger as on <?php echo FormatSQLDateToIndianDate($tdate)?></b>
						</div>					
					</td>
				<tr>
			
				<tr bgcolor="#F4F4F4">
					<td width='10%'>DATE</td>
					<td width='14%'>DOC NO</td>
					<td width='37%'>PARTICULARS</td>
					<td width='12%' align='right'>DEBIT</td>
					<td width='12%' align='right'>CREDIT</td>
					<td width='15%' align='right'>BALANCE</td>
				</tr>

				<tr bgcolor="#FFFFFF">
					<td>&nbsp;</td>
					<td>&nbsp;</td>
					<td><b>By Opening Balance</b></td>
					<?php
						if($balt == DEBIT) {
					?>
						<td align='right'><b><?php echo number_format($bal,2)?></b></td>
						<td align='right'><b>0.00</b></td>
					<?php } else {
					?>
						<td align='right'><b>0.00</b></td>
						<td align='right'><b><?php echo number_format($bal,2)?></b></td>
					<?php } ?>
					<td align='right'><b><?php echo number_format($bal,2)?> <?php echo getDrCr($balt)?></b></td>
				</tr>
			<?php
				for($i=0;$i<count($alDet);$i++) {
					$veb	=	$alDet[$i];
					if($expand == 'yes') {
						$vt		=	$veb->getVoucherType();
						$fy		=	$veb->getFinYear();
						$vid	=	$veb->getVoucherID();
						$olist=	$vdb->getOppositeVoucher($vid, $accid);
					}
			?>
				<tr bgcolor="#FFFFFF">
					<td valign="top"><?php echo $veb->getDOV('yes')?></td>
					<td valign="top" onMouseOver="this.className='td_hover'" onMouseOut="this.className='td_normal'">
						<a href="../printvoucher.php?vid=<?php echo $veb->getVoucherID()?>" target="_blank"><?php echo getShortVoucherType($veb->getVoucherType()).'/'.FormatSQLDateToVoucherPrintFormat($veb->getDOV()).'/'.$veb->getDayWiseNo()?></a>
					</td>
					<td valign="top">
						<?php
								$narr	= $veb->getNarration();
								echo $narr;
						?>
					</td>
					<?php
						if($veb->getDrCr() == DEBIT) {
							$totdr+=$veb->getAmount();
							if($balt == DEBIT)
								$bal+=$veb->getAmount();
							else
								$bal-=$veb->getAmount();
							if($bal < 0) {
								$bal=-$bal;
								$balt	=	DEBIT;
							}
					?>
						<td valign="top" align='right'><?php echo number_format($veb->getAmount(),2)?></td>
						<td valign="top" align='right'>0.00</td>
					<?php
						} else {
							$totcr+=$veb->getAmount();
							if($balt == CREDIT)
								$bal+=$veb->getAmount();
							else
								$bal-=$veb->getAmount();
							if($bal < 0) {
								$bal=-$bal;
								$balt	=	CREDIT;
							}
					?>
						<td valign="top" align='right'>0.00</td>
						<td valign="top" align='right'><?php echo number_format($veb->getAmount(),2)?></td>
					<?php } ?>
					<td valign="top" align='right'><?php echo number_format($bal,2)?> <?php echo getDrCr($balt)?></td>
				</tr>
			<?php
					if($expand == 'yes') {
						for($j=0;$j<count($olist);$j++) {
							$ovch	=	$olist[$j];
							$tmp	=	"#f4f4f4";
							if($j%2==0)
								$tmp	=	"#e4e4e4";
			?>
							<tr bgcolor="#FFFFFF">
								<td>&nbsp;</td>
								<td>&nbsp;</td>
								<td bgcolor="<?php echo $tmp?>">
									<font style='font-family:verdana; font-size:10px'><?php echo $ovch->getAccountName('yes')?> - <?php echo $ovch->getAmount('yes')?> (<?php echo getDrCr($ovch->getDrCr())?>)</font>
								</td>
								<td>&nbsp;</td>
								<td>&nbsp;</td>
								<td>&nbsp;</td>
							</tr>
			<?php
						}
					}
				}
			?>

				<tr bgcolor="#FFFFFF">
					<td>&nbsp;</td>
					<td>&nbsp;</td>
					<td><b>CURRENT TOTAL ***</b></td>
					<td align='right'><b><?php echo number_format($totdr,2)?></b></td>
					<td align='right'><b><?php echo number_format($totcr,2)?></b></td>
					<td align='right'><b><?php echo number_format($bal,2)?> <?php echo getDrCr($balt)?></b></td>
				</tr>
			</table>
		</div>
		<div style="font-size:11px; font-weight:bold; text-align:left">
			<br>CLOSING TOTAL: <?php echo CURRENCY_WORD?> <?php echo numToWord($bal,'Paise')?>
		</div>
		
		<br />
		<div style="text-align:center"><input type="button" value="Export to Excel" onClick="ExportToExcel()" class="red_button" /></div>
		<br />		
		
	</div>
</body>
</html>

<script type="text/javascript">

	function ExportToExcel(){
		 var tbl		= document.getElementById('main_table');
		 var html 	= tbl.outerHTML;
		 window.open('data:application/vnd.ms-excel,' + encodeURIComponent(html));
	}
	
</script>