<?php

	/* Include the required files */
	require_once( 'aom-config.php' );
	require_once( 'inc/pagetemplate.php' );
	require_once( 'inc/head.php' );
	require_once( 'inc/topmenu.php' );
	require_once( 'inc/functions.php' );
	require_once( 'dao/asys.user.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.company.php' );
	require_once( 'dao/asys.genericdb.php' );
	require_once( 'dao/asys.masterdb.php' );
	require_once( 'dao/asys.companydb.php' );
	require_once( 'dao/asys.log.php' );
	require_once( 'dao/asys.logindb.php' );
	require_once( 'dao/asys.userpermission.php' );	

	$tuser		=	new asys_users();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}
	
	$ModuleID			= -2;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$cdb					=	new companydb();
	$ldb					= new logindb();
	$cclass				= new asys_companies();
	$img_files		=	array('png', 'jpg', 'gif');
	
	if($tuser->getUserStatus() < ADMIN_USER) {
		echo 'Only Admin Users can view/open this Page. <a href="home.php">Click here to go back.</a>';
		exit;
	}	
							
			
	$CompanyID	=	"";
	$MotherCompanyID	=	"";
	$CompanyName	=	"";
	$CompanyAddress	=	"";
	$CompanyType	=	"";
	$MotherAccountID	=	"";
	$OwnAccountID	=	"";
	$CompanyCode	=	"";
	$CompanyLogo	=	"";
	$CPVFooter		=	"";
	$CRVFooter		=	"";
	$BPVFooter		=	"";
	$BRVFooter		=	"";
	$JRNFooter		=	"";
	$CONFooter		=	"";
	$DBNFooter		=	"";
	$CDNFooter		=	"";
	$VAT					=	"";
	$GST					=	"";
	$PAN					=	"";
	$BRN					=	"";
	$IEC					=	"";
	$Country			=	"";
	$State				=	"";
	$City					=	"";
	$PIN					=	"";
	$TxnDateFrom	=	"";
	$TxnDateTo		=	"";
	$IGSTAccountID	=	"";
	$CGSTAccountID	=	"";
	$SGSTAccountID	=	"";
	$UGSTAccountID	=	"";
	$BankDetail		=	"";
	$StockEntry		=	"";
	$Inventory	=	"";

	$pkey					=	"";
	$schStr				= "";
	$pno					= "";
	$rmsg					=	"";
	$msg					=	"Please enter all the fields correctly.";
	$pagen				=	"";

	$fcss					=	 array();
	for($i=0;$i<20;$i++)
		$fcss[$i]		=	"input";

	extract($_REQUEST);
	
	$pKey		= (int)$pKey;
	$pno		= (int)$pno;
	$schStr	= addslashes($schStr);
	
	$cclass				= $cdb->getCompanyDetail($pKey);
	
	if($pagen == "process") {
		/* Check for valid input */

		if(trim($CompanyName) == "") {
			$fcss[2]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Company Name";
		}

		if(trim($CompanyAddress) == "") {
			$fcss[3]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Company Address";
		}

		if($State == "") {
			if($rmsg!="") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."State";		
		}
		
		if($GST != "") {
			if(strlen($GST) < 15) {
				if($rmsg!="") $rmsg	=	$rmsg.", ";
				$rmsg			=	$rmsg."Invalid GST, must contain 15 characters";			
			}
			if(substr($GST, 0 ,2) != getGSTStateCode($State)) {
				if($rmsg!="") $rmsg	=	$rmsg.", ";
				$rmsg			=	$rmsg."Invalid GST, State code mismatch";				
			}		
		}
		
		
		/***************/
		/*  Logo File  */
		$tmpimg			=	"";
		$fileName		= $_FILES['iFile']['name'];
		$fileType		= $_FILES['iFile']['type'];
		$fileSize		= $_FILES['iFile']['size'];

		/* If the file uploaded and having size>0 then proceed */
		if($fileSize!=0){
			$temp				= pathinfo($fileName);
			$basename		= $temp["basename"];
			$extension 	= strtolower($temp["extension"]);

			if(!in_array($extension, $img_files))	{
				if($rmsg!="") $rmsg	=	$rmsg.", ";
				$rmsg	=	$rmsg."Invalid file extension for Logo File - try png, jpg or gif";
			} else {
				$fn					=	uniqid("IF").".".$extension;
				$uploaddir	=	"updImages/".$fn;
				if (move_uploaded_file($_FILES['iFile']['tmp_name'], $uploaddir)){
					$CompanyLogo	=	$fn;
				}else{
					if($rmsg != "") $rmsg	=	$rmsg.", ";
					$rmsg	=	$rmsg."Fail to upload Logo File, try again";
				}
				clearstatcache();
			}
		}
		
		if(isset($_REQUEST["Inventory"]))
			$Inventory	= "YES";
		else
			$Inventory	= "NO";		


		$cclass->setCompanyID($pKey);
		//$cclass->setMotherCompanyID($MotherCompanyID);
		$cclass->setCompanyName($CompanyName);
		$cclass->setCompanyAddress($CompanyAddress);
		//$cclass->setCompanyType($CompanyType);
		$cclass->setCompanyCode($CompanyCode);
		$cclass->setCompanyLogo($CompanyLogo);
		$cclass->setCPVFooter($CPVFooter);
		$cclass->setCRVFooter($CRVFooter);
		$cclass->setBPVFooter($BPVFooter);
		$cclass->setBRVFooter($BRVFooter);
		$cclass->setJRNFooter($JRNFooter);
		$cclass->setCONFooter($CONFooter);
		$cclass->setDBNFooter($DBNFooter);
		$cclass->setCDNFooter($CDNFooter);
		$cclass->setVAT($VAT);
		$cclass->setGST($GST);
		$cclass->setPAN($PAN);
		$cclass->setBRN($BRN);
		$cclass->setIEC($IEC);
		$cclass->setCountry($Country);
		$cclass->setState($State);
		$cclass->setCity($City);
		$cclass->setPIN($PIN);
		$cclass->setTxnDateFrom($TxnDateFrom);
		$cclass->setTxnDateTo($TxnDateTo);
		$cclass->setIGSTAccountID($IGSTAccountID);
		$cclass->setCGSTAccountID($CGSTAccountID);
		$cclass->setSGSTAccountID($SGSTAccountID);
		$cclass->setUGSTAccountID($UGSTAccountID);
		$cclass->setBankDetail($BankDetail);
		$cclass->setStockEntry($StockEntry);
		$cclass->setInventory($Inventory);

		if($rmsg == "") {
			if($cdb->UpdateCompany($cclass)) {
				$msg	=	"<font class='blue'>Company updated successfully. </font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getCompanyID());
				$log->setActivity("Updated Company - ".$CompanyName);
				$log->setClassName('asys_companies');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);	
				
				$fullPath = __DIR__ . "/json/getCompanyList" ;
				array_map('unlink', glob( "$fullPath*.json"));				
				
				$cclass				= $cdb->getCompanyDetail($pKey);		
			} else {
				$msg	=	"<font class='red'>Company ID/Name already exist, try with a different ID/Name</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/select2.css");
	$iPage->addLink("css/summernote.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addLink("css/bootstrap.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");	
	$iPage->addScript("js/nlbFade.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/bootstrap.js");
	$iPage->addScript("js/summernote.min.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser);
	
?>

	<?php include('inc/menuHome.php')?>

	<div id="pagehead">&nbsp;MODIFY EXISTING COMPANY</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="" enctype="multipart/form-data">
	<input type="hidden" name="pagen" value="process">
	<input type="hidden" name="pKey" value="<?php echo $pKey?>">
	<input type="hidden" name="schStr" value="<?php echo $schStr?>">
	<input type="hidden" name="pno" value="<?php echo $pno?>">

	<table cellpadding="2" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewCompany.php"><img src="images/columns.gif" title="View Company List"></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal" width="190px;">&nbsp;Company Type</td>
			<td class="td_normal" width="10px;">:</td>
			<td class="td_normal">
				<?php echo $cclass->getCompanyType(); ?>
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal">&nbsp;Company Name</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<input type="text" class="<?php echo $fcss[2]?>" name="CompanyName" id="CompanyName" value="<?php echo $cclass->getCompanyName('yes')?>" style="width:400px" maxLength="200" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[2]?>'" />
				
				&nbsp;Code
				<input type="text" class="<?php echo $fcss[7]?>" name="CompanyCode" id="CompanyCode" value="<?php echo $cclass->getCompanyCode('yes')?>" style="width:155px" maxLength="20" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[7]?>'" />
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
				
		<tr>
			<td class="td_normal" valign="top">&nbsp;Company Address</td>
			<td class="td_normal" valign="top">:</td>
			<td class="td_normal"><textarea class="<?php echo $fcss[3]?>" name="CompanyAddress" id="CompanyAddress" style="width:700px;height:60px;" ><?php echo $cclass->getCompanyAddress('yes')?></textarea></td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal">&nbsp;Logo File</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<input type="file" class="<?php echo $fcss[2]?>" name="iFile" id="iFile" style="width:300px">
				<?php if($cclass->getCompanyLogo() != ""){ ?>
					<img src="updImages/<?php echo $cclass->getCompanyLogo('yes')?>" height="20">
				<?php } ?>
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal">&nbsp;Stock Entry In?</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<select class="select" name="StockEntry" id="StockEntry" style="width:300px;">
					<option value="GRN" <?php if($cclass->getStockEntry() == "GRN") echo 'selected'; ?>>GRN (Goods Receipt Note)</option>
					<option value="PURCHASE" <?php if($cclass->getStockEntry() == "PURCHASE") echo 'selected'; ?>>PURCHASE</option>
				</select>
				&nbsp;Have Inventory?
				<input type="checkbox" class="input" name="Inventory" id="Inventory" <?php if($cclass->getInventory() == "YES") echo 'checked'; ?> />
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal">&nbsp;IGST Account</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd26">
				<select name="IGSTAccountID" id="IGSTAccountID" style="width:500px;"></select>
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>	
				
		<tr>
			<td class="td_normal">&nbsp;CGST Account</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd27">
				<select name="CGSTAccountID" id="CGSTAccountID" style="width:500px;"></select>
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>	
				
		<tr>
			<td class="td_normal">&nbsp;SGST Account</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd28">
				<select name="SGSTAccountID" id="SGSTAccountID" style="width:500px;"></select>
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal">&nbsp;UGST Account</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd28">
				<select name="UGSTAccountID" id="UGSTAccountID" style="width:500px;"></select>
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>		
		
		<tr>
			<td class="td_normal">&nbsp;Transaction Range</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				&nbsp;From
				<input data-toggle="datepicker" type="text" class="input" name="TxnDateFrom" id="TxnDateFrom" value="<?php echo $cclass->getTxnDateFrom('yes')?>" style="width:90px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
				&nbsp;To
				<input data-toggle="datepicker" type="text" class="input" name="TxnDateTo" id="TxnDateTo" value="<?php echo $cclass->getTxnDateTo('yes')?>" style="width:90px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal">&nbsp;VAT</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<input type="text" class="<?php echo $fcss[15]?>" name="VAT" id="VAT" value="<?php echo $cclass->getVAT('yes')?>" style="width:200px" maxLength="30" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[15]?>'" />
				&nbsp;GST
				<input type="text" class="<?php echo $fcss[16]?>" name="GST" id="GST" value="<?php echo $cclass->getGST('yes')?>" style="width:200px" maxLength="30" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[16]?>'" />
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
				
		<tr>
			<td class="td_normal">&nbsp;PAN</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<input type="text" class="<?php echo $fcss[17]?>" name="PAN" id="PAN" value="<?php echo $cclass->getPAN('yes')?>" style="width:200px" maxLength="30" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[17]?>'" />
				&nbsp;BRN
				<input type="text" class="<?php echo $fcss[18]?>" name="BRN" id="BRN" value="<?php echo $cclass->getBRN('yes')?>" style="width:200px" maxLength="30" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[18]?>'" />
				&nbsp;IEC
				<input type="text" class="<?php echo $fcss[19]?>" name="IEC" id="IEC" value="<?php echo $cclass->getIEC('yes')?>" style="width:200px" maxLength="30" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[19]?>'" />
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal">&nbsp;Country</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd2">
				<select name="Country" id="Country" style="width:300px;" onChange="fetchState()"></select>
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal">&nbsp;State</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd3">
				<input type="text" class="input" name="State" id="State" value="<?php echo $cclass->getState('yes')?>" style="width:300px" onFocus="this.className='input_focus'" onBlur="this.className='input'" readOnly="true" />
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal">&nbsp;City</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<input type="text" class="<?php echo $fcss[3]?>" name="City" id="City" value="<?php echo $cclass->getCity('yes')?>" style="width:200px" maxLength="50" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[3]?>'" />
				&nbsp;PIN
				<input type="text" class="<?php echo $fcss[10]?>" name="PIN" id="PIN" value="<?php echo $cclass->getPIN('yes')?>" style="width:60px" maxLength="6" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[10]?>'" />
			</td>
		</tr>	
		<tr style="height:4px"><td colspan="3"></td></tr>		
		
		<tr>
			<td class="td_normal" valign="top">&nbsp;Cash Payment Voucher Footer</td>
			<td class="td_normal" valign="top">:</td>
			<td class="td_normal" valign="top"><textarea id="CPVFooter" name="CPVFooter" style="width:95%"><?php echo $cclass->getCPVFooter()?></textarea></td>
		</tr>
		
		<tr>
			<td class="td_normal" valign="top">&nbsp;Cash Receive Voucher Footer</td>
			<td class="td_normal" valign="top">:</td>
			<td class="td_normal" valign="top"><textarea id="CRVFooter" name="CRVFooter" style="width:95%"><?php echo $cclass->getCRVFooter()?></textarea></td>
		</tr>
		
		<tr>
			<td class="td_normal" valign="top">&nbsp;Bank Payment Voucher Footer</td>
			<td class="td_normal" valign="top">:</td>
			<td class="td_normal" valign="top"><textarea id="BPVFooter" name="BPVFooter" style="width:95%"><?php echo $cclass->getBPVFooter()?></textarea></td>
		</tr>
		
		<tr>
			<td class="td_normal" valign="top">&nbsp;Bank Receive Voucher Footer</td>
			<td class="td_normal" valign="top">:</td>
			<td class="td_normal" valign="top"><textarea id="BRVFooter" name="BRVFooter" style="width:95%"><?php echo $cclass->getBRVFooter()?></textarea></td>
		</tr>
		
		<tr>
			<td class="td_normal" valign="top">&nbsp;Journal Voucher Footer</td>
			<td class="td_normal" valign="top">:</td>
			<td class="td_normal" valign="top"><textarea id="JRNFooter" name="JRNFooter" style="width:95%"><?php echo $cclass->getJRNFooter()?></textarea></td>
		</tr>
		
		<tr>
			<td class="td_normal" valign="top">&nbsp;Contra Voucher Footer</td>
			<td class="td_normal" valign="top">:</td>
			<td class="td_normal" valign="top"><textarea id="CONFooter" name="CONFooter" style="width:95%"><?php echo $cclass->getCONFooter()?></textarea></td>
		</tr>
		
		<tr>
			<td class="td_normal" valign="top">&nbsp;Debit Note Voucher Footer</td>
			<td class="td_normal" valign="top">:</td>
			<td class="td_normal" valign="top"><textarea id="DBNFooter" name="DBNFooter" style="width:95%"><?php echo $cclass->getDBNFooter()?></textarea></td>
		</tr>
		
		<tr>
			<td class="td_normal" valign="top">&nbsp;Credit Note Voucher Footer</td>
			<td class="td_normal" valign="top">:</td>
			<td class="td_normal" valign="top"><textarea id="CDNFooter" name="CDNFooter" style="width:95%"><?php echo $cclass->getCDNFooter()?></textarea></div></td>
		</tr>
		
		<tr>
			<td class="td_normal" valign="top">&nbsp;Bank details</td>
			<td class="td_normal" valign="top">:</td>
			<td class="td_normal" valign="top"><textarea id="BankDetail" name="BankDetail" style="width:95%"><?php echo $cclass->getBankDetail()?></textarea></td>
		</tr>
				
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Update (S) " AccessKey="S" onClick="saveRec()" />
				<input type="button" class="red_button" value=" Go Back (G) " AccessKey="G" onClick="goBack()" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
	<br /><br />
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>	
		
<script language="javaScript">

	$(function () {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		EBD('CompanyName').focus();	
		fetchAccount();
		fetchCountry();
	});
	
	$("select").select2();
	$('#CPVFooter').summernote();
	$('#CRVFooter').summernote();
	$('#BPVFooter').summernote();
	$('#BRVFooter').summernote();
	$('#JRNFooter').summernote();
	$('#CONFooter').summernote();
	$('#DBNFooter').summernote();
	$('#CDNFooter').summernote();
	$('#BankDetail').summernote();	

	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});
	
	function goBack() {
		location = "viewCompany.php?schStr=<?php echo $schStr?>&pno=<?php echo $pno?>";
	}
	
	function saveRec() {

		var fm									= EBD('hfrm');
		fm.submit();
	}
	
	function fetchAccount() {
	
    $('#IGSTAccountID').empty();
    $('#CGSTAccountID').empty();
    $('#SGSTAccountID').empty();
    $('#UGSTAccountID').empty();
    $('#IGSTAccountID').append('<option value="">--</option>');
    $('#CGSTAccountID').append('<option value="">--</option>');
    $('#SGSTAccountID').append('<option value="">--</option>');
    $('#UGSTAccountID').append('<option value="">--</option>');
    var iid		= "<?php echo $cclass->getIGSTAccountID()?>";
    var sid		= "<?php echo $cclass->getSGSTAccountID()?>";
    var cid		= "<?php echo $cclass->getCGSTAccountID()?>";
    var uid		= "<?php echo $cclass->getUGSTAccountID()?>";
    var cmp		= <?php echo $pKey?>;
    
    $.ajax({
			type: "POST",
			url: "json/getMainAccountListCompanyWise.php",
			data: {"cid": cmp},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#IGSTAccountID').append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
					$('#CGSTAccountID').append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
					$('#SGSTAccountID').append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
					$('#UGSTAccountID').append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
				});
				$("#IGSTAccountID").val(iid).change();
				$("#CGSTAccountID").val(cid).change();
				$("#SGSTAccountID").val(sid).change();
				$("#UGSTAccountID").val(uid).change();
				
			}
    });

	}	
	
	function fetchCountry() {
	
    $('#Country').empty();
    $('#Country').append('<option value="">--</option>');
    var cid		= "<?php echo $cclass->getCountry()?>";    
    
    $.ajax({
			type: "POST",
			url: "json/getCountryList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#Country').append('<option value="' + d.CountryName + '">' + d.CountryName + '</option>');
				});
				$("#Country").val(cid).change();
				
			}
    });

	}
	
	function fetchState() {
	
    $('#State').empty();
    $('#State').append('<option value="">--</option>');
    var snm		= "<?php echo $cclass->getState()?>";
    
		var cid		= EBD('Country').value;
		if(cid != "India") {
			EBD('_jsontd3').innerHTML		= '<input type="text" class="input" name="State" id="State" value="" style="width:200px" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" />';
			return;
		} else {
			EBD('_jsontd3').innerHTML		= '<select name="State" id="State" style="width:300px;"></select>';
			$("#State").select2();
		}
    
    $.ajax({
			type: "POST",
			url: "json/getStateList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#State').append('<option value="' + d.State + '">' + d.State + '</option>');
				});
				$("#State").val(snm).change();
				
			}
    });	
	
	}	

</script>