<?php

	/* Include the required files */
	require_once( 'aom-config.php' );
	require_once( 'inc/pagetemplate.php' );
	require_once( 'inc/head.php' );
	require_once( 'inc/topmenu.php' );
	require_once( 'inc/functions.php' );
	require_once( 'dao/asys.user.php' );
	require_once( 'dao/asys.company.php' );
	require_once( 'dao/asys.drcr.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.voucher.php' );	
	require_once( 'dao/class.gen_branchjournal.php' );
	require_once( 'dao/asys.genericdb.php' );
	require_once( 'dao/asys.masterdb.php' );
	require_once( 'dao/asys.companydb.php' );
	require_once( 'dao/asys.voucherdb.php' );
	require_once( 'dao/asys.log.php' );
	require_once( 'dao/asys.logindb.php' );
	require_once( 'dao/asys.userpermission.php' );	

	$tuser		=	new asys_users();
	$tcmp		= new asys_companies();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}
	
	if(isset($_SESSION["ssECmp"])){
		$tcmp	=	unserialize($_SESSION["ssECmp"]);
	}
	
	if($tcmp->getCompanyID() <= 0) {
		header("Location:home.php");
		exit;	
	}	
	
	$ModuleID			= 52;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$tdb					=	new moduledb78();
	$cdb					=	new companydb();
	$ldb					= new logindb();
	$cclass				= new gen_branchjournal();
	$accList			= $mdb->getAccountList($tcmp->getCompanyID());
	$cmpList			= $cdb->getCompanyListJSON('');
	
	if($ldb->getCreatePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
							
			
	$BookingID	=	"";
	$CompanyID	=	"";
	$BookingDate	=	"";
	$FinYear	=	"";
	$BookingNo	=	"";
	$Narration	=	"";
	$Amount	=	"";
	$DebitMotherAccountID	=	"";
	$DebitAccountID	=	"";
	$CreditMotherAccountID	=	"";
	$CreditAccountID	=	"";
	$ToCompanyID	=	"";
	$BranchDebitMotherAccountID	=	"";
	$BranchDebitAccountID	=	"";
	$BranchCreditMotherAccountID	=	"";
	$BranchCreditAccountID	=	"";

	$pKey					= 0;
	$pno					= 0;
	$DateFrom			= "";
	$DateTo				= "";

	$rmsg					=	"";
	$msg					=	"Please enter all the fields correctly.";
	$pagen				=	"";
	$dataSaved		= "NO";
	$csubled1			= "NO";
	$csubled2			= "NO";
	$csubled3			= "NO";
	$csubled4			= "NO";

	$fcss					=	 array();
	for($i=0;$i<15;$i++)
		$fcss[$i]		=	"input";

	extract($_REQUEST);
	
	$pKey					= (int)$pKey;
	$pno					= (int)$pno;
	$DateFrom			= addslashes($DateFrom);
	$DateTo				= addslashes($DateTo);
	
	$cclass				= $tdb->getC2CDetail($pKey);
	
	if($cclass->getCompanyID() != $tcmp->getCompanyID()) {
		echo 'Sorry this data does not belongs to you. <a href="companyHome.php">Click here</a> to go back.';
		exit;
	}
	
	if($pagen == "process") {
		/* Check for valid input */

		if(FormatIndianDateToSQLDate($BookingDate) == "1900-01-01") {
			$fcss[1]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Invalid Date BookingDate";
		}

		if((double)$Amount <= 0) {
			$fcss[5]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Amount";
		}

		if((int)$DebitMotherAccountID <= 0) {
			$fcss[6]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Debit Main Account";
		}
		
		if($csubled1 == "YES") {
			if((int)$DebitAccountID <= 0) {
				$fcss[12]	=	"err_input";
				if($rmsg != "") $rmsg = $rmsg.",";
				$rmsg	=	$rmsg."Debit Sub Account";
			}		
		}

		if((int)$CreditMotherAccountID <= 0) {
			$fcss[8]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Credit Main Account";
		}
	
		if($csubled2 == "YES") {
			if((int)$CreditAccountID <= 0) {
				$fcss[9]	=	"err_input";
				if($rmsg != "") $rmsg = $rmsg.",";
				$rmsg	=	$rmsg."Credit Sub Account ";
			}
		}

		if((int)$ToCompanyID <= 0) {
			$fcss[10]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Other Company";
		}

		if((int)$BranchDebitMotherAccountID <= 0) {
			$fcss[11]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Branch Debit Main Account";
		}

		if($csubled3 == "YES") {
			if((int)$BranchDebitAccountID <= 0) {
				$fcss[12]	=	"err_input";
				if($rmsg != "") $rmsg = $rmsg.",";
				$rmsg	=	$rmsg."Branch Debit Sub Account";
			}
		}

		if((int)$BranchCreditMotherAccountID <= 0) {
			$fcss[13]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Branch Credit Main Account";
		}

		if($csubled4 == "YES") {
			if((int)$BranchCreditAccountID <= 0) {
				$fcss[14]	=	"err_input";
				if($rmsg != "") $rmsg = $rmsg.",";
				$rmsg	=	$rmsg."Branch Credit Account";
			}
		}


		$cclass->setBookingID($pKey);
		$cclass->setCompanyID($tcmp->getCompanyID());
		$cclass->setBookingDate($BookingDate);
		//$cclass->setFinYear($FinYear);
		//$cclass->setBookingNo($BookingNo);
		$cclass->setNarration($Narration);
		$cclass->setAmount($Amount);
		$cclass->setDebitMotherAccountID($DebitMotherAccountID);
		$cclass->setDebitAccountID($DebitAccountID);
		$cclass->setCreditMotherAccountID($CreditMotherAccountID);
		$cclass->setCreditAccountID($CreditAccountID);
		$cclass->setToCompanyID($ToCompanyID);
		$cclass->setBranchDebitMotherAccountID($BranchDebitMotherAccountID);
		$cclass->setBranchDebitAccountID($BranchDebitAccountID);
		$cclass->setBranchCreditMotherAccountID($BranchCreditMotherAccountID);
		$cclass->setBranchCreditAccountID($BranchCreditAccountID);	

		if($rmsg == "") {
			if($tdb->updateC2C($cclass) > 0) {
				$msg	=	"<font class='blue'>Company to Company Journal updated successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getBookingID());
				$log->setActivity("Modified Company to Company Journal - ".$cclass->getBookingNo().'/'.$cclass->getFinYear());
				$log->setClassName('gen_branchjournal');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);	
					
			} else {
				$msg	=	"<font class='red'>Booking ID/Name already exist, try with a different ID/Name</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	$cclass				= $tdb->getC2CDetail($pKey);
	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/select2.css");
	$iPage->addLink("css/modal.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/modal.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
?>	

	<div id="pagehead">&nbsp;MODIFY COMPANY TO COMPANY JOURNAL VOUCHER</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="process" />
	<input type="hidden" name="csubled1" id="csubled1" value="NO" />
	<input type="hidden" name="csubled2" id="csubled2" value="NO" />
	<input type="hidden" name="csubled3" id="csubled3" value="NO" />
	<input type="hidden" name="csubled4" id="csubled4" value="NO" />
	<input type="hidden" name="pKey" value="<?php echo $pKey?>" />
	<input type="hidden" name="pno" value="<?php echo $pno?>" />
	<input type="hidden" name="DateFrom" value="<?php echo $DateFrom?>" />
	<input type="hidden" name="DateTo" value="<?php echo $DateTo?>" />
		
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewCompanyVoucher.php"><img src="images/columns.gif" title="View Branch Journal List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr style="height:2px"><td colspan="3"></td></tr>		
				
		<tr>
			<td class="td_normal">&nbsp;Date</td>
			<td class="td_normal" width="10px">:</td>
			<td class="td_normal"><input data-toggle="datepicker" type="text" class="<?php echo $fcss[1]?>" name="BookingDate" id="BookingDate" value="<?php echo $cclass->getBookingDate('yes')?>" style="width:80px" maxLength="10" /></td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>	
				
		<tr>
			<td class="td_normal" valign="top">&nbsp;Narration</td>
			<td class="td_normal" valign="top">:</td>
			<td class="td_normal" valign="top"><textarea class="input" name="Narration" id="Narration" value="" style="width:700px;height:100px;" onFocus="this.className='input_focus'" onBlur="this.className='input'"><?php echo $cclass->getNarration()?></textarea></td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>	
				
		<tr>
			<td class="td_normal">&nbsp;Amount</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[5]?>" name="Amount" id="Amount" value="<?php if($cclass->getAmount() != 0) echo $cclass->getAmount()?>" style="width:80px" maxLength="12,2" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[5]?>'" /></td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal">&nbsp;Select Ledger (Debit)</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd8">
				<div style="float:left;">
				
					<select name="DebitMotherAccountID" id="DebitMotherAccountID" style="width:300px" onChange="populateAccount()">
						<option value="0">--</option>
						<?php	for($ii=0;$ii<count($accList);$ii++) { ?>
						<?php		$cb	= $accList[$ii]; ?>
						<?php		if($cb->getMotherAccount() == 0) { ?>
						<?php 	$tmp	= ""; ?>
						<?php 	if($cb->getAccountID() == $cclass->getDebitMotherAccountID()) $tmp = "selected"; ?>
								<option value="<?php echo $cb->getAccountID()?>" <?php echo $tmp;?>><?php echo $cb->getAccountName()?></option>
							<?php } ?>
						<?php } ?>							
					</select>				

				</div>
				<div style="float:left;padding-left:5PX;" id="_childDiv">
					<select name="DebitAccountID" id="DebitAccountID" style="width:300px"></select>
				</div>
			</td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Select Ledger (Credit)</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd9">
				<div style="float:left;">
				
					<select name="CreditMotherAccountID" id="CreditMotherAccountID" style="width:300px" onChange="populateAccount2()">
						<option value="0">--</option>
						<?php	for($ii=0;$ii<count($accList);$ii++) { ?>
						<?php		$cb	= $accList[$ii]; ?>
						<?php		if($cb->getMotherAccount() == 0) { ?>
						<?php 	$tmp	= ""; ?>
						<?php 	if($cb->getAccountID() == $cclass->getCreditMotherAccountID()) $tmp = "selected"; ?>						
								<option value="<?php echo $cb->getAccountID()?>" <?php echo $tmp;?>><?php echo $cb->getAccountName()?></option>
							<?php } ?>
						<?php } ?>							
					</select>				

				</div>
				<div style="float:left;padding-left:5PX;" id="_childDiv2">
					<select name="CreditAccountID" id="CreditAccountID" style="width:300px"></select>
				</div>
			</td>
		</tr>				
		
		<tr>
			<td class="td_normal">&nbsp;Select Other Company</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<select name="ToCompanyID" id="ToCompanyID" onChange="populateLedger()" style="width:400px">
					<option value="">--</option>
					<?php
						for($i=0;$i<count($cmpList);$i++) {
							$cls	= $cmpList[$i];
							$tmp	= "";
							if($cls[0] == $tcmp->getCompanyID()) continue;
							if($cls[0] == $cclass->getCompanyID()) $tmp = "selected";
							echo '<option value="'.$cls[0].'" '.$tmp.' >'.$cls[1].'</option>';
						}
					?>
				</select>
			</td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Select Other Company Debit Ledger</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<div style="float:left;" id="_jsontd23">
					<select name="BranchDebitMotherAccountID" id="BranchDebitMotherAccountID" style="width:300px" onChange="fetchChildDebitAccount()"></select>
				</div>
				<div style="float:left;padding-left:5PX;" id="_childDiv23">
					<select name="BranchDebitAccountID" id="BranchDebitAccountID" style="width:300px"></select>
				</div>
			</td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Select Other Company Credit Ledger</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<div style="float:left;" id="_jsontd24">
					<select name="BranchCreditMotherAccountID" id="BranchCreditMotherAccountID" style="width:300px" onChange="fetchChildCreditAccount()"></select>
				</div>
				<div style="float:left;padding-left:5PX;" id="_childDiv24">
					<select name="BranchCreditAccountID" id="BranchCreditAccountID" style="width:300px"></select>
				</div>
			</td>
		</tr>
						
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Update (S) " AccessKey="S" onClick="submitForm('hfrm')" />
				<input type="button" id="btnS" class="red_button" value=" Go Back (G) " AccessKey="G" onClick="goBack()" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
	<br /><br />
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>	
		
<script language="javaScript">

	var mdrList		= new Array();
	var cdrList		= new Array();
	
	<?php
		$j 	= 0;
		$k	=	0;
		for($i=0;$i<count($accList);$i++) {
			$cb	= $accList[$i];
			if($cb->getMotherAccount() == 0) {
	?>
				mdrList[<?php echo $j?>] 			= new Array();
				mdrList[<?php echo $j?>][0] 	= "<?php echo $cb->getAccountID()?>";
				mdrList[<?php echo $j?>][1] 	= "<?php echo formatJScriptString($cb->getAccountName())?>";
				mdrList[<?php echo $j?>][2] 	= "<?php echo $cb->getMotherAccount()?>";
				mdrList[<?php echo $j?>][3] 	= "<?php echo $cb->getContainsSubLedger()?>";
	<?php
				$j++;
			} else {
	?>
				cdrList[<?php echo $k?>] 			= new Array();
				cdrList[<?php echo $k?>][0] 	= "<?php echo $cb->getAccountID()?>";
				cdrList[<?php echo $k?>][1] 	= "<?php echo formatJScriptString($cb->getAccountName())?>";
				cdrList[<?php echo $k?>][2] 	= "<?php echo $cb->getMotherAccount()?>";
				cdrList[<?php echo $k?>][3] 	= "<?php echo $cb->getContainsSubLedger()?>";
	<?php
				$k++;
			}
		}
	?>

	$(function () {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		
		$("#DebitMotherAccountID").select2();
		$("#DebitAccountID").select2();
		$("#CreditMotherAccountID").select2();
		$("#CreditAccountID").select2();
		$("#ToCompanyID").select2();
		$("#BranchDebitMotherAccountID").select2();
		$("#BranchDebitAccountID").select2();
		$("#BranchCreditMotherAccountID").select2();
		$("#BranchCreditAccountID").select2();
		

	});	

	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});		
				
	
	function populateAccount() {
    $('#DebitAccountID').empty();
    $('#DebitAccountID').append('<option value="0">--</option>');
    var did		= "<?php echo $cclass->getDebitAccountID()?>";	
	
		var macc	=	EBD('DebitMotherAccountID').value;
		if(macc == 0)  return;
		
		var csl		=	'NO';
		for(i=0;i<mdrList.length;i++){
			if(mdrList[i][0] == macc)
				csl	=	mdrList[i][3];
		}
		EBD('csubled1').value	=	csl;
		
		if(csl == "NO") return;

		var tmp	=	new Array();

		if(csl=='YES') {
			for(var ii=0; ii<cdrList.length; ii++) {
				if(cdrList[ii][2] == macc) {
					$('#DebitAccountID').append('<option value="' + cdrList[ii][0] + '">' + cdrList[ii][1] + '</option>');
				}
			}
			
		}
		$("#DebitAccountID").val(did).change();
	}
	
	function populateAccount2() {
    $('#CreditAccountID').empty();
    $('#CreditAccountID').append('<option value="0">--</option>');
    var cid		= "<?php echo $cclass->getCreditAccountID()?>";	
	
		var macc	=	EBD('CreditMotherAccountID').value;
		if(macc == 0)  return;
		
		var csl		=	'NO';
		for(i=0;i<mdrList.length;i++){
			if(mdrList[i][0] == macc)
				csl	=	mdrList[i][3];
		}
		EBD('csubled2').value	=	csl;
		
		if(csl == "NO") return;

		var tmp	=	new Array();

		if(csl=='YES') {
			for(var ii=0; ii<cdrList.length; ii++) {
				if(cdrList[ii][2] == macc) {
					$('#CreditAccountID').append('<option value="' + cdrList[ii][0] + '">' + cdrList[ii][1] + '</option>');
				}
			}
			
		}
		$("#CreditAccountID").val(cid).change();
	}
	
	function populateLedger(fc) {
		
		var cid		= EBD('ToCompanyID').value;
		var bdid	= "<?php echo $cclass->getBranchDebitMotherAccountID()?>";
		var bcid	= "<?php echo $cclass->getBranchCreditMotherAccountID()?>";
		
		$("#BranchDebitMotherAccountID").empty();
		$("#BranchDebitAccountID").empty();
		$("#BranchCreditMotherAccountID").empty();
		$("#BranchCreditAccountID").empty();
		
		$('#BranchDebitMotherAccountID').append('<option value="0">--</option>');
		$('#BranchDebitAccountID').append('<option value="0">--</option>');
		$('#BranchCreditMotherAccountID').append('<option value="0">--</option>');
		$('#BranchCreditAccountID').append('<option value="0">--</option>');
		
		if(cid == "") return;
		
    $.ajax({
			type: "POST",
			url: "json/getAccountListCompanyWise.php",
			dataType: 'json',
			data: {"cid": cid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#BranchDebitMotherAccountID').append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
					$('#BranchCreditMotherAccountID').append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
				});
				$("#BranchDebitMotherAccountID").val(bdid).change();
				$("#BranchCreditMotherAccountID").val(bcid).change();
				
			}
    });
		
	}
	
	function fetchChildDebitAccount(fc) {
	
		var cid		= EBD('ToCompanyID').value;
		var mid		= EBD('BranchDebitMotherAccountID').value;
		var bdid	= "<?php echo $cclass->getBranchDebitAccountID()?>";
		$('#csubled3').val("NO");

		$("#BranchDebitAccountID").empty();
		$('#BranchDebitAccountID').append('<option value="0">--</option>');
		
    $.ajax({
			type: "POST",
			url: "json/getChildAccountListCompanyWise.php",
			dataType: 'json',
			data: {"cid": cid, "mid": mid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#BranchDebitAccountID').append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
				});
				$("#BranchDebitAccountID").val(bdid).change();
				$('#csubled3').val("YES");
			}
    });		
		
	}
	
	function fetchChildCreditAccount(fc) {
	
		var cid		= EBD('ToCompanyID').value;
		var mid		= EBD('BranchCreditMotherAccountID').value;
		var bcid	= "<?php echo $cclass->getBranchCreditAccountID()?>";
		$('#csubled4').val("NO");

		$("#BranchCreditAccountID").empty();
		$('#BranchCreditAccountID').append('<option value="0">--</option>');
		
    $.ajax({
			type: "POST",
			url: "json/getChildAccountListCompanyWise.php",
			dataType: 'json',
			data: {"cid": cid, "mid": mid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#BranchCreditAccountID').append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
				});
				$("#BranchCreditAccountID").val(bcid).change();
				$('#csubled4').val("YES");
			}
    });
			
	}
	
	function goBack() {
		location = "viewCompanyVoucher.php?DateFrom=<?php echo $DateFrom?>&DateTo=<?php echo $DateTo?>&pno=<?php echo $pno?>";
	}	
				

</script>