<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_itemcategory.php' );
			
	
	$ModuleID			= 2;

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$cclass				= new gen_itemcategory();
	
	if($ldb->getEditPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
							
			
	$ItemCategoryID	=	"";
	$CompanyID	=	"";
	$ItemCategoryName	=	"";
	$FixedAsset	=	"";
	$DRate	=	"";


	$pkey					=	"";
	$rmsg					=	"";
	$msg					=	"Please enter all the fields correctly.";
	$pagen				=	"";

	$fcss					=	 array();
	for($i=0;$i<11;$i++)
		$fcss[$i]		=	"input";

	extract($_REQUEST);	
	
	$pKey	= (int)$pKey;
	
	if($tcmp->getCompanyID() != $mdb->getCompanyIDByTransaction('gen_itemcategory', 'ItemCategoryID', $pKey)) {
		echo 'This data does not belong to the Company selected.';
		echo '<a href="home.php">Click Here</a> to go to Home';
		exit;
	}	
	
	$cclass				= $mdb->getItemCategoryDetail($pKey);
	
	if($pagen == "process") {

		if(trim($ItemCategoryName) == "") {
			$fcss[1]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	"ItemCategoryName";
		}
		
		if(isset($_REQUEST["FixedAsset"]))
			$FixedAsset	= "YES";
		else
			$FixedAsset	= "NO";		

		$cclass->setItemCategoryID($pKey);
		$cclass->setCompanyID($tcmp->getCompanyID());
		$cclass->setItemCategoryName($ItemCategoryName);
		$cclass->setFixedAsset($FixedAsset);
		$cclass->setDRate($DRate);	

		if($rmsg == "") {
			if($gdb->UpdateObjectInDB($cclass)) {
				$msg	=	"<font class='blue'>Item Category updated successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getItemCategoryID());				
				$log->setActivity("Updated new ItemCategory - ".$pKey);
				$log->setClassName('gen_itemcategory');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);
				
				$fullPath = __DIR__ . "/json/getItemCategoryList" ;
				array_map('unlink', glob( "$fullPath*.json"));				
				
				$cclass				= $mdb->getItemCategoryDetail($pKey);		
			} else {
				$msg	=	"<font class='red'>Item Category ID/Name already exist, try with a different ID/Name</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/nlbFade.js");	
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
?>	

	<div id="pagehead">&nbsp;MODIFY EXISTING ITEM CATEGORY</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="process" />
	<input type="hidden" name="pKey" value="<?php echo $pKey?>">
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewItemCategory.php"><img src="images/columns.gif" title="View Item Category List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>		
				
		<tr>
			<td class="td_normal" width="170px;">&nbsp;Item Category Name</td>
			<td class="td_normal" width="10px;">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[1]?>" name="ItemCategoryName" id="ItemCategoryName" value="<?php echo $cclass->getItemCategoryName('yes')?>" style="width:400px" maxLength="200" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[1]?>'" /></td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Fixed Asset</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="checkbox" class="input" name="FixedAsset" id="FixedAsset" <?php if($cclass->getFixedAsset() == "YES") echo 'checked'; ?> onChange="showHideDR()" /></td>
		</tr>
					
		<tr id="_tr1" style="display:none;">
			<td class="td_normal">&nbsp;Depreciation Rate</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[4]?>" name="DRate" id="DRate" value="<?php echo $cclass->getDRate('no')?>" style="width:80px" maxLength="10,2" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[4]?>'" /> %</td>
		</tr>	
						
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Update (S) " AccessKey="S" onClick="submitForm('hfrm')" />
				<input type="button" class="red_button" value=" Go Back (G) " AccessKey="G" onClick="goBack()" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>	
		
<script language="javaScript">

	window.onload	=	function() {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		EBD('ItemCategoryName').focus();
		
		showHideDR();
	};
	
	function showHideDR() {
		if(EBD('FixedAsset').checked == true) {
			EBD('_tr1').style.display 	= "table-row";
		} else {
			EBD('_tr1').style.display 	= "none";	
		}
	}	
	
	function goBack() {
		location = "viewItemCategory.php";
	}
	
</script>