<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.store.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.stockvoucher.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.gen_stocktransfer.php' );
	require_once( 'dao/class.gen_stocktransfer_items.php' );
	require_once( 'dao/class.purchasedb.php' );
		
	
	$ModuleID			= 23;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$pdb					= new purchasedb();
	$cclass				= new gen_stocktransfer();
	$itmList			= $mdb->getItemList('', 0, $tcmp->getCompanyID());
	$strList			= $mdb->getStoreList($tcmp->getCompanyID());
	
	if($ldb->getEditPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
							
			
	$StockTransferID	=	"";
	$DOT	=	"";
	$FromStoreID	=	"";
	$ToStoreID	=	"";
	$ItemCategoryID	=	"";
	$DebitMotherAccountID	=	"";
	$DebitAccountID	=	"";
	$CreditMotherAccountID	=	"";
	$CreditAccountID	=	"";
	$Purpose	=	"";
	
	$pKey				= "";
	$BDate1			= "";
	$Bdate2			= "";
	$pno				= "";
	$tid				= "";


	$rmsg				=	"";
	$msg				=	"Please enter all the fields correctly.";
	$pagen			=	"";
	$numOfRows1	= 1;

	$fcss				=	 array();
	for($i=0;$i<13;$i++)
		$fcss[$i]	=	"input";

	extract($_REQUEST);
	
	$pKey				= (int)$pKey;
	$BDate1			= addslashes($BDate1);
	$BDate2			= addslashes($BDate2);
	$pno				= (int)$pno;
	$tid				= (int)$tid;
	
	if($tcmp->getCompanyID() != $pdb->getCompanyIDByTransaction('gen_stocktransfer', 'StockTransferID', $pKey)) {
		echo 'This data does not belong to the Company selected.';
		echo '<a href="home.php">Click Here</a> to go to Home';
		exit;
	}	
	
	$cclass			= $pdb->getStockTransferDetail($pKey);	
	
	if($pagen == "process") {
		/* Check for valid input */

		if(FormatIndianDateToSQLDate($DOT) == "1900-01-01") {
			$fcss[1]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Invalid Transfer Date";
		}
		
		if((int)$FromStoreID <= 0) {
			$fcss[5]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."From Store";
		}

		if((int)$ToStoreID <= 0) {
			$fcss[5]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."To Store";
		}
		
		$tdf						= $tcmp->getTxnDateFrom();
		$tdt						= $tcmp->getTxnDateTo();
		$txnDate				= FormatIndianDateToSQLDate($DOT);
		if($txnDate < $tdf || $txnDate > $tdt) {
			if($rmsg != "") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Transaction date outside allowed date range";			
		}		
		
		$prodList	=	array();
		for($i=1;$i<=$numOfRows1;$i++){
			$icls	=	new gen_stocktransfer_items();
			if((int)$_REQUEST["ItemID$i"] > 0 && (double)$_REQUEST["Quantity$i"] > 0) {
			
				$icls->setStockTransferID(0);
				$icls->setItemID($_REQUEST["ItemID$i"]);
				$icls->setQuantity($_REQUEST["Quantity$i"]);
				$icls->setRate(0);	
			
				$prodList[]	=	$icls;
			}
		}
		$cclass->setItemList($prodList);
		
		if(count($prodList) == 0) {
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."No Item selected";		
		}
		
		$fsDet	= $mdb->getStoreDetail($FromStoreID);
		$tsDet	= $mdb->getStoreDetail($ToStoreID);		
		
		$cclass->setStockTransferID($pKey);
		$cclass->setDOT($DOT);
		$cclass->setFromStoreID($FromStoreID);
		$cclass->setToStoreID($ToStoreID);
		$cclass->setItemCategoryID($ItemCategoryID);
		$cclass->setDebitMotherAccountID($tsDet->getMotherAccountID());
		$cclass->setDebitAccountID($tsDet->getAccountID());
		$cclass->setCreditMotherAccountID($fsDet->getMotherAccountID());
		$cclass->setCreditAccountID($fsDet->getAccountID());
		$cclass->setPurpose($Purpose);
	

		if($rmsg == "") {
			if($pdb->UpdateStockTransfer($cclass) > 0) {
				$msg	=	"<font class='blue'>Stock Transfer updated successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getStockTransferID());				
				$log->setActivity("Updated Stock Transfer - ".$cclass->getStockTransferID());
				$log->setClassName('gen_stocktransfer');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);	
					
			} else {
				$msg	=	"<font class='red'>Transfer ID/Name already exist, try with a different ID/Name</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/select2.css");
	$iPage->addLink("css/modal.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/modal.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
	$cclass			= $pdb->getStockTransferDetail($pKey);
	if(count($cclass->getItemList()) != 0)	$numOfRows1			=	count($cclass->getItemList());
	
?>	

	<div id="pagehead">&nbsp;MODIFY STOCK TRANSFER</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="process" />
	<input type="hidden" name="pKey" id="pKey" value="<?php echo $pKey?>" />
	<input type="hidden" name="BDate1" id="BDate1" value="<?php echo $BDate1?>" />
	<input type="hidden" name="BDate2" id="BDate2" value="<?php echo $BDate2?>" />
	<input type="hidden" name="pno" id="pno" value="<?php echo $pno?>" />
	<input type="hidden" name="tid" id="tid" value="<?php echo $tid?>" />	
	<input type="hidden" name="numOfRows1" id="numOfRows1" value="<?php echo $numOfRows1?>" />
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewStockTransfer.php"><img src="images/columns.gif" title="View Issue List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr style="height:2px"><td colspan="3"></td></tr>	
				
		<tr>
			<td class="td_normal">&nbsp;Transfer Date</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input data-toggle="datepicker" type="text" class="<?php echo $fcss[1]?>" name="DOT" id="DOT" value="<?php echo $cclass->getDOT('yes')?>" style="width:80px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[1]?>'" /></td>
		</tr>	
				
		<tr>
			<td class="td_normal">&nbsp;From Store </td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd2">
				<select name="FromStoreID" id="FromStoreID" style="width:400px">
					<option value="0">--</option>
				<?php	
					for($i=0;$i<count($strList);$i++) {
						$cb	= $strList[$i];
						$tmp	= "";
						if($cclass->getFromStoreID() == $cb->getStoreID()) $tmp = "selected";
				?>
						<option value="<?php echo $cb->getStoreID()?>" <?php echo $tmp?>><?php echo $cb->getStoreName()?></option>
				<?php } ?>
				</select>
			</td>
		</tr>	
				
		<tr>
			<td class="td_normal">&nbsp;To Store </td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd3">
				<select name="ToStoreID" id="ToStoreID" style="width:400px">
					<option value="0">--</option>
				<?php	
					for($i=0;$i<count($strList);$i++) {
						$cb	= $strList[$i];
						$tmp	= "";
						if($cclass->getToStoreID() == $cb->getStoreID()) $tmp = "selected";
				?>
						<option value="<?php echo $cb->getStoreID()?>" <?php echo $tmp?>><?php echo $cb->getStoreName()?></option>
				<?php } ?>
				</select>
			</td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Purpose</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[6]?>" name="Purpose" id="Purpose" value="<?php echo $cclass->getPurpose('yes')?>" style="width:500px" maxLength="200" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[6]?>'" /></td>
		</tr>	
		<tr style="height:2px"><td colspan="3"></td></tr>	
		
		<!---------- ITEMS STARTS HERE ---------->
		<tr>
			<td colspan="3">	
	
				<table style="border:0px;" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<th width="5%" style="border-left: 1px solid #99BBE8;">SN</th>
						<th width="45%">Item</th>
						<th width="15%">Unit</th>						
						<th width="15%">Quantity</th>
						<th width="15%">Closing</th>
						<th width="5%" align="center">
							<input type="button" class="red_button" value="—" onClick="pdelRow()" />
						</th>
					</tr>
				</table>
			</td>
		</tr>
		
		<tr>
			<td colspan="3">
				<table style="border:0px;" cellpadding="0" cellspacing="1" width="100%" id="ptTable">
				
				<?php if(count($cclass->getItemList()) == 0) { ?>
				
					<tr>
						<td width="5%" style="padding:2px;">
							<input type="button" class="orange_button" style="width:25px;" value="1" onClick="iclearItem(1)" id="msn1" />
						</td>
						<td  width="45%" style="padding:2px;" id="_jsontd11" class="td_normal">
							<select name="ItemID1" id="ItemID1" style="width:420px">
								<option value="0">--</option>
							<?php	
								for($ii=0;$ii<count($itmList);$ii++) {
									$cb	= $itmList[$ii];
									$tmp	= "";
							?>
									<option value="<?php echo $cb->getItemID()?>" <?php echo $tmp?>><?php echo $cb->getItemName()?></option>
							<?php } ?>
							</select>
						</td>
						<td width="15%" style="padding:2px;">
							<input type="text" class="input" name="Unit1" id="Unit1" value="" style="width:80px" readOnly="true" />
						</td>						
						<td width="15%" style="padding:2px;">
							<input type="text" class="input" name="Quantity1" id="Quantity1" value="" style="width:80px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
						</td>
						<td width="15%" style="padding:2px;">
							<input type="text" class="input" name="CBal1" id="CBal1" value="" style="width:80px" maxLength="15" readOnly="true" />
						</td>
						<td width="5%" style="padding:2px;" align="center">
							<input type="button" class="red_button" id="pbtnAS1" value="+" onClick="paddRow()" />
						</td>
					</tr>
				
				<?php } else { ?>
				<?php
					$pitm	=	$cclass->getItemList();
					for($i=0;$i<count($pitm);$i++){
						$icls	=	$pitm[$i];
				?>
				
					<tr>
						<td width="5%" style="padding:2px;">
							<input type="button" class="orange_button" style="width:25px;" value="<?php echo ($i+1)?>" onClick="iclearItem(<?php echo ($i+1)?>)" id="msn<?php echo ($i+1)?>" />
						</td>
						<td  width="45%" style="padding:2px;" id="_jsontd1<?php echo ($i+1)?>" class="td_normal">
							<select name="ItemID<?php echo ($i+1)?>" id="ItemID<?php echo ($i+1)?>" style="width:420px">
								<option value="0">--</option>
							<?php	
								for($ii=0;$ii<count($itmList);$ii++) {
									$cb	= $itmList[$ii];
									$tmp	= "";
									if($icls->getItemID() == $cb->getItemID()) $tmp = "selected";
							?>
									<option value="<?php echo $cb->getItemID()?>" <?php echo $tmp?>><?php echo $cb->getItemName()?></option>
							<?php } ?>
							</select>
						</td>
						<td width="15%" style="padding:2px;" id="_jsontd5<?php echo ($i+1)?>">
							<input type="text" class="input" name="Unit<?php echo ($i+1)?>" id="Unit<?php echo ($i+1)?>" value="" style="width:80px" readOnly="true" />
						</td>						
						<td width="15%" style="padding:2px;">
							<input type="text" class="input" name="Quantity<?php echo ($i+1)?>" id="Quantity<?php echo ($i+1)?>" value="<?php echo $icls->getQuantity('no')?>" style="width:80px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
						</td>
						<td width="15%" style="padding:2px;">
							<input type="text" class="input" name="CBal<?php echo ($i+1)?>" id="CBal<?php echo ($i+1)?>" value="<?php echo $icls->getRate('no')?>" style="width:80px" maxLength="15" readOnly="true" />
						</td>
						<td width="5%" style="padding:2px;" align="center">
							<input type="button" class="red_button" id="pbtnAS<?php echo ($i+1)?>" value="+" onClick="paddRow()" />
						</td>
					</tr>
				
				<?php } } ?>
				
				</table>
			</td>
		</tr>
	
		<!---------- ITEM ENDS HERE ---------->	
						
						
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Update (S) " AccessKey="S" onClick="saveRec()" />
				<input type="button" class="red_button" value=" Go Back (G) " AccessKey="G" onClick="goBack()" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
	<br /><br />
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>	
		
<script language="javaScript">

	var itmList		= new Array();

	<?php	for($i=0;$i<count($itmList);$i++) { ?>
	<?php		$ab	= $itmList[$i]; ?>
			itmList[<?php echo $i?>] 			= new Array();
			itmList[<?php echo $i?>][0] 	= "<?php echo $ab->getItemID()?>";
			itmList[<?php echo $i?>][1] 	= "<?php echo formatJScriptString($ab->getItemName())?>";
	<?php } ?>

	var numRows1	= "<?php echo $numOfRows1?>";

	$(function () {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		
		$("#FromStoreID").select2();
		$("#ToStoreID").select2();
		
		for(var i=1; i<=numRows1; i++) {
			$("#ItemID" + i).select2();
			fetchUnit(i);
			$("#ItemID" + i).on("change", function (e) {
      	var nm		= $(this).attr('name');
      	var param	= nm.substring(6);
      	fetchUnit(param);
			});			
		}		
		
	});	

	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});
	
	function iclearItem(param) {
		if(confirm('Click OK to proceed with Item removal, please click Save/Update button to make final changes') == false) return;
		
		EBD('txtItemID' + param).value	=	"";
		EBD('ItemID' + param).value			=	"";
		EBD('Quantity' + param).value		=	"";
		EBD('CBal' + param).value				=	"";
	}
	
	function paddRow()	{
		var rTable	= EBD("ptTable");
		var iRow		= rTable.insertRow(numRows1);
		
		numRows1++;
		var iCell;
		
		iCell								= iRow.insertCell(0);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="button" class="orange_button" style="width:25px;" value="' + numRows1 + '" onClick="iclearItem(' + numRows1 + ')" id="msn' + numRows1 + '" />';

		iCell								= iRow.insertCell(1);
		iCell.style.padding	=	"2px";
		iCell.className			= "td_normal";
		iCell.id						=	"_jsontd1"+numRows1;
		iCell.innerHTML			= '<select name="ItemID' + numRows1 + '" id="ItemID' + numRows1 + '" style="width:420px;"></select>';
		
		iCell								= iRow.insertCell(2);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="Unit' + numRows1 + '" id="Unit' + numRows1 + '" value="" style="width:80px" readOnly="true" />';		

		iCell								= iRow.insertCell(3);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="Quantity' + numRows1 + '" id="Quantity' + numRows1 + '" value="" style="width:80px" maxLength="10" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" />';

		iCell								= iRow.insertCell(4);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="CBal' + numRows1 + '" id="CBal' + numRows1 + '" value="" style="width:80px" maxLength="15" readOnly="true" />';

		iCell 							= iRow.insertCell(5);
		iCell.align					= "center";
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="button" class="red_button" id="pbtnAS' + numRows1 + '" value="+" onClick="paddRow()" />';

		$("#ItemID" + numRows1).select2();	
		$('#ItemID' + numRows1).append('<option value="0">--</option>');	
		
		for(var ii=0;ii<itmList.length;ii++){
			$('#ItemID' + numRows1).append('<option value="' + itmList[ii][0] + '">' + itmList[ii][1] + '</option>');
		}
		
		$("#ItemID" + numRows1).on("change", function (e) {
      var nm		= $(this).attr('name');
      var param	= nm.substring(6);
      fetchUnit(param);
		});
	}

	function pdelRow() {
		if(numRows1 > 1) {
			var rTable	= EBD("ptTable");
			var iRow		= rTable.deleteRow(numRows1 - 1);
			numRows1--;
		}
	}
	
	function saveRec() {
		
		if(checkForValidInput('DOT','Date','Please enter GRN Date') == false) return;

		var chk	= 0;
		for(i=1;i<=numRows1;i++) {
			if(checkForValidInput('Quantity'+i,'NonNegative','Quantity cannot be Negative, can enter Zero') == false) return;
			
			var qty 	= 0;
			var cbal	= 0;
			if(EBD('Quantity' + i).value != '') {
				try {
					qty			= parseFloat(EBD('Quantity' + i).value);
				} catch(e) { }
			}
			if(EBD('CBal' + i).value != "") {
				try {
					cbal			= parseFloat(EBD('CBal' + i).value);
				} catch(e) { }
			}

			if(qty > cbal) {
				alert('This will make stock quantity negative');
				EBD('Quantity' + i).focus();
				return;
			}
		}

		EBD("numOfRows1").value	= numRows1;	

		if(confirm("SURE!!! SAVE STOCK TRANSFER RECORD") == false) return;

		var fm	= EBD('hfrm');
		fm.submit();
	}
	
	function fetchUnit(param) {
	
		var iid										= EBD('ItemID' + param).value;
		var sid										= EBD('FromStoreID').value;
		var dt										= EBD('DOT').value;
		
		EBD('Unit' + param).value =	'';
		EBD('CBal' + param).value =	'';
	
		var x = (window.ActiveXObject) ? new ActiveXObject("Microsoft.XMLHTTP") : new XMLHttpRequest();
		if (x) {
			x.onreadystatechange = function() {
				if (x.readyState == 4 && x.status == 200) {
					var fr	= x.responseText;
					if(fr != "-1") {
						EBD('Unit' + param).value = fr;
					}
				}
			}
			x.open("GET", "ajax/getItemUnit.php?iid=" + iid, true);
			x.send(null);
		}
		
		var y = (window.ActiveXObject) ? new ActiveXObject("Microsoft.XMLHTTP") : new XMLHttpRequest();
		if (y) {
			y.onreadystatechange = function() {
				if (y.readyState == 4 && y.status == 200) {
					var fr	= y.responseText;
					if(fr != "-1") {
						EBD('CBal' + param).value = fr;
					}
				}
			}
			y.open("GET", "ajax/getItemClosingBalance.php?sid=" + sid + "&iid=" + iid + "&dt=" + dt, true);
			y.send(null);
		}				
	}
	
	function goBack() {
		location = "viewStockTransfer.php?BDate1=<?php echo $BDate1?>&BDate2=<?php echo $BDate2?>&pno=<?php echo $pno?>&tid=<?php echo $tid?>";
	}

</script>