<?php

	/* Include the required files */
	require_once( 'aom-config.php' );
	require_once( 'inc/pagetemplate.php' );
	require_once( 'inc/head.php' );
	require_once( 'inc/topmenu.php' );
	require_once( 'inc/functions.php' );
	require_once( 'dao/asys.user.php' );
	require_once( 'dao/asys.logindb.php' );
	require_once( 'dao/asys.genericdb.php' );
	require_once( 'dao/asys.log.php' );

	$tuser		=	new asys_users();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}

	if($tuser->getUserStatus() < ADMIN_USER) {
		echo 'Only Admin Users can view/open this Page. <a href="home.php">Click here to go back.</a>';
		exit;
	}

	$ldb					=	new logindb();
	$gdb					=	new genericdb();
	$cclass				=	new asys_users();

	$UserID				=	"";
	$Password			=	"";
	$UserName			=	"";
	$UserStatus		=	"";
	$Created			=	"";
	$Access				=	"";
	$LastLogin		=	"";
	$LastLoginIP	=	"";
	$IsEnabled		=	"YES";

	$uid					= "";
	$rmsg					=	"";
	$msg					=	"Please enter all the fields correctly.";
	$pagen				=	"";

	$fcss					=	 array();
	for($i=0;$i<11;$i++)
		$fcss[$i]		=	"input";

	extract($_REQUEST);
	
	$uid					=	addslashes($uid);
	
	if(trim($uid) == "") {
		echo 'Sorry!!! direct access denied. <a href="viewUser.php" class="nav">click here</a> to go back.';
		exit;
	}	
	
	$cclass				= $ldb->getUserDetail($uid);

	if($pagen == "cust") {
		/* Check for valid input */
		if(trim($Password) != "")	{
			if(strlen($Password)<6) {
				if($rmsg!="") $rmsg	=	$rmsg.", ";
				$rmsg			=	$rmsg."Password too small";
			}
			if(trim($Password)!=$rpwd) {
				if($rmsg!="") $rmsg	=	$rmsg.", ";
				$rmsg			=	$rmsg."Passwords do not match";
			}
		}

		$cclass->setUserID($uid);
		$cclass->setPassword($Password);
		$cclass->setUserName($UserName);

		if($rmsg=="") {
			if($gdb->UpdateObjectInDB($cclass)){
				$msg	=	"<font class='blue'>User updated successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setModuleID(-1);
				$log->setRelatedID($uid);				
				$log->setActivity("Updated new User - ".$UserID);
				$log->setClassName('asys_users');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);
				
				$fullPath = __DIR__ . "/json/getUserList" ;
				array_map('unlink', glob( "$fullPath*.json"));				
			} else {
				$msg	=	"<font class='red'>User ID Name already exist, try with a different ID</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}
	
	

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addScript("js/common.js");	
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser);	
	
?>

	<?php include('inc/menuHome.php')?>

	<div id="pagehead">&nbsp;MODIFY EXISTING USER</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="uid" value="<?php echo $uid?>">
	<input type="hidden" name="pagen" value="cust">
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewUser.php"><img src="images/columns.gif" title="View Users List"></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		<tr>
			<td class="td_normal" width="170px;">&nbsp;Email ID</td>
			<td class="td_normal" width="10px;">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[0]?>" name="UserID" id="UserID" value="<?php echo $cclass->getUserID('yes')?>" style="width:250px" maxLength="60" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[0]?>'" readOnly="true"></td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		<tr bgcolor="#f8f8f8">
			<td class="td_normal">&nbsp;Password</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="password" class="<?php echo $fcss[1]?>" name="Password" id="Password" value="" style="width:150px" maxLength="20" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[1]?>'">&nbsp;Keep blank if you do not want to change password</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		<tr>
			<td class="td_normal">&nbsp;Retype Password</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="password" class="input" name="rpwd" id="rpwd" value="" style="width:150px" maxLength="15" onFocus="this.className='input_focus'" onBlur="this.className='input'"></td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		<tr bgcolor="#f8f8f8">
			<td class="td_normal">&nbsp;Name</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[3]?>" name="UserName" id="UserName" value="<?php echo $cclass->getUserName('yes')?>" style="width:250px" maxLength="30" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[3]?>'"></td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Update (S) " AccessKey="S" onClick="submitForm('hfrm')">
				<input type="button" class="red_button" value=" Go Back (G) " AccessKey="G" onClick="goBack()">
			</td>
		</tr>
	</table>
	</form>
	</div>
<?php
	$iPage->endBody();
	$iPage->endPage();

?>

<script language="javaScript">

	window.onload	=	function() {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		EBD('UserID').focus();
	};
	
	function goBack() {
		location = "viewUser.php";
	}

</script>