<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.openingbalance.php' );
	

	$gdb			=	new genericdb();
	$mdb			=	new masterdb();
	
	if($tuser->getUserStatus() < ADMIN_USER) {
		echo 'Only Admin Users can view/open this Page. <a href="home.php">Click here to go back.</a>';
		exit;
	}	

	$today 			= getdate();
	$month 			= $today['mon'];
	$year 			= $today['year'];
	if($month < 4)
		$year--;

	$paction		=	"";
	$syear			=	"";
	$msg				=	"Select the Financial year and click Generate.<br /> If you have already generated thge Opening balances then either Delete OR Edit from the list.";

	extract($_REQUEST);

	if($paction=="add") {
		if($mdb->generateOpeningBalance($tcmp->getCompanyID(), $syear))
			$msg		=	"Opening Balances generated.";
		else
			$msg		=	"Fail to generate, if already generated either Edit or Delete from the list";
	} else if($paction=="edt") {
		if($mdb->reGenerateOpeningBalance($tcmp->getCompanyID(), $finyear))
			$msg		=	"Opening Balances Re-generated.";
		else
			$msg		=	"Fail to Re-generate, try again";
	} else if($paction=="del") {
		if($mdb->deleteOBalRec($tcmp->getCompanyID(), $finyear))
			$msg		=	"Opening Balances Deleted for ".$finyear;
		else
			$msg		=	"Fail to Delete, try again";
	}

	$obList		=	$mdb->getOBalList($tcmp->getCompanyID());

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/nlbFade.js");


	$iPage->endHeader();
	$iPage->startBody();
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);

?>
	<div id="pagehead">&nbsp;AUTO GENERATE OPENING BALANCES FOR NEW FINANCIAL YEAR</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="1" border="0" width="600px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal blue bold">
			<div id="dhead" style="padding:4px;"><?php echo $msg?></div>
		</td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<form id="hfrm" method="post" action="">
				<input type="hidden" name="paction" value="add">
				<select name="syear" id="syear" class="select">
				<?php
					for($i=2008;$i<2051;$i++) {
						$tmp	=	'';
						if($year==$i)	$tmp	=	'selected';
						echo '<option value="'.$i.'" '.$tmp.'>'.$i.'-'.($i+1).'</option>';
					}
				?>
				</select>
				&nbsp;<input type="submit" class="button" value="Generate" accessKey="S" />
				</form>
			</td>
		</tr>
	</table>
	
	<div style="height:5px;"></div>
	
	<div id="rptDiv" class="fakeContainer">

		<table cellspacing="1" cellpadding="2" border="0" width="570px" align="center" id="vTable">
			<thead>
				<tr>
					<th width="250px" align="left">Financial Year</th>
					<th width="100px" align="center">View</th>
					<th width="100px" align="center">Re-generate</th>
					<th width="100px" align="center">Delete</th>
				</tr>
			</thead>
			<tbody>
		<?php

			for($i=0;$i<count($obList);$i++) {
				$row		=	$obList[$i];
		?>			
				<tr>
					<td class="td_view"><?php echo $row[0]?></td>
					<td class="td_view" align="center"><a href="viewOpeningBalances.php?fy=<?php echo $row[0]?>" target="_blank"><img src="images/view.png" title="View Balances" /></a></td>
					<td class="td_view" align="center"><a href="javaScript:editRec('<?php echo $row[0]?>')"><img src="images/edit.png" title="Re calculate opening balances" /></a></td>
					<td class="td_view" align="center"><a href="javaScript:delRec('<?php echo $row[0]?>')"><img src="images/delete.png" title="Delete opening balances" /></a></td>
				</tr>
				<?php } ?>
			</tbody>
		</table>

	</div>
	
	<div style="height:10px;"></div>

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">

	var div	=	document.getElementById('rptDiv');

	div.style.height	=	 (window.innerHeight - 230) + "px";
	div.style.width		=	 "600px";

	//<![CDATA[	
	(function() {
		var mySt = new superTable("vTable", {
			cssSkin 		: "sSky",
			fixedCols 	: 0,
			headerRows 	: 1
		});
	})();
	//]]>

	window.onload	=	function() {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		EBD('syear').focus();
	};
	
	function editRec(fy){
		if(confirm("Are you sure?")==false) return;
		location	=	"genobal.php?paction=edt&finyear="+fy;
	}

	function delRec(fy){
		if(confirm("Are you sure?")==false) return;
		location	=	"genobal.php?paction=del&finyear="+fy;
	}	
	
</script>