<?php

	function outputMenu($suser) {
	
		$url 		= $_SERVER['REQUEST_URI'];
		$pnm 		= pathinfo($url, PATHINFO_FILENAME);	
	
		require_once( 'aom-config.php' );
		require_once( 'dao/asys.company.php' );
		require_once( 'dao/asys.module.php' );
		require_once( 'dao/asys.masterdb.php' );
		require_once( 'dao/asys.companydb.php' );
		
		$_tcmp			= new asys_companies();
		
		if(isset($_SESSION["ssECmp"])){
			$_tcmp	=	unserialize($_SESSION["ssECmp"]);
		}
		
		$_mdb			= new masterdb();
		$_cdb			= new companydb();
		
		$modList	= $_mdb->getCompanyWiseModuleList($_tcmp->getCompanyID());
		$mstList	= $_mdb->getCompanyTypeWiseModuleList($_tcmp->getCompanyID(), "Master");
		$txnList	= $_mdb->getCompanyTypeWiseModuleList($_tcmp->getCompanyID(), "Transaction");
		$rptList	= $_mdb->getCompanyTypeWiseModuleList($_tcmp->getCompanyID(), "Report");
		
		$scmpList	= $_cdb->getSubCompanyList($_tcmp->getCompanyID());

		$menuStr	= '
	
			<div id="topmenu">
				<ul class="menuDiv decor2_1">
					 
					<li><a href="#" class="arrow">Masters</a> 
						<div class="drop decor2_2" style="width: 1000px;">  
			
							<div class="left"> 
								<b>Item</b> 
								<div> 
									<font class="td_normal"><b>Unit</b>: </font>
									<a href="newUnit.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewUnit.php">View</a>
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Item Category</b>: </font>
									<a href="newItemCategory.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewItemCategory.php">View</a>
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Item Sub-category</b>: </font>
									<a href="newItemSubcategory.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewItemSubcategory.php">View</a>
									<br />									
									<hr class="style-two" />
									<font class="td_normal"><b>Item</b>: </font>
									<a href="newItem.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewItem.php">View</a>
									<br />								
									<hr class="style-two" />
									<font class="td_normal"><b>GST Rate</b>: </font>
									<a href="newGSTRate.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewGSTRate.php">View</a>
									<br />								
									<hr class="style-two" />
									<font class="td_normal"><b>TDS Sections</b>: </font>
									<a href="newTDSSection.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewTDSSection.php">View</a>									
									<br />									
									<hr class="style-two" />
									<a href="editCompany2.php?pKey='.$_tcmp->getCompanyID().'">Edit <b>Company</b> Data</a>									
								</div> 
							</div> 
							
							<div class="left"> 
								<b>Accounts/Ledger</b> 
								<div> 
									<font class="td_normal"><b>Main Ledger</b>: </font>
									<a href="newAccount.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewAccount.php">View</a>
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Sub Ledger</b>: </font>
									<a href="newSubAccount.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewSubAccount.php">View</a>
									<br />
									<hr class="style-two" />
									<a href="importAccount.php">Import from Excel</a>									
								</div> 
							</div>							
							
							<div style="clear: both;"></div> 
						</div> 
					</li> 
					
					<li class="separator"></li> 
					
					<li><a href="#" class="arrow">Accounting Entries</a>
						<div class="drop decor2_2" style="width: 1000px;"> 
							<div class="left">
								<b>Voucher Entries</b> 
								<div>
									<font class="td_normal"><b>Cash Receipt</b> Voucher: </font>
									<a href="newCRV.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewCRV.php">View</a>
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Bank Receipt</b> Voucher: </font>
									<a href="newBRV.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewBRV.php">View</a>
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Cash Payment</b> Voucher: </font>
									<a href="newCPV.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewCPV.php">View</a>
									<br />
									<hr class="style-two" /> 
									<font class="td_normal"><b>Bank Payment</b> Voucher: </font>
									<a href="newBPV.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewBPV.php">View</a>

								</div> 
							</div>
						
							<div class="left">
								<b>Vouchers Entries ...</b> 
								<div>
									<font class="td_normal"><b>Contra</b> Voucher: </font>
									<a href="newCON.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewCON.php">View</a>
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Journal</b> Voucher: </font>
									<a href="newJRN.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewJRN.php">View</a>
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Debit Note</b> Voucher: </font>
									<a href="newDBN.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewDBN.php">View</a>
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Credit Note</b> Voucher: </font>
									<a href="newCDN.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewCDN.php">View</a>
									<br />																		
								</div>
							</div>
							
							<div class="left">
								<b>Misc.</b> 
								<div>
									<font class="td_normal"><b>Company to Company</b> Voucher: </font>
									<a href="newCompanyVoucher.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewCompanyVoucher.php">View</a>
									<br />
									<hr class="style-two" /> 
									<a href="bankClearing.php"><b>Bank Clearing</b> Entries</a>
									<br />
									<hr class="style-two" /> 
									<a href="genobal.php"><b>Opening Balance</b></a>																		
								</div>
							</div>							

						</div>
					</li>
					
					<li class="separator"></li> 
					
					<li><a href="#" class="arrow">Inventory Entries</a>
						<div class="drop decor2_2" style="width: 1000px;">
						
							<div class="left">
								<b>Masters</b> 
								<div>
									<a href="viewStore.php">Manage <b>STORES</b></a>
								</div> 
							</div>						
						
							<div class="left">
								<b>Sales</b> 
								<div>
									<font class="td_normal"><b>SALES</b>: </font>
									<a href="newSale.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewSale.php">View</a>
									<br />
									<a href="viewQuote2.php">Create <b>Sales</b> from Quote</a>									
									<br />
									<hr class="style-two" />									
									<font class="td_normal"><b>Quotation/Estimate</b>: </font>
									<a href="newQuote.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewQuote.php">View</a>
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Sales Return</b>: </font>
									<a href="newSaleReturn.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewSaleReturn.php">View</a>
								</div> 

								<br />
								<b>Purchases</b> 
								<div>
									<font class="td_normal"><b>PURCHASES</b>: </font>
									<a href="newPurchase.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewPurchase.php">View</a>
									<br />
									<a href="viewPurchaseOrder2.php">Create <b>Purchase</b> from Order</a>
									<br />
									<hr class="style-two" />									
									<font class="td_normal"><b>Purchase Order</b>: </font>
									<a href="newPurchaseOrder.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewPurchaseOrder.php">View</a>									 
									';
									
								if($_tcmp->getStockEntry() == "GRN") {
									$menuStr	= $menuStr.'	
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Goods Receipt Note</b>: </font>
									<a href="newGRN.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewGRN.php">View</a>
									<br />
									<a href="viewPurchase2.php">Create <b>GRN</b> from Purchase</a>
									';
								}
									
								$menuStr	= $menuStr.'	
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Purchase Return</b>: </font>
									<a href="newPurchaseReturn.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewPurchaseReturn.php">View</a>
								</div> 
							</div>
						
							<div class="left">
								<b>Stores/Stock</b> 
								<div>
									<font class="td_normal"><b>Manual Stock IN</b>: </font>
									<a href="newManualStockIN.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="manualStockIN.php">View</a>
									<br />
									<a href="bulkManualStockIN.php">Manual Stock <b>IN</b> Bulk Insert</a>
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Manual Stock OUT</b>: </font>
									<a href="newManualStockOUT.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="manualStockOUT.php">View</a>
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Stock Transfer</b>: </font>
									<a href="newStockTransfer.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewStockTransfer.php">View</a>
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Stock Journal</b>: </font>
									<a href="newStockJournal.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewStockJournal.php">View</a>
									<br />
									<hr class="style-two" />
									<font class="td_normal"><b>Issue/Consumption</b>: </font>
									<a href="newIssue.php">Create</a>
									<font class="td_normal"> | </font>
									<a href="viewIssue.php">View</a>
									<br />
									<hr class="style-two" />
									<a href="initStockValue.php">Re-calculate <b>Stock</b> value</a>									
								</div>
							</div>

						</div>
					</li>';
		
		
		if(count($modList) > 0) {
			
			$menuStr	=	$menuStr.'
				
					<li class="separator"></li> 
					
					<li><a href="#" class="arrow">Company Specific</a>
						<div class="drop decor2_2" style="width: 1000px;"> 
			';
			
			/* Masters */
			if(count($mstList) > 0) {
			
				$menuStr	=	$menuStr.'
							<div class="left"> 
								<b>Masters</b>
								<div>
				';
			}
				
			for($i=0;$i<count($mstList);$i++) {
			
				$mcls		= $mstList[$i];
				
				if($i > 0) {
					$menuStr	=	$menuStr.'
						<br />
						<hr class="style-two" />
					';
				}

				$menuStr	=	$menuStr.'
					<font class="td_normal">'.$mcls->getMenuText().':</font> 
					<a href="newModule'.$mcls->getModuleID().'.php">Create</a> 
					<font class="td_normal">|</font> 
					<a href="viewModule'.$mcls->getModuleID().'.php">View </a>
				';
				
			}

			if(count($mstList) > 0) {
				$menuStr	=	$menuStr.'
						</div>
					</div>
				';
			}
			
			/* Transaction */
			if(count($txnList) > 0) {
			
				$menuStr	=	$menuStr.'
							<div class="left"> 
								<b>Transactions</b>
								<div>
				';
			}
				
			$ii		= 0;
			for($i=0;$i<count($txnList);$i++) {
			
				if($i != 0 && $i%10 == 0) {
					$menuStr	=	$menuStr.'
							</div>
						</div>
					';
					
					$menuStr	=	$menuStr.'
								<div class="left"> 
									<b>Transactions ..</b>
									<div>
					';
					
					$ii		= 0;
				}
			
				$mcls		= $txnList[$i];
				
				if($ii > 0) {
					$menuStr	=	$menuStr.'
						<br />
						<hr class="style-two" />
					';
				}

				$menuStr	=	$menuStr.'
					<font class="td_normal">'.$mcls->getMenuText().': </font>
					<a href="newModule'.$mcls->getModuleID().'.php">Create</a>
					<font class="td_normal"> | </font>
					<a href="viewModule'.$mcls->getModuleID().'.php">View</a>
				';
				
				$ii++;
				
			}

			if(count($txnList) > 0) {
				$menuStr	=	$menuStr.'
						</div>
					</div>
				';
			}
			
			/* Reports */
			if(count($rptList) > 0) {
			
				$menuStr	=	$menuStr.'
							<div class="left"> 
								<b>Reports</b>
								<div>
				';
			}
			
			for($i=0;$i<count($rptList);$i++) {
			
				$mcls		= $rptList[$i];
				
				if($i > 0) {
					$menuStr	=	$menuStr.'
						<br />
						<hr class="style-two" />
					';
				}

				$menuStr	=	$menuStr.'
					<a href="rptPanel'.$mcls->getModuleID().'.php">'.$mcls->getMenuText().'</a>
				';
				
			}

			if(count($rptList) > 0) {
				$menuStr	=	$menuStr.'
						</div>
					</div>
				';
			}
		}
		
		if(count($modList) > 0) {
			$menuStr	=	$menuStr.'
					</div>
				</li>
			';
		}
			
			
		$menuStr	=	$menuStr.'
				
					<li class="separator"></li> 
					
					<li><a href="#" class="arrow">Reports</a>
						<div class="drop decor2_2" style="width: 1000px;"> 
							<div class="left"> 
								<b>Accounts</b> 
								<div> 
									<a href="rptPanelMainLedger.php">Main Ledger</a>
									<br /> 
									<a href="rptPanelSubLedger.php">Sub Ledger</a>
									<hr class="style-two" />
									<a href="rptPanelNegative.php">Negative Balance</a>
									<hr class="style-two" />
									<a href="rptPanelBR.php">Bank Reconciliation</a>
									<hr class="style-two" />
									<a href="rptPanelCBook.php">Cash Book</a>
									<br />
									<a href="rptPanelBBook.php">Bank Book</a>
									<br />
									<a href="rptPanelJBook.php">Journal Book</a>
									<br />
									<a href="rptPanelDBook.php">Day Book</a>
									<hr class="style-two" />
									<a href="rptPanelCF.php">Cash Flow</a>
									<hr class="style-two" />
									<a href="rptPanelTrial.php">Trial / PL / BS</a>';
		
		
		if(count($scmpList) > 0) {
			$menuStr	=	$menuStr.'
									<hr class="style-two" />
									<a href="rptPanelMerge.php">Merged Report</a>
			';
		}
			
		$menuStr	=	$menuStr.'
								</div> 
							</div> 
							<div class="left"> 
								<b>Sales/Purchases</b> 
								<div> 
									<a href="rptPanelStockLedger.php">Stock Report</a>
									<br /> 
									<a href="rptPanelCompare.php">Ledger/Stock Comparison</a>
									<br /> 
									<a href="rptPanelStockOut.php">Stock Out Report</a>
									<br /> 									
									<hr class="style-two" />
									<a href="rptPanelPurchase.php">Purchase Report</a>
									<br />
									<hr class="style-two" />
									<a href="rptPanelGRN.php">GRN Report</a>
									<br />									
									<hr class="style-two" />
									<a href="rptPanelSale.php">Sales Report</a>
									<br /> 
									<hr class="style-two" />
									<a href="rptPanelGST.php">GST Report</a>									
								</div> 
							</div>
						</div>
					</li>
					
				</ul>
				
				<div style="float:right;padding-top:2px;padding-right:3px;"><a href="http://docs.adapsys.in?pname='.$pnm.'" title="adapSys Documentation" target="_blank"><img src="./images/help.png" /></a></div>
			</div>
		';

		echo $menuStr;
	
	}

?>