<?php

	/* Include the required files */
	require_once( "inc/pagetemplate.php" );
	require_once( "inc/functions.php" );
	require_once( "aom-config.php");
	require_once( "dao/asys.genericdb.php" );
	require_once( "dao/asys.user.php" );
	require_once( "dao/asys.logindb.php" );

	$tuser		=	new asys_users();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() != "") {
		header("Location:home.php");
		exit;
	}
	
	$ua			=	0;
	$msg		=	"<font class=\"blue medium\"><b>Please enter User Name/Password and click Login</b></font>";

	extract($_REQUEST);

	$ua			= (int)$ua;

	if($ua==1)
		$msg	=	"<font class=\"red medium\"><b>Invalid login information try again</b></font>";
	else if($ua==2)
		$msg	=	"<font class=\"green medium\"><b>Logged out of the system, please re-login.</b></font>";

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addScript("js/common.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	$url 		= $_SERVER['REQUEST_URI'];
	$pnm 		= pathinfo($url, PATHINFO_FILENAME);	

?>


	<div id="topbanner" style="text-align:left;">	
		<div style="float:left;"><img src="images/asysLogo.png" height="65" /></div>
		<div style="float:right;"><img src="images/adapSys.png" height="65" /></div>		
	</div>
	<div id="topmenu">
		<div style="float:right;padding:3px;"><a href="http://docs.adapsys.in?pname=<?php echo $pnm ?>" title="adapSys Documentation" target="_blank"><img src="./images/help.png" /></a></div>	
	</div>
	<div>&nbsp;</div>
	<div style="text-align:center" class="td_normal"><?php echo $msg ?></div>
	<div>&nbsp;</div>


	<div class="loginbox">
		<div style="text-align:right"><img src="images/keys.gif"><br /><br /></div>
		<form id="hFrm" action="verifyLogin.php" method="post">
		<table style="border:0px;" cellpadding="2" cellspacing="1" align="center">
			<tr>
				<td class="td_normal">Email ID</td>
				<td class="td_normal">:</td>
				<td><input class="input" type="text" name="uid" id="uid" value="" onFocus="this.className='input_focus'" onBlur="this.className='input'" style="width:200px;">&nbsp;&nbsp;</td>
			</tr>
			<tr>
				<td class="td_normal">Password</td>
				<td class="td_normal">:</td>
				<td><input class="input" type="password" name="pwd" id="pwd" value="" onFocus="this.className='input_focus'" onBlur="this.className='input'" style="width:200px;">&nbsp;&nbsp;</td>
			</tr>

			<tr style="height:10px;"><td></td></tr>
			<tr>
				<td colspan="3" align="center">
					<input type="submit" value=" Login &raquo;" class="red_button">
				</td>
			</tr>
			<tr><td></td></tr>
		</table>
		</form>
		</div>

		<div>&nbsp;</div>
		<div style="text-align:center" class="td_normal">Forgot password? <a href="forgotp.php" title="Click here to retrieve password">Click here</a></div>
		<div>&nbsp;</div>

<?php

	$iPage->endBody();
	$iPage->endPage();

?>

<script language="javaScript">

	var ua	=	"<?php echo $ua?>";

	window.onload	=	function (){
		if(ua == "1")
			alert("Invalid login Information, please try again");

		EBD("uid").focus();
	};

</script>