<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.store.php' );



	$db					=	new masterdb();
	$strList		= $db->getStoreList($tcmp->getCompanyID());

	$DateFrom		=	date('d-m-Y');
	$DateTo			=	date('d-m-Y');

	extract($_REQUEST);

	$DateFrom		=	addslashes($DateFrom);
	$DateTo			=	addslashes($DateTo);

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/select2.css");
	$iPage->addLink("css/modal.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/modal.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/nlbFade.js");

	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);

?>
	<div id="pagehead">&nbsp;RE-CALCULATE STOCK QUANTITY/VALUE</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="1" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><b>Re-calculate Stock Quantity/Value</b></div>
		</td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="clear:both">&nbsp;</div>
				<div style="clear:both">
					&nbsp;Enter a date range for re-calculation. Please select Store and if you want to re-calculate a particular store (optional)
				</div>
				<div style="clear:both">&nbsp;</div>
				<div style="float:left;padding-top:3px;width:120px;">
					&nbsp;From&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtfrom" id="dtfrom" value="<?php echo $DateFrom?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;To&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtto" id="dtto" value="<?php echo $DateTo?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				
				<div style="clear:both;height:4px;"></div>
				<div style="float:left;padding-top:3px;width:120px;">
					&nbsp;Store&nbsp;
				</div>				
				<div style="float:left" id="_jsontd1">
					<select name="StoreID" id="StoreID" style="width:400px">
						<option value="0">--</option>
					<?php	
						for($i=0;$i<count($strList);$i++) {
							$cb	= $strList[$i];
							$tmp	= "";
					?>
							<option value="<?php echo $cb->getStoreID()?>" <?php echo $tmp?>><?php echo $cb->getStoreName()?></option>
					<?php } ?>
					</select>
				</div>				
				
				<div style="clear:both;height:4px;"></div>
				<div style="float:left;margin-left:120px;">
					<input type="button" class="red_button" value="&nbsp;Re Calculate Stock Value &raquo;&nbsp;" id="btnS" onClick="srcR()" />
					&nbsp;<input type="button" class="red_button" value="&nbsp;Reset &nbsp;" id="btnS3" onClick="resetD()" />
				</div>
				<div style="clear:both;height:4px;"></div>
					<div style="float:left;margin-left:120px;">
					<input type="button" class="red_button" value="&nbsp;Update Purchase &raquo;&nbsp;" id="btnS1" onClick="srcR2('Purchase')" />
					<input type="button" class="red_button" value="&nbsp;Update Transfers &raquo;&nbsp;" id="btnS2" onClick="srcR2('Transfer')" />
					&nbsp;<input type="button" class="red_button" value="&nbsp;Update Issue &raquo;&nbsp;" id="btnS3" onClick="srcR2('Issue')" />
					&nbsp;<input type="button" class="red_button" value="&nbsp;Update Journal &raquo;&nbsp;" id="btnS4" onClick="srcR2('Journal')" />
					&nbsp;<input type="button" class="red_button" value="&nbsp;Update Sale &raquo;&nbsp;" id="btnS5" onClick="srcR2('Sale')" />
					&nbsp;<input type="button" class="red_button" value="&nbsp;Update Manual In/Out &raquo;&nbsp;" id="btnS6" onClick="srcR2('Manual')" />
				</div>			
				<div style="clear:both">&nbsp;</div>
			</td>
		</tr>
	</table>
	<br />

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">
	
	$(function () {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		
		$("#StoreID").select2();
		
	});	

	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});	

	function srcR() {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;
		var sid		= 0;
		var cid		= 0;
		
		try {
			sid			= EBD('StoreID').value;
		} catch (e) { }	

		if(checkForValidInput('dtfrom','Date','Please enter From date properly')==false) {
			EBD('dtfrom').select();
			EBD('dtfrom').focus();
			return;
		}
		if(checkForValidInput('dtto','Date','Please enter Upto date properly')==false) {
			EBD('dtto').select();
			EBD('dtto').focus();
			return;
		}

		var loc	=	"reCalculateStockValue.php?fdate=" + dtf + "&tdate=" + dtt + "&sid=" + sid;
		window.open(loc, "_blank");
	}
	
	function srcR2(typ) {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;
		var sid		= 0;
		var cid		= 0;
		
		try {
			sid			= EBD('StoreID').value;
		} catch (e) { }	

		if(checkForValidInput('dtfrom','Date','Please enter From date properly')==false) {
			EBD('dtfrom').select();
			EBD('dtfrom').focus();
			return;
		}
		if(checkForValidInput('dtto','Date','Please enter Upto date properly')==false) {
			EBD('dtto').select();
			EBD('dtto').focus();
			return;
		}

		var loc	=	"updateStockEntries.php?fdate=" + dtf + "&tdate=" + dtt + "&sid=" + sid + "&typ=" + typ;
		window.open(loc, "_blank");
	}
	
	function resetD() {
		EBD('dtfrom').value 		= "";
		EBD('dtto').value 			= "";
		EBD('StoreID').value		= "";
		EBD('txtStoreID').value	= "";
	}
	
	
</script>