
$.ajaxSetup({
  cache: false
});

function asysLinkHandler(url, data) {
	
	$.ajax({
		type			: "POST",
		url				: url,
		dataType	: "json",
		success		: function(data) {
			
			var res	= data["result"];
			var mod	= data["action"];
			var elm	= data["dom"];
			var msg	= data["msg"];
			var htm	= data["html"];
			var srp	= data["script"];			
			
			if(res == "-1") {
			
				alert("Session expired, please re-login.")
				asysHTMLLoader('index.php', 'html');
				
			} else if(res == "0") {
			
				alert(msg);
				
			} else if(res == 1) {
			
				if(mod != "") {
				
					asysHTMLLoader(mod, elm);
					
				} else {
				
					$("#" + domElement).html(htm);
										
				}
					
			} else {
			
				alert('Unexpected error, try again.');
				
			}
		},
		error: function (xhr, ajaxOptions, thrownError) {
		
			alert(xhr.status + xhr.responseText);
			
		}
	});
  
}

function asysHTMLLoader(Module, domElement) {
	
	if(Module == "") {
		if (localStorage.getItem("_glModule") !== null) {
			Module	= localStorage.getItem("_glModule");
			
			if(Module != "index.php" && Module != "home.php") {

				$.ajax({
					type			: "GET",
					url				: "index.php",
					dataType	: "json",
					success		: function(data) {
		
						var res	= data["result"];
						var mod	= data["action"];
						var elm	= data["dom"];
						var msg	= data["msg"];
						var htm	= data["html"];
						var srp	= data["script"];
		
						$("contentArea").html(htm);
						
						asysHTMLLoader(Module, '');
						
					},
					error: function (xhr, ajaxOptions, thrownError) {
		
						alert(xhr.status + xhr.responseText);
			
					}
				});				
			}
		} else {
			Module	= "index.php";
		}
	}
	localStorage.setItem("_glModule", Module);	

	$("#" + domElement).empty();
	$("#" + domElement).html("<img src='images/ajax_loading.gif' />");
	

	$.ajax({
		type			: "GET",
		url				: Module,
		dataType	: "json",
		success		: function(data) {
		
			var res	= data["result"];
			var mod	= data["action"];
			var elm	= data["dom"];
			var msg	= data["msg"];
			var htm	= data["html"];
			var srp	= data["script"];
		
			$("#" + domElement).empty();
			$('#' + domElement).html(htm);
				
			if(srp != "") {
				var arr	= srp.split(",");				
				
				for(var i=0; i<arr.length; i++) {
					$.getScript( arr[i] );
				}
				
			}
			
		},
		error: function (xhr, ajaxOptions, thrownError) {
		
			alert(xhr.status + xhr.responseText);
			
		}
	});
}

function asysFormSubmit(form) {

	$.ajax({
		type			: "POST",
		url				: $('#' + form).attr('action'),
		data			: $('#' + form).serialize(),
		dataType	: "json",
		success		: function(data) {
			
			var res	= data["result"];
			var mod	= data["action"];
			var elm	= data["dom"];
			var msg	= data["msg"];
			var htm	= data["html"];
			var srp	= data["script"];			

			if(res == "-1") {
			
				alert("Session expired, please re-login.")
				asysHTMLLoader('index.php', 'html');
				
			} else if(res == "0") {
			
				alert(msg);
				
			} else if(res == 1) {
			
				if(msg != "") alert(msg);
				
				if(mod != "") {
				
					asysHTMLLoader(mod, elm);
					
				} else {
				
					if(htm != "") {
					
						$("#" + elm).html(htm);
												
					}
				}
			} else {
			
				alert('Unexpected error, try again.');
				
			}
		},
		error: function (xhr, ajaxOptions, thrownError) {
			alert(xhr.status + xhr.responseText);
		}
	});
	
}

function asysScriptLoader(Module, domElement) {
	$.ajax({
		type		: "GET",
		url			: "getModuleHTML.php",
		data		: {"_ModuleID": Module},
		success	: function(data) {
			if(domElement == "html")
				$("html").html(data);
			else if(domElement == "body")
				$("body").html(data);
			else
				$("#domElement").html(data);
		},
		error: function (xhr, ajaxOptions, thrownError) {
			alert(xhr.status + xhr.responseText);
		}
	});
}

$( "form" ).submit(function( event ) {
  event.preventDefault();
});

