if(window.history.forward() != null)
	window.history.forward(1);

/* Shortcut for document.getElementById */
function EBD(param) {
	return document.getElementById(param);
}

/* Form validation method */
function checkForValidInput(e,ctype,msg) {
	var ev	= EBD(e).value;
	if(msg == "") msg	=	"Please enter value properly";
	if(ctype == "Text"){
		if(chkText(ev) == false){
			alert(msg);
			try {
				EBD(e).select();
				EBD(e).focus();
			} catch(e){}
			return false;
		}					
	} else	if(ctype == "TextAllowBlank") {
		if(chkTextAllowBlank(ev) == false) {
			alert(msg);
			try {
				EBD(e).select();
				EBD(e).focus();
			} catch(e){}
			return false;
		}					
	} else if(ctype == "Positive") {
		if(chkPositive(ev)==false) {
			alert(msg);
			try {
				EBD(e).select();
				EBD(e).focus();
			} catch(e){}
			return false;
		}					
	} else if(ctype == "NonNegative") {
		if(chkNonNegative(ev)==false) {
			alert(msg);
			try {
				EBD(e).select();
				EBD(e).focus();
			} catch(e){}
			return false;
		}
		if(TrimString(ev) == "")
			EBD(e).value = "0";					
	} else if(ctype == "Date") {
		if(isValidDate(ev) == false) {
			alert(msg);
			try {
				EBD(e).select();
				EBD(e).focus();
			} catch(e){}
			return false;
		}					
	}
}

function displayPrintableName(arg1,arg2) {
	EBD(arg1).value = EBD(arg2).value;
	EBD(arg1).select();
}

function isValidDate(dateinput) {
	var n	= dateinput.length;
	if(n != 10) {
		//alert("Allowable Date Format : [dd/mm/yyyy] OR [dd-mm-yyyy] OR [dd.mm.yyyy]");
		return false;
	}
	var datemask	= /^(\d{2})\D?(\d{2})\D?(\d{4})$/;
	var isValid=false;
	if(datemask.test(dateinput)) {
		var dd=parseFloat(dateinput.substring(0,2));
		var mm=parseFloat(dateinput.substring(3,5));
		var yyyy=parseInt(dateinput.substring(6,10));
		switch(mm) {
			case 1:
			case 3:
			case 5:
			case 7:
			case 8:
			case 10:
			case 12:
				if(dd >= 1&&dd <= 31)
					isValid=true;
				break;
			case 4:
			case 6:
			case 9:
			case 11:
				if(dd >=1 &&dd <= 30)
					isValid=true;
				break;
			case 2:
				if(yyyy%4 == 0) {
					if(dd >= 1&&dd <= 29)
						isValid=true;
				} else {
					if(dd >= 1&&dd <= 28)
						isValid=true;
				}
		}
	}
	return isValid;
}

function dateDiff(date1, date2) {
	var t1	= date1.getTime();
	var t2	= date2.getTime();
	
	if(t2 > t1)
		return 1;
	else
		return -1;
}

function chkText(param) {
	param	= TrimString(param);
	if(param == "")
		return false;
	if(param.indexOf("\'") != -1)
		return false;
	if(param.indexOf("\"") != -1)
		return false;
	return true;
}

function chkTextAllowBlank(param) {
	if(param == "")
		return true;
	param	= TrimString(param);
	if(param == "")
		return false;
	if(param.indexOf("\'") != -1)
		return false;
	if(param.indexOf("\"") != -1)
		return false;	
	return true;
}

function chkPositive(param) {
	param	= TrimString(param);
	if(param == "")
		return false;
	if(isNaN(param))
		return false;
	var tmp	= parseFloat(param);
	if(tmp <= 0)
		return false;
	return true;
}

function chkNonNegative(param) {
	if(isNaN(param))
		return false;	
	var tmp	= parseFloat(param);
	if(tmp < 0)
		return false;
	return true;
}

function TrimString(intString) {
  intString = intString.replace( /^\s+/g, "" );
  return intString.replace( /\s+$/g, "" );
}

function setMoneyFormat(money) {	
	var f				= money.toString();
	if(isNaN(f))
		return(f);
	var len			= f.length;
	var decpos	= f.indexOf(".");
	if(decpos == -1)
		return(f+".00");
	if(len-decpos == 1)
		return(f+"00");
	if(len-decpos == 2)
		return(f+"0");
	if(len-decpos == 3)
		return(f);
	if(len-decpos >= 4) {	
		var tmp		=	parseInt(f.substring(0,decpos));
		var tmp1	=	parseInt(f.substring(decpos+1, decpos+2));
		var tmp2	=	parseInt(f.substring(decpos+2, decpos+3));
		var tmp3	=	parseInt(f.substring(decpos+3, decpos+4));
		if(tmp3 >= 5) {
			tmp2++;
			if(tmp2 > 9) {
				tmp1++;
				tmp2	=	0;
				if(tmp1 > 9) {
					tmp++;
					tmp1=0;
				}
			}
		}
		var fstr	=	"" + tmp + "." + tmp1 + tmp2;
		return fstr;
	}
}

function setJewelFormat(num) {	
	var f				= num.toString();
	if(isNaN(f))
		return('0.000');
	var len			= f.length;
	var decpos	= f.indexOf(".");
	if(decpos == -1)
		return(f+".000");
	else if(len-decpos == 1)
		return(f+"000");
	else if(len-decpos == 2)
		return(f+"00");
	else if(len-decpos == 3)
		return(f+"0");
	else if(len-decpos == 4)
		return(f);		
	else if(len-decpos >= 4) {	
		var tmp		=	parseInt(f.substring(0,decpos));
		var tmp1	=	parseInt(f.substring(decpos+1,decpos+2));
		var tmp2	=	parseInt(f.substring(decpos+2,decpos+3));
		var tmp3	=	parseInt(f.substring(decpos+3,decpos+4));
		var tmp4	=	parseInt(f.substring(decpos+4,decpos+5));
		
		if(tmp4 >= 5) {
			tmp3++;
			if(tmp3 > 9) {
				tmp2++;
				tmp3	=	0;
				if(tmp2 > 9) {
					tmp1++;
					tmp2	=	0;
					if(tmp1 > 9) {
						tmp++;
						tmp1	= 0;
					}
				}
			}
		}
		var fstr	=	"" + tmp + "." + tmp1 + tmp2 + tmp3;
		return fstr;
	}
}

function setRupeePaise(money) {
	var Num			= money;	
	var Digit		= new Array(10);
	var Tenth		= new Array(9);
	var Excp		= new Array(9);
	var HTLC		= new Array(4);
	var NumLen	= 0;
	var RsPart	= "";
	var PsPart	= "";
	var RsLen		= 0;
	var PsLen		= 0;
	var PsStr		= "";
	var RsStr		= "";
	var a				= 0;
	var b				= 0;
	var LoopLen	= 0;
	var MainStr	= "";
	var strBreak= "";
	
	Digit[0]	= "";
	Digit[1]	= "ONE";
	Digit[2]	= "TWO";
	Digit[3]	= "THREE";
	Digit[4]	= "FOUR";
	Digit[5]	= "FIVE";
	Digit[6]	= "SIX";
	Digit[7]	= "SEVEN";
	Digit[8]	= "EIGHT";
	Digit[9]	= "NINE";
	
	Tenth[0]	= "";
	Tenth[1]	= "TEN";
	Tenth[2]	= "TWENTY";
	Tenth[3]	= "THIRTY";
	Tenth[4]	= "FORTY";
	Tenth[5]	= "FIFTY";
	Tenth[6]	= "SIXTY";
	Tenth[7]	= "SEVENTY";
	Tenth[8]	= "EIGHTY";
	Tenth[9]	= "NINETY";
	
	Excp[0]		= "";
	Excp[1]		= "ELEVEN";
	Excp[2]		= "TWELVE";
	Excp[3]		= "THIRTEEN";
	Excp[4]		= "FORTEEN";
	Excp[5]		= "FIFTEEN";
	Excp[6]		= "SIXTEEN";
	Excp[7]		= "SEVENTEEN";
	Excp[8]		= "EIGHTEEN";
	Excp[9]		= "NINETEEN";
	
	HTLC[0]		= "";
	HTLC[1]		= "HUNDRED";
	HTLC[2]		= "THOUSAND";
	HTLC[3]		= "LAKH";
	HTLC[4]		= "CRORE";
	
	NumLen 	= Num.length;
	RsPart 	= Num.substring(0, NumLen - 3);
	PsPart 	= Num.substring(NumLen-2, NumLen);
	RsLen 	= RsPart.length;
	PsLen 	= PsPart.length;
	LoopLen = RsLen;
	while(LoopLen !=0 ) {
    switch(LoopLen) {
			case 1:
				a 			= parseInt(RsPart.substring(RsLen-1, RsLen));
				RsStr 	= RsStr + " " + Digit[a];
				LoopLen = 0;
				break;
			case 2:
				a = parseInt(RsPart.substring(RsLen - 2, RsLen-1));
				if(a == 1) {
					b = parseInt(RsPart.substring(RsLen-1, RsLen));
					if(b == 0)
							RsStr = RsStr + " " + Tenth[a];
					else
							RsStr = RsStr + " " + Excp[b];
					LoopLen	= 0;
				} else {
					RsStr = RsStr + " " + Tenth[a];
					LoopLen = 1;
				}
				break;
			case 3:
				a = parseInt(RsPart.substring(RsLen - 3, RsLen-2));
				RsStr = RsStr + " " + Digit[a] + " ";
				if(a != 0)
					RsStr = RsStr + HTLC[1];
				LoopLen = 2;
				break;
			case 4:
				a = parseInt(RsPart.substring(RsLen - 4, RsLen-3));
				RsStr = RsStr + " " + Digit[a];
				if(a == 0) {
					b = parseInt(RsPart.substring(RsLen - 5, RsLen-4));
					if(b != 0)
						RsStr = RsStr + " " + HTLC[2];
				} else
						RsStr = RsStr + " " + HTLC[2];
				LoopLen = 3;
				break;
			case 5:
				a = parseInt(RsPart.substring(RsLen - 5, RsLen-4));
				if(a == 1) {
					b = parseInt(RsPart.substring(RsLen - 4, RsLen-3));
					if(b == 0)
							RsStr = RsStr + " " + Tenth[a] + " " + HTLC[2];
					else
							RsStr = RsStr + " " + Excp[b] + " " + HTLC[2];
					LoopLen = 3;
				} else {
					RsStr = RsStr + " " + Tenth[a];
					LoopLen = 4;
				}
				break;
			case 6:
				a = parseInt(RsPart.substring(RsLen - 6, RsLen-5));
				RsStr = RsStr + " " + Digit[a];
				if(a == 0) {
					b = parseInt(RsPart.substring(RsLen - 7, RsLen-6));
					if(b != 0)
						RsStr = RsStr + " " + HTLC[3];
				} else
						RsStr = RsStr + " " + HTLC[3];
				LoopLen = 5;
				break;
			case 7:
				a = parseInt(RsPart.substring(RsLen - 7, RsLen-6));
				if(a == 1) {
					b = parseInt(RsPart.substring(RsLen - 6, RsLen-5));
					if(b == 0)
						RsStr = RsStr + " " + Tenth[a] + " " + HTLC[3];
					else
						RsStr = RsStr + " " + Excp[b] + " " + HTLC[3];
					LoopLen = 5;
				} else {
					RsStr = RsStr + " " + Tenth[a];
					LoopLen = 6;
				}
				break;
			case 8:
				a = parseInt(RsPart.substring(RsLen - 8, RsLen-7));
				RsStr = RsStr + " " + Digit[a];
				if(a == 0) {
					b = parseInt(RsPart.substring(RsLen - 9, RsLen-8));
					if(b != 0)
						RsStr = RsStr + " " + HTLC[4];
				} else
					RsStr = RsStr + " " + HTLC[4];
				LoopLen = 7;
				break;
			case 9:
				a = parseInt(RsPart.substring(RsLen - 9, RsLen-8));
				if(a == 1) {
					b = parseInt(RsPart.substring(RsLen - 8, RsLen-7));
					if(b == 0)
						RsStr = RsStr + " " + Tenth[a] + " " + HTLC[4];
					else
						RsStr = RsStr + " " + Excp[b] + " " + HTLC[4];
					LoopLen = 7;
				} else {
					RsStr = RsStr + " " + Tenth[a];
					LoopLen = 8;
				}
				break;
			case 10:
				a = parseInt(RsPart.substring(RsLen - 10, RsLen-9));
				b = parseInt(RsPart.substring(RsLen - 9, RsLen-8));
				c = parseInt(RsPart.substring(RsLen - 8, RsLen-7));
				if(b == 0 && c == 0) {
					RsStr = RsStr + " " + Digit[a] + " " + HTLC[1] + " " + HTLC[4];
					LoopLen = 8;
				} else {
					RsStr = RsStr + " " + Digit[a] + " " + HTLC[1];
					LoopLen = 9;
				}
				break;				
			default:
				LoopLen=0;
		}
	}

	LoopLen = PsLen
	while(LoopLen!=0) {
		switch(LoopLen) {
			case 1:
				a 			= parseInt(PsPart.substring(PsLen-1, PsLen));
				PsStr 	= PsStr + " " + Digit[a];
				LoopLen = 0;
				break;
			case 2:
				a = parseInt(PsPart.substring(PsLen - 2, PsLen-1));
				if(a == 1) {
					b = parseInt(PsPart.substring(PsLen-1, PsLen));
					if(b == 0)
						PsStr = PsStr + " " + Tenth[a]
					else
						PsStr = PsStr + " " + Excp[b]
					LoopLen=0;
				} else {
					PsStr = PsStr + " " + Tenth[a];
					LoopLen = 1;
				}
				break;
			default:
				LoopLen=0;
		}
	}

	MainStr = RsStr;
	if(parseInt(PsPart) != 0)
		MainStr = MainStr + " AND PAISE " + PsStr + " ONLY";
	else
		MainStr = MainStr + " ONLY";

	return(MainStr);
}

function submitForm(hfrm) {
	EBD(hfrm).submit();
}

function checkFYDate(dtt,fyy) {
	var dt	=	dtt;
	var dd	=	dt.substring(0,2);
	var mm	=	dt.substring(3,5);
	var yy	=	dt.substring(6,10);
	
	var fy	=	fyy;
	var sy	=	fy.substring(0,2);
	var ey	=	fy.substring(3,5);
	
	var sdt	=	'20' + sy + '-04-01';
	var edt	=	'20' + ey + '-03-31';
	
	var mdt	=	yy + '-' + mm + '-' + dd;
	
	if(mdt<sdt) return false;
	if(mdt>edt) return false;
}


function roundNumber(num, dec) {
	var result = Math.round(num*Math.pow(10,dec))/Math.pow(10,dec);
	return result;
}


var calcWin		=	null;
var iew				= document.all;
var fxw				= 500;
if(iew)
	fxw 				= document.documentElement['offsetWidth']-320;
else
	fxw 				= window.innerWidth-300;

function dispCalc() {
	if(!calcWin) {
		calcWin = new Ext.Window({
			autoLoad    : 'calc.html',
			layout      : 'fit',
			closeAction : 'hide',
			title				: 'CALCULATOR',
			resizable		: false,
			y						: 4,
			x						: fxw,
			width				: 275,
			height			: 255
		});
	}
	calcWin.show('anchorCalculator');	
}