<?php

	require_once('../aom-config.php');
	require_once('../dao/asys.company.php');
	require_once('../dao/asys.masterdb.php');
	
	$tcmp			= new asys_companies();

	if(!isset($_SESSION["ssEUser"])) {
		print("-1");
		exit;
	}
	
	if(isset($_SESSION["ssECmp"])){
		$tcmp	=	unserialize($_SESSION["ssECmp"]);
	}
	
	if($tcmp->getCompanyID() <= 0) {
		print("-1");
		exit;	
	}
	
	if(file_exists("getCustomerList".$tcmp->getCompanyID().".json")) {
		$fc 		= file_get_contents("getCustomerList".$tcmp->getCompanyID().".json");
		print($fc);
		exit;
	}

	$mdb			= new masterdb();
	$oList		= $mdb->getCustomerListJSON($tcmp->getCompanyID());

	$jsonStr	=	json_encode($oList);
	
	$jf 			= fopen("getCustomerList".$tcmp->getCompanyID().".json", "w");
	fwrite($jf, $jsonStr);
	fclose($jf);

	print($jsonStr);

?>