<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.store.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.stockvoucher.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.purchasedb.php' );
	
	
	$ModuleID			= 22;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$pdb					= new purchasedb();
	$cclass				= new asys_stock_voucher();
	$itmList			= $mdb->getItemList('', 0, $tcmp->getCompanyID());
	$strList			= $mdb->getStoreList($tcmp->getCompanyID());
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}

	$DateFrom		=	date('01-m-Y');
	$DateTo			=	date('d-m-Y');
	$ItemID			=	"";
	$pno				= 0;
	$sRec				= 0;
	$rCnt				= 0;
	$nRec				= 25; /* Number of Records per page */

	$paction		=	"";

	$rmsg				=	"";
	$msg				=	"Manual Stock IN - Create";

	extract($_REQUEST);

	$pno				=	(int)$pno;
	if($pno<0)
		$pno	=	0;

	$DateFrom		=	addslashes($DateFrom);
	$DateTo			=	addslashes($DateTo);
	$ItemID			= (int)$ItemID;

	$dtf				=	FormatIndianDateToSQLDate($DateFrom);
	$dtt				=	FormatIndianDateToSQLDate($DateTo);

	$rCnt				= $pdb->getNumberOfManualStockOUT($dtf, $dtt, $ItemID, $tcmp->getCompanyID());
	if(ceil(($rCnt) / $nRec) < $pno + 1  && $rCnt != 0)
		$pno	=	ceil(($rCnt) / $nRec) - 1;
	$sRec			= $pno * $nRec;

	$indList		=	$pdb->getManualStockOUTListPaged($dtf, $dtt, $ItemID, $tcmp->getCompanyID(), $sRec, $nRec);

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/select2.js");


	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);

?>
	<div id="pagehead">&nbsp;MANUAL STOCK OUT</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left;width:500px;" id="dhead"><a class="nav" href="newManualStockOUT.php"><b>Manual Stock OUT</b></a></div>
			<div style="float:right;height:20px;" class="td_normal">
				<?php echo $rCnt ?> records found |
				<?php if($pno>0) { ?><a class="nav" href="javaScript:gotoPage(<?php echo $pno-1?>)">Previous</a>&nbsp;&nbsp; <?php } ?>
				Page <input type="text" class="input" name="ppno2" id="ppno2" value="<?php echo ($pno+1)?>" style="width:30px;height:15px;text-align:center" maxLength="3" onFocus="clrF(2)" onBlur="fillF(2)" />&nbsp;of <?php echo ceil(($rCnt)/$nRec)?>
				<?php if(ceil(($rCnt)/$nRec)>$pno+1) { ?>&nbsp;&nbsp;<a class="nav" href="javaScript:gotoPage(<?php echo $pno+1?>)">Next</a> <?php } ?>
			</div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="float:left">
					&nbsp;Date:
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtfrom" id="dtfrom" value="<?php echo $DateFrom?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left">
					&nbsp;-&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtto" id="dtto" value="<?php echo $DateTo?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left">
					&nbsp;Item:&nbsp;
				</div>
				<div style="float:left;"><select name="ItemID" id="ItemID" style="width:300px;"></select></div>
				<div style="float:left">
				&nbsp;&nbsp;<input type="button" class="button" value="Search &raquo;" id="btnS" onClick="srcR()" />
				</div>
			</td>
		</tr>
	</table>
	
	<div style="height:5px;"></div>
	
	<div id="rptDiv" class="fakeContainer">

		<table cellspacing="0" cellpadding="2" border="0" width="970px" align="center" id="vTable">
			<thead>
				<tr>
					<th width="80px" align="left">Date</th>
					<th width="200px" align="left">Store</th>
					<th width="100px" align="left">Item</th>
					<th width="80px" align="left">Quantity</th>
					<th width="80px" align="left">Rate</th>
					<th width="150px" align="left">Narration</th>
					<th width="30px">Edt</th>
					<th width="30px">Del</th>
				</tr>
			</thead>
			<tbody>
		<?php

			for($i=0;$i<count($indList);$i++) {
				$row		=	$indList[$i];
		?>			
				<tr>
					<td class="td_view"><?php echo $row->getDOT('yes')?></td>
					<td class="td_view"><?php echo $row->getStoreName('yes')?></td>
					<td class="td_view" title="<?php echo $row->getItemName()?>"><?php echo $row->getItemName('yes')?></td>
					<td class="td_view"><?php echo $row->getQuantity('yes')?></td>
					<td class="td_view"><?php echo $row->getUnitPrice('yes')?></td>
					<td class="td_view" title="<?php echo $row->getNarration()?>"><?php echo $row->getNarration('yes')?></td>
					
					<td class="td_view" align="center"><a href="editManualStockOUT.php?svid=<?php echo $row->getSVoucherID()?>&DateFrom=<?php echo $DateFrom?>&DateTo=<?php echo $DateTo?>&iid=<?php echo $ItemID?>&pno=<?php echo $pno?>"><img src="images/edit.png" title="EDIT - <?php echo $row->getSVoucherID()?>" /></a></td>
					<td class="td_view" align="center"><a href="javaScript:deleteManualStockOUT('<?php echo $row->getSVoucherID()?>')"><img src="images/delete.png" title="DELETE Manual Stock IN #<?php echo $row->getSVoucherID()?>" /></a></td>
				</tr>
				<?php } ?>
			</tbody>
		</table>

	</div>
	
	<div style="height:10px;"></div>

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">

	$(function () {
		$("#ItemID").select2();
		fetchItemID();
	});
	
	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});
	
	var div	=	document.getElementById('rptDiv');

	div.style.height	=	 (window.innerHeight - 230) + "px";
	div.style.width		=	 "980px";

	//<![CDATA[	
	(function() {
		var mySt = new superTable("vTable", {
			cssSkin 		: "sSky",
			fixedCols 	: 0,
			headerRows 	: 1
		});
	})();
	//]]>	

	var dept_IE4	=	(document.all)? true:false;
	var dept_NS4	=	(document.layers);

	if (dept_NS4) EBD('ppno2').captureEvents(Event.KEYPRESS);

	EBD('ppno2').onkeypress = function(e){
		var whichASC;
		if(dept_IE4)
			whichASC	=	window.event.keyCode;
		else
			whichASC	=	e.which;

		if(whichASC == 13){
			var pno	= EBD('ppno2').value - 1;
			gotoPage(pno);
		}
	};

	
	function srcR() {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;
		var iid		=	EBD('ItemID').value;

		if(checkForValidInput('dtfrom','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly')==false) 		return;

		location		=	"manualStockOUT.php?DateFrom="+dtf+"&DateTo="+dtt+"&ItemID="+iid;
	}

	function gotoPage(n) {
		location		=	"manualStockOUT.php?DateFrom=<?php echo $DateFrom?>&DateTo=<?php echo $DateTo?>&ItemID=<?php echo $ItemID?>&pno="+n;
	}

	function clrF(n){
		EBD('ppno'+n).value	=	'';
	}

	function fillF(n){
		EBD('ppno'+n).value	=	"<?php echo $pno+1?>";
	}	
	
	function deleteManualStockOUT(svid) {
		if(confirm('Click OK to proceed with Delete Operation') == false) return;
		
		location = "deleteManualStockOUT.php?svid=" + svid + "&DateFrom=<?php echo $DateFrom?>&DateTo=<?php echo $DateTo?>&ItemID=<?php echo $ItemID?>&pno=<?php echo $pno?>";
	}
	
	function fetchItemID() {
	
    $('#ItemID').empty();
    $('#ItemID').append('<option value="0">--</option>');
    var iid		= "<?php echo $ItemID?>";
    
    $.ajax({
			type: "POST",
			url: "json/getItemList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#ItemID').append('<option value="' + d.ItemID + '">' + d.ItemName + '</option>');
				});
				$("#ItemID").val(iid).change();
				
			}
    });

	}	
		

</script>