<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.store.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.stockvoucher.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.gen_issue.php' );
	require_once( 'dao/class.gen_issue_items.php' );
	require_once( 'dao/class.purchasedb.php' );
	
	
	$ModuleID			= 25;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$pdb					= new purchasedb();
	$cclass				= new gen_issue();
	$itmList			= $mdb->getItemList('', 0, $tcmp->getCompanyID());
	$strList			= $mdb->getStoreList($tcmp->getCompanyID());
	
	if($ldb->getCreatePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
							
			
	$IssueID	=	"";
	$IssueDate	=	"";
	$FinYear	=	"";
	$IssueNo	=	"";
	$StoreID	=	"";
	$ItemCategoryID	=	"";
	$DebitMotherAccountID	=	"";
	$DebitAccountID	=	"";
	$CreditMotherAccountID	=	"";
	$CreditAccountID	=	"";
	$purpose	=	"";
	$DOE	=	"";


	$rmsg				=	"";
	$msg				=	"Please enter all the fields correctly.";
	$pagen			=	"";
	$numOfRows1	= 1;
	
	$dataSaved	= "NO";

	$fcss				=	 array();
	for($i=0;$i<8;$i++)
		$fcss[$i]	=	"input";

	extract($_REQUEST);
	
	if($pagen == "process") {
		/* Check for valid input */

		if(FormatIndianDateToSQLDate($IssueDate) == "1900-01-01") {
			$fcss[1]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Invalid Issue Date";
		}
		
		if((int)$StoreID <= 0) {
			$fcss[5]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Store";
		}
			
		
		if($tcmp->getCompanyID() != $mdb->getCompanyIDByTransaction('asys_stores', 'StoreID', $StoreID)) {
			echo 'This data does not belong to the Company selected.';
			echo '<a href="home.php">Click Here</a> to go to Home';
			exit;
		}
		
		$tdf						= $tcmp->getTxnDateFrom();
		$tdt						= $tcmp->getTxnDateTo();
		$txnDate				= FormatIndianDateToSQLDate($IssueDate);
		if($txnDate < $tdf || $txnDate > $tdt) {
			if($rmsg != "") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Transaction date outside allowed date range";			
		}
		
		$prodList	=	array();
		for($i=1;$i<=$numOfRows1;$i++){
			$icls	=	new gen_issue_items();
			if((int)$_REQUEST["ItemID$i"] > 0 && (double)$_REQUEST["Quantity$i"] > 0) {
			
				$iid	= (int)$_REQUEST["ItemID$i"];
				
				if($tcmp->getCompanyID() != $mdb->getCompanyIDByTransaction('gen_items', 'ItemID', $iid)) {
					echo 'This data does not belong to the Company selected.';
					echo '<a href="home.php">Click Here</a> to go to Home';
					exit;
				}			
			
				$icls->setIssueID(0);
				$icls->setItemID($_REQUEST["ItemID$i"]);
				$icls->setQuantity($_REQUEST["Quantity$i"]);
				$icls->setRemark($_REQUEST["Remark$i"]);	
			
				$prodList[]	=	$icls;
			}
		}
		$cclass->setItemList($prodList);
		
		if(count($prodList) == 0) {
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."No Item selected";		
		}
		
		$fsDet	= $mdb->getStoreDetail($StoreID);
		
		$cclass->setIssueID($gdb->getNextID("gen_issue","IssueID"));
		$cclass->setCompanyID($tcmp->getCompanyID());
		$cclass->setIssueDate($IssueDate);
		$cclass->setFinYear($FinYear);
		$cclass->setIssueNo($IssueNo);
		$cclass->setStoreID($StoreID);
		$cclass->setItemCategoryID($ItemCategoryID);
		$cclass->setDebitMotherAccountID(0);
		$cclass->setDebitAccountID($fsDet->getOppositeAccountID());
		$cclass->setCreditMotherAccountID($fsDet->getMotherAccountID());
		$cclass->setCreditAccountID($fsDet->getAccountID());
		$cclass->setpurpose($purpose);
		$cclass->setDOE(date('d-m-Y').' - '.$tuser->getUserID());		
	

		if($rmsg == "") {
			if($pdb->CreateIssue($cclass) > 0) {
				$msg	=	"<font class='blue'>Issue created successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getIssueID());				
				$log->setActivity("Added new Issue - ".$cclass->getIssueNo().'/'.$cclass->getFinYear());
				$log->setClassName('gen_issue');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);	
				
				$dataSaved		= $cclass->getIssueID();
				
				$cclass				= new gen_issue();	
				$cclass->setIssueDate($IssueDate);
				$cclass->setFinYear($FinYear);
				$cclass->setIssueNo($IssueNo);
				$cclass->setStoreID($StoreID);
				$cclass->setItemCategoryID($ItemCategoryID);	
				$cclass->setDebitMotherAccountID($DebitMotherAccountID);
				$cclass->setDebitAccountID($DebitAccountID);
				$cclass->setCreditMotherAccountID($fsDet->getMotherAccountID());
				$cclass->setCreditAccountID($fsDet->getAccountID());
				$cclass->setpurpose($purpose);							
				$numOfRows1		= 1;	
			} else {
				$msg	=	"<font class='red'>Negative Item stock balance found</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/select2.css");
	$iPage->addLink("css/modal.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/modal.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
	if(count($cclass->getItemList()) != 0)	$numOfRows1			=	count($cclass->getItemList());
	
?>	

	<div id="pagehead">&nbsp;CREATE NEW ISSUE/CONSUMPTION</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="process" />
	<input type="hidden" name="csubled" id="csubled" value="NO" />
	<input type="hidden" name="csubled2" id="csubled2" value="NO" />
	<input type="hidden" name="numOfRows1" id="numOfRows1" value="<?php echo $numOfRows1?>" />
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewIssue.php"><img src="images/columns.gif" title="View Issue List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr style="height:2px"><td colspan="3"></td></tr>	
				
		<tr>
			<td class="td_normal">&nbsp;Issue Date</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input data-toggle="datepicker" type="text" class="<?php echo $fcss[1]?>" name="IssueDate" id="IssueDate" value="<?php echo $cclass->getIssueDate('yes')?>" style="width:80px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[1]?>'" /></td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Issue From (Store)</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd6">
				<select name="StoreID" id="StoreID" style="width:400px">
					<option value="0">--</option>
				<?php	
					for($i=0;$i<count($strList);$i++) {
						$cb	= $strList[$i];
						$tmp	= "";
						if($cclass->getStoreID() == $cb->getStoreID()) $tmp = "selected";
				?>
						<option value="<?php echo $cb->getStoreID()?>" <?php echo $tmp?>><?php echo $cb->getStoreName()?></option>
				<?php } ?>
				</select>
			</td>
		</tr>				
		
		<tr>
			<td class="td_normal">&nbsp;Purpose</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[6]?>" name="purpose" id="purpose" value="<?php echo $cclass->getpurpose('yes')?>" style="width:500px" maxLength="200" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[6]?>'" /></td>
		</tr>
		<tr style="height:2px"><td colspan="3"></td></tr>
		
		<!---------- ITEMS STARTS HERE ---------->
		<tr>
			<td colspan="3">	
	
				<table style="border:0px;" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<th width="5%" style="border-left: 1px solid #99BBE8;">SN</th>
						<th width="25%">Item</th>
						<th width="10%">Unit</th>						
						<th width="10%">Quantity</th>
						<th width="10%">Closing</th>
						<th width="35%">Remark</th>
						<th width="5%" align="center">
							<input type="button" class="red_button" value="—" onClick="pdelRow()" />
						</th>
					</tr>
				</table>
			</td>
		</tr>
		
		<tr>
			<td colspan="3">
				<table style="border:0px;" cellpadding="0" cellspacing="1" width="100%" id="ptTable">
				
				<?php if(count($cclass->getItemList()) == 0) { ?>
				
					<tr>
						<td width="5%" style="padding:2px;">
							<input type="button" class="red_button" style="width:25px;" value="1" onClick="iclearItem(1)" id="msn1" />
						</td>
						<td  width="25%" style="padding:2px;" id="_jsontd11" class="td_normal">
							<select name="ItemID1" id="ItemID1" style="width:230px">
								<option value="0">--</option>
							<?php	
								for($ii=0;$ii<count($itmList);$ii++) {
									$cb	= $itmList[$ii];
									$tmp	= "";
							?>
									<option value="<?php echo $cb->getItemID()?>" <?php echo $tmp?>><?php echo $cb->getItemName()?></option>
							<?php } ?>
							</select>
						</td>
						<td  width="10%" style="padding:2px;">
							<input type="text" class="input" name="Unit1" id="Unit1" value="" style="width:80px" readOnly="true" />
						</td>						
						<td width="10%" style="padding:2px;">
							<input type="text" class="input" name="Quantity1" id="Quantity1" value="" style="width:80px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
						</td>
						<td width="10%" style="padding:2px;">
							<input type="text" class="input" name="CBal1" id="CBal1" value="" style="width:80px" maxLength="15" readOnly="true" />
						</td>
						<td  width="35%" style="padding:2px;">
							<input type="text" class="<?php echo $fcss[4]?>" name="Remark1" id="Remark1" value="" style="width:300px" maxLength="200" />
						</td>
						<td width="5%" style="padding:2px;" align="center">
							<input type="button" class="red_button" id="pbtnAS1" value="+" onClick="paddRow()" />
						</td>
					</tr>
				
				<?php } else { ?>
				<?php
					$pitm	=	$cclass->getItemList();
					for($i=0;$i<count($pitm);$i++){
						$icls	=	$pitm[$i];
				?>
				
					<tr>
						<td width="5%" style="padding:2px;">
							<input type="button" class="red_button" style="width:25px;" value="<?php echo ($i+1)?>" onClick="iclearItem(<?php echo ($i+1)?>)" id="msn<?php echo ($i+1)?>" />
						</td>
						<td  width="25%" style="padding:2px;" id="_jsontd1<?php echo ($i+1)?>" class="td_normal">
							<select name="ItemID<?php echo ($i+1)?>" id="ItemID<?php echo ($i+1)?>" style="width:230px">
								<option value="0">--</option>
							<?php	
								for($ii=0;$ii<count($itmList);$ii++) {
									$cb	= $itmList[$ii];
									$tmp	= "";
									if($icls->getItemID() == $cb->getItemID()) $tmp = "selected";
							?>
									<option value="<?php echo $cb->getItemID()?>" <?php echo $tmp?>><?php echo $cb->getItemName()?></option>
							<?php } ?>
							</select>
						</td>
						<td  width="10%" style="padding:2px;" id="_jsontd5<?php echo ($i+1)?>">
							<input type="text" class="input" name="Unit<?php echo ($i+1)?>" id="Unit<?php echo ($i+1)?>" value="" style="width:80px" readOnly="true" />
						</td>						
						<td width="10%" style="padding:2px;">
							<input type="text" class="input" name="Quantity<?php echo ($i+1)?>" id="Quantity<?php echo ($i+1)?>" value="<?php echo $icls->getQuantity('no')?>" style="width:80px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
						</td>
						<td width="10%" style="padding:2px;">
							<input type="text" class="input" name="CBal<?php echo ($i+1)?>" id="CBal<?php echo ($i+1)?>" value="" style="width:80px" maxLength="15" readOnly="true" />
						</td>
						<td  width="35%" style="padding:2px;">
							<input type="text" class="input" name="Remark<?php echo ($i+1)?>" id="Remark<?php echo ($i+1)?>" value="<?php echo $icls->getRemark()?>" style="width:300px" maxLength="200" />
						</td>
						<td width="5%" style="padding:2px;" align="center">
							<input type="button" class="red_button" id="pbtnAS<?php echo ($i+1)?>" value="+" onClick="paddRow()" />
						</td>
					</tr>
				
				<?php } } ?>
				
				</table>
			</td>
		</tr>
	
		<!---------- ITEM ENDS HERE ---------->	
						
						
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Create (S) " AccessKey="S" onClick="saveRec()" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
	<br />
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>	
		
<script language="javaScript">

	var itmList		= new Array();

	<?php	for($i=0;$i<count($itmList);$i++) { ?>
	<?php		$ab	= $itmList[$i]; ?>
			itmList[<?php echo $i?>] 			= new Array();
			itmList[<?php echo $i?>][0] 	= "<?php echo $ab->getItemID()?>";
			itmList[<?php echo $i?>][1] 	= "<?php echo formatJScriptString($ab->getItemName())?>";
	<?php } ?>

	var numRows1	= "<?php echo $numOfRows1?>";

	$(function () {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		
		$("#StoreID").select2();
		
		for(var i=1; i<=numRows1; i++) {
			$("#ItemID" + i).select2({dropdownCssClass : 'drop400'});
			
			$("#ItemID" + i).on("change", function (e) {
      	var nm		= $(this).attr('name');
      	var param	= nm.substring(6);
      	fetchUnit(param);
			});			
		}		
		
	});	

	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});	
	
	function iclearItem(param) {
		if(confirm('Click OK to proceed with Item removal, please click Save/Update button to make final changes') == false) return;
		
		EBD('txtItemID' + param).value	=	"";
		EBD('ItemID' + param).value			=	"";
		EBD('Remark' + param).value			=	"";
		EBD('Quantity' + param).value		=	"";
		EBD('CBal' + param).value				=	"";
	}	
	
	function paddRow() {
		var rTable	= EBD("ptTable");
		var iRow		= rTable.insertRow(numRows1);
		
		numRows1++;
		var iCell;
		
		iCell								= iRow.insertCell(0);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="button" class="orange_button" style="width:25px;" value="' + numRows1 + '" onClick="iclearItem(' + numRows1 + ')" id="msn' + numRows1 + '">';

		iCell								= iRow.insertCell(1);
		iCell.style.padding	=	"2px";
		iCell.className			= "td_normal";
		iCell.id						=	"_jsontd1"+numRows1;
		iCell.innerHTML			= '<select name="ItemID' + numRows1 + '" id="ItemID' + numRows1 + '" style="width:230px;"></select>';
		
		iCell								= iRow.insertCell(2);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="Unit' + numRows1 + '" id="Unit' + numRows1 + '" value="" style="width:80px" readOnly="true" />';		

		iCell								= iRow.insertCell(3);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="Quantity' + numRows1 + '" id="Quantity' + numRows1 + '" value="" style="width:80px" maxLength="10" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" />';

		iCell								= iRow.insertCell(4);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="CBal' + numRows1 + '" id="CBal' + numRows1 + '" value="" style="width:80px" maxLength="15" readOnly="true" />';

		iCell								= iRow.insertCell(5);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="Remark' + numRows1 + '" id="Remark' + numRows1 + '" value="" style="width:300px" maxLength="200" /><input type="hidden" name="_oid' + numRows1 + '" id="_oid' + numRows1 + '" value="" />';

		iCell 							= iRow.insertCell(6);
		iCell.align					= "right";
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="button" class="plus_button" id="pbtnAS' + numRows1 + '" value="" onClick="paddRow()">';

		$("#ItemID" + numRows1).select2({dropdownCssClass : 'drop400'});	
		$('#ItemID' + numRows1).append('<option value="0">--</option>');	
		
		for(var ii=0;ii<itmList.length;ii++){
			$('#ItemID' + numRows1).append('<option value="' + itmList[ii][0] + '">' + itmList[ii][1] + '</option>');
		}
		
		$("#ItemID" + numRows1).on("change", function (e) {
      var nm		= $(this).attr('name');
      var param	= nm.substring(6);
      fetchUnit(param);
		});
	}

	function pdelRow() {
		if(numRows1 > 1) {
			var rTable	= EBD("ptTable");
			var iRow		= rTable.deleteRow(numRows1 - 1);
			numRows1--;
		}
	}
	
	function saveRec() {
		
		if(checkForValidInput('IssueDate','Date','Please enter Issue Date') == false) return;

		var chk	= 0;
		for(i=1;i<=numRows1;i++) {
			if(checkForValidInput('Quantity'+i,'NonNegative','Quantity cannot be Negative, can enter Zero') == false) return;
			
			var qty 	= 0;
			var cbal	= 0;
			if(EBD('Quantity' + i).value != '') {
				try {
					qty			= parseFloat(EBD('Quantity' + i).value);
				} catch(e) {
					//
				}
			}
			if(EBD('CBal' + i).value != "") {
				try {
					cbal			= parseFloat(EBD('CBal' + i).value);
				} catch(e) {
					//
				}
			}

			if(qty > cbal) {
				alert('This will make stock quantity negative');
				EBD('Quantity' + i).focus();
				return;
			}
		}	

		EBD("numOfRows1").value	= numRows1;	

		if(confirm("SURE!!! SAVE ISSUE/CONSUMPTION RECORD") == false) return;

		var fm	= EBD('hfrm');
		fm.submit();
	}
	
	function fetchUnit(param) {
	
		var iid										= EBD('ItemID' + param).value;
		var sid										= EBD('StoreID').value;
		var dt										= EBD('IssueDate').value;
		
		EBD('Unit' + param).value =	'';
		EBD('CBal' + param).value =	'';
	
		var x = (window.ActiveXObject) ? new ActiveXObject("Microsoft.XMLHTTP") : new XMLHttpRequest();
		if (x) {
			x.onreadystatechange = function() {
				if (x.readyState == 4 && x.status == 200) {
					var fr	= x.responseText;
					if(fr != "-1") {
						EBD('Unit' + param).value = fr;
					}
				}
			}
			x.open("GET", "ajax/getItemUnit.php?iid=" + iid, true);
			x.send(null);
		}
		
		var y = (window.ActiveXObject) ? new ActiveXObject("Microsoft.XMLHTTP") : new XMLHttpRequest();
		if (y) {
			y.onreadystatechange = function() {
				if (y.readyState == 4 && y.status == 200) {
					var fr	= y.responseText;
					if(fr != "-1") {
						EBD('CBal' + param).value = fr;
					}
				}
			}
			y.open("GET", "ajax/getItemClosingBalance.php?sid=" + sid + "&iid=" + iid + "&dt=" + dt, true);
			y.send(null);
		}				
	}
	
</script>