<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.gstrate.php' );
	require_once( 'dao/class.gen_items.php' );
		
	
	$ModuleID			= 3;

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$gstrate			= $mdb->getGSTRateList();
	$cclass				= new gen_items();
	
	if($ldb->getCreatePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	
	$ItemID	=	"";
	$CompanyID	=	"";
	$MultipleCompany	=	"";
	$ItemCategoryID	=	"";
	$MultipleCategory	=	"";
	$ItemSubcategoryID	=	"";
	$UnitID	=	"";
	$Unit2	=	"";
	$ItemName	=	"";
	$ItemNo	=	"";
	$Rate	=	"";
	$WDV	=	"";
	$WDVDate	=	"";
	$HSN	=	"";
	$GSTRate	=	"";
	$GSTCategory	=	"";
	$NilRated	=	"";
	$NonGST	=	"";
	$EAN		= "";


	$rmsg					=	"";
	$msg					=	"Please enter all the fields correctly.";
	$pagen				=	"";

	$fcss					=	 array();
	for($i=0;$i<15;$i++)
		$fcss[$i]		=	"input";

	extract($_REQUEST);
	
	if($pagen == "process") {
		/* Check for valid input */

		if((int)$ItemCategoryID <= 0) {
			$fcss[1]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	"Item Category";
		}

		if((int)$UnitID <= 0) {
			$fcss[2]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	"Unit";
		}

		if(trim($ItemName) == "") {
			$fcss[3]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	"Item Name";
		}
		
		if(isset($_REQUEST["MultipleCompany"]))
			$MultipleCompany	= "YES";
		else
			$MultipleCompany	= "NO";			
		
		if(isset($_REQUEST["MultipleCategory"]))
			$MultipleCategory	= "YES";
		else
			$MultipleCategory	= "NO";
			
		if(isset($_REQUEST["NilRated"]))
			$NilRated	= "YES";
		else
			$NilRated	= "NO";
			
		if(isset($_REQUEST["NonGST"]))
			$NonGST	= "YES";
		else
			$NonGST	= "NO";			
			
		if($tcmp->getCompanyID() != $mdb->getCompanyIDByTransaction('gen_itemcategory', 'ItemCategoryID', $ItemCategoryID)) {
			echo 'This data does not belong to the Company selected.';
			echo '<a href="home.php">Click Here</a> to go to Home';
			exit;
		}
		
		/*if($tcmp->getCompanyID() != $mdb->getCompanyIDByTransaction('gen_itemsubcategory', 'ItemSubcategoryID', $ItemSubcategoryID)) {
			echo 'This data does not belong to the Company selected.';
			echo '<a href="home.php">Click Here</a> to go to Home';
			exit;
		}*/		


		$cclass->setItemID($gdb->getNextID("gen_items","ItemID"));
		$cclass->setCompanyID($tcmp->getCompanyID());
		$cclass->setMultipleCompany($MultipleCompany);
		$cclass->setItemCategoryID($ItemCategoryID);
		$cclass->setMultipleCategory($MultipleCategory);
		$cclass->setItemSubcategoryID($ItemSubcategoryID);
		$cclass->setUnitID($UnitID);
		$cclass->setUnit2($Unit2);
		$cclass->setItemName($ItemName);
		$cclass->setItemNo($ItemNo);
		$cclass->setRate($Rate);
		$cclass->setWDV($WDV);
		$cclass->setWDVDate($WDVDate);
		$cclass->setHSN($HSN);
		$cclass->setGSTRate($GSTRate);
		$cclass->setGSTCategory($GSTCategory);
		$cclass->setNilRated($NilRated);
		$cclass->setNonGST($NonGST);
		$cclass->getEAN($EAN);

		if($rmsg == "") {
			if($gdb->SaveObjectToDB($cclass)) {
				$msg	=	"<font class='blue'>Item created successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getItemID());				
				$log->setActivity("Added new Item - ".$ItemName);
				$log->setClassName('gen_items');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);
				
				$iid	= $cclass->getItemID();
				$ean	= generateEAN($iid);
				$mdb->updateEAN($iid, $ean);				
				
				$fullPath = __DIR__ . "/json/getItemList" ;
				array_map('unlink', glob( "$fullPath*.json"));
				$fullPath = __DIR__ . "/json/getItemListByCategory" ;
				array_map('unlink', glob( "$fullPath*.json"));				
				
				$cclass				= new gen_items();		
			} else {
				$msg	=	"<font class='red'>Item ID/Name already exist, try with a different ID/Name</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/select2.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addScript("js/common.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
?>	

	<div id="pagehead">&nbsp;CREATE NEW ITEM</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="process" />
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="viewItem.php"><img src="images/columns.gif" title="View Item List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>	
		
		<tr>
			<td class="td_normal" width="170px;">&nbsp;Multiple Company</td>
			<td class="td_normal" width="10px;">:</td>
			<td class="td_normal"><input type="checkbox" class="<?php echo $fcss[2]?>" name="MultipleCompany" id="MultipleCompany" <?php if($cclass->getMultipleCompany() == "YES") echo 'checked'; ?> /></td>
		</tr>		
				
		<tr>
			<td class="td_normal">&nbsp;Item Category</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<select name="ItemCategoryID" id="ItemCategoryID" style="width:400px" onChange="fetchItemSubcategoryID();showHideTR();"></select>
			</td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Multiple Category?</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="checkbox" class="<?php echo $fcss[2]?>" name="MultipleCategory" id="MultipleCategory" <?php if($cclass->getMultipleCategory() == "YES") echo 'checked'; ?> /></td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Item Subcategory</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<select name="ItemSubcategoryID" id="ItemSubcategoryID" style="width:400px"></select>
			</td>
		</tr>	
				
		<tr>
			<td class="td_normal">&nbsp;Unit</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<div style="float:left;">
					<select name="UnitID" id="UnitID" style="width:200px"></select>
				</div>
				<div style="float:left;">
					&nbsp;Unit detail
					<input type="text" class="input" name="Unit2" id="Unit2" value="<?php echo $cclass->getUnit2('yes')?>" style="width:300px" maxLength="100" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
				</div>
			</td>
		</tr>	
				
		<tr>
			<td class="td_normal">&nbsp;Item Name</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[3]?>" name="ItemName" id="ItemName" value="<?php echo $cclass->getItemName('yes')?>" style="width:400px" maxLength="200" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[3]?>'" /></td>
		</tr>	
		
		<tr>
			<td class="td_normal">&nbsp;Item No</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[4]?>" name="ItemNo" id="ItemNo" value="<?php echo $cclass->getItemNo('no')?>" style="width:80px" maxLength="6" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[4]?>'" /></td>
		</tr>		
				
		<tr>
			<td class="td_normal">&nbsp;Sale Rate</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[4]?>" name="Rate" id="Rate" value="<?php if($cclass->getRate() != 0) echo $cclass->getRate('no')?>" style="width:80px" maxLength="10,2" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[4]?>'" /></td>
		</tr>	
		
		<tr id="tr4" style="display:none">
			<td class="td_normal">&nbsp;Written Down Value</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[12]?>" name="WDV" id="WDV" value="<?php echo $cclass->getWDV('no')?>" style="width:80px" maxLength="10,2" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[12]?>'" /></td>
		</tr>	
				
		<tr id="tr5" style="display:none">
			<td class="td_normal">&nbsp;Written Down Value Date</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input data-toggle="datepicker" type="text" class="<?php echo $fcss[13]?>" name="WDVDate" id="WDVDate" value="<?php echo $cclass->getWDVDate('yes')?>" style="width:80px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[13]?>'" /></td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;HSN</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[13]?>" name="HSN" id="HSN" value="<?php echo $cclass->getHSN('yes')?>" style="width:120px" maxLength="30" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[13]?>'" /></td>
		</tr>	
				
		<tr>
			<td class="td_normal">&nbsp;GST Rate</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<select name="GSTRate" id="GSTRate" style="width:100px;" onChange="chgGST2()">
					<option value="">--</option>
					<?php
						for($i=0;$i<count($gstrate);$i++) {
							$gcls	= $gstrate[$i];
							$tmp	= "";
							if($cclass->getGSTRate() == $gcls->getRate()) $tmp = "selected";
							echo '<option value="'.$gcls->getRate().'" '.$tmp.'>'.$gcls->getRate().'</option>';
						}
					?>
				</select>
			</td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;GST Category</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<select name="GSTCategory" id="GSTCategory" style="width:200px;">
					<option value="">--</option>
					<option value"Finished Product" <?php if($cclass->getGSTCategory() == "Finished Product") echo 'selected';?>>Finished Product</option>
					<option value"Input" <?php if($cclass->getGSTCategory() == "Input") echo 'selected';?>>Input</option>
					<option value"Capital Goods" <?php if($cclass->getGSTCategory() == "Capital Goods") echo 'selected';?>>Capital Goods</option>
					<option value"Component" <?php if($cclass->getGSTCategory() == "Component") echo 'selected';?>>Component</option>
					<option value"Service Product" <?php if($cclass->getGSTCategory() == "Service Product") echo 'selected';?>>Service Product</option>
				</select>
			</td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Nil Rated?</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="checkbox" class="input" name="NilRated" id="NilRated" <?php if($cclass->getNilRated() == "YES") echo 'checked'; ?> onChange="chgGST()" /></td>
		</tr>
		
		<tr>
			<td class="td_normal">&nbsp;Non GST Item?</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="checkbox" class="input" name="NonGST" id="NonGST" <?php if($cclass->getNonGST() == "YES") echo 'checked'; ?> onChange="chgGST()" /></td>
		</tr>		
						
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Create (S) " AccessKey="S" onClick="submitForm('hfrm')" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>	
		
<script language="javaScript">
	
	$(function () {
		$("#ItemCategoryID").select2();
		$("#ItemSubcategoryID").select2();
		$("#UnitID").select2();
		$("#GSTCategory").select2();
		$("#GSTRate").select2();
		fetchItemCategoryID();
		fetchUnitID();
		
		$("#GSTRate").on("change", function (e) {
			chgGST2();
		});		
	});

	
	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});
	
	function fetchItemCategoryID() {
	
    $('#ItemCategoryID').empty();
    $('#ItemCategoryID').append('<option value="0">--</option>');
    var iid		= "<?php echo $cclass->getItemCategoryID()?>";
    
    $.ajax({
			type: "POST",
			url: "json/getItemCategoryList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#ItemCategoryID').append('<option value="' + d.ItemCategoryID + '">' + d.ItemCategoryName + '</option>');
				});
				$("#ItemCategoryID").val(iid).change();
				
			}
    });

	}
	
	function fetchItemSubcategoryID() {
	
		var cid		= 0;
		try {
			cid			= EBD('ItemCategoryID').value;
		} catch (e) {}
		
    $('#ItemSubcategoryID').empty();
    $('#ItemSubcategoryID').append('<option value="0">--</option>');
    var iid		= "<?php echo $cclass->getItemSubcategoryID()?>";
    
    $.ajax({
			type: "POST",
			url: "json/getItemSubcategoryList.php",
			data: {"ItemCategoryID": cid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#ItemSubcategoryID').append('<option value="' + d.ItemSubcategoryID + '">' + d.ItemSubcategoryName + '</option>');
				});
				$("#ItemSubcategoryID").val(iid).change();
				
			}
    });

	}
	
	function fetchUnitID() {
	
    $('#UnitID').empty();
    $('#UnitID').append('<option value="0">--</option>');
    var iid		= "<?php echo $cclass->getUnitID()?>";
    
    $.ajax({
			type: "POST",
			url: "json/getUnitList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#UnitID').append('<option value="' + d.UnitID + '">' + d.UnitName + '</option>');
				});
				$("#UnitID").val(iid).change();
				
			}
    });

	}
	
	function showHideTR() {
		var val	=	$('#ItemCategoryID option:selected').html().toLowerCase();

		if(val.indexOf('fixed') >= 0 || val.indexOf('asset') >= 0) {
			EBD('tr4').style.display	= "table-row";
			EBD('tr5').style.display	= "table-row";			
		} else {
			EBD('tr4').style.display	= "none";
			EBD('tr5').style.display	= "none";				
		}
	}
	
	function chgGST() {
		if($('#NilRated').is(":checked")) {
			$("#GSTRate").val('').change();
		}
		
		if($('#NonGST').is(":checked")) {
			$("#GSTRate").val('').change();
		}		
	}
	
	function chgGST2() {
		if($('#GSTRate').val() != '') {
			$('#NilRated').prop('checked', false);
			$('#NonGST').prop('checked', false);
		}
	}
				
</script>