<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.store.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.stockvoucher.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.purchasedb.php' );
	
	
	$ModuleID			= 21;	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$pdb					= new purchasedb();
	$cclass				= new asys_stock_voucher();
	$itmList			= $mdb->getItemList('', 0, $tcmp->getCompanyID());
	$strList			= $mdb->getStoreList($tcmp->getCompanyID());
	
	if($ldb->getCreatePermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}

	
	$SVoucherID	=	"";
	$StoreID		=	"";
	$ModuleID		=	"";
	$FinYear		=	"";
	$RelatedID	=	"";
	$DOT				=	"";
	$ItemID			=	"";
	$Quantity		=	"";
	$UnitPrice	=	"";
	$StockInOut	=	"";
	$BatchNo		=	"";
	$Narration	=	"";

	$rmsg					=	"";
	$msg					=	"Please enter all the fields correctly.";
	$pagen				=	"";

	$fcss					=	 array();
	for($i=0;$i<12;$i++)
		$fcss[$i]		=	"input";

	extract($_REQUEST);

	if($pagen == "process") {	

		/* Check for valid input */
		if(FormatIndianDateToSQLDate($DOT) == "1900-01-01") {
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Invalid Date";
		}
		
		if(trim($StoreID) == "") {
			if($rmsg!="") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Please select the Store";
		}		

		if(trim($ItemID) == "") {
			if($rmsg!="") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Please select the Item";
		}

		if((double)$Quantity <= 0) {
			if($rmsg!="") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Please enter valid quantity";
		}
		
		$tdf						= $tcmp->getTxnDateFrom();
		$tdt						= $tcmp->getTxnDateTo();
		$txnDate				= FormatIndianDateToSQLDate($DOT);
		if($txnDate < $tdf || $txnDate > $tdt) {
			if($rmsg != "") $rmsg	=	$rmsg.", ";
			$rmsg			=	$rmsg."Transaction date outside allowed date range";			
		}
		
		if($tcmp->getCompanyID() != $mdb->getCompanyIDByTransaction('asys_stores', 'StoreID', $StoreID)) {
			echo 'This data does not belong to the Company selected.';
			echo '<a href="home.php">Click Here</a> to go to Home';
			exit;
		}
		
		if($tcmp->getCompanyID() != $mdb->getCompanyIDByTransaction('gen_items', 'ItemID', $ItemID)) {
			echo 'This data does not belong to the Company selected.';
			echo '<a href="home.php">Click Here</a> to go to Home';
			exit;
		}		
		
		$cclass->setCompanyID($tcmp->getCompanyID());
		$cclass->setStoreID($StoreID);
		$cclass->setModuleID(MANUAL_STOCK_IN);
		$cclass->setFinYear('');
		$cclass->setRelatedID(0);
		$cclass->setDOT($DOT);
		$cclass->setItemID($ItemID);
		$cclass->setQuantity($Quantity);
		$cclass->setUnitPrice($UnitPrice);
		$cclass->setStockInOut(STOCK_IN);
		$cclass->setBatchNo('');
		$cclass->setNarration($Narration);		

		if($rmsg == "") {
			if($pdb->CreateManualStockIN($cclass) > 0) {
				$msg	=	"<font class='blue'>Manual Stock IN created successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setCompanyID($tcmp->getCompanyID());
				$log->setModuleID($ModuleID);
				$log->setRelatedID($cclass->getSVoucherID());				
				$log->setActivity("Added Manual Stock IN - ".$cclass->getSVoucherID());
				$log->setClassName('asys_stock_voucher');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);
				
				$cclass				= new asys_stock_voucher();				
			} else
				$msg	=	"<font class='red'>Fail to save record due to internal Server ERROR, try again later.</font>";
		} else {
			$msg	=	"<font class='red'>Please fill the form properly: ".$rmsg."</font>";
		}

	}

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/select2.css");
	$iPage->addLink("css/modal.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/modal.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/nlbFade.js");

	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);

?>
	<div id="pagehead">&nbsp;CREATE MANUAL STOCK IN</div>
	<div style="height:10px;"></div>
	
	<div style="width:980px;margin:0px auto">
	<form name="hfrm" id="hfrm" method="post" action="">
	<input type="hidden" name="pagen" value="process" />
	<table cellpadding="1" cellspacing="0" border="0" width="980px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3"><td colspan="3" class="td_normal blue bold">
			<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
			<div style="float:right;padding:5px;"><a href="manualStockIN.php"><img src="images/columns.gif" title="View Manual Stock IN List" /></a></div>
		</td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr style="height:2px"><td colspan="3"></td></tr>	
		
		<tr>
			<td class="td_normal">&nbsp;Date</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input data-toggle="datepicker" type="text" class="<?php echo $fcss[5]?>" name="DOT" id="DOT" value="<?php echo $cclass->getDOT('yes')?>" style="width:80px" maxLength="10" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[5]?>'" /></td>
		</tr>		
				
		<tr>
			<td class="td_normal">&nbsp;Store</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd1">
				<select name="StoreID" id="StoreID" style="width:400px">
					<option value="0">--</option>
				<?php	
					for($i=0;$i<count($strList);$i++) {
						$cb	= $strList[$i];
						$tmp	= "";
						if($cclass->getStoreID() == $cb->getStoreID()) $tmp = "selected";
				?>
						<option value="<?php echo $cb->getStoreID()?>" <?php echo $tmp?>><?php echo $cb->getStoreName()?></option>
				<?php } ?>
				</select>
			</td>
		</tr>		
				
		<tr>
			<td class="td_normal">&nbsp;Item</td>
			<td class="td_normal">:</td>
			<td class="td_normal" id="_jsontd6">
				<select name="ItemID" id="ItemID" style="width:400px">
					<option value="0">--</option>
				<?php	
					for($ii=0;$ii<count($itmList);$ii++) {
						$cb	= $itmList[$ii];
						$tmp	= "";
						if($cclass->getItemID() == $cb->getItemID()) $tmp = "selected";
				?>
						<option value="<?php echo $cb->getItemID()?>" <?php echo $tmp?>><?php echo $cb->getItemName()?></option>
				<?php } ?>
				</select>
			</td>
		</tr>	
				
		<tr>
			<td class="td_normal">&nbsp;Quantity</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[7]?>" name="Quantity" id="Quantity" value="<?php echo $cclass->getQuantity('no')?>" style="width:80px" maxLength="10,3" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[7]?>'" /></td>
		</tr>	
				
		<tr>
			<td class="td_normal">&nbsp;Unit Price</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[8]?>" name="UnitPrice" id="UnitPrice" value="<?php echo $cclass->getUnitPrice('no')?>" style="width:80px" maxLength="10,5" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[8]?>'" /></td>
		</tr>	
				
		<tr>
			<td class="td_normal">&nbsp;Narration</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="text" class="<?php echo $fcss[11]?>" name="Narration" id="Narration" value="<?php echo $cclass->getNarration('yes')?>" style="width:500px" maxLength="250" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[11]?>'" /></td>
		</tr>	
						
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Create (S) " AccessKey="S" onClick="submitForm('hfrm')" />
			</td>
		</tr>
	</table>
	</form>
	</div>
	
	<br /><br />

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">	

	$(function () {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		
		$("#ItemID").select2();
		$("#StoreID").select2();
		
	});	

	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});			

</script>