<?php

	/* Include the required files */
	require_once( 'aom-config.php' );
	require_once( 'inc/pagetemplate.php' );
	require_once( 'inc/head.php' );
	require_once( 'inc/topmenu.php' );
	require_once( 'inc/functions.php' );
	require_once( 'dao/asys.user.php' );
	require_once( 'dao/asys.module.php' );
	require_once( 'dao/asys.modulesubmodule.php' );
	require_once( 'dao/asys.modulecolumn.php' );
	require_once( 'dao/asys.modulecolumnevent.php' );
	require_once( 'dao/asys.modulestockconfig.php' );
	require_once( 'dao/asys.modulevoucherconfig.php' );
	require_once( 'dao/asys.moduleview.php' );
	require_once( 'dao/asys.moduleviewsearch.php' );
	require_once( 'dao/asys.moduleviewfield.php' );	
	require_once( 'dao/asys.company.php' );
	require_once( 'dao/asys.genericdb.php' );
	require_once( 'dao/asys.masterdb.php' );
	require_once( 'dao/asys.companydb.php' );
	require_once( 'dao/asys.moduledb.php' );
	require_once( 'dao/asys.log.php' );
	require_once( 'dao/asys.logindb.php' );
	require_once( 'dao/asys.userpermission.php' );	

	$tuser		=	new asys_users();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}	

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$cdb					= new companydb();
	$_mdb					=	new moduledb();
	$cclass				= new asys_modules();
	$viewcls			= new asys_module_views();
	$cmpList			= $cdb->getCompanyList();
	
	if($tuser->getUserStatus() != HIDDEN_USER) {
		echo 'Only System Architect can view this page. <a href="home.php">Click here</a> to go back.';
		exit;
	}
	
	$colDataTypeStr	= '<option value="">--</option><option value="varchar" selected>Varchar</option><option value="text">Text</option><option value="date">Date</option><option value="bigint">Big Int</option><option value="int">Integer</option><option value="smallint">Small Int</option><option value="tinyint">Tiny Int</option><option value="float">Float</option><option value="double">Double</option><option value="decimal">Decimal</option>';
	
	$inputTypeStr	= '<option value="">--</option><option value="text" selected>Text Input</option><option value="select">Drop Down</option><option value="checkbox">Check Box</option><option value="textarea">Text Area</option><option value="file">File Upload</option><option value="date">Date Field</option><option value="html">HTML Box</option><option value="hidden">Hidden Field</option>';
	
	$vchTypeStr	= '<option value="">--</option><option value="CASH_PAYMENT_VOUCHER">Cash Payment</option><option value="BANK_PAYMENT_VOUCHER">Bank Payment</option><option value="CASH_RECEIPT_VOUCHER">Cash Receipt</option><option value="BANK_RECEIPT_VOUCHER">Bank Receipt</option><option value="JOURNAL_VOUCHER">Journal</option>';	
							
			
	$ModuleID		=	"";
	$ModuleName	=	"";
	$MenuText		=	"";
	$ShowInMenu	=	"";
	$CompanyID	=	"";
	$DepartmentID	=	"";
	$ModuleType	=	"";
	$CreationTime	=	"";
	$CreatedBy	=	"";
	$Modifications	=	"";
	$Published	=	"";
	$StockFlow	=	"";
	$AccountVoucher	=	"";

	$colNum				= 1;
	$vchNum				= 0;
	$stkNum				= 0;
	$subNum				= 0;
	$vfldNum			= 0;
	$vsrcNum			= 0;
	
	$colArr				= array();
	$vchArr				= array();
	$stkArr				= array();
	$subArr				= array();
	$vfldArr			= array();
	$vsrcArr			= array();

	$rmsg					=	"";
	$msg					=	"Please enter all the fields correctly.";
	$pagen				=	"";

	$fcss					=	 array();
	for($i=0;$i<15;$i++)
		$fcss[$i]		=	"input";

	extract($_REQUEST);
	
	if($pagen == "process") {
		/* Check for valid input */		

		if(trim($ModuleName) == "") {
			$fcss[1]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Module Name";
		}
		
		if(trim($MenuText) == "") {
			$fcss[2]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Menu Text";
		}		

		if((int)$CompanyID <= 0) {
			$fcss[2]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Company ";
		}

		if(trim($ModuleType) == "") {
			$fcss[4]	=	"err_input";
			if($rmsg != "") $rmsg = $rmsg.",";
			$rmsg	=	$rmsg."Module Type";
		}
		
		if(isset($_REQUEST["ShowInMenu"]))
			$ShowInMenu	= "YES";
		else
			$ShowInMenu	= "NO";

		if(isset($_REQUEST["Published"]))
			$Published	= "YES";
		else
			$Published	= "NO";

		if(isset($_REQUEST["StockFlow"]))
			$StockFlow	= "YES";
		else
			$StockFlow	= "NO";

		if(isset($_REQUEST["AccountVoucher"]))
			$AccountVoucher	= "YES";
		else
			$AccountVoucher	= "NO"; 


		$cclass->setModuleID($gdb->getNextID("asys_modules","ModuleID"));
		$cclass->setModuleName($ModuleName);
		$cclass->setMenuText($MenuText);
		$cclass->setShowInMenu($ShowInMenu);
		$cclass->setCompanyID($CompanyID);
		$cclass->setDepartmentID($DepartmentID);
		$cclass->setModuleType($ModuleType);
		$cclass->setCreationTime($CreationTime);
		$cclass->setCreatedBy($CreatedBy);
		$cclass->setModifications($Modifications);
		$cclass->setPublished($Published);
		$cclass->setStockFlow($StockFlow);
		$cclass->setAccountVoucher($AccountVoucher);
		//$cclass->setTableName("gen_module".);
		
		for($i=1;$i<=$colNum;$i++) {
			if(trim($_REQUEST["ColumnName$i"]) != "") {
			
				if(isset($_REQUEST["IsMandatory$i"]))
					$IsMandatory	= "YES";
				else
					$IsMandatory	= "NO";

				if(isset($_REQUEST["Incremental$i"]))
					$Incremental	= "YES";
				else
					$Incremental	= "NO";

				if(isset($_REQUEST["SetFinancialYear$i"]))
					$SetFinancialYear	= "YES";
				else
					$SetFinancialYear	= "NO";

				if(isset($_REQUEST["SetMaxFYBasis$i"]))
					$SetMaxFYBasis	= "YES";
				else
					$SetMaxFYBasis	= "NO";

				if(isset($_REQUEST["DisplayInForm$i"]))
					$DisplayInForm	= "YES";
				else
					$DisplayInForm	= "NO";
					
				if(isset($_REQUEST["PrimaryKey$i"]))
					$PrimaryKey	= "YES";
				else
					$PrimaryKey	= "NO";

				if(isset($_REQUEST["UniqueKey$i"]))
					$UniqueKey	= "YES";
				else
					$UniqueKey	= "NO";
					
				if(isset($_REQUEST["DBField$i"]))
					$DBField	= "YES";
				else
					$DBField	= "NO";
					
				if(isset($_REQUEST["MainSubCombo$i"]))
					$MainSubCombo	= "YES";
				else
					$MainSubCombo	= "NO";					
					
				$cdt				= $_REQUEST["ColumnDataType$i"];
				$clen				= $_REQUEST["ColumnLength$i"];
				$ilen				= $_REQUEST["InputLength$i"];
				if($cdt == "varchar") {
					if((int)$clen == 0) {
						$clen		= 100;
					}
				} else if($cdt == "bigint") {
					$clen			= 20;
					$ilen			= 80;
				} else if($cdt == "int") {
					$clen			= 11;
					$ilen			= 80;
				} else if($cdt == "smallint") {
					$clen			= 6;
					$ilen			= 80;
				} else if($cdt == "tinyint") {
					$clen			= 4;
					$ilen			= 80;
				} else if($cdt == "text" || $cdt == "date" || $cdt == "float" || $cdt == "double") {
					$clen			= 0;
					if($cdt != "text") $ilen	= 80;
				} else if($cdt == "decimal") {
					$ilen			= 80;
					if($clen == "") {
						$clen		= "10,2";
					} else {
						$pos	= strpos($clen, ",");
						if($pos === false) {
							if( (int)$clen < 10 )
								$clen	= "10,2";
							else
								$clen		= (int)$clen.",2";
						} else {
							$p1		= (int)substr($clen, 0, $pos);
							$p2		= (int)substr($clen, $pos + 1);
							if($p1 < 10) $p1 = 10;
							if($p2 < 2) $p2 = 2;
							$clen		= $p1.",".$p2;
						}
					}
				}
			
				$ccls				= new asys_module_columns();
				$ccls->setModuleID(0);
				$ccls->setColumnName($_REQUEST["ColumnName$i"]);
				$ccls->setColumnLabel($_REQUEST["ColumnLabel$i"]);
				$ccls->setColumnDataType($cdt);
				$ccls->setColumnLength($clen);
				$ccls->setInputType($_REQUEST["InputType$i"]);
				$ccls->setInputLength($ilen);
				$ccls->setSelectValues($_REQUEST["SelectValues$i"]);
				$ccls->setIsMandatory($IsMandatory);
				$ccls->setRelatedTable($_REQUEST["RelatedTable$i"]);
				if(isset($_REQUEST["ValueField$i"]))
					$ccls->setValueField($_REQUEST["ValueField$i"]);
				if(isset($_REQUEST["DisplayFields$i"]))
					$ccls->setDisplayFields($_REQUEST["DisplayFields$i"]);
				$ccls->setDataFetchSQL('');
				$ccls->setIncremental($Incremental);
				$ccls->setSetFinancialYear($SetFinancialYear);
				$ccls->setFYDateField($_REQUEST["FYDateField$i"]);
				$ccls->setSetMaxFYBasis($SetMaxFYBasis);
				$ccls->setSerialNo(0);
				$ccls->setDisplayInForm($DisplayInForm);
				$ccls->setPrimaryKey($PrimaryKey);
				$ccls->setUniqueKey($UniqueKey);
				$ccls->setDBField($DBField);
				$ccls->setMainSubCombo($MainSubCombo);
			
				$colArr[]		= $ccls;
			}
		}
		$cclass->setColumnList($colArr);
		
		if($AccountVoucher == "YES") {
			for($i=1;$i<=$vchNum;$i++) {
				if(trim($_REQUEST["VoucherType$i"]) != "") {
				
					if(isset($_REQUEST["RunTimeCreditAccount$i"]))
						$RunTimeCreditAccount	= "YES";
					else
						$RunTimeCreditAccount	= "NO";

					if(isset($_REQUEST["RunTimeDebitAccount$i"]))
						$RunTimeDebitAccount	= "YES";
					else
						$RunTimeDebitAccount	= "NO";				
				
					$vcls				= new asys_module_voucher_config();
					$vcls->setModuleID(0);
					$vcls->setVoucherConfigID(0);
					$vcls->setVoucherType($_REQUEST["VoucherType$i"]);
					$vcls->setDateField($_REQUEST["DateField$i"]);
					$vcls->setAmountField($_REQUEST["AmountField$i"]);
					$vcls->setCreditMotherAccount($_REQUEST["CreditMotherAccount$i"]);
					$vcls->setCreditAccount($_REQUEST["CreditAccount$i"]);
					$vcls->setRunTimeCreditAccount($RunTimeCreditAccount);
					$vcls->setCrColumnName($_REQUEST["CrColumnName$i"]);
					$vcls->setDebitMotherAccount($_REQUEST["DebitMotherAccount$i"]);
					$vcls->setDebitAccount($_REQUEST["DebitAccount$i"]);
					$vcls->setRunTimeDebitAccount($RunTimeDebitAccount);
					$vcls->setDrColumnName($_REQUEST["DrColumnName$i"]);
					$vcls->setEntryCondition($_REQUEST["EntryCondition$i"]);
				
					$vchArr[]		= $vcls;
				}
			}
		}
		$cclass->setVoucherConfigList($vchArr);
		
		if($StockFlow == "YES") {
			for($i=1;$i<=$stkNum;$i++) {
				if(trim($_REQUEST["ItemField$i"]) != "") {
				
					if(isset($_REQUEST["RunTimeStockIN$i"]))
						$RunTimeStockIN	= "YES";
					else
						$RunTimeStockIN	= "NO";

					if(isset($_REQUEST["RunTimeStockOUT$i"]))
						$RunTimeStockOUT	= "YES";
					else
						$RunTimeStockOUT	= "NO";				
				
					$scls				= new asys_module_stock_config();
					$scls->setModuleID(0);
					$scls->setStockConfigID(0);
					$scls->setItemField($_REQUEST["ItemField$i"]);
					$scls->setQuantityField($_REQUEST["QuantityField$i"]);
					$scls->setStoreIN($_REQUEST["StoreIN$i"]);
					$scls->setRunTimeStockIN($RunTimeStockIN);
					$scls->setInColumnName($_REQUEST["InColumnName$i"]);
					$scls->setStoreOUT($_REQUEST["StoreOUT$i"]);
					$scls->setRunTimeStockOUT($RunTimeStockOUT);
					$scls->setOutColumnName($_REQUEST["OutColumnName$i"]);
				
					$stkArr[]		= $scls;
				}
			}			
		}
		$cclass->setStockConfigList($stkArr);
		
		for($i=1;$i<=$subNum;$i++) {
			if((int)($_REQUEST["SubmoduleID$i"]) != 0) {
				
				if(isset($_REQUEST["MultipleRow$i"]))
					$MultipleRow	= "YES";
				else
					$MultipleRow	= "NO";
					
				$scls				= new asys_module_submodules();
				$scls->setModuleID(0);
				$scls->setSubmoduleID($_REQUEST["SubmoduleID$i"]);
				$scls->setMultipleRow($MultipleRow);

				$subArr[]		= $scls;
			}
		}
		$cclass->setSubmoduleList($subArr);
		
		
		/* View class */
		
		$TableHeight	=	"";
		$TableWidth	=	"";
		$NoR	=	"";
		$PageHeading	=	"";
		$IncludeFiles	=	"";
		$SortColumn1	=	"";
		$SortColumn2	=	"";
		$MEdit	=	"";
		$MDelete	=	"";
		$MView	=	"";
		$MPrint	=	"";
		
		if(isset($_REQUEST["vMEdit"]))
			$MEdit	= "YES";
		else
			$MEdit	= "NO";

		if(isset($_REQUEST["vMDelete"]))
			$MDelete	= "YES";
		else
			$MDelete	= "NO";

		if(isset($_REQUEST["vMView"]))
			$MView	= "YES";
		else
			$MView	= "NO";

		if(isset($_REQUEST["vMPrint"]))
			$MPrint	= "YES";
		else
			$MPrint	= "NO";
			
		$viewcls->setModuleID(0);
		$viewcls->setTableHeight($vTableHeight);
		$viewcls->setTableWidth($vTableWidth);
		$viewcls->setNoR($vNoR);
		$viewcls->setPageHeading($vPageHeading);
		//$viewcls->setIncludeFiles($vIncludeFiles);
		$viewcls->setSortColumn1($vSortColumn1);
		$viewcls->setSortColumn2($vSortColumn2);
		$viewcls->setMEdit($MEdit);
		$viewcls->setMDelete($MDelete);
		$viewcls->setMView($MView);
		$viewcls->setMPrint($MPrint);
		
		for($i=1;$i<=$vfldNum;$i++) {
			if($_REQUEST["vfColumnName$i"] != "") {
			
				if(isset($_REQUEST["vfSortable$i"]))
					$vfSortable	= "YES";
				else
					$vfSortable	= "NO";
					
				if(isset($_REQUEST["vfAutoExpand$i"]))
					$vfAutoExpand	= "YES";
				else
					$vfAutoExpand	= "NO";					
				
				$fcls		= new asys_module_view_fields();
				$fcls->setModuleID(0);
				$fcls->setColumnName($_REQUEST["vfColumnName$i"]);
				$fcls->setCWidth($_REQUEST["vfCWidth$i"]);
				$fcls->setCAlign($_REQUEST["vfCAlign$i"]);
				$fcls->setSortable($vfSortable);
				$fcls->setAutoExpand($vfAutoExpand);
			
				$vfldArr[]		= $fcls;
			}
		}
		$viewcls->setFieldList($vfldArr);
		
		for($i=1;$i<=$vsrcNum;$i++) {
			if($_REQUEST["vsColumnName$i"] != "") {
					
				$scls				= new asys_module_view_search();
				$scls->setModuleID(0);
				$scls->setColumnName($_REQUEST["vsColumnName$i"]);
				$scls->setSearchCondition($_REQUEST["vsSearchCondition$i"]);
				$scls->setSearchData($_REQUEST["vsSearchData$i"]);
				/*$scls->setSeachValues($_REQUEST["vsSeachValues$i"]);
				$scls->setTableName($_REQUEST["vsTableName$i"]);
				$scls->setTableMatchingColumn($_REQUEST["vsTableMatchingColumn$i"]);
				$scls->setJoinType($_REQUEST["vsJoinType$i"]);
				$scls->setDisplayColumn($_REQUEST["vsDisplayColumn$i"]);
				$scls->setColumnNames($_REQUEST["vsColumnNames$i"]);
				$scls->setConcatSeperator($_REQUEST["vsConcatSeperator$i"]);*/
			
				$vsrcArr[]		= $scls;
			}
		}
		$viewcls->setSearchList($vsrcArr);		
			

		if($rmsg == "") {
			if($_mdb->createModule($cclass, $viewcls)) {
				$msg	=	"<font class='blue'>Module #".$cclass->getModuleID()." created successfully</font>";
				$log	=	new asys_user_log();
				$log->setLogID($gdb->getNextID("asys_user_log", "LogID"));
				$log->setUserID($tuser->getUserID());
				$log->setModuleID(-3);
				$log->setRelatedID($cclass->getModuleID());
				$log->setActivity("Added new Module - ".$ModuleName);
				$log->setClassName('asys_modules');
				$log->setModuleSnapshot(serialize($cclass));
				$gdb->SaveObjectToDB($log);	
				
				header("Location:userRoleModule.php?mid=".$cclass->getModuleID());
				exit;
				
			} else {
				$msg	=	"<font class='red'>Module ID/Name already exist, try with a different ID/Name</font>";
			}
		} else {
			$msg	=	"<font class='red'>The following fields are mandatory: ".$rmsg."</font>";
		}
	}

	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/select2.css");
	$iPage->addLink("css/modal.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/select2.js");
	$iPage->addScript("js/modal.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/nlbFade.js");
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser);	
	
?>	

	<?php include('inc/menuHome.php')?>

	<div id="pagehead">&nbsp;CREATE NEW MODULE</div>
	<div style="height:10px;"></div>
	
	<div style="width:1080px;margin:0px auto">
	
	<form name="hfrm" id="hfrm" method="post" action="">
	
	<input type="hidden" name="pagen" value="process" />
	<input type="hidden" name="colNum" id="colNum" value="<?php echo $colNum?>" />
	<input type="hidden" name="vchNum" id="vchNum" value="<?php echo $vchNum?>" />
	<input type="hidden" name="stkNum" id="stkNum" value="<?php echo $stkNum?>" />
	<input type="hidden" name="subNum" id="subNum" value="<?php echo $subNum?>" />
	<input type="hidden" name="vfldNum" id="vfldNum" value="<?php echo $vfldNum?>" />
	<input type="hidden" name="vsrcNum" id="vsrcNum" value="<?php echo $vsrcNum?>" />
	
	<table cellpadding="1" cellspacing="0" border="0" width="1080px" align="center" bgcolor="#ffffff">
		<tr bgcolor="#D6E3F3">
			<td colspan="3" class="td_normal blue bold">
				<div id="dhead" style="float:left;width:900px;padding:5px;"><?php echo $msg?></div>
				<div style="float:right;padding:5px;"><a href="viewModule.php"><img src="images/columns.gif" title="View Module List" /></a></div>
			</td>
		</tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal" style="width:200px;">&nbsp;Module ID</td>
			<td class="td_normal" style="width:10px;">:</td>
			<td class="td_normal"><input type="text" class="invisible_text" name="ModuleID" id="ModuleID" value="<?php echo $gdb->getNextID('asys_modules','ModuleID') ?>" style="width:80px" readOnly="true" /></td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
				
		<tr>
			<td class="td_normal">&nbsp;Module Name</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<input type="text" class="<?php echo $fcss[1]?>" name="ModuleName" id="ModuleName" value="<?php echo $cclass->getModuleName('yes')?>" style="width:400px" maxLength="250" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[1]?>'" />
				
				&nbsp;Menu Text
				<input type="text" class="<?php echo $fcss[2]?>" name="MenuText" id="MenuText" value="<?php echo $cclass->getMenuText('yes')?>" style="width:200px" maxLength="30" onFocus="this.className='input_focus'" onBlur="this.className='<?php echo $fcss[2]?>'" />
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal">&nbsp;Company</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<select name="CompanyID" id="CompanyID" style="width:400px" class="select">
					<option value="">--</option>
					<?php
						for($i=0; $i<count($cmpList); $i++) {
							$cls	= $cmpList[$i];
							$tmp	= "";
							if($cls->getCompanyID() == $cclass->getCompanyID()) $tmp = "selected";
							echo '<option value="'.$cls->getCompanyID().'" "'.$tmp.'" >'.$cls->getCompanyName().'</option>';
						}
					?>
				</select>
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
				
		<tr>
			<td class="td_normal">&nbsp;Module Type</td>
			<td class="td_normal">:</td>
			<td class="td_normal">
				<select name="ModuleType" id="ModuleType" class="select" onChange="chgMType('mt')">
					<option value="">-Select-</option>
					<option value="Master" <?php  if($cclass->getModuleType('yes') == "Master") echo 'selected' ?>>Master</option>
					<option value="Transaction" <?php  if($cclass->getModuleType('yes') == "Transaction") echo 'selected' ?>>Transaction</option>
					<option value="Report" <?php  if($cclass->getModuleType('yes') == "Report") echo 'selected' ?>>Report</option>
					<option value="Submodule" <?php  if($cclass->getModuleType('yes') == "Submodule") echo 'selected' ?>>Submodule</option>
				</select>
				
				&nbsp;Show In Menu?
				<input type="checkbox" class="<?php echo $fcss[3]?>" name="ShowInMenu" id="ShowInMenu" <?php if($cclass->getShowInMenu() == "YES") echo 'checked'; ?> onChange="chgMType('ckbox')" />
				
				<!--&nbsp;Publish the module?
				<input type="checkbox" class="<?php echo $fcss[10]?>" name="Published" id="Published" <?php if($cclass->getPublished() == "YES") echo 'checked'; ?> /> -->
			</td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
					
		<tr id="trSF" style="display:none;">
			<td class="td_normal">&nbsp;Module have Stock Flow?</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="checkbox" class="<?php echo $fcss[11]?>" name="StockFlow" id="StockFlow" <?php if($cclass->getStockFlow() == "YES") echo 'checked'; ?> /></td>
		</tr>
		<tr id="trSFH" style="height:4px;display:none;"><td colspan="3"></td></tr>
					
		<tr id="trVE" style="display:none;">
			<td class="td_normal">&nbsp;Module have Voucher entry?</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="checkbox" class="<?php echo $fcss[12]?>" name="AccountVoucher" id="AccountVoucher" <?php if($cclass->getAccountVoucher() == "YES") echo 'checked'; ?> /></td>
		</tr>
		<tr id="trVEH" style="height:4px;display:none;"><td colspan="3"></td></tr>
		
		<tr>
			<td class="td_normal">&nbsp;Number of Fields/Entities</td>
			<td class="td_normal">:</td>
			<td class="td_normal"><input type="textbox" class="input" style="width:30px;" maxLength="2" name="NoC" id="NoC" onChange="chgCols()" onFocus="this.className='input_focus'" onBlur="this.className='input'" /></td>
		</tr>
		<tr style="height:4px"><td colspan="3"></td></tr>
		
		<tr style="height:5px" bgcolor="#FFFFFF"><td colspan="3"></td></tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" class="td_normal_large bold red">
			&nbsp;DB Columns/Business entities (Create/Edit form control) 
			<input type="button" class="plus_button" id="cbtnAS1" value="" onClick="caddRow()" />
			<input type="button" class="minus_button" value="" onClick="cdelRow()" />
			<input type="button" class="red_button" value="Refresh" onClick="fetchDateColumn()" />
			</td>
		</tr>
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
	
	<tr>
		<td colspan="3">
	
	<!-- Column/Field entries starts here -->
	<div id="colDiv" style="width:1080px;height:300px;overflow:auto;">
	
	<table border="0" cellpadding="0" cellspacing="0" width="1370" bgcolor="#cccccc">
		<tr class="table_head2">
			<td width="50px" style="padding:2px;border-right:#ddd 1px solid;">
				SN
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Column Name
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Label
			</td>				
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Data Type
			</td>
			<td width="50px" style="padding:2px;border-right:#ddd 1px solid;">
				Length
			</td>					
			<td width="110px" style="padding:2px;border-right:#ddd 1px solid;">
				Input type
			</td>
			<td width="50px" style="padding:2px;border-right:#ddd 1px solid;">
				Length
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Select Values
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Related Module
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Value Field
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Display Fields
			</td>
			<td width="50px" style="padding:2px;border-right:#ddd 1px solid;">
				Inc?
			</td>				
			<td width="50px" style="padding:2px;border-right:#ddd 1px solid;">
				FY?
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				FY Date Field
			</td>
			<td width="50px" style="padding:2px;border-right:#ddd 1px solid;">
				Max?
			</td>
			<td width="50px" style="padding:2px;border-right:#ddd 1px solid;">
				Disp?
			</td>
			<td width="50px" style="padding:2px;border-right:#ddd 1px solid;">
				Req?
			</td>
			<td width="30px" style="padding:2px;border-right:#ddd 1px solid;">
				PK?
			</td>
			<td width="30px" style="padding:2px;border-right:#ddd 1px solid;">
				UK?
			</td>
		</tr>
	</table>

	<table border="0" cellpadding="0" cellspacing="0" width="1370" id="colTbl">
		<tr bgcolor="#FFFFFF">
			<td width="50px" style="padding:2px;">
				<input type="button" class="orange_button" style="width:25px;" value="1" onClick="clrColumn(1)" id="msn1" />
			</td>
			<td width="100px" style="padding:2px;">
				<input type="text" class="input" name="ColumnName1" id="ColumnName1" value="" style="width:70px" maxLength="50" onFocus="this.className='input_focus'" onBlur="this.className='input'" title="DB Column/Business Entity Name" />
			</td>
			<td width="100px" style="padding:2px;">
				<input type="text" class="input" name="ColumnLabel1" id="ColumnLabel1" value="" style="width:70px" maxLength="200" onFocus="this.className='input_focus'" onBlur="this.className='input'" title="Lable to be displayed in Entry/Edit form" />
			</td>				
			<td width="100px" style="padding:2px;">
				<select name="ColumnDataType1" id="ColumnDataType1" class="selectSmall" title="DB Data Type for this Column">
					<?php echo $colDataTypeStr?>
				</select>
			</td>
			<td width="50px" style="padding:2px;">
				<input type="text" class="input" name="ColumnLength1" id="ColumnLength1" value="" style="width:35px" maxLength="6" onFocus="this.className='input_focus'" onBlur="this.className='input'" title="If DB Data Type is Varchar then enter length here" />
			</td>
			<td width="110px" style="padding:2px;">
				<select name="InputType1" id="InputType1" class="selectSmall" title="Entry/Edit form entry type">
					<?php echo $inputTypeStr?>
				</select>
			</td>
			<td width="50px" style="padding:2px;">
				<input type="text" class="input" name="InputLength1" id="InputLength1" value="" style="width:35px" maxLength="6" onFocus="this.className='input_focus'" onBlur="this.className='input'" title="In case the Input form type is text then how long it will be? For Text Area input Width,Height" />
			</td>
			<td width="100px" style="padding:2px;">
				<input type="text" class="input" name="SelectValues1" id="SelectValues1" value="" style="width:70px" onFocus="this.className='input_focus'" onBlur="this.className='input'" title="In case input type is Drop Down, enter values here seperated by comma. In case input type is File, enter allowable file extensions here" />
			</td>
			<td width="100px" style="padding:2px;" id="_jsontdc31">
				<select name="RelatedTable1" id="RelatedTable1" style="width:70px"></select>
			</td>
			<td width="100px" style="padding:2px;">
				<select name="ValueField1" id="ValueField1" style="width:70px"></select>
			</td>
			<td width="100px" style="padding:2px;">
				<select name="DisplayFields1" id="DisplayFields1" style="width:70px"></select>
			</td>
			<td width="50px" style="padding:2px;">
				<input type="checkbox" class="input" name="Incremental1" id="Incremental1" title="If this column/field to be incremented in DB" />
			</td>				
			<td width="50px" style="padding:2px;">
				<input type="checkbox" class="input" name="SetFinancialYear1" id="SetFinancialYear1" title="Set Financial Year (like 2016-2017) for this field" />
			</td>
			<td width="100px" style="padding:2px;" id="_jsontdc61">
				<input type="text" class="input" name="FYDateField1" id="FYDateField1" value="" style="width:70px" maxLength="50" title="Set Financial Year on basis of Date Field" />
			</td>
			<td width="50px" style="padding:2px;">
				<input type="checkbox" class="input" name="SetMaxFYBasis1" id="SetMaxFYBasis1" title="Set Max value Financial Year wise" />
			</td>
			<td width="50px" style="padding:2px;">
				<input type="checkbox" class="input" name="DisplayInForm1" id="DisplayInForm1" checked=true title="Display this field/column in entry form" />
			</td>
			<td width="50px" style="padding:2px;">
				<input type="checkbox" class="input" name="IsMandatory1" id="IsMandatory1" title="Is this field/column mandatory in input forms" />
			</td>	
			<td width="30px" style="padding:2px;" align="center">
				<input type="checkbox" class="input" name="PrimaryKey1" id="PrimaryKey1" title="Is this column Primary Key" />
			</td>
			<td width="30px" style="padding:2px;" align="center">
				<input type="checkbox" class="input" name="UniqueKey1" id="UniqueKey1" title="Is this column Unique Key" />
			</td>
		</tr>		

	</table>
	
	</div>
	
		</td>
	</tr>
	<!-- Column/Field entries ends here -->
	
	
	<tr style="height:5px" bgcolor="#FFFFFF"><td colspan="3"></td></tr>
	<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
	<tr bgcolor="#D6E3F3">
		<td colspan="3" class="td_normal_large bold red">
			&nbsp;Account Voucher config entries (Financial Control) 
			<input type="button" class="plus_button" id="vbtnAS1" value="" onClick="vaddRow()" />
			<input type="button" class="minus_button" value="" onClick="vdelRow()" />
		</td>
	</tr>
	<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
	
	<tr>
		<td colspan="3">

	<!-- Voucher config entry starts here -->
	<div id="vchDiv" style="width:1080px;height:100px;overflow:auto;">
	
	<table border="0" cellpadding="0" cellspacing="0" width="1290" bgcolor="#cccccc">
		<tr class="table_head2">
			<td width="50px" style="padding:2px;border-right:#ddd 1px solid;">
				SN
			</td>
			<td width="120px" style="padding:2px;border-right:#ddd 1px solid;">
				Voucher Type
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Date Field
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Amount Field
			</td>
			<td width="150px" style="padding:2px;border-right:#ddd 1px solid;">
				Credit Mother Account
			</td>
			<td width="150px" style="padding:2px;border-right:#ddd 1px solid;">
				Credit Account
			</td>
			<td width="60px" style="padding:2px;border-right:#ddd 1px solid;">
				Run Time
			</td>			
			<td width="150px" style="padding:2px;border-right:#ddd 1px solid;">
				Debit Mother Account
			</td>
			<td width="150px" style="padding:2px;border-right:#ddd 1px solid;">
				Debit Account
			</td>
			<td width="60px" style="padding:2px;border-right:#ddd 1px solid;">
				Run Time
			</td>			
			<td width="200px" style="padding:2px;border-right:#ddd 1px solid;">
				Entry Condition
			</td>
		</tr>
	</table>
	
	<table border="0" cellpadding="0" cellspacing="0" width="1290" id="vchTbl">

	</table>	
	
	</div>
	
		</td>
	</tr>	
	<!-- Voucher config entry ends here -->
	
	
	
	<tr style="height:5px" bgcolor="#FFFFFF"><td colspan="3"></td></tr>
	<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
	<tr bgcolor="#D6E3F3">
		<td colspan="3" class="td_normal_large bold red">
			&nbsp;Stock config entries (Inventory Control) 
			<input type="button" class="plus_button" onClick="saddRow()" />
			<input type="button" class="minus_button" onClick="sdelRow()" />
		</td>
	</tr>
	<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
	
	<tr>
		<td colspan="3">

	<!-- Stock config entry starts here -->
	<div id="stkDiv" style="width:1080px;height:100px;overflow:auto;">
	
	<table border="0" cellpadding="0" cellspacing="0" width="1070" bgcolor="#cccccc">
		<tr class="table_head2">
			<td width="50px" style="padding:2px;border-right:#ddd 1px solid;">
				SN
			</td>
			<td width="200px" style="padding:2px;border-right:#ddd 1px solid;">
				Item Field
			</td>
			<td width="200px" style="padding:2px;border-right:#ddd 1px solid;">
				Quantity Field
			</td>
			<td width="250px" style="padding:2px;border-right:#ddd 1px solid;">
				Stock IN
			</td>
			<td width="60px" style="padding:2px;border-right:#ddd 1px solid;">
				Run Time
			</td>			
			<td width="250px" style="padding:2px;border-right:#ddd 1px solid;">
				Stock OUT
			</td>
			<td width="60px" style="padding:2px;border-right:#ddd 1px solid;">
				Run Time
			</td>
		</tr>
	</table>
	
	<table border="0" cellpadding="0" cellspacing="0" width="1070" id="stkTbl">

	</table>	
	
	</div>
	
		</td>
	</tr>
	<!-- Stock config entry ends here -->
	
	
		
	<tr style="height:5px" bgcolor="#FFFFFF"><td colspan="3"></td></tr>
	<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
	<tr bgcolor="#D6E3F3">
		<td colspan="3" class="td_normal_large bold red">
			&nbsp;Submodule entries (Transaction Control) 
			<input type="button" class="plus_button" onClick="maddRow()" />
			<input type="button" class="minus_button" onClick="mdelRow()" />
		</td>
	</tr>
	<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
	

	<tr>
		<td colspan="3">

	<!-- Submodule entry starts here -->
	<div id="smodDiv" style="width:1080px;height:100px;overflow:auto;">
	
	<table border="0" cellpadding="0" cellspacing="0" width="600" bgcolor="#cccccc">
		<tr class="table_head2">
			<td width="50px" style="padding:2px;border-right:#ddd 1px solid;">
				SN
			</td>
			<td width="450px" style="padding:2px;border-right:#ddd 1px solid;">
				Select Module
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Multiple Rows?
			</td>
		</tr>
	</table>
	
	<table border="0" cellpadding="0" cellspacing="0" width="550" id="smodTbl">

	</table>	
	
	</div>
		</td>
	</tr>
	<!-- Submodule entry ends here -->
	
	
	
	<tr style="height:5px" bgcolor="#FFFFFF"><td colspan="3"></td></tr>
	<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
	<tr bgcolor="#D6E3F3">
		<td colspan="3" class="td_normal_large bold red">
			&nbsp;View/Search Page control
			<input type="button" class="red_button" value="Refresh" onClick="fetchSortColumn()" />
		</td>
	</tr>
	<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
	
	
	<tr>
		<td colspan="3">
	
		<table cellpadding="2" cellspacing="0" border="0" width="1080px" align="center" bgcolor="#ffffff">
			<tr style="height:5px" bgcolor="#FFFFFF"><td colspan="3"></td></tr>
			<tr>
				<td class="td_normal">&nbsp;Table Height</td>
				<td class="td_normal">:</td>
				<td class="td_normal">
					<input type="text" class="input" name="vTableHeight" id="vTableHeight" value="730" style="width:50px" maxLength="3" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
				
					&nbsp;Table Width
					<input type="text" class="input" name="vTableWidth" id="vTableWidth" value="980" style="width:50px" maxLength="4" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
				
					&nbsp;Rows/page
					<input type="text" class="input" name="vNoR" id="vNoR" value="25" style="width:50px" maxLength="2" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
				</td>
			</tr>
			<tr style="height:4px"><td colspan="3"></td></tr>
				
			<tr>
				<td class="td_normal">&nbsp;Page Heading</td>
				<td class="td_normal">:</td>
				<td class="td_normal"><input type="text" class="input" name="vPageHeading" id="vPageHeading" value="" style="width:600px" maxLength="300" onFocus="this.className='input_focus'" onBlur="this.className='input'" /></td>
			</tr>
			<tr style="height:4px"><td colspan="3"></td></tr>
				
			<tr>
				<td class="td_normal">&nbsp;Sort Columns</td>
				<td class="td_normal">:</td>
				<td class="td_normal">
					<div style="float:left;" id="_vdivSort1">
						<input type="text" class="input" name="vSortColumn1" id="vSortColumn1" value="" style="width:200px" maxLength="100" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
					</div>
					<div style="float:left;">&nbsp;</div>
					<div style="float:left;" id="_vdivSort2">
						<input type="text" class="input" name="vSortColumn2" id="vSortColumn2" value="" style="width:200px" maxLength="100" onFocus="this.className='input_focus'" onBlur="this.className='input'" />
					</div>
				</td>
			</tr>
			<tr style="height:4px"><td colspan="3"></td></tr>
				
			<tr>
				<td class="td_normal">&nbsp;Display Setting</td>
				<td class="td_normal">:</td>
				<td class="td_normal">
					&nbsp;Print&nbsp;
					<input type="checkbox" class="input" name="vMPrint" id="vMPrint" />
					&nbsp;View&nbsp;
					<input type="checkbox" class="input" name="vMView" id="vMView" />
					&nbsp;Edit&nbsp;
					<input type="checkbox" class="input" name="vMEdit" id="vMEdit" />
					&nbsp;Delete&nbsp;
					<input type="checkbox" class="input" name="vMDelete" id="vMDelete" />
				</td>
			</tr>
			<tr style="height:4px"><td colspan="3"></td></tr>
		</table>
		
		</td>
	</tr>

	
	<tr style="height:5px" bgcolor="#FFFFFF"><td colspan="3"></td></tr>
	<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
	<tr bgcolor="#D6E3F3">
		<td colspan="3" class="td_normal_large bold red">
			&nbsp;Fields to display in view page
			<input type="button" class="plus_button" onClick="vfldaddRow()" />
			<input type="button" class="minus_button" onClick="vflddelRow()" />				
			<input type="button" class="red_button" value="Refresh" onClick="fetchVField()" />
		</td>
	</tr>
	<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>

	<tr>
		<td colspan="3">	
	
	<table border="0" cellpadding="0" cellspacing="0" width="850" bgcolor="#cccccc">
		<tr class="table_head2">
			<td width="50px" style="padding:2px;border-right:#ddd 1px solid;">
				SN
			</td>
			<td width="400px" style="padding:2px;border-right:#ddd 1px solid;">
				Column/Field
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Width
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Align
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Sortable?
			</td>
			<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
				Expand?
			</td>						
		</tr>
	</table>	
	
	<table border="0" cellpadding="0" cellspacing="0" width="850" id="vfldTbl">

	</table>
	
		</td>
	</tr>
	
	
	<tr style="height:5px" bgcolor="#FFFFFF"><td colspan="3"></td></tr>
	<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
	<tr bgcolor="#D6E3F3">
		<td colspan="3" class="td_normal_large bold red">
			&nbsp;Search filters in view page
			<input type="button" class="plus_button" onClick="vsrcaddRow()" />
			<input type="button" class="minus_button" onClick="vsrcdelRow()" />				
			<input type="button" class="red_button" value="Refresh" onClick="fetchVSField()" />
		</td>
	</tr>
	<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
	
	
	<tr>
		<td colspan="3">
	
			<table border="0" cellpadding="0" cellspacing="0" width="850" bgcolor="#cccccc">
				<tr class="table_head2">
					<td width="50px" style="padding:2px;border-right:#ddd 1px solid;">
						SN
					</td>
					<td width="400px" style="padding:2px;border-right:#ddd 1px solid;">
						Column/Field
					</td>
					<td width="100px" style="padding:2px;border-right:#ddd 1px solid;">
						Search Condition
					</td>
					<td width="300px" style="padding:2px;border-right:#ddd 1px solid;">
						Default value
					</td>						
				</tr>
			</table>	
	
			<table border="0" cellpadding="0" cellspacing="0" width="850" id="vsrcTbl">

			</table>
	
		</td>
	</tr>			
	
	
						
		<tr style="height:1px" bgcolor="#99BBE8"><td colspan="3"></td></tr>
		<tr bgcolor="#D6E3F3">
			<td colspan="3" align="center">
				<input type="button" id="btnS" class="red_button" value=" Create (S) " AccessKey="S" onClick="saveRec()" />
			</td>
		</tr>
	</table>
	
	</form>
	</div>
	
	<br /><br />
	
<?php
	$iPage->endBody();
	$iPage->endPage();
?>	
		
<script language="javaScript">	

	var colnum		= EBD('colNum').value;
	var vchnum		= EBD('vchNum').value;
	var stknum		= EBD('stkNum').value;
	var subnum		= EBD('subNum').value;
	var vfldnum		= EBD('vfldNum').value;
	var vsrcnum		= EBD('vsrcNum').value;

	window.onload	=	function() {
		NLBfadeBg('dhead','#ffff00','#D6E3F3','3000');
		EBD('ModuleName').focus();
		
		fetchRelatableModule(1, 'no');
	};

	for(var i=1;i<=vchnum;i++) {
		fetchCreditMotherAccount(i, 'no');
		fetchDebitMotherAccount(i, 'no');
	}
	
	function chgMType(caller) {
		var mt	= EBD('ModuleType').value;
		
		if(mt == "" || mt == "Submodule") {
			EBD('ShowInMenu').checked = false;
		} else {
			if(caller == 'mt')
				EBD('ShowInMenu').checked = true;
		}
		
		if(caller == 'mt') {
			if(mt == "Transaction" || mt == "Submodule") {
				EBD('trSF').style.display 	= 'table-row';
				EBD('trSFH').style.display 	= 'table-row';
				EBD('trVE').style.display 	= 'table-row';
				EBD('trVEH').style.display 	= 'table-row';
			} else {
				EBD('trSF').style.display 	= 'none';
				EBD('trSFH').style.display 	= 'none';
				EBD('trVE').style.display 	= 'none';
				EBD('trVEH').style.display 	= 'none';
				
				EBD('StockFlow').checked		= false;
				EBD('AccountVoucher').checked	= false;
			}
		}
	}
	
	function fetchRelatableModuleAll(fc) {
		for(var i=1;i<=colnum;i++) {
			fetchRelatableModule(i, fc);
		}
		
		for(var i=1;i<=vchnum;i++) {
			fetchCreditMotherAccount(i, 'no');
			fetchDebitMotherAccount(i, 'no');
		}		
	}
	
	function fetchRelatableModule(n, fc) {
	
		var cid			= 0;
		try {
			cid				= EBD('CompanyID').value;
		} catch (e) { }	
	
		$('#RelatedTable' + n).select2({dropdownCssClass : 'drop400'});
    $('#RelatedTable' + n).empty();
    $('#RelatedTable' + n).append('<option value="">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getRelatableModuleList.php",
			data: {"cid": cid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#RelatedTable' + n).append('<option value="' + d.TableName + '">' + d.ModuleName + '</option>');
				});
				
			}
    });
    
		$("#RelatedTable" + n).on("change", function (e) {
			var nm		= $(this).attr('name');
			var param	= nm.substring(12);
			fetchField(param);
		});    
	
	}
	
	function fetchField(n, fc) {
		var rid			= 0;
		try {
			rid				= EBD('RelatedTable' + n).value;
		} catch (e) { }
		
		$('#ValueField' + n).select2();
    $('#ValueField' + n).empty();
    $('#ValueField' + n).append('<option value="">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getValueFieldsFromTable.php",
			data: {"tbl": rid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#ValueField' + n).append('<option value="' + d.Field + '">' + d.Field + '</option>');
				});
				
			}
    });
    
    $('#DisplayFields' + n).select2();
    $('#DisplayFields' + n).empty();
    $('#DisplayFields' + n).append('<option value="">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getDisplayFieldsFromTable.php",
			data: {"tbl": rid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#DisplayFields' + n).append('<option value="' + d.Field + '">' + d.Field + '</option>');
				});
				
			}
    });    
		
	}
	
	function caddRow()	{
		var rTable	= EBD("colTbl");
		var iRow		= rTable.insertRow(colnum);

		colnum++;
		var iCell;
		
		iCell								= iRow.insertCell(0);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="button" class="orange_button" style="width:25px;" value="' + colnum + '" onClick="clrColumn(' + colnum + ')" id="msn' + colnum + '">';

		iCell								= iRow.insertCell(1);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="ColumnName' + colnum + '" id="ColumnName' + colnum + '" value="" style="width:70px" maxLength="50" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" title="DB Column/Business Entity Name" />';
		
		iCell								= iRow.insertCell(2);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="ColumnLabel' + colnum + '" id="ColumnLabel' + colnum + '" value="" style="width:70px" maxLength="200" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" title="Lable to be displayed in Entry/Edit form" />';
		
		iCell								= iRow.insertCell(3);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<select name="ColumnDataType' + colnum + '" id="ColumnDataType' + colnum + '" class="selectSmall" title="DB Data Type for this Column"><?php echo $colDataTypeStr?></select>';		

		iCell								= iRow.insertCell(4);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="ColumnLength' + colnum + '" id="ColumnLength' + colnum + '" value="" style="width:35px" maxLength="6" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" title="If DB Data Type is Varchar then enter length here" />';

		iCell								= iRow.insertCell(5);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<select name="InputType' + colnum + '" id="InputType' + colnum + '" class="selectSmall" title="Entry/Edit form entry type"><?php echo $inputTypeStr?></select>';

		iCell								= iRow.insertCell(6);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="InputLength' + colnum + '" id="InputLength' + colnum + '" value="" style="width:35px" maxLength="6" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" title="In case the Input form type is text then how long it will be? For Text Area input Width,Height" />';
		
		iCell								= iRow.insertCell(7);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="text" class="input" name="SelectValues' + colnum + '" id="SelectValues' + colnum + '" value="" style="width:70px" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" title="In case input type is Drop Down, enter values here seperated by comma \
		In case input type is File, enter file extension here" />';
		
		iCell								= iRow.insertCell(8);
		iCell.style.padding	=	"2px";
		iCell.className			= "td_normal";
		iCell.innerHTML			= '<select name="RelatedTable' + colnum + '" id="RelatedTable' + colnum + '" style="width:80px"></select>';
		
		iCell								= iRow.insertCell(9);
		iCell.style.padding	=	"2px";
		iCell.className			= "td_normal";
		iCell.innerHTML			= '<select name="ValueField' + colnum + '" id="ValueField' + colnum + '" style="width:80px"></select>';
		
		iCell								= iRow.insertCell(10);
		iCell.style.padding	=	"2px";
		iCell.className			= "td_normal";
		iCell.innerHTML			= '<select name="DisplayFields' + colnum + '" id="DisplayFields' + colnum + '" style="width:80px"></select>';
		
		iCell								= iRow.insertCell(11);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="Incremental' + colnum + '" id="Incremental' + colnum + '" title="If this column/field to be incremented in DB" />';
		
		iCell								= iRow.insertCell(12);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="SetFinancialYear' + colnum + '" id="SetFinancialYear' + colnum + '" title="Set Financial Year (like 2016-2017) for this field" />';
		
		var cellval					= '<select class="selectSmall" name="FYDateField' + colnum + '" id="FYDateField' + colnum + '"><option value="">--</option>';
		for(var k=1; k<colnum;k++) {
			if(EBD('ColumnDataType' + k).value == "date") {
				var cnm					= EBD('ColumnName' + k).value;
				cellval					= cellval + '<option value="'+cnm+'">'+cnm+'</option>';
			}
		}
		cellval							= cellval + '</select>';
		
		iCell								= iRow.insertCell(13);
		iCell.style.padding	=	"2px";
		iCell.id						=	"_jsontdc6" + colnum;
		iCell.innerHTML			= cellval;
		
		iCell								= iRow.insertCell(14);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="SetMaxFYBasis' + colnum + '" id="SetMaxFYBasis' + colnum + '" title="Set Max value Financial Year wise" />';
		
		iCell								= iRow.insertCell(15);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="DisplayInForm' + colnum + '" id="DisplayInForm' + colnum + '" checked=true title="Display this field/column in entry form" />';
		
		iCell								= iRow.insertCell(16);
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="IsMandatory' + colnum + '" id="IsMandatory' + colnum + '" title="Is this field/column mandatory in input forms" />';																							

		iCell 							= iRow.insertCell(17);
		iCell.align					= "center";
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="PrimaryKey' + colnum + '" id="PrimaryKey' + colnum + '" title="Is this column Primary Key" />';
		
		iCell 							= iRow.insertCell(18);
		iCell.align					= "center";
		iCell.style.padding	=	"2px";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="UniqueKey' + colnum + '" id="UniqueKey' + colnum + '" title="Is this column Unique Key" />';		

		fetchRelatableModule(colnum, 'no');
		fetchSortColumn();
	}

	function cdelRow()	{
		if(colnum > 1)	{
			var rTable	= EBD("colTbl");
			var iRow		= rTable.deleteRow(colnum - 1);
			colnum--;
		}
	}
	
	function chgCols() {
		if(EBD('NoC').value=="") EBD('NoC').value			=	"0";
		if(isNaN(EBD('NoC').value)) EBD('NoC').value	=	"0";
		
		while(colnum > 1) {
			cdelRow();
		}
		
		var noc		= parseInt(EBD('NoC').value);
		for(var i=1;i<noc;i++) {
			caddRow();
		}
	}
	
	function clrColumn(n) {
		if( confirm('Click OK to clear data for Column ' + n) == false ) return;
		
		EBD('ColumnName' + n).value					= "";
		EBD('ColumnLabel' + n).value				= "";
		EBD('ColumnDataType' + n).value			= "";
		EBD('ColumnLength' + n).value				= "";
		EBD('InputType' + n).value					= "";
		EBD('InputLength' + n).value				= "";
		EBD('SelectValues' + n).value				= "";
		EBD('RelatedTable' + n).value				= "";
		EBD('txtRelatedTable' + n).value		= "";
		try{
			EBD('ValueField' + n).value					= "";
		} catch(e) { }
		EBD('txtValueField' + n).value			= "";
		try {
			EBD('DisplayFields' + n).value			= "";
		} catch(e) { }
		EBD('txtDisplayFields' + n).value		= "";
		EBD('Incremental' + n).checked			= false;
		EBD('SetFinancialYear' + n).checked	= false;
		try {
			EBD('FYDateField' + n).value				= "";
		} catch(e) { }
		EBD('txtFYDateField' + n).value			= "";
		EBD('SetMaxFYBasis' + n).checked		= false;
		EBD('DisplayInForm' + n).checked		= false;
		EBD('IsMandatory' + n).checked			= false;
		
	}
	
	function fetchCreditMotherAccount(n, fc) {
	
		var cid			= 0;
		try {
			cid				= EBD('CompanyID').value;
		} catch (e) { }	
	
    $('#CreditMotherAccount' + n).empty();
    $('#CreditMotherAccount' + n).append('<option value="">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getAccountListCompanyWise.php",
			data: {"cid": cid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#CreditMotherAccount' + n).append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
				});
				
			}
    });	
	
	}
	
	function fetchCreditChildAccount(n, fc) {

		var cid			= 0;
		var mid			= 0;
		try {
			cid				= EBD('CompanyID').value;
		} catch (e) { }
		try {
			mid				= EBD('CreditMotherAccount' + n).value;
		} catch (e) { }
		
    $('#CreditAccount' + n).empty();
    $('#CreditAccount' + n).append('<option value="">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getChildAccountListCompanyWise.php",
			data: {"cid": cid, "mid": mid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#CreditAccount' + n).append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
				});
				
			}
    });		
			
	}
	
	function fetchDebitMotherAccount(n, fc) {
	
		var cid			= 0;
		try {
			cid				= EBD('CompanyID').value;
		} catch (e) { }	
	
    $('#DebitMotherAccount' + n).empty();
    $('#DebitMotherAccount' + n).append('<option value="">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getAccountListCompanyWise.php",
			data: {"cid": cid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#DebitMotherAccount' + n).append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
				});
				
			}
    });	
	
	}
	
	function fetchDebitChildAccount(n, fc) {
	
		var cid			= 0;
		var mid			= 0;
		try {
			cid				= EBD('CompanyID').value;
		} catch (e) { }
		try {
			mid				= EBD('CreditMotherAccount' + n).value;
		} catch (e) { }
		
    $('#DebitAccount' + n).empty();
    $('#DebitAccount' + n).append('<option value="">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getChildAccountListCompanyWise.php",
			data: {"cid": cid, "mid": mid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#DebitAccount' + n).append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
				});
				
			}
    });	

	}
	
	function vaddRow()	{
		var rTable	= EBD("vchTbl");
		var iRow		= rTable.insertRow(vchnum);

		vchnum++;
		var iCell;
		
		iCell								= iRow.insertCell(0);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"50px";
		iCell.innerHTML			= '<input type="button" class="orange_button" style="width:25px;" value="' + vchnum + '" onClick="clrVch(' + vchnum + ')" id="vchsn' + vchnum + '">';

		iCell								= iRow.insertCell(1);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"120px";
		iCell.innerHTML			= '<select class="selectSmall" name="VoucherType' + vchnum + '" id="VoucherType' + vchnum + '" title="Voucher Type"><?php echo $vchTypeStr?></select>';
		
		
		var cellval					= '<select class="selectSmall" name="DateField' + vchnum + '" id="DateField' + vchnum + '"><option value="">--</option>';
		for(var k=1; k<=colnum;k++) {
			if(EBD('ColumnDataType' + k).value == "date") {
				var cnm					= EBD('ColumnName' + k).value;
				cellval					= cellval + '<option value="' + cnm + '">' + cnm + '</option>';
			}
		}
		cellval							= cellval + '</select>';		
		iCell								= iRow.insertCell(2);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"100px";
		iCell.innerHTML			= cellval;
		
		
		var cellval					= '<select class="selectSmall" name="AmountField' + vchnum + '" id="AmountField' + vchnum + '"><option value="">--</option>';
		for(var k=1; k<=colnum;k++) {
			if(EBD('ColumnDataType' + k).value == "decimal") {
				var cnm					= EBD('ColumnName' + k).value;
				cellval					= cellval + '<option value="' + cnm + '">' + cnm + '</option>';
			}
		}
		cellval							= cellval + '</select>';		
		iCell								= iRow.insertCell(3);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"100px";
		iCell.innerHTML			= cellval;		

		iCell								= iRow.insertCell(4);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"150px";
		iCell.id						=	"_jsontdv1" + vchnum;
		iCell.innerHTML			= '<select name="CreditMotherAccount' + vchnum + '" id="CreditMotherAccount' + vchnum + '" style="width:140px"></select>';

		iCell								= iRow.insertCell(5);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"150px";
		iCell.id						=	"_jsontdv2" + vchnum;
		iCell.innerHTML			= '<select name="CreditAccount' + vchnum + '" id="CreditAccount' + vchnum + '" style="width:140px"></select>';

		iCell								= iRow.insertCell(6);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"60px";
		iCell.align					= "center";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="RunTimeCreditAccount' + vchnum + '" id="RunTimeCreditAccount' + vchnum + '" title="Run time selection of Credit account" />';
		
		iCell								= iRow.insertCell(7);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"150px";
		iCell.id						=	"_jsontdv3" + vchnum;
		iCell.innerHTML			= '<select name="DebitMotherAccount' + vchnum + '" id="DebitMotherAccount' + vchnum + '" style="width:140px"></select>';
		
		iCell								= iRow.insertCell(8);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"150px";
		iCell.id						=	"_jsontdv4" + vchnum;
		iCell.innerHTML			= '<select name="DebitAccount' + vchnum + '" id="DebitAccount' + vchnum + '" style="width:140px"></select>';
		
		iCell								= iRow.insertCell(9);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"60px";
		iCell.align					= "center";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="RunTimeDebitAccount' + vchnum + '" id="RunTimeDebitAccount' + vchnum + '" title="Run time selection of Debit account" />';
		
		iCell								= iRow.insertCell(10);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"200px";
		iCell.innerHTML			= '<input type="text" class="input" name="EntryCondition' + vchnum + '" id="EntryCondition' + vchnum + '" value="" style="width:170px" maxLength="300" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" title="If/else condition here" />';

		fetchCreditMotherAccount(vchnum, 'no');
		fetchDebitMotherAccount(vchnum, 'no');
	}

	function vdelRow()	{
		if(vchnum > 0)	{
			var rTable	= EBD("vchTbl");
			var iRow		= rTable.deleteRow(vchnum - 1);
			vchnum--;
		}
	}
	
	function clrVch(n) {
		if( confirm('Click OK to clear data for Column ' + n) == false ) return;
		
		EBD('VoucherType' + n).value						= "";
		EBD('DateField' + n).value							= "";
		EBD('AmountField' + n).value						= "";
		EBD('CreditMotherAccount' + n).value		= "";
		EBD('CreditAccount' + n).value					= "";
		EBD('RunTimeCreditAccount' + n).checked	= false;
		EBD('DebitMotherAccount' + n).value			= "";
		EBD('DebitAccount' + n).value						= "";
		EBD('RunTimeDebitAccount' + n).checked	= false;
		EBD('EntryCondition' + n).value					= "";
	}
	
	function saddRow()	{
		var rTable	= EBD("stkTbl");
		var iRow		= rTable.insertRow(stknum);

		stknum++;
		var iCell;
		
		iCell								= iRow.insertCell(0);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"50px";
		iCell.innerHTML			= '<input type="button" class="orange_button" style="width:25px;" value="' + stknum + '" onClick="clrStk(' + stknum + ')" id="stksn' + stknum + '" />';

		var cellval					= '<select class="selectSmall" name="ItemField' + stknum + '" id="ItemField' + stknum + '"><option value="">--</option>';
		for(var k=1; k<=colnum;k++) {
			var cnm					= EBD('ColumnName' + k).value;
			cellval					= cellval + '<option value="' + cnm + '">' + cnm + '</option>';
		}
		cellval							= cellval + '</select>';		
		iCell								= iRow.insertCell(1);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"200px";
		iCell.innerHTML			= cellval;
		
		
		var cellval					= '<select class="selectSmall" name="QuantityField' + stknum + '" id="QuantityField' + stknum + '"><option value="">--</option>';
		for(var k=1; k<=colnum;k++) {
			var cnm					= EBD('ColumnName' + k).value;
			cellval					= cellval + '<option value="' + cnm + '">' + cnm + '</option>';
		}
		cellval							= cellval + '</select>';		
		iCell								= iRow.insertCell(2);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"200px";
		iCell.innerHTML			= cellval;
		

		iCell								= iRow.insertCell(3);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"250px";
		iCell.id						=	"_jsontds1" + stknum;
		iCell.innerHTML			= '<select name="StoreIN' + stknum + '" id="StoreIN' + stknum + '" style="width:230px"></select>';

		iCell								= iRow.insertCell(4);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"60px";
		iCell.align					= "center";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="RunTimeStockIN' + stknum + '" id="RunTimeStockIN' + stknum + '" title="Run time selection of Store IN" />';
		
		iCell								= iRow.insertCell(5);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"250px";
		iCell.id						=	"_jsontds2" + stknum;
		iCell.innerHTML			= '<select name="StoreOUT' + stknum + '" id="StoreOUT' + stknum + '" style="width:230px"></select>';
		
		iCell								= iRow.insertCell(6);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"60px";
		iCell.align					= "center";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="RunTimeStockOUT' + stknum + '" id="RunTimeStockOUT' + stknum + '" title="Run time selection of Store OUT" />';

		fetchStoreIN(stknum, 'no');
		fetchStoreOUT(stknum, 'no');
	}

	function sdelRow()	{
		if(stknum > 0)	{
			var rTable	= EBD("stkTbl");
			var iRow		= rTable.deleteRow(stknum - 1);
			stknum--;
		}
	}
	
	function fetchStoreIN(n, fc) {
	
		var cid			= 0;
		try {
			cid				= EBD('CompanyID').value;
		} catch (e) { }
		
    $('#StoreIN' + n).empty();
    $('#StoreIN' + n).append('<option value="">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getStoreListByCompany2.php",
			data: {"cid": cid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#StoreIN' + n).append('<option value="' + d.StoreID + '">' + d.StoreName + '</option>');
				});
				
			}
    });		
		
	}
	
	function fetchStoreOUT(n, fc) {
	
		var cid				= 0;
		try {
			cid					= EBD('CompanyID').value;
		} catch (e) { }
		
    $('#StoreOUT' + n).empty();
    $('#StoreOUT' + n).append('<option value="">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getStoreListByCompany2.php",
			data: {"cid": cid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#StoreOUT' + n).append('<option value="' + d.StoreID + '">' + d.StoreName + '</option>');
				});
				
			}
    });		
		
	}
	
	function clrStk(n) {
		if( confirm('Click OK to clear data for Column ' + n) == false ) return;
		
		EBD('ItemField' + n).value					= "";
		EBD('QuantityField' + n).value			= "";
		EBD('StoreIN' + n).value						= "";
		EBD('RunTimeStockIN' + n).checked		= false;
		EBD('StoreOUT' + n).value						= "";
		EBD('RunTimeStockOUT' + n).checked	= false;
	}
	
	function maddRow()	{
		var rTable	= EBD("smodTbl");
		var iRow		= rTable.insertRow(subnum);

		subnum++;
		var iCell;
		
		iCell								= iRow.insertCell(0);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"50px";
		iCell.innerHTML			= '<input type="button" class="orange_button" style="width:25px;" value="' + subnum + '" onClick="clrSmod(' + subnum + ')" id="smodsn' + subnum + '">';
		
		iCell								= iRow.insertCell(1);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"450px";
		iCell.id						=	"_jsontdm1" + subnum;
		iCell.innerHTML			= '<select name="SubmoduleID' + subnum + '" id="SubmoduleID' + subnum + '" style="width:370px"></select>';

		iCell								= iRow.insertCell(2);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"100px";
		iCell.align					= "center";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="MultipleRow' + subnum + '" id="MultipleRow' + subnum + '" title="Does submodule have multiple Rows" />';

		fetchSubmoduleID(subnum, 'no');

	}

	function mdelRow()	{
		if(subnum > 0)	{
			var rTable	= EBD("smodTbl");
			var iRow		= rTable.deleteRow(subnum - 1);
			subnum--;
		}
	}
	
	function fetchSubmoduleID(n, fc) {

		var cid			= 0;
		try {
			cid				= EBD('CompanyID').value;
		} catch (e) { }
		
    $('#SubmoduleID' + n).empty();
    $('#SubmoduleID' + n).append('<option value="">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getSubmoduleListByCompany.php",
			data: {"cid": cid},
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#SubmoduleID' + n).append('<option value="' + d.ModuleID + '">' + d.ModuleName + '</option>');
				});
				
			}
    });		

	}
	
	function clrSmod(n) {
		if( confirm('Click OK to clear data for Column ' + n) == false ) return;
		
		EBD('SubmoduleID' + n).value			= "";
		EBD('MultipleRow' + n).checked		= false;	
	}
	
	function saveRec() {
		
		if(checkForValidInput('ModuleName','Text','Please enter Module Name') == false) return;
		if(checkForValidInput('MenuText','Text','Please enter Menu Text') == false) return;
		/*if(EBD('CompanyID').value == 0) {
			alert('Please select Company');
			EBD('txtCompanyID').focus();
			return;
		}*/
		if(checkForValidInput('ModuleType','Text','Please select Module Type') == false) return;
		
		for(i=1;i<=colnum;i++) {
			if(EBD('ColumnName' + i).value != "") {
				if(checkForValidInput('ColumnDataType' + i,'Text','Select Field Data Type') == false) return;
				if(EBD('ColumnDataType' + i).value == "varchar") {
					if(checkForValidInput('ColumnLength' + i,'Positive','Enter data type length') == false) return;
				}
				if(checkForValidInput('InputType' + i,'Text','select Form Input') == false) {
					EBD('InputType' + i).className		= 'err_select';
					EBD('InputType' + i).focus();
					alert('Please select Related Table');
					return;
				}
				if(EBD('InputType' + i).value == "text" || EBD('InputType' + i).value == "textarea") {
					if(checkForValidInput('InputLength' + i,'Positive','Enter input length') == false) return;
				}
				if(EBD('InputType' + i).value == "select") {
				
					if(EBD('SelectValues' + i).value == "") {
						if(EBD('RelatedTable' + i).value == "") {
							alert('Please select Related Table');
							return;
						} else {
							if(EBD('ValueField' + i).value == "") {
								alert('Please select Value Field');
								return;
							}
							if(EBD('DisplayFields' + i).value == "") {
								alert('Please select Display Field');
								return;
							}
						}
					} else {
						EBD('RelatedTable' + i).value 	= "";
						try {
							EBD('ValueField' + i).value 		= "";
							EBD('DisplayFields' + i).value 	= "";
						} catch(e) { }
					}
					
				}
			}
		}
		
		EBD('colNum').value		= colnum;
		EBD('vchNum').value		= vchnum;
		EBD('stkNum').value		= stknum;
		EBD('subNum').value		= subnum;
		EBD('vfldNum').value	= vfldnum;
		EBD('vsrcNum').value	= vsrcnum;
		
		EBD('hfrm').submit();
	}
	
	function fetchSortColumn() {
		var cellval1			= '<select class="selectSmall" name="vSortColumn1" id="vSortColumn1"><option value="">--</option>';
		var cellval2			= '<select class="selectSmall" name="vSortColumn2" id="vSortColumn2"><option value="">--</option>';
		
		for(var k=1; k<=colnum;k++) {
			var cnm					= EBD('ColumnName' + k).value;
			cellval1				= cellval1 + '<option value="'+cnm+'">'+cnm+'</option>';
			cellval2				= cellval2 + '<option value="'+cnm+'">'+cnm+'</option>';
		}
		cellval1					= cellval1 + '</select>';
		cellval2					= cellval2 + '</select>';
		
		EBD('_vdivSort1').innerHTML	= cellval1;
		EBD('_vdivSort2').innerHTML	= cellval2;
	}
	
	function vfldaddRow() {
		var rTable	= EBD("vfldTbl");
		var iRow		= rTable.insertRow(vfldnum);

		vfldnum++;
		var iCell;
		
		iCell								= iRow.insertCell(0);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"50px";
		iCell.innerHTML			= '<input type="button" class="orange_button" style="width:25px;" value="' + vfldnum + '" onClick="clrVFld(' + vfldnum + ')" id="vfsn' + vfldnum + '">';
		
		var cellval					= '<select class="selectSmall" name="vfColumnName' + vfldnum + '" id="vfColumnName' + vfldnum + '"><option value="">--</option>';
		for(var k=1; k<=colnum;k++) {
			var cnm						= EBD('ColumnName' + k).value;
			cellval						= cellval + '<option value="' + cnm + '">' + cnm + '</option>';
		}
		cellval							= cellval + '</select>';		
		iCell								= iRow.insertCell(1);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"400px";
		iCell.id						=	"_jsontdvfld" + vfldnum;
		iCell.innerHTML			= cellval;
		
		iCell								= iRow.insertCell(2);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"100px";
		iCell.innerHTML			= '<input type="text" class="input" name="vfCWidth' + vfldnum + '" id="vfCWidth' + vfldnum + '" value="" style="width:50px" maxLength="3" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" />';
		
		iCell								= iRow.insertCell(3);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"100px";
		iCell.innerHTML			= '<select class="selectSmall" name="vfCAlign' + vfldnum + '" id="vfCAlign' + vfldnum + '"><option value="">--</option><option value="center">Center</option><option value="right">Right</option></select>';
		
		iCell								= iRow.insertCell(4);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"100px";
		iCell.align					= "center";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="vfSortable' + vfldnum + '" id="vfSortable' + vfldnum + '" />';
		
		iCell								= iRow.insertCell(5);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"100px";
		iCell.align					= "center";
		iCell.innerHTML			= '<input type="checkbox" class="input" name="vfAutoExpand' + vfldnum + '" id="vfAutoExpand' + vfldnum + '" />';		
	}
	
	function vflddelRow()	{
		if(vfldnum > 0)	{
			var rTable	= EBD("vfldTbl");
			var iRow		= rTable.deleteRow(vfldnum - 1);
			vfldnum--;
		}
	}
	
	function fetchVField() {
		
		var cellval			= "";
		for(var k=1; k<=colnum;k++) {
			var cnm					= EBD('ColumnName' + k).value;
			cellval				= cellval + '<option value="'+cnm+'">'+cnm+'</option>';
		}
		
		for(var k=1; k<=vfldnum;k++) {
			var cstr		= '<select class="selectSmall" name="vfColumnName' + k + '" id="vfColumnName' + k + '"><option value="">--</option>' + cellval + '</select>';
			EBD('_jsontdvfld' + k).innerHTML	= cstr;
		}
		
	}
	
	function clrVFld(n) {
		if( confirm('Click OK to clear data for Column ' + n) == false ) return;
		
		EBD('vfColumnName' + n).value			= "";
		EBD('vfCWidth' + n).value					= "";
		EBD('vfCAlign' + n).value					= "";
		EBD('vfSortable' + n).checked			= false;
		EBD('vfAutoExpand' + n).checked		= false;
	}
	
	function vsrcaddRow() {
		var rTable	= EBD("vsrcTbl");
		var iRow		= rTable.insertRow(vsrcnum);

		vsrcnum++;
		var iCell;
		
		iCell								= iRow.insertCell(0);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"50px";
		iCell.innerHTML			= '<input type="button" class="orange_button" style="width:25px;" value="' + vsrcnum + '" onClick="clrVSrc(' + vsrcnum + ')" id="vssn' + vsrcnum + '">';
		
		var cellval					= '<select class="selectSmall" name="vsColumnName' + vsrcnum + '" id="vsColumnName' + vsrcnum + '"><option value="">--</option>';
		for(var k=1; k<=colnum;k++) {
			var cnm						= EBD('ColumnName' + k).value;
			cellval						= cellval + '<option value="' + cnm + '">' + cnm + '</option>';
		}
		cellval							= cellval + '</select>';		
		iCell								= iRow.insertCell(1);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"400px";
		iCell.id						=	"_jsontdvsrc" + vsrcnum;
		iCell.innerHTML			= cellval;
		
		iCell								= iRow.insertCell(2);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"100px";
		iCell.innerHTML			= '\
		<select class="select" name="vsSearchCondition' + vsrcnum + '" id="vsSearchCondition' + vsrcnum + '">\
			<option value="=">=</option>\
			<option value=">">></option>\
			<option value=">=">>=</option>\
			<option value="<"><</option>\
			<option value="<="><=</option>\
			<option value="!=">!=</option>\
			<option value="LIKE">LIKE</option>\
		</select>\
		';
		
		iCell								= iRow.insertCell(3);
		iCell.style.padding	=	"2px";
		iCell.style.width		=	"300px";
		iCell.innerHTML			= '<input type="text" class="input" name="vsSearchData' + vsrcnum + '" id="vsSearchData' + vsrcnum + '" style="width:200px;" onFocus="this.className=\'input_focus\'" onBlur="this.className=\'input\'" />';
				
	}
	
	function vsrcdelRow()	{
		if(vsrcnum > 0)	{
			var rTable	= EBD("vsrcTbl");
			var iRow		= rTable.deleteRow(vsrcnum - 1);
			vsrcnum--;
		}
	}
	
	function fetchVSField() {
		
		var cellval			= "";
		for(var k=1; k<=colnum;k++) {
			var cnm					= EBD('ColumnName' + k).value;
			cellval				= cellval + '<option value="'+cnm+'">'+cnm+'</option>';
		}
		
		for(var k=1; k<=vsrcnum;k++) {
			var cstr		= '<select class="selectSmall" name="vsColumnName' + k + '" id="vsColumnName' + k + '"><option value="">--</option>' + cellval + '</select>';
			EBD('_jsontdvsrc' + k).innerHTML	= cstr;
		}
		
	}
	
	function clrVSrc(n) {
		if( confirm('Click OK to clear data for Column ' + n) == false ) return;
		
		EBD('vsColumnName' + n).value				= "";
		EBD('vsSearchCondition' + n).value	= "";
		EBD('vsSearchData' + n).value				= "";
	}
	
	function fetchDateColumn() {
	
		var opt		= '<option value="">--</option>';
		for(var k=1; k<colnum;k++) {
			if(EBD('ColumnDataType' + k).value == "date") {
				var cnm			= EBD('ColumnName' + k).value;
				opt					= opt + '<option value="'+cnm+'">'+cnm+'</option>';
			}
		}
		
		for(var k=1; k<colnum;k++) {
			EBD('_jsontdc6' + k).innerHTML = '<select class="selectSmall" name="FYDateField' + k + '" id="FYDateField' + k + '">' + opt + '</select>';
		}
			
	}

</script>