<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.gen_sale.php' );
	require_once( 'dao/class.gen_sale_items.php' );
	require_once( 'dao/class.gen_sale_addless.php' );
	require_once( 'dao/class.saledb.php' );
	require_once( 'pdf/tcpdf/config/tcpdf_config.php' );
	require_once( 'pdf/tcpdf/tcpdf.php' );	
		
	
	$ModuleID			= 28;

	$gdb			=	new genericdb();
	$mdb			=	new masterdb();
	$pdb			=	new saledb();
	$ldb			= new logindb();
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pKey			= 0;
	
	$noOfbr		= substr_count($tcmp->getCompanyAddress(), "\n");
	
	extract($_REQUEST);
	
	$pKey			= (int)$pKey;
	$pcls			= $pdb->getSaleDetail($pKey);
	$itmList	= $pcls->getItemList();
	$alList		= $pcls->getAddLessList();
	$totQty		= 0;
	for($i=0;$i<count($itmList);$i++) {
		$icls		= $itmList[$i];
		$totQty	= $totQty + $icls->getQuantity();
	}
	
	$curr			= $pcls->getCurrency();
	$currfrac	= 'Cents';
	if($curr == '') {
		$curr		= 'INR';
		$currfrac	= 'Paisa';
	}
	
	$cusDet		= $mdb->getAccountDetail($pcls->getCustomerID());
	$conDet		= $mdb->getAccountDetail($pcls->getConsigneeID());	
	
	$cusStat	= "Normal";
	$conStat	= "Normal";
	if($cusDet->getSEZ() == "YES")
		$cusStat= "Under SEZ";
	else if($cusDet->getCompScheme() == "YES")
		$cusStat= "Comp. Scheme";
	else if($cusDet->getDeemedExporter() == "YES")
		$cusStat= "Deemed Exporter";

	if($conDet->getSEZ() == "YES")
		$conStat= "Under SEZ";
	else if($conDet->getCompScheme() == "YES")
		$conStat= "Comp. Scheme";
	else if($conDet->getDeemedExporter() == "YES")
		$conStat= "Deemed Exporter";
		
	$custLine	= 0;
	$buyer		= '<b>'.$cusDet->getAccountName().'</b>';
	if($cusDet->getAddress1() != "") {
		$buyer	= $buyer.'<br />'.$cusDet->getAddress1();
		$noOfbr++;
		$custLine++;
	}
	if($cusDet->getAddress2() != "") {
		$buyer	= $buyer.'<br />'.$cusDet->getAddress2();
		$noOfbr++;
		$custLine++;
	}
	if($cusDet->getCity() != "") {
		$noOfbr++;
		$custLine++;
		$buyer	= $buyer.'<br />'.$cusDet->getCity();
		if($cusDet->getState() != "")
			$buyer	= $buyer.', '.$cusDet->getState().' ('.getGSTStateCode($cusDet->getState()).')';
		if($cusDet->getCountry() != "")
			$buyer	= $buyer.', '.$cusDet->getCountry();
	} else {
		$noOfbr++;
		$custLine++;
		if($cusDet->getState() != "")
			$buyer	= $buyer.'<br />'.$cusDet->getState().' ('.getGSTStateCode($cusDet->getState()).')';
		if($cusDet->getCountry() != "")
			$buyer	= $buyer.', '.$cusDet->getCountry();	
	}
	if($cusDet->getGST() != "") {
		$noOfbr++;
		$custLine++;
		$buyer	= $buyer.'<br />GST : '.$cusDet->getGST();
		if($cusDet->getPAN() != "")
			$buyer	= $buyer.', PAN : '.$cusDet->getPAN();
	} else {
		if($cusDet->getPAN() != "") {
			$noOfbr++;
			$custLine++;
			$buyer	= $buyer.'<br />PAN : '.$cusDet->getPAN();
		}
	}

	$conLine		= 0;
	$consign		= '<b>'.$conDet->getAccountName().'</b>';
	if($conDet->getAddress1() != "") {
		$consign	= $consign.'<br />'.$conDet->getAddress1();
		$conLine++;
	}
	if($conDet->getAddress2() != "") {
		$consign	= $consign.'<br />'.$conDet->getAddress2();
		$conLine++;
	}
	if($conDet->getCity() != "") {
		$conLine++;
		$consign	= $consign.'<br />'.$conDet->getCity();
		if($conDet->getState() != "")
			$consign	= $consign.', '.$conDet->getState().' ('.getGSTStateCode($conDet->getState()).')';
		if($conDet->getCountry() != "")
			$consign	= $consign.', '.$conDet->getCountry();
	} else {
		$conLine++;
		if($conDet->getState() != "")
			$consign	= $consign.'<br />'.$conDet->getState().' ('.getGSTStateCode($conDet->getState()).')';
		if($conDet->getCountry() != "")
			$consign	= $consign.', '.$conDet->getCountry();	
	}
	if($conDet->getGST() != "") {
		$conLine++;
		$consign	= $consign.'<br />GST : '.$conDet->getGST();
		if($conDet->getPAN() != "")
			$consign	= $consign.', PAN : '.$conDet->getPAN();
	} else {
		if($conDet->getPAN() != "") {
			$conLine++;
			$consign	= $consign.'<br />PAN : '.$conDet->getPAN();
		}		
	}
	
	if($conLine > $custLine) {
		$noOfbr = $noOfbr + ($conLine - $custLine);
	}
	
	$topm		= 83;
	for($i=4;$i<=$noOfbr;$i++)
		$topm	= $topm + 3.7;	
		
	
	$logstr		= $pcls->getDOE();
	
	
	class MYPDF extends TCPDF {
	
		var $TopMargin			= 30;
		var $CmpName				= "";
		var $CmpAddr				= "";
		var $CmpGST					= "";
		var $CmpPAN					= "";
		var $CmpState				= "";
		var $CmpSCode				= "";
		var $CmpBank				= "";
		var $Transport			= "";
		var $VehicleNo			= "";
		var $GRNo						= "";
		var $GRDate					= "";
		var $PlaceOfSupply	= "";
		var $InvoiceNo			= "";
		var $InvoiceDate		= "";
		var $DateOfSupply		= "";
		var $PONo						= "";
		var $PODate					= "";
		var $Buyer					= "";
		var $Consignee			= "";
		var $TotQty 				= "";
		var $TotAmt					= "";
		var $TotCGST				= "";
		var $TotSGST				= "";
		var $TotIGST				= "";
		var $NetAmount			= "";
		var $TotInWord			= "";
		var $TotTaxInWord		= "";
		var $Currency				= "INR";
		var $Export					= "";
		
		function setCmpName($arg) {
			$this->CmpName = addslashes($arg);
		}
		
		function setCmpAddr($arg) {
			$this->CmpAddr = addslashes($arg);
		}
		
		function setCmpGST($arg) {
			$this->CmpGST = addslashes($arg);
		}
		
		function setCmpPAN($arg) {
			$this->CmpPAN = addslashes($arg);
		}
		
		function setCmpState($arg) {
			$this->CmpState = addslashes($arg);
		}
		
		function setCmpSCode($arg) {
			$this->CmpSCode = addslashes($arg);
		}
		
		function setCmpBank($arg) {
			$this->CmpBank = addslashes($arg);
		}		
		
		function setTransport($arg) {
			$this->Transport = addslashes($arg);
		}
		
		function setVehicleNo($arg) {
			$this->VehicleNo = addslashes($arg);
		}
		
		function setGRNo($arg) {
			$this->GRNo = addslashes($arg);
		}
		
		function setGRDate($arg) {
			$this->GRDate = addslashes($arg);
		}
		
		function setPlaceOfSupply($arg) {
			$this->PlaceOfSupply = addslashes($arg);
		}
		
		function setInvoiceNo($arg) {
			$this->InvoiceNo = addslashes($arg);
		}
		
		function setInvoiceDate($arg) {
			$this->InvoiceDate = addslashes($arg);
		}
		
		function setDateOfSupply($arg) {
			$this->DateOfSupply = addslashes($arg);
		}
		
		function setPONo($arg) {
			$this->PONo = addslashes($arg);
		}
		
		function setPODate($arg) {
			$this->PODate = addslashes($arg);
		}
		
		function setBuyer($arg) {
			$this->Buyer = addslashes($arg);
		}
		
		function setConsignee($arg) {
			$this->Consignee = addslashes($arg);
		}
		
		function setTotQty($arg) {
			$this->TotQty = addslashes($arg);
		}
		
		function setTotAmt($arg) {
			$this->TotAmt = addslashes($arg);
		}
		
		function setTotCGST($arg) {
			$this->TotCGST = addslashes($arg);
		}
		
		function setTotSGST($arg) {
			$this->TotSGST = addslashes($arg);
		}
		
		function setTotIGST($arg) {
			$this->TotIGST = addslashes($arg);
		}
		
		function setNetAmount($arg) {
			$this->NetAmount = addslashes($arg);
		}		
		
		function setTotInWord($arg) {
			$this->TotInWord = addslashes($arg);
		}
		
		function setTotTaxInWord($arg) {
			$this->TotTaxInWord = addslashes($arg);
		}		
		
		function setTopMargin($arg) {
			$this->TopMargin = (double)$arg;
		}
		
		function setCurrency($arg) {
			$this->Currency = addslashes($arg);
		}
		
		function setExport($arg) {
			$this->Export = addslashes($arg);
		}		
	
		public function Header() {
		
			$this->SetFont('helvetica', '', 9);
			
			$hdr1		= 'C H A L L A N';
			$hdr2		= '';
			
			$hdrhtml ='
				
				<br /><br />
				
				<table border="0" width="650" cellspacing="1">
					<tr>
						<td align="center">
							<br />
							<font style="font-size: 10px;"><b>'.$hdr1.'<br /></b></font>
							<font style="font-size: 10px;">'.$hdr2.'</font>
						</td>
					</tr>
				</table>
				
				<table border="1" width="650" cellspacing="0" cellpadding="0">
					<tr>
						<td align="center" style="padding:8px;">
							<font style="font-size: 16px"><b>'.$this->CmpName.'<br /></b></font>
							<font style="font-size: 12px">'.$this->CmpAddr.'</font>
						</td>
					</tr>
				</table>
				
				<table border="1" width="650" cellspacing="0" cellpadding="0">
					<tr>
						<td width="30%" align="left" valign="top">
							<table border="0" width="100%" cellpadding="2" cellspacing="1">
								<tr>
									<td width="29%"><font style="font-size: 10px;">GSTIN</font></td>
									<td width="71%"><font style="font-size: 10px;">: '.$this->CmpGST.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">PAN</font></td>
									<td><font style="font-size: 10px;">: '.$this->CmpPAN.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">CIN</font></td>
									<td><font style="font-size: 10px;">: </font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">State</font></td>
									<td><font style="font-size: 10px;">: '.$this->CmpState.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">State Code</font></td>
									<td><font style="font-size: 10px;">: '.$this->CmpSCode.'</font></td>
								</tr>
							</table>
						</td>
						<td width="43%" align="left" valign="top">
							<table border="0" width="100%" cellpadding="2" cellspacing="1">
								<tr>
									<td width="100%" colspan="2" align="center"><u>Transport Details</u></td>
								</tr>
								<tr>
									<td width="22%"><font style="font-size: 10px;">Transport</font></td>
									<td width="78%"><font style="font-size: 10px;">: '.$this->Transport.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">Vehicle No.</font></td>
									<td><font style="font-size: 10px;">: '.$this->VehicleNo.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">GR/LR No.</font></td>
									<td><font style="font-size: 10px;">: '.$this->GRNo.'  Date: '.$this->GRDate.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">Pl. of Supply</font></td>
									<td><font style="font-size: 10px;">: '.$this->PlaceOfSupply.'</font></td>
								</tr>
							</table>
						</td>
						<td width="27%" align="left" valign="top">
							<table border="0" width="100%" cellpadding="2" cellspacing="1">
								<tr>
									<td width="41%"><font style="font-size: 10px;">Invoice No.</font></td>
									<td width="59%"><font style="font-size: 10px;">: '.$this->InvoiceNo.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">Invoice Date</font></td>
									<td><font style="font-size: 10px;">: '.$this->InvoiceDate.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">Date of Supply</font></td>
									<td><font style="font-size: 10px;">: '.$this->DateOfSupply.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">P. O. No.</font></td>
									<td><font style="font-size: 10px;">: '.$this->PONo.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">P. O. Date</font></td>
									<td><font style="font-size: 10px;">: '.$this->PODate.'</font></td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
						
						
				<table border="1" width="650" cellspacing="0" cellpadding="2">
					<tr>
						<td width="50%" align="left" valign="top">
							<b>Bill To (Buyer)</b><br />
							'.$this->Buyer.'
						</td>
						<td width="50%" align="left" valign="top">
							<b>Ship To (Consignee)</b><br />
							'.$this->Consignee.'
						</td>
					</tr>
				</table>

				<table border="1" width="650" cellspacing="0" cellpadding="2">
					<tr>
						<td align="center" width="30px"><font style="font-size:9px">Sr. No.</font></td>
						<td align="center" width="350px"><font style="font-size:9px">Description of Goods</font></td>
						<td align="center" width="90px"><font style="font-size:9px">HSN Code</font></td>
						<td align="center" width="90px"><font style="font-size:9px">Quantity</font></td>
						<td align="center" width="90px"><font style="font-size:9px">Unit</font></td>
					</tr>
				</table>

			';
			
			$this->writeHTML($hdrhtml, true, false, true, false, '');
			
			$topm		= $this->TopMargin;
			$botm		= 260;
			
			$this->SetDrawColor(0, 0, 0);
			$this->Line(20, $topm, 20, $botm);
			$this->Line(28.42, $topm, 28.42, $botm);
			$this->Line(127.2, $topm, 127.2, $botm);
			$this->Line(152.55, $topm, 152.55, $botm);
			$this->Line(177.9, $topm, 177.9, $botm);
			$this->Line(203.5, $topm, 203.5, $botm);
			
		}
	
		public function Footer() {

			$this->SetY(-30);

			$this->SetFont('helvetica', '', 9);
			
			$footerHtml = '			
			
			<table border="1" width="650" cellspacing="0" cellpadding="2">
				<tr>
					<td>
						<p align="right"><b><font style="font-size:9px">E. &amp; O. E.</font></b></p>
						<p align="right">&nbsp;</p>
						<p align="right"><b><font style="font-size:12px">'.$this->CmpName.'</font></b></p>
					</td>
				</tr>
			</table>
			';
			
			$this->writeHTML($footerHtml, true, false, true, false, '');
		}
	}
	
	$pdf 				= new MYPDF('P', PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
	
	$pdf->setCmpName($tcmp->getCompanyName());
	$pdf->setCmpAddr(nl2br($tcmp->getCompanyAddress()));
	$pdf->setCmpGST($tcmp->getGST());
	$pdf->setCmpPAN($tcmp->getPAN());
	$pdf->setCmpState($tcmp->getState());
	$pdf->setCmpSCode(getGSTStateCode($tcmp->getState()));
	$pdf->setCmpBank($tcmp->getBankDetail());
	$pdf->setTransport($pcls->getTransport());
	$pdf->setVehicleNo($pcls->getVehicleNo());
	$pdf->setGRNo($pcls->getGRNo());
	$pdf->setGRDate($pcls->getGRDate('yes'));
	$pdf->setPlaceOfSupply($pcls->getSupplyPlace());
	$pdf->setInvoiceNo($pcls->getSaleNo().'/'.$pcls->getFinYear());
	$pdf->setInvoiceDate($pcls->getDOS('yes'));
	$pdf->setDateOfSupply($pcls->getSupplyDate('yes'));
	$pdf->setPONo('');
	$pdf->setPODate('');
	$pdf->setBuyer($buyer);
	$pdf->setConsignee($consign);
	$pdf->setTotQty($totQty);
	$pdf->setTotAmt(number_format($pcls->getItemTotal() - ($pcls->getIGST() + $pcls->getCGST() + $pcls->getSGST()), 2, ".", ","));
	$pdf->setTotCGST($pcls->getCGST('yes'));
	$pdf->setTotSGST($pcls->getSGST('yes'));
	$pdf->setTotIGST($pcls->getIGST('yes'));
	$pdf->setNetAmount( number_format($pcls->getNetTotal(), 2, ".", ",") );
	$pdf->setTotInWord(number_to_word($pcls->getNetTotal()));
	$pdf->setTotTaxInWord(number_to_word($pcls->getIGST() + $pcls->getCGST() + $pcls->getSGST()));
	$pdf->setTopMargin($topm);
	if($pcls->getExport() == "YES")
		$pdf->setCurrency($curr);
	$pdf->setExport($pcls->getExport());
	

	// set document information
	$pdf->SetCreator(PDF_CREATOR);
	$pdf->SetAuthor('adapSys');
	$pdf->SetTitle('Sale Invoice');
	$pdf->SetSubject('Sale Invoice');
	$pdf->SetKeywords('');

	// set default monospaced font
	$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

	// set margins, left-top-right
	$pdf->SetMargins(20, $topm, 10);
	
	// remove default header/footer
	//$pdf->setPrintHeader(false);
	//$pdf->setPrintFooter(false);

	// set auto page breaks
	$pdf->SetAutoPageBreak(TRUE, 30);
	
	// set image scale factor
	$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);


	// add a page
	$pdf->AddPage();

	
	$pdf->setFontSubsetting(false);
	$pdf->SetFont('helvetica', '', 9);
	
	
	$html		= '
	
		<table border="1" width="650" cellspacing="0" cellpadding="2">
	
	';
	
	for($i=0;$i<count($itmList);$i++) {
		$icls		= $itmList[$i];
		$iDet		= $mdb->getItemDetail($icls->getItemID());
		
		$html		= $html.'
		
			<tr nobr="true">
				<td width="30px" align="right"><font style="font-size:9px">'.($i+1).'</font></td>
				<td width="350px" align="left"><font style="font-size:9px">'.$icls->getItemName().'</font></td>
				<td width="90px" align="center"><font style="font-size:9px">'.$iDet->getHSN().'</font></td>
				<td width="90px" align="center"><font style="font-size:9px">'.$icls->getQuantity().'</font></td>
				<td width="90px" align="center"><font style="font-size:9px">'.$iDet->getUnitName().'</font></td>
			</tr>	
							
		';	
		
	}
	
	$html	= $html.'</table>';
	
	$pdf->writeHTML($html, true, false, true, false, '');
	
	$pdf->SetY(-40);
	
	$html	= '
	
			<table border="1" width="100%" cellspacing="0" cellpadding="4">
				<tr>
					<td align="center" width="30px">&nbsp;</td>
					<td align="right" width="350px"><b><font style="font-size:9px">Total</font></b></td>
					<td align="center" width="90px">&nbsp;</td>
					<td align="center" width="90px"><font style="font-size:9px">'.$totQty.'</font></td>
					<td align="center" width="90px">&nbsp;</td>
				</tr>
			</table>				
	
	';
	
	$pdf->writeHTML($html, true, false, true, false, '');	
	$pdf->Output('prnChallan.pdf', 'I');
	exit;

?>