<?php

	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_items.php' );

	
	$ModuleID			= 3;	

	$gdb						=	new genericdb();
	$ldb						= new logindb();
	$mdb						=	new masterdb();
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}

	$iid			=	"";
	
	extract($_REQUEST);
	
	$iid			=	(int)$iid;
	
	$itmDet		= $mdb->getItemDetail($iid);
	
	$ean			= $itmDet->getEAN();
	
?>


<html>

<head>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Item</title>
<script src="js/jsbarcode.js"></script>
</head>

<body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0">

<div align="center">
	<div style="font-size:8px;"><?php echo $itmDet->getItemName()?></div>
	<div>
		<svg id="barcode"></svg>
	</div>
</div>

</body>

</html>

<script language="javaScript">
	
	JsBarcode("#barcode", "<?php echo $ean?>", {
		format: "ean13",
		lineColor: "#000",
		width: 2,
		height: 50,
		displayValue: true
	});	
	
	/*window.onload	=	function() {
		window.print();
		window.close();
	}*/
	
</script>
