<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.gen_purchasereturn.php' );
	require_once( 'dao/class.gen_purchasereturn_items.php' );
	require_once( 'dao/class.gen_purchasereturn_addless.php' );
	require_once( 'dao/class.purchasedb.php' );
		
	
	$ModuleID			= 19;

	$gdb			=	new genericdb();
	$mdb			=	new masterdb();
	$pdb			=	new purchasedb();
	$ldb			= new logindb();
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pKey			= 0;
	
	extract($_REQUEST);
	
	$pKey			= (int)$pKey;
	$pcls			= $pdb->getPurchaseReturnDetail($pKey);
	$itmList	= $pcls->getItemList();
	

?>		

<html>

<head>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title></title>
<link rel="stylesheet" href="css/rpt.css" type="text/css" />
</head>

<body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0">

	<div align="center">
		<table border="1" width="850" cellspacing="0" cellpadding="2" style="border-collapse: collapse" bordercolor="#C0C0C0">
			<tr>
				<td width="100%" height="30" colspan="8">
				<table border="0" width="100%" cellpadding="2">
					<tr>
						<td colspan="2">
						<p align="center" style="margin-top: 0; margin-bottom: 0"><b>
			<font size="3" face="Arial"><?php echo $tcmp->getCompanyName()?><br /><?php echo $tcmp->getCompanyAddress()?></font></b>
						</td>
					</tr>
					<tr>
						<td height="26" colspan="2">
			<p align="center" style="margin-top: 0; margin-bottom: 0"><b>
			<font face="Arial">Purchase Bill</font></b></td>
					</tr>
					<tr>
						<td height="25" colspan="2">
			<b>
				<font size="2" face="Arial">Store Name : <?php echo $pcls->getStoreName()?></font></b></td>
					</tr>
					<tr>
						<td height="25" colspan="2">
			<b>
				<font size="2" face="Arial">Supplier Name : <?php echo $pcls->getSupplierName()?></font></b></td>
					</tr>
					
					<tr>
						<td height="25" colspan="2">
			<b>
				<font size="2" face="Arial">Ledger : <?php echo $pcls->getPAccountName()?></font></b></td>
					</tr>
					<tr>
						<td height="30" width="50%">
						<font face="Arial" size="2"><?php echo $pcls->getReturnNo()?>/<?php echo $pcls->getFinYear()?></font></td>
						<td height="30" width="50%">
						<p align="right" style="margin-top:0; margin-bottom:0">
						<font face="Arial" size="2">Date : <?php echo $pcls->getReturnDate('yes')?></font></td>
					</tr>
				</table>
				</td>
			</tr>
			<tr>
				<td width="5%" height="30" align="center"><b>
				<font size="2" face="Arial">Sl. No.</font></b></td>
				<td width="50%" height="30" align="center"><b>
				<font size="2" face="Arial">Item Name &amp; Code</font></b></td>
				<td width="10%" height="30" align="center">
				<b><font size="2" face="Arial">Qty. </font></b></td>
				<td width="10%" height="30" align="center">
				<b><font size="2" face="Arial">Unit </font></b></td>
				<td width="10%" height="30" align="center">
				<b><font face="Arial" size="2">Rate</font></b></td>
				<td width="15%" height="30" align="center">
				<b><font face="Arial" size="2">Total</font></b></td>
			</tr>
			
			<?php
				for($i=0;$i<count($itmList);$i++) {
					$icls		= $itmList[$i];
					$iDet		= $mdb->getItemDetail($icls->getItemID());
			?>			
			
			<tr>
				<td width="5%" height="26" align="right">
				<p align="right" style="margin-right: 2px">
				<font face="Arial" size="2"><?php echo ($i+1)?></font></td>
				<td width="50%" height="26">
				<p style="margin-left: 2px"><font face="Arial" size="2"><?php echo $icls->getItemName()?> (<?php echo $iDet->getItemNo()?>)</font></td>
				<td width="10%" height="26" align="right">
				<p style="margin-right: 2px"><font face="Arial" size="2"><?php echo $icls->getQuantity()?> </font></td>
				<td width="10%" height="26" align="right">
				<p align="center"><font face="Arial" size="2"><?php echo $iDet->getUnitName()?></font></td>
				<td width="10%" height="26" align="right">
				<p style="margin-right: 2px; margin-top:0; margin-bottom:0">
				<font face="Arial" size="2"><?php echo $icls->getRate();?></font></td>
				<td width="15%" height="26" align="right">
				<p style="margin-right: 2px; margin-top:0; margin-bottom:0">
				<font face="Arial" size="2"><?php echo $icls->getAmount('yes');?></font></td>
			</tr>
			
			<?php } ?>

			<tr>
				<td width="85%" height="30" align="right" colspan="5">
				<p style="margin-right: 2px; margin-top: 0; margin-bottom: 0"><b>
				<font size="2" face="Arial">Extra</font></b></td>

				<td width="15%" height="30" align="right">
				<p style="margin-right: 2px; margin-top:0; margin-bottom:0">
				<font face="Arial" size="2"><?php echo $pcls->getAddLessTotal('yes')?></font></td>
			</tr>
			<tr>
				<td width="85%" height="30" align="right" colspan="5">
				<p style="margin-right: 2px; margin-top: 0; margin-bottom: 0"><b>
				<font size="2" face="Arial">Total Bill Amount</font></b></td>
				<td width="15%" height="30" align="right">
				<p style="margin-right: 2px; margin-top:0; margin-bottom:0">
				<font face="Arial" size="2"><?php echo $pcls->getNetTotal('yes')?></font></td>
			</tr>
			<tr>
				<td width="98%" height="40" align="right" colspan="8">
				<table border="0" width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td height="60" width="33%" valign="bottom"><b>
						<font face="Arial" size="2">Store Keeper</font></b></td>
						<td height="60" width="33%" valign="bottom">
						<p align="center"><b><font face="Arial" size="2">Purchase 
						In-Charge</font></b></td>
						<td height="60" width="33%" valign="bottom">
						<p align="right"><b><font face="Arial" size="2">Manager</font></b></td>
					</tr>
				</table>
				</td>
			</tr>

			</table>
	</div>

</body>

</html>

<script language="javaScript">

	window.onload	=	function() {
		window.print();
		window.close();
	}

</script>