<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.gen_quote.php' );
	require_once( 'dao/class.gen_quote_items.php' );
	require_once( 'dao/class.gen_quote_addless.php' );
	require_once( 'dao/class.saledb.php' );
	require_once( 'pdf/tcpdf/config/tcpdf_config.php' );
	require_once( 'pdf/tcpdf/tcpdf.php' );	
		
	
	$ModuleID			= 27;

	$gdb			=	new genericdb();
	$mdb			=	new masterdb();
	$pdb			=	new saledb();
	$ldb			= new logindb();
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pKey			= 0;
	
	$noOfbr		= substr_count($tcmp->getCompanyAddress(), "\n");
	
	extract($_REQUEST);
	
	$pKey			= (int)$pKey;
	$pcls			= $pdb->getQuotationDetail($pKey);
	$itmList	= $pcls->getItemList();
	$alList		= $pcls->getAddLessList();
	$totQty		= 0;
	for($i=0;$i<count($itmList);$i++) {
		$icls		= $itmList[$i];
		$totQty	= $totQty + $icls->getQuantity();
	}
	
	$cusDet		= $mdb->getAccountDetail($pcls->getCustomerID());
	$conDet		= $mdb->getAccountDetail($pcls->getConsigneeID());	
	
	$cusStat	= "Normal";
	$conStat	= "Normal";
	if($cusDet->getSEZ() == "YES")
		$cusStat= "Under SEZ";
	else if($cusDet->getCompScheme() == "YES")
		$cusStat= "Comp. Scheme";
	else if($cusDet->getDeemedExporter() == "YES")
		$cusStat= "Deemed Exporter";

	if($conDet->getSEZ() == "YES")
		$conStat= "Under SEZ";
	else if($conDet->getCompScheme() == "YES")
		$conStat= "Comp. Scheme";
	else if($conDet->getDeemedExporter() == "YES")
		$conStat= "Deemed Exporter";
		
		
	$buyer		= '<b>'.$cusDet->getAccountName().'</b>';
	if($cusDet->getAddress1() != "") {
		$buyer	= $buyer.'<br />'.$cusDet->getAddress1();
		$noOfbr++;
	}
	if($cusDet->getAddress2() != "") {
		$buyer	= $buyer.'<br />'.$cusDet->getAddress2();
		$noOfbr++;
	}
	if($cusDet->getCity() != "") {
		$noOfbr++;
		$buyer	= $buyer.'<br />'.$cusDet->getCity();
		if($cusDet->getState() != "")
			$buyer	= $buyer.', '.$cusDet->getState().' ('.getGSTStateCode($cusDet->getState()).')';
		if($cusDet->getCountry() != "")
			$buyer	= $buyer.', '.$cusDet->getCountry();
	} else {
		$noOfbr++;
		if($cusDet->getState() != "")
			$buyer	= $buyer.'<br />'.$cusDet->getState().' ('.getGSTStateCode($cusDet->getState()).')';
		if($cusDet->getCountry() != "")
			$buyer	= $buyer.', '.$cusDet->getCountry();	
	}
	if($cusDet->getGST() != "") {
		$noOfbr++;
		$buyer	= $buyer.'<br />GST : '.$cusDet->getGST();
		if($cusDet->getPAN() != "")
			$buyer	= $buyer.', PAN : '.$cusDet->getPAN();
	} else {
		if($cusDet->getPAN() != "") {
			$noOfbr++;
			$buyer	= $buyer.'<br />PAN : '.$cusDet->getPAN();
		}
	}
	//$buyer	= $buyer.'<br />Status : '.$cusStat;
	$noOfbr++;
	
	$consign		= '<b>'.$conDet->getAccountName().'</b>';
	if($conDet->getAddress1() != "")
		$consign	= $consign.'<br />'.$conDet->getAddress1();
	if($conDet->getAddress2() != "")	
		$consign	= $consign.'<br />'.$conDet->getAddress2();
	if($conDet->getCity() != "") {
		$consign	= $consign.'<br />'.$conDet->getCity();
		if($conDet->getState() != "")
			$consign	= $consign.', '.$conDet->getState().' ('.getGSTStateCode($conDet->getState()).')';
		if($conDet->getCountry() != "")
			$consign	= $consign.', '.$conDet->getCountry();
	} else {
		if($conDet->getState() != "")
			$consign	= $consign.'<br />'.$conDet->getState().' ('.getGSTStateCode($conDet->getState()).')';
		if($conDet->getCountry() != "")
			$consign	= $consign.', '.$conDet->getCountry();	
	}
	if($conDet->getGST() != "") {
		$consign	= $consign.'<br />GST : '.$conDet->getGST();
		if($conDet->getPAN() != "")
			$consign	= $consign.', PAN : '.$conDet->getPAN();
	} else {
		if($conDet->getPAN() != "")
			$consign	= $consign.'<br />PAN : '.$conDet->getPAN();		
	}
	//$consign	= $consign.'<br />Status : '.$conStat;
	
	$topm		= 83;
	for($i=4;$i<=$noOfbr;$i++)
		$topm	= $topm + 3.7;	
		
	
	$logstr		= $pcls->getDOE();
	
	
	class MYPDF extends TCPDF {
	
		var $TopMargin			= 30;
		var $CmpName				= "";
		var $CmpAddr				= "";
		var $CmpGST					= "";
		var $CmpPAN					= "";
		var $CmpState				= "";
		var $CmpSCode				= "";
		var $CmpBank				= "";
		var $Transport			= "";
		var $VehicleNo			= "";
		var $GRNo						= "";
		var $GRDate					= "";
		var $PlaceOfSupply	= "";
		var $InvoiceNo			= "";
		var $InvoiceDate		= "";
		var $DateOfSupply		= "";
		var $PONo						= "";
		var $PODate					= "";
		var $Buyer					= "";
		var $Consignee			= "";
		var $TotQty 				= "";
		var $TotAmt					= "";
		var $TotCGST				= "";
		var $TotSGST				= "";
		var $TotIGST				= "";
		var $NetAmount			= "";
		var $TotInWord			= "";
		var $TotTaxInWord		= "";
		var $Currency				= "INR";
		var $Export					= "";
		
		function setCmpName($arg) {
			$this->CmpName = addslashes($arg);
		}
		
		function setCmpAddr($arg) {
			$this->CmpAddr = addslashes($arg);
		}
		
		function setCmpGST($arg) {
			$this->CmpGST = addslashes($arg);
		}
		
		function setCmpPAN($arg) {
			$this->CmpPAN = addslashes($arg);
		}
		
		function setCmpState($arg) {
			$this->CmpState = addslashes($arg);
		}
		
		function setCmpSCode($arg) {
			$this->CmpSCode = addslashes($arg);
		}
		
		function setCmpBank($arg) {
			$this->CmpBank = addslashes($arg);
		}		
		
		function setTransport($arg) {
			$this->Transport = addslashes($arg);
		}
		
		function setVehicleNo($arg) {
			$this->VehicleNo = addslashes($arg);
		}
		
		function setGRNo($arg) {
			$this->GRNo = addslashes($arg);
		}
		
		function setGRDate($arg) {
			$this->GRDate = addslashes($arg);
		}
		
		function setPlaceOfSupply($arg) {
			$this->PlaceOfSupply = addslashes($arg);
		}
		
		function setInvoiceNo($arg) {
			$this->InvoiceNo = addslashes($arg);
		}
		
		function setInvoiceDate($arg) {
			$this->InvoiceDate = addslashes($arg);
		}
		
		function setDateOfSupply($arg) {
			$this->DateOfSupply = addslashes($arg);
		}
		
		function setPONo($arg) {
			$this->PONo = addslashes($arg);
		}
		
		function setPODate($arg) {
			$this->PODate = addslashes($arg);
		}
		
		function setBuyer($arg) {
			$this->Buyer = addslashes($arg);
		}
		
		function setConsignee($arg) {
			$this->Consignee = addslashes($arg);
		}
		
		function setTotQty($arg) {
			$this->TotQty = addslashes($arg);
		}
		
		function setTotAmt($arg) {
			$this->TotAmt = addslashes($arg);
		}
		
		function setTotCGST($arg) {
			$this->TotCGST = addslashes($arg);
		}
		
		function setTotSGST($arg) {
			$this->TotSGST = addslashes($arg);
		}
		
		function setTotIGST($arg) {
			$this->TotIGST = addslashes($arg);
		}
		
		function setNetAmount($arg) {
			$this->NetAmount = addslashes($arg);
		}		
		
		function setTotInWord($arg) {
			$this->TotInWord = addslashes($arg);
		}
		
		function setTotTaxInWord($arg) {
			$this->TotTaxInWord = addslashes($arg);
		}		
		
		function setTopMargin($arg) {
			$this->TopMargin = (double)$arg;
		}
		
		function setCurrency($arg) {
			$this->Currency = addslashes($arg);
		}
		
		function setExport($arg) {
			$this->Export = addslashes($arg);
		}		
	
		public function Header() {
		
			$this->SetFont('helvetica', '', 9);
			
			$hdr1		= 'ESTIMATE/QUOTATION';
			$hdr2		= '';
			if($this->Export == "YES") {
				$hdr1	= 'EXPORT ESTIMATE/QUOTATION';
				$hdr2	= '';
			}
			
			$hdrhtml ='
				
				<br /><br />
				
				<table border="0" width="650" cellspacing="1">
					<tr>
						<td align="center">
							<br />
							<font style="font-size: 10px;"><b>'.$hdr1.'<br /></b></font>
							<font style="font-size: 10px;">'.$hdr2.'</font>
						</td>
					</tr>
				</table>
				
				<table border="1" width="650" cellspacing="0" cellpadding="0">
					<tr>
						<td align="center" style="padding:8px;">
							<font style="font-size: 16px"><b>'.$this->CmpName.'<br /></b></font>
							<font style="font-size: 12px">'.$this->CmpAddr.'</font>
						</td>
					</tr>
				</table>
				
				<table border="1" width="650" cellspacing="0" cellpadding="0">
					<tr>
						<td width="33%" align="left" valign="top">
							<table border="0" width="100%" cellpadding="2" cellspacing="1">
								<tr>
									<td width="30%">GSTIN</td>
									<td width="70%">: '.$this->CmpGST.'</td>
								</tr>
								<tr>
									<td>PAN</td>
									<td>: '.$this->CmpPAN.'</td>
								</tr>
								<tr>
									<td>CIN</td>
									<td>: </td>
								</tr>
								<tr>
									<td>State</td>
									<td>: '.$this->CmpState.'</td>
								</tr>
								<tr>
									<td>State Code</td>
									<td>: '.$this->CmpSCode.'</td>
								</tr>
							</table>
						</td>
						<td width="37%" align="left" valign="top">
							<table border="0" width="100%" cellpadding="2" cellspacing="1">
								<tr>
									<td width="100%" colspan="2" align="center"><u>Transport Details</u></td>
								</tr>
								<tr>
									<td width="30%">Transport</td>
									<td width="70%">: '.$this->Transport.'</td>
								</tr>
								<tr>
									<td>Vehicle No.</td>
									<td>: '.$this->VehicleNo.'</td>
								</tr>
								<tr>
									<td>GR/LR No.</td>
									<td>: '.$this->GRNo.'  Date : '.$this->GRDate.'</td>
								</tr>
								<tr>
									<td>Pl. of Supply</td>
									<td>: '.$this->PlaceOfSupply.'</td>
								</tr>
							</table>
						</td>
						<td width="30%" align="left" valign="top">
							<table border="0" width="100%" cellpadding="2" cellspacing="1">
								<tr>
									<td width="43%">Proforma No.</td>
									<td width="57%">: '.$this->InvoiceNo.'</td>
								</tr>
								<tr>
									<td>Proforma Date</td>
									<td>: '.$this->InvoiceDate.'</td>
								</tr>
								<tr>
									<td>Date of Supply</td>
									<td>: '.$this->DateOfSupply.'</td>
								</tr>
								<tr>
									<td>P. O. No.</td>
									<td>: '.$this->PONo.'</td>
								</tr>
								<tr>
									<td>P. O. Date</td>
									<td>: '.$this->PODate.'</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
						
						
				<table border="1" width="650" cellspacing="0" cellpadding="2">
					<tr>
						<td width="50%" align="left" valign="top">
							<b>Bill To (Buyer)</b><br />
							'.$this->Buyer.'
						</td>
						<td width="50%" align="left" valign="top">
							<b>Ship To (Consignee)</b><br />
							'.$this->Consignee.'
						</td>
					</tr>
				</table>

				<table border="1" width="650" cellspacing="0" cellpadding="2">
					<tr>
						<td align="center" rowspan="2" width="30px"><font style="font-size:9px">Sr. No.</font></td>
						<td align="center" rowspan="2" width="120px"><font style="font-size:9px">Description of Goods</font></td>
						<td align="center" rowspan="2" width="50px"><font style="font-size:9px">HSN<br />Code</font></td>
						<td align="center" rowspan="2" width="40px"><font style="font-size:9px">Qty</font></td>
						<td align="center" rowspan="2" width="40px"><font style="font-size:9px">UOQ</font></td>
						<td align="center" rowspan="2" width="50px"><font style="font-size:9px">Rate</font></td>
						<td align="center" rowspan="2" width="40px"><font style="font-size:9px">Disc</font></td>
						<td align="center" rowspan="2" width="70px"><font style="font-size:9px">Taxable<br />Amount ('.$this->Currency.')</font></td>
						<td align="center" colspan="2" width="70px"><font style="font-size:8px">S/U-GST</font></td>
						<td align="center" colspan="2" width="70px"><font style="font-size:8px">CGST</font></td>
						<td align="center" colspan="2" width="70px"><font style="font-size:8px">IGST</font></td>
					</tr>
					<tr>
						<td align="center" width="20px"><font style="font-size:9px">%</font></td>
						<td align="center" width="50px"><font style="font-size:9px">Amt.</font></td>
						<td align="center" width="20px"><font style="font-size:9px">%</font></td>
						<td align="center" width="50px"><font style="font-size:9px">Amt.</font></td>
						<td align="center" width="20px"><font style="font-size:9px">%</font></td>
						<td align="center" width="50px"><font style="font-size:9px">Amt.</font></td>
					</tr>
				</table>

			';
			
			$this->writeHTML($hdrhtml, true, false, true, false, '');
			
			$topm		= $this->TopMargin;
			
			$this->SetDrawColor(0, 0, 0);
			$this->Line(20, $topm, 20, 210);
			$this->Line(28.42, $topm, 28.42, 210);
			$this->Line(62.3, $topm, 62.3, 210);
			$this->Line(76.5, $topm, 76.5, 210);
			$this->Line(87.7, $topm, 87.7, 210);
			$this->Line(98.9, $topm, 98.9, 210);
			$this->Line(113.1, $topm, 113.1, 210);
			$this->Line(124.35, $topm, 124.35, 210);
			$this->Line(144.1, $topm, 144.1, 210);
			$this->Line(149.7, $topm, 149.7, 210);
			$this->Line(163.9, $topm, 163.9, 210);
			$this->Line(169.5, $topm, 169.5, 210);
			$this->Line(183.7, $topm, 183.7, 210);
			$this->Line(189.3, $topm, 189.3, 210);
			$this->Line(203.5, $topm, 203.5, 210);			
			
		}
	
		public function Footer() {

			$this->SetY(-30);

			$this->SetFont('helvetica', '', 9);
			
			$footerHtml = '			
			
			<table border="1" width="650" cellspacing="0" cellpadding="2">
				<tr>
					<td valign="top">'.$this->CmpBank.'</td>
					<td>
						<p align="right"><b><font style="font-size:9px">E. &amp; O. E.</font></b></p>
						<p align="right">&nbsp;</p>
						<p align="right"><b><font style="font-size:9px">'.$this->CmpName.'</font></b></p>
					</td>
				</tr>
			</table>
			';
			
			$this->writeHTML($footerHtml, true, false, true, false, '');
		}
	}
	
	$pdf 				= new MYPDF('P', PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
	
	$pdf->setCmpName($tcmp->getCompanyName());
	$pdf->setCmpAddr(nl2br($tcmp->getCompanyAddress()));
	$pdf->setCmpGST($tcmp->getGST());
	$pdf->setCmpPAN($tcmp->getPAN());
	$pdf->setCmpState($tcmp->getState());
	$pdf->setCmpSCode(getGSTStateCode($tcmp->getState()));
	$pdf->setCmpBank($tcmp->getBankDetail());
	$pdf->setTransport($pcls->getTransport());
	$pdf->setVehicleNo($pcls->getVehicleNo());
	$pdf->setGRNo($pcls->getGRNo());
	$pdf->setGRDate($pcls->getGRDate('yes'));
	$pdf->setPlaceOfSupply($pcls->getSupplyPlace());
	$pdf->setInvoiceNo($pcls->getSaleNo().'/'.$pcls->getFinYear());
	$pdf->setInvoiceDate($pcls->getDOS('yes'));
	$pdf->setDateOfSupply($pcls->getSupplyDate('yes'));
	$pdf->setPONo('');
	$pdf->setPODate('');
	$pdf->setBuyer($buyer);
	$pdf->setConsignee($consign);
	$pdf->setTotQty($totQty);
	$pdf->setTotAmt($pcls->getItemTotal() - ($pcls->getIGST() + $pcls->getCGST() + $pcls->getSGST()));
	$pdf->setTotCGST($pcls->getCGST());
	$pdf->setTotSGST($pcls->getSGST());
	$pdf->setTotIGST($pcls->getIGST());
	$pdf->setNetAmount( number_format($pcls->getNetTotal(), 2, ".", ",") );
	$pdf->setTotInWord(number_to_word($pcls->getNetTotal()));
	$pdf->setTotTaxInWord(number_to_word($pcls->getIGST() + $pcls->getCGST() + $pcls->getSGST()));
	$pdf->setTopMargin($topm);
	if($pcls->getExport() == "YES")
		$pdf->setCurrency($pcls->getCurrency());
	$pdf->setExport($pcls->getExport());
	

	// set document information
	$pdf->SetCreator(PDF_CREATOR);
	$pdf->SetAuthor('adapSys');
	$pdf->SetTitle('Sale Invoice');
	$pdf->SetSubject('Sale Invoice');
	$pdf->SetKeywords('');

	// set default monospaced font
	$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

	// set margins, left-top-right
	$pdf->SetMargins(20, $topm, 10);
	
	// remove default header/footer
	//$pdf->setPrintHeader(false);
	//$pdf->setPrintFooter(false);

	// set auto page breaks
	$pdf->SetAutoPageBreak(TRUE, 30);
	
	// set image scale factor
	$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);


	// add a page
	$pdf->AddPage();

	
	$pdf->setFontSubsetting(false);
	$pdf->SetFont('helvetica', '', 9);
	
	
	$html		= '
	
		<table border="1" width="650" cellspacing="0" cellpadding="2">
	
	';
	
	for($i=0;$i<count($itmList);$i++) {
		$icls		= $itmList[$i];
		$iDet		= $mdb->getItemDetail($icls->getItemID());
		
		$igstrt	= "";
		$igst		= "";
		$cgstrt	= "";
		$cgst		= "";
		$sgstrt	= "";
		$sgst		= "";				
		if($icls->getIGSTRate() != 0) $igstrt =  $icls->getIGSTRate();
		if($icls->getCGSTRate() != 0) $cgstrt =  $icls->getCGSTRate();
		if($icls->getSGSTRate() != 0) $sgstrt =  $icls->getSGSTRate();
		if($icls->getIGST() != 0) $igst =  $icls->getIGST();
		if($icls->getCGST() != 0) $cgst =  $icls->getCGST();
		if($icls->getSGST() != 0) $sgst =  $icls->getSGST();
		
		$html		= $html.'
		
			<tr nobr="true">
				<td width="30px" align="right"><font style="font-size:9px">'.($i+1).'</font></td>
				<td width="120px" align="left"><font style="font-size:9px">'.$icls->getItemName().'</font></td>
				<td width="50px" align="center"><font style="font-size:9px">'.$iDet->getHSN().'</font></td>
				<td width="40px" align="center"><font style="font-size:9px">'.$icls->getQuantity().'</font></td>
				<td width="40px" align="center"><font style="font-size:9px">'.$iDet->getUnitName().'</font></td>
				<td width="50px" align="right"><font style="font-size:9px">'.$icls->getRate().'</font></td>
				<td width="40px" align="right"><font style="font-size:9px">'.$icls->getDiscount().'</font></td>
				<td width="70px" align="right"><font style="font-size:9px">'.$icls->getAmount().'</font></td>
				<td width="20px" align="center"><font style="font-size:9px">'.$sgstrt.'</font></td>
				<td width="50px" align="right"><font style="font-size:9px">'.$sgst.'</font></td>
				<td width="20px" align="center"><font style="font-size:9px">'.$cgstrt.'</font></td>
				<td width="50px" align="right"><font style="font-size:9px">'.$cgst.'</font></td>
				<td width="20px" align="center"><font style="font-size:9px">'.$igstrt.'</font></td>
				<td style="min-height:100%" width="50px" align="right"><font style="font-size:9px">'.$igst.'</font></td>
			</tr>	
							
		';	
		
	}
	
	$html	= $html.'</table>';
	
	$pdf->writeHTML($html, true, false, true, false, '');
	
	$pdf->SetY(-90);
	
	$html	= '
	
			<table border="1" width="100%" cellspacing="0" cellpadding="4">
				<tr>
					<td align="center" width="30px">&nbsp;</td>
					<td align="right" width="120px"><b><font style="font-size:9px">Total</font></b></td>
					<td align="center" width="50px">&nbsp;</td>
					<td align="center" width="40px"><font style="font-size:9px">'.$totQty.'</font></td>
					<td align="center" width="40px">&nbsp;</td>
					<td align="center" width="50px">&nbsp;</td>
					<td align="center" width="40px">&nbsp;</td>
					<td align="right" width="70px"><font style="font-size:9px">'.($pcls->getItemTotal() - ($pcls->getIGST() + $pcls->getCGST() + $pcls->getSGST())).'</font></td>
					<td align="center" width="20px">&nbsp;</td>
					<td align="right" width="50px"><font style="font-size:9px">'.$pcls->getSGST().'</font></td>
					<td align="center" width="20px">&nbsp;</td>
					<td align="right" width="50px"><font style="font-size:9px">'.$pcls->getCGST().'</font></td>
					<td align="center" width="20px">&nbsp;</td>
					<td align="right" width="50px"><font style="font-size:9px">'.$pcls->getIGST().'</font></td>
				</tr>
			</table>
			
			<table border="1" width="650" cellspacing="0" cellpadding="2">
				<tr>
					<td width="50%" align="left" valign="top">
						<font style="font-size:9px">Remarks :</font>
						<p><font style="font-size:9px">Total Tax in Amt. : '.$pcls->getCurrency().' '.numToWord($pcls->getIGST() + $pcls->getCGST() + $pcls->getSGST(), 'Paise').'</font></p>
					</td>
					<td width="50%">
						<table border="1" width="100%" cellspacing="0" cellpadding="4">
							<tr>
								<td width="65%" align="left" valign="top"><b><font style="font-size:9px">Total Taxable Value</font></b></td>
								<td width="35%" valign="top" align="right" height="20"><b><font style="font-size:9px">'.number_format($pcls->getItemTotal() - ($pcls->getIGST() + $pcls->getCGST() + $pcls->getSGST()), 2, ".", "").'</font></b></td>
							</tr>';
							if($pcls->getIGST() > 0) {
								$html = $html.'
							<tr>
								<td align="left" valign="top"><b><font style="font-size:9px">IGST</font></b></td>
								<td valign="top" align="right" height="20"><b><font style="font-size:9px">'.$pcls->getIGST('yes').'</font></b></td>
							</tr>';
							}
							if($pcls->getSGST() > 0) {
								$html = $html.'
							<tr>
								<td align="left" valign="top"><b><font style="font-size:9px">SGST/UGST</font></b></td>
								<td valign="top" align="right" height="20"><b><font style="font-size:9px">'.$pcls->getSGST('yes').'</font></b></td>
							</tr>';
							}
							if($pcls->getCGST() > 0) {
								$html = $html.'
							<tr>
								<td align="left" valign="top"><b><font style="font-size:9px">CGST</font></b></td>
								<td valign="top" align="right" height="20"><b><font style="font-size:9px">'.$pcls->getCGST('yes').'</font></b></td>
							</tr>';
							}
						
						for($i=0;$i<count($alList);$i++) {
							$acls		= $alList[$i];
							
							$html = $html.'
							<tr>
								<td align="left" height="22" align="left"><b><font style="font-size: 9px">'.$acls->getAccountName().'</font></b></td>
								<td align="right" height="22"><b><font style="font-size: 9px">'.$acls->getAmount('yes').'</font></b></td>
							</tr>';
						}
						
							$html = $html.'
							<tr>
								<td align="left" height="22" align="right"><b><font style="font-size: 11pt">Grand Total ('.$pcls->getCurrency().')</font></b></td>
								<td align="right" height="22"><b><font style="font-size: 11pt">'.$pcls->getNetTotal('yes').'</font></b></td>
							</tr>';						
							
						$html = $html.'	
						</table>
					</td>
				</tr>
			</table>
			
			<p>'.numToWord($pcls->getNetTotal(), 'Paise').'</p>
	
	';
	
	$pdf->writeHTML($html, true, false, true, false, '');	
	$pdf->Output('prnSale.pdf', 'I');
	exit;

?>