<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.gen_sale.php' );
	require_once( 'dao/class.gen_sale_items.php' );
	require_once( 'dao/class.gen_sale_addless.php' );
	require_once( 'dao/class.saledb.php' );
	require_once( 'pdf/tcpdf/config/tcpdf_config.php' );
	require_once( 'pdf/tcpdf/tcpdf.php' );	
		
	
	$ModuleID			= 28;

	$gdb			=	new genericdb();
	$mdb			=	new masterdb();
	$pdb			=	new saledb();
	$ldb			= new logindb();
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$pKey			= 0;
	
	$noOfbr		= substr_count($tcmp->getCompanyAddress(), "\n");
	
	extract($_REQUEST);
	
	$pKey			= (int)$pKey;
	$pcls			= $pdb->getSaleDetail($pKey);
	$itmList	= $pcls->getItemList();
	$alList		= $pcls->getAddLessList();
	$totQty		= 0;
	for($i=0;$i<count($itmList);$i++) {
		$icls		= $itmList[$i];
		$totQty	= $totQty + $icls->getQuantity();
	}
	
	$curr			= $pcls->getCurrency();
	$currfrac	= 'Cents';
	if($curr == '') {
		$curr		= 'INR';
		$currfrac	= 'Paisa';
	}
	
	$cusDet		= $mdb->getAccountDetail($pcls->getCustomerID());
	$conDet		= $mdb->getAccountDetail($pcls->getConsigneeID());	
	
	$cusStat	= "Normal";
	$conStat	= "Normal";
	if($cusDet->getSEZ() == "YES")
		$cusStat= "Under SEZ";
	else if($cusDet->getCompScheme() == "YES")
		$cusStat= "Comp. Scheme";
	else if($cusDet->getDeemedExporter() == "YES")
		$cusStat= "Deemed Exporter";

	if($conDet->getSEZ() == "YES")
		$conStat= "Under SEZ";
	else if($conDet->getCompScheme() == "YES")
		$conStat= "Comp. Scheme";
	else if($conDet->getDeemedExporter() == "YES")
		$conStat= "Deemed Exporter";
		
	$custLine	= 0;
	$buyer		= '<b>'.$cusDet->getAccountName().'</b>';
	if($cusDet->getAddress1() != "") {
		$buyer	= $buyer.'<br />'.$cusDet->getAddress1();
		$noOfbr++;
		$custLine++;
	}
	if($cusDet->getAddress2() != "") {
		$buyer	= $buyer.'<br />'.$cusDet->getAddress2();
		$noOfbr++;
		$custLine++;
	}
	if($cusDet->getCity() != "") {
		$noOfbr++;
		$custLine++;
		$buyer	= $buyer.'<br />'.$cusDet->getCity();
		if($cusDet->getPIN() != '')
			$buyer	= $buyer.' - '.$cusDet->getPIN();
		if($cusDet->getState() != "")
			$buyer	= $buyer.', '.$cusDet->getState().' ('.getGSTStateCode($cusDet->getState()).')';
		if($cusDet->getCountry() != "")
			$buyer	= $buyer.', '.$cusDet->getCountry();
		if($cusDet->getMobile() != "")
			$buyer	= $buyer.', Mob:'.$cusDet->getMobile();			
	} else {
		$noOfbr++;
		$custLine++;
		if($cusDet->getState() != "")
			$buyer	= $buyer.'<br />'.$cusDet->getState().' ('.getGSTStateCode($cusDet->getState()).')';
		if($cusDet->getCountry() != "")
			$buyer	= $buyer.', '.$cusDet->getCountry();
		if($cusDet->getMobile() != "")
			$buyer	= $buyer.', Mob:'.$cusDet->getMobile();			
	}
	if($cusDet->getGST() != "") {
		$noOfbr++;
		$custLine++;
		$buyer	= $buyer.'<br />GST : '.$cusDet->getGST();
		if($cusDet->getPAN() != "")
			$buyer	= $buyer.', PAN : '.$cusDet->getPAN();
	} else {
		if($cusDet->getPAN() != "") {
			$noOfbr++;
			$custLine++;
			$buyer	= $buyer.'<br />PAN : '.$cusDet->getPAN();
		}
	}

	$conLine		= 0;
	$consign		= '<b>'.$conDet->getAccountName().'</b>';
	if($conDet->getAddress1() != "") {
		$consign	= $consign.'<br />'.$conDet->getAddress1();
		$conLine++;
	}
	if($conDet->getAddress2() != "") {
		$consign	= $consign.'<br />'.$conDet->getAddress2();
		$conLine++;
	}
	if($conDet->getCity() != "") {
		$conLine++;
		$consign	= $consign.'<br />'.$conDet->getCity();
		if($conDet->getState() != "")
			$consign	= $consign.', '.$conDet->getState().' ('.getGSTStateCode($conDet->getState()).')';
		if($conDet->getCountry() != "")
			$consign	= $consign.', '.$conDet->getCountry();
	} else {
		$conLine++;
		if($conDet->getState() != "")
			$consign	= $consign.'<br />'.$conDet->getState().' ('.getGSTStateCode($conDet->getState()).')';
		if($conDet->getCountry() != "")
			$consign	= $consign.', '.$conDet->getCountry();	
	}
	if($conDet->getGST() != "") {
		$conLine++;
		$consign	= $consign.'<br />GST : '.$conDet->getGST();
		if($conDet->getPAN() != "")
			$consign	= $consign.', PAN : '.$conDet->getPAN();
	} else {
		if($conDet->getPAN() != "") {
			$conLine++;
			$consign	= $consign.'<br />PAN : '.$conDet->getPAN();
		}		
	}
	
	if($conLine > $custLine) {
		$noOfbr = $noOfbr + ($conLine - $custLine);
	}
	
	$topm		= 83;
	for($i=4;$i<=$noOfbr;$i++)
		$topm	= $topm + 3.7;	
		
	
	$logstr		= $pcls->getDOE();
	
	
	class MYPDF extends TCPDF {
	
		protected $last_page_flag = false;
		var $pTopMargin			= 94;
	
		var $TopMargin			= 30;
		var $CmpName				= "";
		var $CmpAddr				= "";
		var $CmpGST					= "";
		var $CmpPAN					= "";
		var $CmpState				= "";
		var $CmpSCode				= "";
		var $CmpBank				= "";
		var $Transport			= "";
		var $VehicleNo			= "";
		var $GRNo						= "";
		var $GRDate					= "";
		var $PlaceOfSupply	= "";
		var $InvoiceNo			= "";
		var $InvoiceDate		= "";
		var $DateOfSupply		= "";
		var $PONo						= "";
		var $PODate					= "";
		var $Buyer					= "";
		var $Consignee			= "";
		var $TotQty 				= "";
		var $TotAmt					= "";
		var $TotCGST				= "";
		var $TotSGST				= "";
		var $TotIGST				= "";
		var $NetAmount			= "";
		var $TotInWord			= "";
		var $TotTaxInWord		= "";
		var $Currency				= "INR";
		var $Export					= "";
		
		public function Close() {
			$this->last_page_flag = true;
			parent::Close();
		}
		
		function setCmpName($arg) {
			$this->CmpName = addslashes($arg);
		}
		
		function setCmpAddr($arg) {
			$this->CmpAddr = addslashes($arg);
		}
		
		function setCmpGST($arg) {
			$this->CmpGST = addslashes($arg);
		}
		
		function setCmpPAN($arg) {
			$this->CmpPAN = addslashes($arg);
		}
		
		function setCmpState($arg) {
			$this->CmpState = addslashes($arg);
		}
		
		function setCmpSCode($arg) {
			$this->CmpSCode = addslashes($arg);
		}
		
		function setCmpBank($arg) {
			$this->CmpBank = addslashes($arg);
		}		
		
		function setTransport($arg) {
			$this->Transport = addslashes($arg);
		}
		
		function setVehicleNo($arg) {
			$this->VehicleNo = addslashes($arg);
		}
		
		function setGRNo($arg) {
			$this->GRNo = addslashes($arg);
		}
		
		function setGRDate($arg) {
			$this->GRDate = addslashes($arg);
		}
		
		function setPlaceOfSupply($arg) {
			$this->PlaceOfSupply = addslashes($arg);
		}
		
		function setInvoiceNo($arg) {
			$this->InvoiceNo = addslashes($arg);
		}
		
		function setInvoiceDate($arg) {
			$this->InvoiceDate = addslashes($arg);
		}
		
		function setDateOfSupply($arg) {
			$this->DateOfSupply = addslashes($arg);
		}
		
		function setPONo($arg) {
			$this->PONo = addslashes($arg);
		}
		
		function setPODate($arg) {
			$this->PODate = addslashes($arg);
		}
		
		function setBuyer($arg) {
			$this->Buyer = addslashes($arg);
		}
		
		function setConsignee($arg) {
			$this->Consignee = addslashes($arg);
		}
		
		function setTotQty($arg) {
			$this->TotQty = addslashes($arg);
		}
		
		function setTotAmt($arg) {
			$this->TotAmt = addslashes($arg);
		}
		
		function setTotCGST($arg) {
			$this->TotCGST = addslashes($arg);
		}
		
		function setTotSGST($arg) {
			$this->TotSGST = addslashes($arg);
		}
		
		function setTotIGST($arg) {
			$this->TotIGST = addslashes($arg);
		}
		
		function setNetAmount($arg) {
			$this->NetAmount = addslashes($arg);
		}		
		
		function setTotInWord($arg) {
			$this->TotInWord = addslashes($arg);
		}
		
		function setTotTaxInWord($arg) {
			$this->TotTaxInWord = addslashes($arg);
		}		
		
		function setTopMargin($arg) {
			$this->TopMargin = (double)$arg;
		}
		
		function setCurrency($arg) {
			$this->Currency = addslashes($arg);
		}
		
		function setExport($arg) {
			$this->Export = addslashes($arg);
		}		
	
		public function Header() {
		
			$this->SetFont('helvetica', '', 9);
			
			$hdr1		= 'TAX INVOICE';
			$hdr2		= '(See Section 31 of GST Act &amp; Rule 1 of Invoice Rules)';
			if($this->Export == "YES") {
				$hdr1	= 'EXPORT INVOICE';
				$hdr2	= 'SUPPLY MEANT FOR EXPORT UNDER BOND OR LETTER OF UNDERTAKING WITHOUT PAYMENT OF IGST';
			}
			
			$hdrhtml ='
				
				<br /><br />
				
				<table border="0" width="650" cellspacing="1">
					<tr>
						<td align="center">
							<br />
							<font style="font-size: 10px;"><b>'.$hdr1.'<br /></b></font>
							<font style="font-size: 10px;">'.$hdr2.'</font>
						</td>
					</tr>
				</table>
				
				<table border="1" width="650" cellspacing="0" cellpadding="0">
					<tr>
						<td align="center" style="padding:8px;">
							<font style="font-size: 16px"><b>'.$this->CmpName.'<br /></b></font>
							<font style="font-size: 12px">'.$this->CmpAddr.'</font>
						</td>
					</tr>
				</table>
				
				<table border="1" width="650" cellspacing="0" cellpadding="0">
					<tr>
						<td width="30%" align="left" valign="top">
							<table border="0" width="100%" cellpadding="2" cellspacing="1">
								<tr>
									<td width="29%"><font style="font-size: 10px;">GSTIN</font></td>
									<td width="71%"><font style="font-size: 10px;">: '.$this->CmpGST.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">PAN</font></td>
									<td><font style="font-size: 10px;">: '.$this->CmpPAN.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">CIN</font></td>
									<td><font style="font-size: 10px;">: </font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">State</font></td>
									<td><font style="font-size: 10px;">: '.$this->CmpState.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">State Code</font></td>
									<td><font style="font-size: 10px;">: '.$this->CmpSCode.'</font></td>
								</tr>
							</table>
						</td>
						<td width="43%" align="left" valign="top">
							<table border="0" width="100%" cellpadding="2" cellspacing="1">
								<tr>
									<td width="100%" colspan="2" align="center"><u>Transport Details</u></td>
								</tr>
								<tr>
									<td width="22%"><font style="font-size: 10px;">Transport</font></td>
									<td width="78%"><font style="font-size: 10px;">: '.$this->Transport.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">Vehicle No.</font></td>
									<td><font style="font-size: 10px;">: '.$this->VehicleNo.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">GR/LR No.</font></td>
									<td><font style="font-size: 10px;">: '.$this->GRNo.'  Date: '.$this->GRDate.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">Pl. of Supply</font></td>
									<td><font style="font-size: 10px;">: '.$this->PlaceOfSupply.'</font></td>
								</tr>
							</table>
						</td>
						<td width="27%" align="left" valign="top">
							<table border="0" width="100%" cellpadding="2" cellspacing="1">
								<tr>
									<td width="41%"><font style="font-size: 10px;">Invoice No.</font></td>
									<td width="59%"><font style="font-size: 10px;">: '.$this->InvoiceNo.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">Invoice Date</font></td>
									<td><font style="font-size: 10px;">: '.$this->InvoiceDate.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">Date of Supply</font></td>
									<td><font style="font-size: 10px;">: '.$this->DateOfSupply.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">P. O. No.</font></td>
									<td><font style="font-size: 10px;">: '.$this->PONo.'</font></td>
								</tr>
								<tr>
									<td><font style="font-size: 10px;">P. O. Date</font></td>
									<td><font style="font-size: 10px;">: '.$this->PODate.'</font></td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
						
						
				<table border="1" width="650" cellspacing="0" cellpadding="2">
					<tr>
						<td width="50%" align="left" valign="top">
							<b>Bill To (Buyer)</b><br />
							'.$this->Buyer.'
						</td>
						<td width="50%" align="left" valign="top">
							<b>Ship To (Consignee)</b><br />
							'.$this->Consignee.'
						</td>
					</tr>
				</table>

				<table border="1" width="650" cellspacing="0" cellpadding="2">
					<tr>
						<td align="center" rowspan="2" width="30px"><font style="font-size:9px">Sr. No.</font></td>
						<td align="center" rowspan="2" width="120px"><font style="font-size:9px">Description of Goods</font></td>
						<td align="center" rowspan="2" width="50px"><font style="font-size:9px">HSN<br />Code</font></td>
						<td align="center" rowspan="2" width="40px"><font style="font-size:9px">Qty</font></td>
						<td align="center" rowspan="2" width="40px"><font style="font-size:9px">UOQ</font></td>
						<td align="center" rowspan="2" width="50px"><font style="font-size:9px">Rate</font></td>
						<td align="center" rowspan="2" width="40px"><font style="font-size:9px">Disc</font></td>
						<td align="center" rowspan="2" width="70px"><font style="font-size:9px">Taxable<br />Amount ('.$this->Currency.')</font></td>
						<td align="center" colspan="2" width="70px"><font style="font-size:8px">S/U-GST</font></td>
						<td align="center" colspan="2" width="70px"><font style="font-size:8px">CGST</font></td>
						<td align="center" colspan="2" width="70px"><font style="font-size:8px">IGST</font></td>
					</tr>
					<tr>
						<td align="center" width="20px"><font style="font-size:9px">%</font></td>
						<td align="center" width="50px"><font style="font-size:9px">Amt.</font></td>
						<td align="center" width="20px"><font style="font-size:9px">%</font></td>
						<td align="center" width="50px"><font style="font-size:9px">Amt.</font></td>
						<td align="center" width="20px"><font style="font-size:9px">%</font></td>
						<td align="center" width="50px"><font style="font-size:9px">Amt.</font></td>
					</tr>
				</table>

			';
			
			$this->writeHTML($hdrhtml, true, false, true, false, '');
			$this->pTopMargin		= $this->TopMargin;
			
		}
	
		public function Footer() {
		
			$topm		= $this->pTopMargin;
			$botm		= 260;
			if($this->last_page_flag)
				$botm	= 210;
			
			$this->SetDrawColor(0, 0, 0);
			$this->Line(20, $topm, 20, $botm);
			$this->Line(28.42, $topm, 28.42, $botm);
			$this->Line(62.3, $topm, 62.3, $botm);
			$this->Line(76.5, $topm, 76.5, $botm);
			$this->Line(87.7, $topm, 87.7, $botm);
			$this->Line(98.9, $topm, 98.9, $botm);
			$this->Line(113.1, $topm, 113.1, $botm);
			$this->Line(124.35, $topm, 124.35, $botm);
			$this->Line(144.1, $topm, 144.1, $botm);
			$this->Line(149.7, $topm, 149.7, $botm);
			$this->Line(163.9, $topm, 163.9, $botm);
			$this->Line(169.5, $topm, 169.5, $botm);
			$this->Line(183.7, $topm, 183.7, $botm);
			$this->Line(189.3, $topm, 189.3, $botm);
			$this->Line(203.5, $topm, 203.5, $botm);		

			$this->SetY(-30);

			$this->SetFont('helvetica', '', 9);
			
			$footerHtml = '			
			
			<table border="1" width="650" cellspacing="0" cellpadding="2">
				<tr>
					<td valign="top">'.$this->CmpBank.'</td>
					<td>
						<p align="right"><b><font style="font-size:9px">E. &amp; O. E.</font></b></p>
						<p align="right">&nbsp;</p>
						<p align="right"><b><font style="font-size:12px">'.$this->CmpName.'</font></b></p>
					</td>
				</tr>
			</table>
			<p align="center">Page '.$this->getAliasNumPage().' of '.$this->getAliasNbPages().'</p>
			';
			
			$this->writeHTML($footerHtml, true, false, true, false, '');
		}
	}
	
	$pdf 				= new MYPDF('P', PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
	
	$pdf->setCmpName($tcmp->getCompanyName());
	$pdf->setCmpAddr(nl2br($tcmp->getCompanyAddress()));
	$pdf->setCmpGST($tcmp->getGST());
	$pdf->setCmpPAN($tcmp->getPAN());
	$pdf->setCmpState($tcmp->getState());
	$pdf->setCmpSCode(getGSTStateCode($tcmp->getState()));
	$pdf->setCmpBank($tcmp->getBankDetail());
	$pdf->setTransport($pcls->getTransport());
	$pdf->setVehicleNo($pcls->getVehicleNo());
	$pdf->setGRNo($pcls->getGRNo());
	$pdf->setGRDate($pcls->getGRDate('yes'));
	$pdf->setPlaceOfSupply($pcls->getSupplyPlace());
	$pdf->setInvoiceNo($pcls->getSaleNo().'/'.$pcls->getFinYear());
	$pdf->setInvoiceDate($pcls->getDOS('yes'));
	$pdf->setDateOfSupply($pcls->getSupplyDate('yes'));
	$pdf->setPONo('');
	$pdf->setPODate('');
	$pdf->setBuyer($buyer);
	$pdf->setConsignee($consign);
	$pdf->setTotQty($totQty);
	$pdf->setTotAmt(number_format($pcls->getItemTotal() - ($pcls->getIGST() + $pcls->getCGST() + $pcls->getSGST()), 2, ".", ","));
	$pdf->setTotCGST($pcls->getCGST('yes'));
	$pdf->setTotSGST($pcls->getSGST('yes'));
	$pdf->setTotIGST($pcls->getIGST('yes'));
	$pdf->setNetAmount( number_format($pcls->getNetTotal(), 2, ".", ",") );
	$pdf->setTotInWord(number_to_word($pcls->getNetTotal()));
	$pdf->setTotTaxInWord(number_to_word($pcls->getIGST() + $pcls->getCGST() + $pcls->getSGST()));
	$pdf->setTopMargin($topm);
	if($pcls->getExport() == "YES")
		$pdf->setCurrency($curr);
	$pdf->setExport($pcls->getExport());
	

	// set document information
	$pdf->SetCreator(PDF_CREATOR);
	$pdf->SetAuthor('adapSys');
	$pdf->SetTitle('Sale Invoice');
	$pdf->SetSubject('Sale Invoice');
	$pdf->SetKeywords('');

	// set default monospaced font
	$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

	// set margins, left-top-right
	$pdf->SetMargins(20, $topm, 10);
	
	// remove default header/footer
	//$pdf->setPrintHeader(false);
	//$pdf->setPrintFooter(false);

	// set auto page breaks
	$pdf->SetAutoPageBreak(TRUE, 30);
	
	// set image scale factor
	$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);


	// add a page
	$pdf->AddPage();

	
	$pdf->setFontSubsetting(false);
	$pdf->SetFont('helvetica', '', 9);
	
	
	$html		= '
	
		<table border="1" width="650" cellspacing="0" cellpadding="2">
	
	';
	
	$pageQty			= 0;
	$pageItemTot	= 0;
	$pageCGST			= 0;
	$pageSGST			= 0;
	$pageIGST			= 0;
	
	for($i=0;$i<count($itmList);$i++) {
		$icls		= $itmList[$i];
		$iDet		= $mdb->getItemDetail($icls->getItemID());
		
		$igstrt	= "";
		$igst		= "";
		$cgstrt	= "";
		$cgst		= "";
		$sgstrt	= "";
		$sgst		= "";				
		if($icls->getIGSTRate() != 0) $igstrt =  $icls->getIGSTRate();
		if($icls->getCGSTRate() != 0) $cgstrt =  $icls->getCGSTRate();
		if($icls->getSGSTRate() != 0) $sgstrt =  $icls->getSGSTRate();
		if($icls->getIGST() != 0) $igst =  $icls->getIGST('yes');
		if($icls->getCGST() != 0) $cgst =  $icls->getCGST('yes');
		if($icls->getSGST() != 0) $sgst =  $icls->getSGST('yes');
		
		
		$amt		= number_format($icls->getAmount() - $icls->getDiscount(), 2);
		
		if($i != 0 && $i%15 == 0) {
			$html	= $html.'</table>';
			$pdf->writeHTML($html, true, false, true, false, '');
			
			$pdf->SetY(-40);
	
			$html	= '
	
					<table border="1" width="100%" cellspacing="0" cellpadding="4">
						<tr nobr="true">
							<td align="center" width="30px">&nbsp;</td>
							<td align="right" width="120px"><b><font style="font-size:9px">Page Total</font></b></td>
							<td align="center" width="50px">&nbsp;</td>
							<td align="center" width="40px"><font style="font-size:9px">'.$pageQty.'</font></td>
							<td align="center" width="40px">&nbsp;</td>
							<td align="center" width="50px">&nbsp;</td>
							<td align="center" width="40px">&nbsp;</td>
							<td align="right" width="70px"><font style="font-size:9px">'.number_format($pageItemTot, 2, ".", "").'</font></td>
							<td align="center" width="20px">&nbsp;</td>
							<td align="right" width="50px"><font style="font-size:9px">'.number_format($pageSGST, 2, ".", "").'</font></td>
							<td align="center" width="20px">&nbsp;</td>
							<td align="right" width="50px"><font style="font-size:9px">'.number_format($pageCGST, 2, ".", "").'</font></td>
							<td align="center" width="20px">&nbsp;</td>
							<td align="right" width="50px"><font style="font-size:9px">'.number_format($pageIGST, 2, ".", "").'</font></td>
						</tr>
					</table>
	
			';
	
			$pdf->writeHTML($html, true, false, true, false, '');
			
			$pdf->AddPage();
			
			$html		= '
	
				<table border="1" width="650" cellspacing="0" cellpadding="2">
	
			';
			
			$pageQty			= 0;
			$pageItemTot	= 0;
			$pageCGST			= 0;
			$pageSGST			= 0;
			$pageIGST			= 0;			
		}
		
		$pageQty			= $pageQty + $icls->getQuantity();
		$pageItemTot	= $pageItemTot + ($icls->getAmount() - $icls->getDiscount());
		$pageCGST			= $pageCGST	 + $icls->getCGST();
		$pageSGST			= $pageSGST	 + $icls->getSGST();
		$pageIGST			= $pageIGST	 + $icls->getIGST();
		
		$inm					= $icls->getItemName();
		if($iDet->getUnit2() != '')
			$inm				= $inm.'<br>'.$iDet->getUnit2();
		
		$html		= $html.'
		
			<tr nobr="true">
				<td width="30px" align="right"><font style="font-size:9px">'.($i+1).'</font></td>
				<td width="120px" align="left"><font style="font-size:9px">'.$inm.'</font></td>
				<td width="50px" align="center"><font style="font-size:9px">'.$iDet->getHSN().'</font></td>
				<td width="40px" align="center"><font style="font-size:9px">'.$icls->getQuantity().'</font></td>
				<td width="40px" align="center"><font style="font-size:9px">'.$iDet->getUnitName().'</font></td>
				<td width="50px" align="right"><font style="font-size:9px">'.number_format($icls->getRate(), 2, ".", "").'</font></td>
				<td width="40px" align="right"><font style="font-size:9px">'.$icls->getDiscount().'</font></td>
				<td width="70px" align="right"><font style="font-size:9px">'.$amt.'</font></td>
				<td width="20px" align="center"><font style="font-size:9px">'.$sgstrt.'</font></td>
				<td width="50px" align="right"><font style="font-size:9px">'.$sgst.'</font></td>
				<td width="20px" align="center"><font style="font-size:9px">'.$cgstrt.'</font></td>
				<td width="50px" align="right"><font style="font-size:9px">'.$cgst.'</font></td>
				<td width="20px" align="center"><font style="font-size:9px">'.$igstrt.'</font></td>
				<td style="min-height:100%" width="50px" align="right"><font style="font-size:9px">'.$igst.'</font></td>
			</tr>	
							
		';	
		
	}
	
	$html	= $html.'</table>';
	
	$pdf->writeHTML($html, true, false, true, false, '');
	
	$pdf->SetY(-90);
	
	$html	= '
	
			<table border="1" width="100%" cellspacing="0" cellpadding="2">
				<tr nobr="true">
					<td align="center" width="30px">&nbsp;</td>
					<td align="right" width="120px"><b><font style="font-size:9px">Total</font></b></td>
					<td align="center" width="50px">&nbsp;</td>
					<td align="center" width="40px"><font style="font-size:9px">'.$totQty.'</font></td>
					<td align="center" width="40px">&nbsp;</td>
					<td align="center" width="50px">&nbsp;</td>
					<td align="center" width="40px">&nbsp;</td>
					<td align="right" width="70px"><font style="font-size:9px">'.number_format(($pcls->getItemTotal() - ($pcls->getIGST() + $pcls->getCGST() + $pcls->getSGST())), 2, ".", "").'</font></td>
					<td align="center" width="20px">&nbsp;</td>
					<td align="right" width="50px"><font style="font-size:9px">'.number_format($pcls->getSGST(), 2, ".", "").'</font></td>
					<td align="center" width="20px">&nbsp;</td>
					<td align="right" width="50px"><font style="font-size:9px">'.number_format($pcls->getCGST(), 2, ".", "").'</font></td>
					<td align="center" width="20px">&nbsp;</td>
					<td align="right" width="50px"><font style="font-size:9px">'.number_format($pcls->getIGST(), 2, ".", "").'</font></td>
				</tr>
			</table>
			
			<table border="1" width="650" cellspacing="0" cellpadding="2">
				<tr nobr="true">
					<td width="50%" align="left" valign="top">
						<p><font style="font-size:9px">Remarks : <b>'.$pcls->getRemark().'</b></font></p>
						<p><font style="font-size:9px">Total Tax in Amt. : '.$curr.' '.numToWord($pcls->getIGST() + $pcls->getCGST() + $pcls->getSGST(), $currfrac).'</font></p>
					</td>
					<td width="50%">
						<table border="1" width="100%" cellspacing="0" cellpadding="4">
							<tr>
								<td width="65%" align="left" valign="top"><b><font style="font-size:9px">Total Taxable Value</font></b></td>
								<td width="35%" valign="top" align="right" height="20"><b><font style="font-size:9px">'.number_format($pcls->getItemTotal() - ($pcls->getIGST() + $pcls->getCGST() + $pcls->getSGST()), 2).'</font></b></td>
							</tr>';
							if($pcls->getIGST() > 0) {
								$html = $html.'
							<tr>
								<td align="left" valign="top"><b><font style="font-size:9px">IGST</font></b></td>
								<td valign="top" align="right" height="20"><b><font style="font-size:9px">'.$pcls->getIGST('yes').'</font></b></td>
							</tr>';
							}
							if($pcls->getSGST() > 0) {
								$html = $html.'
							<tr>
								<td align="left" valign="top"><b><font style="font-size:9px">SGST/UGST</font></b></td>
								<td valign="top" align="right" height="20"><b><font style="font-size:9px">'.$pcls->getSGST('yes').'</font></b></td>
							</tr>';
							}
							if($pcls->getCGST() > 0) {
								$html = $html.'
							<tr>
								<td align="left" valign="top"><b><font style="font-size:9px">CGST</font></b></td>
								<td valign="top" align="right" height="20"><b><font style="font-size:9px">'.$pcls->getCGST('yes').'</font></b></td>
							</tr>';
							}
						
						for($i=0;$i<count($alList);$i++) {
							$acls		= $alList[$i];
							
							$html = $html.'
							<tr>
								<td align="left" height="22" align="left"><b><font style="font-size: 9px">'.$acls->getAccountName().'</font></b></td>
								<td align="right" height="22"><b><font style="font-size: 9px">'.$acls->getAmount('yes').'</font></b></td>
							</tr>';
						}
						
							$html = $html.'
							<tr>
								<td align="left" height="22" align="right"><b><font style="font-size: 11pt">Grand Total ('.$curr.')</font></b></td>
								<td align="right" height="22"><b><font style="font-size: 11pt">'.$pcls->getNetTotal('yes').'</font></b></td>
							</tr>';						
							
						$html = $html.'	
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="2"><b><font style="font-size: 9px">'.$curr.' '.numToWord($pcls->getNetTotal(), $currfrac).'</font></b></td>
				</tr>
			</table>				
	
	';
	
	$pdf->writeHTML($html, true, false, true, false, '');	
	$pdf->Output('prnSale.pdf', 'I');
	exit;

?>