<?php

	/* Include the required files */
	require_once( '../aom-config.php' );
	require_once( '../inc/functions.php' );
	require_once( '../dao/asys.user.php' );
	require_once( '../dao/asys.company.php' );		
	require_once( '../dao/asys.masterdb.php' );	
	require_once( '../dao/asys.logindb.php' );
	require_once( '../dao/asys.userpermission.php' );

	$tuser		=	new asys_users();
	$tcmp			= new asys_companies();

	if(isset($_SESSION["ssEUser"])){
		$tuser	=	unserialize($_SESSION["ssEUser"]);
	}

	if($tuser->getUserID() == "") {
		header("Location:logout.php");
		exit;
	}
	
	if(isset($_SESSION["ssECmp"])){
		$tcmp	=	unserialize($_SESSION["ssECmp"]);
	}
	
	if($tcmp->getCompanyID() <= 0) {
		header("Location:home.php");
		exit;	
	}	
	
	$ModuleID			= 51;
	
	$mdb		=	new masterdb("REPORT");
	$ldb		= new logindb("REPORT");	
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:../accessDenied.php");
		exit;
	}
	
	$fdate	= "";
	$tdate	= "";
	
	extract($_REQUEST);
	
	$dt1		= FormatIndianDateToSQLDate($fdate);
	$dt2		= FormatIndianDateToSQLDate($tdate);

?>


<html>

<head>
<meta http-equiv="Content-Language" content="en">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GSTR1 - 8 Nil rated supplies</title>
</head>

<body>

<div align="center">
	<p><b><font face="Arial" size="2">Form GSTR1 - 8A, 8B, 8C, 8D - Nil rated supplies<br><br>
	GST#<?php echo $tcmp->getGST()?>, <?php echo $tcmp->getCompanyName()?><br><br>
	Date : <?php echo $fdate?> - <?php echo $tdate?></font></b></p>

<table border="1" cellpadding="2" width="778" style="border-collapse:
 collapse;width:900px" bordercolor="#C0C0C0">
 
	<tr height="40" style="height:30.0pt">
		<td width="40%" bgcolor="#E8E8E8">
		<b><font face="Arial" size="2">Description</font></b></td>
		<td width="20%" bgcolor="#E8E8E8">
		<p style="text-align: center"><b><font face="Arial" size="2">Nil Rated Supplies</font></b></td>
		<td width="20%" bgcolor="#E8E8E8">
		<p style="text-align: center"><b><font face="Arial" size="2">Exempted (Other than 
		Nil<br>
		Rated / Non GST Supply)</font></b></td>
		<td width="168" style="width: 20%; color: windowtext; font-family: 'Times New Roman', serif; vertical-align: middle; white-space: normal; font-size: 11.0pt; font-weight: 400; font-style: normal; text-decoration: none; border: medium none; padding-left: 1px; padding-right: 1px; padding-top: 1px; background: #E8E8E8; ; height:40px">
		<p align="center"><b><font face="Arial" size="2">Non-GST Supplies</font></b></td>
	</tr>

	<tr height="20" style="height:15.0pt">
		<td width="40%" style="height: 30px">
		<b>
		<font face="Arial" size="2">Inter-State supplies to unregistered persons</font></b></td>
		<td width="20%" style="height: 30px" align="right">
		<font face="Arial" size="2">
		<b>&nbsp;</b></font></td>
		<td width="20%" style="height: 30px">
		&nbsp;</td>
		<td width="20%" style="height: 30px">
		&nbsp;</td>
	</tr>

</table>

</div>

</body>

</html>