<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.drcr.php' );
	

	$db					=	new masterdb();

	$DateFrom		=	FormatSQLDateToIndianDate(getFirstFinancialDate());
	$DateTo			=	date('d-m-Y');
	$AccountID	=	0;

	extract($_REQUEST);

	$DateFrom		=	addslashes($DateFrom);
	$DateTo			=	addslashes($DateTo);

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/select2.js");


	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);

?>
	<div id="pagehead">&nbsp;REPORT - CASH FLOW</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><b>Cash Flow Report</b></div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="float:left;padding-top:3px;">
					&nbsp;Year&nbsp;
				</div>
				<div style="float:left">
					<select name="yr" id="yr" style="150px;">
						<option value="">--</option>
						<?php
							for($i=2014;$i<=2050;$i++) {
						?>
							<option value="<?php echo $i?>" <?php if($i == date('Y')) echo 'selected'; ?>><?php echo $i?></option>
						<?php } ?>
					</select>
				</div>			
				<div style="float:left">
					&nbsp;&nbsp;<input type="button" class="red_button" value="Cash Flow &raquo;" id="btnS" onClick="srcR()" />
				</div>
			</td>
		</tr>
	</table>

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">

	$(function () {
		$("#yr").select2();
	});
	
	function srcR() {
		
		var yr	= EBD('yr').value;

		var loc	=	"report/rptCF.php?yr=" + yr;
		window.open(loc, "_blank");
	}
	
</script>