<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.drcr.php' );
	

	$db					=	new masterdb();
	//$accList		=	$db->getShortAccountList($tcmp->getCompanyID());

	$DateFrom		=	date('d-m-Y');
	$DateTo			=	date('d-m-Y');

	extract($_REQUEST);

	$DateFrom		=	addslashes($DateFrom);
	$DateTo			=	addslashes($DateTo);

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/select2.js");

	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);

?>
	<div id="pagehead">&nbsp;REPORT - STOCK LEDGER/CLOSING COMPARISON</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><b>Stock Closing comparison</b></div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="float:left;padding-top:3px;width:120px;">
					&nbsp;From&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtfrom" id="dtfrom" value="<?php echo $DateFrom?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;To&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtto" id="dtto" value="<?php echo $DateTo?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				
				<div style="clear:both;height:4px;"></div>
				<div style="float:left;padding-top:3px;width:120px;">
					&nbsp;Store&nbsp;
				</div>				
				<div style="float:left">
					<select name="StoreID" id="StoreID" style="width:400px"></select>
				</div>
				
				<div style="clear:both;height:4px;"></div>
				<div style="float:left;padding-top:3px;width:120px;">
					&nbsp;Item Category&nbsp;
				</div>				
				<div style="float:left">
					<select name="ItemCategoryID" id="ItemCategoryID" style="width:400px"></select>
				</div>
				
				<div style="clear:both;height:10px;"></div>
				<div style="float:left">
					&nbsp;<input type="button" class="red_button" value="&nbsp;Compare Closing &raquo;&nbsp;" id="btnS" onClick="srcR()" />
					&nbsp;<input type="button" class="red_button" value="&nbsp;Compare Closing All Store &raquo;&nbsp;" id="btnS2" onClick="srcR2()" />
				</div>								
			</td>
		</tr>
	</table>
	<br />

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">

	$(function () {
		$("#StoreID").select2();
		$("#ItemCategoryID").select2();
		fetchStoreID();
		fetchItemCategoryID();
	});
	
	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});
	
	function fetchStoreID() {
	
    $('#StoreID').empty();
    $('#StoreID').append('<option value="0">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getStoreList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#StoreID').append('<option value="' + d.StoreID + '">' + d.StoreName + '</option>');
				});
				
			}
    });

	}	
	
	function fetchItemCategoryID() {
	
    $('#ItemCategoryID').empty();
    $('#ItemCategoryID').append('<option value="0">--</option>');
    
    $.ajax({
			type: "POST",
			url: "json/getItemCategoryList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#ItemCategoryID').append('<option value="' + d.ItemCategoryID + '">' + d.ItemCategoryName + '</option>');
				});
				
			}
    });	
		
	}	
	
	function srcR() {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;
		var sid		= 0;
		var cid		= 0;
		
		try {
			sid			= EBD('StoreID').value;
		} catch (e) {
			//
		}
		
		try {
			cid			= EBD('ItemCategoryID').value;
		} catch (e) {
			//
		}

		if(checkForValidInput('dtfrom','Date','Please enter From date properly')==false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly')==false) 		return;
		
		if(sid == 0){
			alert('Please select Store');
			return;
		}

		var loc	=	"report/rptStockCompare.php?fdate=" + dtf + "&tdate=" + dtt + "&sid=" + sid + "&cid=" + cid;
		window.open(loc, "_blank");
	}
	
	function srcR2() {
		var dtf		=	EBD('dtfrom').value;

		if(checkForValidInput('dtfrom','Date','Please enter From date properly')==false) 	return;

		var loc	=	"report/rptStockCompareAllStore.php?fdate=" + dtf;
		window.open(loc, "_blank");
	}
					
	
</script>