<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.companydb.php' );
	require_once( 'dao/asys.drcr.php' );
	

	$db					=	new masterdb();
	$cdb				= new companydb();

	$DateFrom		=	FormatSQLDateToIndianDate(getFirstFinancialDate());
	$DateTo			=	date('d-m-Y');

	extract($_REQUEST);

	$DateFrom		=	addslashes($DateFrom);
	$DateTo			=	addslashes($DateTo);
	
	$scmpList	= $cdb->getSubCompanyList($tcmp->getCompanyID());

	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/select2.js");


	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);

?>
	<div id="pagehead">&nbsp;MERGED REPORT - TRIAL BALANCE, PROFIT &amp; LOSS ACCOUNT AND BALANCE SHEET</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><b>Merged Trial Balance, PL, BS</b></div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="clear:both;height:4px;"></div>
				
				<div style="float:left;padding-top:3px;">
					&nbsp;From&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtfrom" id="dtfrom" value="<?php echo $DateFrom?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="float:left;padding-top:3px;">
					&nbsp;To&nbsp;
				</div>
				<div style="float:left">
					<input data-toggle="datepicker" type="text" name="dtto" id="dtto" value="<?php echo $DateTo?>" style="width:80px;" class="input" maxLength="10" />
				</div>
				<div style="clear:both">&nbsp;</div>
				
				<div>
					<?php
						$k				= 1;
						for($i=0;$i<count($scmpList);$i++) {
							$ccls		= $scmpList[$i];
							
							echo '<div>
											<input type="checkbox" id="cmp'.$k.'" name="cmp'.$k.'" />&nbsp;'.$ccls->getCompanyName().'
											<input type="hidden" id="cid'.$k.'" name="cid'.$k.'" value="'.$ccls->getCompanyID().'" />
										</div>';
							
							$k++;
							
							$ssList	= $cdb->getSubCompanyList($ccls->getCompanyID());
							for($j=0;$j<count($ssList);$j++) {
								$scls		= $ssList[$j];
								echo '<div style="padding-left:10px;">
												<input type="checkbox" id="cmp'.$k.'" name="cmp'.$k.'" />&nbsp;'.$scls->getCompanyName().'
												<input type="hidden" id="cid'.$k.'" name="cid'.$k.'" value="'.$scls->getCompanyID().'" />
											</div>';
								
								$k++;
							}
						}
					?>
						<input type="hidden" id="cmpCount" name="cmpCount" value="<?php echo $k?>" />
				</div>
				<div style="clear:both">&nbsp;</div>
				
				<div style="float:left">
					<input type="button" class="red_button" value="Trial General &raquo;" id="btnS" onClick="srcR('html')" style="width:150px;" />
					&nbsp;&nbsp;<input type="button" class="red_button" value="Trial Group Wise &raquo;" id="btnS" onClick="srcR2('html')" style="width:150px;" />
				</div>
				<div style="clear:both;height:4px;"></div>

				<div style="float:left">
					<input type="button" class="red_button" value="PL General &raquo;" id="btnS2" onClick="srcPL('html')" style="width:150px;" />
					&nbsp;&nbsp;<input type="button" class="red_button" value="PL Group Wise &raquo;" id="btnS2" onClick="srcPL2('html')" style="width:150px;" />					
				</div>
				<div style="clear:both;height:4px;"></div>
				
				<div style="float:left">
					<input type="button" class="red_button" value="BS General &raquo;" id="btnS3" onClick="srcBS('html')" style="width:150px;" />
					&nbsp;&nbsp;<input type="button" class="red_button" value="BS Group Wise &raquo;" id="btnS3" onClick="srcBS2('html')" style="width:150px;" />					
				</div>
				<div style="clear:both;height:4px;"></div>							
			</td>
		</tr>
	</table>
	<br />


<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">

	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});
	
	function srcR(param) {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;

		if(checkForValidInput('dtfrom','Date','Please enter From date properly') == false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly') == false) 		return;
		
		var cmp		= "";
		var cnt		= EBD('cmpCount').value;
		for(var i=1; i<cnt;i++) {
			if(EBD('cmp' + i).checked == true) {
				if(cmp != "") cmp = cmp + ",";
				cmp		= cmp + EBD('cid' + i).value;
			}
		}

		var loc	=	"report/rptMergeTrial.php?fdate=" + dtf + "&tdate=" + dtt + "&cmp=" + cmp;
		window.open(loc, "_blank");
	}
	
	function srcR2(param) {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;

		if(checkForValidInput('dtfrom','Date','Please enter From date properly') == false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly') == false) 		return;
		
		var cmp		= "";
		var cnt		= EBD('cmpCount').value;
		for(var i=1; i<cnt;i++) {
			if(EBD('cmp' + i).checked == true) {
				if(cmp != "") cmp = cmp + ",";
				cmp		= cmp + EBD('cid' + i).value;
			}
		}		

		var loc	=	"report/rptMergeTrial2.php?fdate=" + dtf + "&tdate=" + dtt + "&cmp=" + cmp;
		window.open(loc, "_blank");
	}

	function srcPL(param) {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;

		if(checkForValidInput('dtfrom','Date','Please enter From date properly') == false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly') == false) 		return;
		
		var cmp		= "";
		var cnt		= EBD('cmpCount').value;
		for(var i=1; i<cnt;i++) {
			if(EBD('cmp' + i).checked == true) {
				if(cmp != "") cmp = cmp + ",";
				cmp		= cmp + EBD('cid' + i).value;
			}
		}		

		var loc	=	"report/rptMergePL.php?fdate=" + dtf + "&tdate=" + dtt + "&cmp=" + cmp;
		window.open(loc, "_blank");
	}
	
	function srcPL2(param) {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;

		if(checkForValidInput('dtfrom','Date','Please enter From date properly') == false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly') == false) 		return;
		
		var cmp		= "";
		var cnt		= EBD('cmpCount').value;
		for(var i=1; i<cnt;i++) {
			if(EBD('cmp' + i).checked == true) {
				if(cmp != "") cmp = cmp + ",";
				cmp		= cmp + EBD('cid' + i).value;
			}
		}		

		var loc	=	"report/rptMergePL2.php?fdate=" + dtf + "&tdate=" + dtt + "&cmp=" + cmp;
		window.open(loc, "_blank");
	}

	function srcBS(param) {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;

		if(checkForValidInput('dtfrom','Date','Please enter From date properly') == false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly') == false) 		return;
		
		var cmp		= "";
		var cnt		= EBD('cmpCount').value;
		for(var i=1; i<cnt;i++) {
			if(EBD('cmp' + i).checked == true) {
				if(cmp != "") cmp = cmp + ",";
				cmp		= cmp + EBD('cid' + i).value;
			}
		}		

		var loc	=	"report/rptMergeBS.php?fdate=" + dtf + "&tdate=" + dtt + "&cmp=" + cmp;
		window.open(loc, "_blank");
	}
	
	function srcBS2(param) {
		var dtf		=	EBD('dtfrom').value;
		var dtt		=	EBD('dtto').value;

		if(checkForValidInput('dtfrom','Date','Please enter From date properly') == false) 	return;
		if(checkForValidInput('dtto','Date','Please enter Upto date properly') == false) 		return;
		
		var cmp		= "";
		var cnt		= EBD('cmpCount').value;
		for(var i=1; i<cnt;i++) {
			if(EBD('cmp' + i).checked == true) {
				if(cmp != "") cmp = cmp + ",";
				cmp		= cmp + EBD('cid' + i).value;
			}
		}		

		var loc	=	"report/rptMergeBS2.php?fdate=" + dtf + "&tdate=" + dtt + "&cmp=" + cmp;
		window.open(loc, "_blank");
	}
	
</script>