<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.user.php' );

	
	if($tuser->getUserStatus() < ADMIN_USER) {
		echo 'Only System Architect can view/open this Page.';
		exit;
	}	
	
	$vdb					=	new voucherdb();
	
	$vdb->updateGroupSubgroup();
	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("extjs/resources/css/ext-all.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("extjs/adapter/ext/ext-base.js");
	$iPage->addScript("extjs/ext-all.js");

	$iPage->endHeader();
	$iPage->startBody();
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	

?>

	<div id="pagehead">&nbsp;VOUCHER DB SYNC</div>
	<div style="height:4px;"></div>
	<table cellspacing="1" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><b>Voucher Database Sync</b></div>
		</td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="clear:both">&nbsp;</div>
				<div>&nbsp;Database synced successfully&nbsp;</div>				
				<div style="clear:both">&nbsp;</div>
			</td>
		</tr>
	</table>
	<br />


<?php
	$iPage->endBody();
	$iPage->endPage();
?>