<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.account.php' );
	require_once( 'dao/asys.store.php' );
	require_once( 'dao/asys.voucher.php' );
	require_once( 'dao/asys.stockvoucher.php' );
	require_once( 'dao/class.gen_items.php' );
	require_once( 'dao/class.gen_stockjournal.php' );
	require_once( 'dao/class.gen_stockjournal_in.php' );
	require_once( 'dao/class.gen_stockjournal_out.php' );
	require_once( 'dao/class.gen_stocktransfer.php' );
	require_once( 'dao/class.gen_stocktransfer_items.php' );
	require_once( 'dao/class.gen_issue.php' );
	require_once( 'dao/class.gen_issue_items.php' );
	require_once( 'dao/class.purchasedb.php' );

	
	if($tuser->getUserStatus() < ADMIN_USER) {
		echo 'Only Admin Users can view/open this Page.';
		exit;
	}
	
	$gdb		=	new genericdb();
	$mdb		=	new masterdb();
	$ldb		= new logindb();
	$pdb		= new purchasedb();
	
	$cmpid	= $tcmp->getCompanyID();
	
	$type		= "";
	$sid		= "";
	
	extract($_REQUEST);
	
	$type		= addslashes($type);
	$sid		= (int)$sid;
	
	if($type == "" || $sid == 0) {
		echo 'Invalid input parameters';
		exit;
	}
	
	if($type == "TRANSFER") {
		$icls = $pdb->getStockTransferDetail($sid);
		$pdb->UpdateStockTransfer($icls);
	} else if($type == "ISSUE") {
		$icls = $pdb->getIssueDetail($sid);
		$pdb->UpdateIssue($icls);
	} else if($type == "JOURNAL") {
		$icls = $pdb->getStockJournalDetail($sid);
		$pdb->UpdateStockJournal($icls);
	}
	
	echo 'DONE';
	
?>