<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.openingbalance.php' );
	

	$gdb			=	new genericdb();
	$mdb			=	new masterdb();
	
	if($tuser->getUserStatus() < ADMIN_USER) {
		echo 'Only Admin Users can view/open this Page. <a href="home.php">Click here to go back.</a>';
		exit;
	}

	$fy					=	"";

	extract($_REQUEST);
	
	$fy					= addslashes($fy);
	
	$arr				= $mdb->getOpeningBalancesListYearWise($fy, $tcmp->getCompanyID());
	
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
		<title>Opening Balances</title>
		<link href="./css/asys.css" type=text/css rel=stylesheet>
		<link href="./css/modal.css" type=text/css rel=stylesheet>
		<script src="./js/common.js"></script>
		<script src="./js/jquery.js"></script>
		<script src="./js/modal.js"></script>	
	</head>
<body style="background-color:#ffffff">
	<div style="font-family:verdana;" align="center">
		<div style="text-align:center; font-size:18px; font-weight:bold; letter-spacing:1pt;">
			<br><?php echo $tcmp->getCompanyName() ?>
		</div>
		<div style="text-align:center; font-size:15px; font-weight:normal; letter-spacing:1pt;">
			<?php echo $tcmp->getCompanyAddress()?>
		</div>
		<div style="text-align:center; font-size:15px; font-weight:bold; letter-spacing:1pt;height:50px;">
			<br>Opening Balances of <?php echo $tcmp->getCompanyName()?> for Financial Year <?php echo $fy?><br />
		</div>
		<div style="font-size:10px; font-weight:bold;">
			<table cellSpacing='0' cellPadding='4' width='100%' border='0'>
				<tr>
					<td width='5%' class="rpt">
						SN
					</td>
					<td width='20%' class="rpt">
						Account Name
					</td>
					<td width='15%' class="rpt">
						Group
					</td>					
					<td width='20%' class="rpt">
						Sub Group
					</td>					
					<td width='20%' class="rpt">
						Debit
					</td>
					<td width='20%' class="rpt">
						Credit
					</td>					
				</tr>

			<?php
				$totdr		= 0;
				$totcr		= 0;
				for($i=0;$i<count($arr);$i++){
					$row		=	$arr[$i];
					if($row->getOBalType() == DEBIT)
						$totdr = $totdr + $row->getOBal();
					else
						$totcr = $totcr + $row->getOBal();
			?>
				<tr>
					<td class="rpt_normal">
						<?php echo $i+1?>
					</td>
					<td class="rpt_normal">
						<a id="AccountID" href="javaScript:viewAccount(<?php echo $row->getAccountID()?>)"><?php echo $row->getAccountName()?></a>
					</td>
					<td class="rpt_normal">
						<?php echo $row->getGroupName()?>
					</td>					
					<td class="rpt_normal">
						<?php echo $row->getSubgroupName()?>
					</td>	
					<?php if($row->getOBalType() == DEBIT) { ?>				
					<td class="rpt_normal">
						<?php echo $row->getOBal('yes')?> 
					</td>
					<td class="rpt_normal">&nbsp;</td>
					<?php } else { ?>
					<td class="rpt_normal">&nbsp;</td>
					<td class="rpt_normal">
						<?php echo $row->getOBal('yes')?> 
					</td>					
					<?php } ?>
				</tr>
			<?php } ?>
				<tr>
					<td class="rpt_normal" colspan="4">TOTAL</td>
					<td class="rpt_normal"><?php echo $totdr?></td>
					<td class="rpt_normal"><?php echo $totcr?></td>
				</tr>
			
			</table>
		</div>
	</div>
	
	<div id="ex1" class="modal" style="height:500px;"></div>
	
</body>
</html>


<script language="javaScript">

	function viewAccount(aid) {
	
		$('#ex1')[0].innerHTML	= '';

    $.ajax({
			type: "POST",
			url: "obalDetail.php",
			data: {"aid": aid, "fy":'<?php echo $fy?>'},
			success: function(data){

				$('#ex1')[0].innerHTML	= data;
				$('#ex1').modal({
					fadeDuration: 250,
					showClose: false
				});
				
			}
    });

	}
	
	
	function updateObal(aid) {
		
		var obt		= EBD('OBalType').value;
		var obal	= EBD('OBal').value;

		var x = (window.ActiveXObject) ? new ActiveXObject("Microsoft.XMLHTTP") : new XMLHttpRequest();
		if (x) {
			x.onreadystatechange = function() {
				if (x.readyState == 4 && x.status == 200) {
					alert('Record updated');
				}
			}

			x.open("POST", "ajax/updateOBal.php?fy=<?php echo $fy?>&aid=" + aid + "&OBalType=" + obt + "&OBal=" + obal, true);
			x.send(null);

		} else {
			alert("This Browser does not support AJAX, please use IE 5.0 or above, Firefox 1.0 or above or other browser that supports AJAX and Advanced Javascript");
			return;
		}
		
	}

</script>