<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_salereturn.php' );
	require_once( 'dao/class.gen_salereturn_items.php' );
	require_once( 'dao/class.gen_salereturn_addless.php' );
	require_once( 'dao/asys.store.php' );
	require_once( 'dao/class.saledb.php' );
	
	
	$ModuleID			= 29;

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$pdb					= new saledb();
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$ono			= "";
	$BDate1		= "";
	$BDate2		= "";
	$sid			= "";
	$str			= "";
	
	$pno			= 0;
	$sRec			= 0;
	$rCnt			= 0;
	$nRec			= 25; /* Number of Records per page */
	
	extract($_REQUEST);

	$pno			=	(int)$pno;
	if($pno < 0)
		$pno		=	0;

	$ono			= (int)$ono;
	$df				=	FormatIndianDateToSQLDate($BDate1);
	$dt				=	FormatIndianDateToSQLDate($BDate2);
	$sid			= (int)$sid;
	$str			= (int)$str;

	$rCnt			= $pdb->getNumberOfSaleReturn($df, $dt, $ono, $sid, $str, $tcmp->getCompanyID());
	if( ceil(($rCnt) / $nRec) < $pno + 1  && $rCnt != 0)
		$pno		=	ceil(($rCnt)/$nRec) - 1;
	$sRec			= $pno * $nRec;

	$arr			=	$pdb->getSaleReturnListPaged($sRec, $nRec, $df, $dt, $ono, $sid, $str, $tcmp->getCompanyID());		
							
	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addLink("css/select2.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/datepicker.js");
	$iPage->addScript("js/select2.js");
	
	
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
?>	

	<div id="pagehead">&nbsp;VIEW RETURN</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><a href="newSaleReturn.php" class="nav"><b>Sale Return</b></a></div>
			<div style="float:right;height:20px;" class="td_normal">
				<?php echo $rCnt?> records found |
				<?php if($pno>0) { ?><a class="nav" href="javaScript:gotoPage(<?php echo $pno-1?>)">Previous</a>   <?php } ?>
				Page <input type="text" class="input" name="ppno2" id="ppno2" value="<?php echo ($pno+1)?>" style="width:30px;height:13px;text-align:center" maxLength="3" onFocus="clrF(2)" onBlur="fillF(2)" /> of <?php echo ceil(($rCnt)/$nRec)?>
				<?php if(ceil(($rCnt)/$nRec)>$pno+1) { ?>  <a class="nav" href="javaScript:gotoPage(<?php echo $pno+1?>)">Next</a> <?php } ?>
			</div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="float:left;">
					<input data-toggle="datepicker" type="text" class="input" name="BDate1" id="BDate1" value="<?php echo FormatSQLDateToIndianDate($BDate1)?>" style="width:80px;" maxLength="10" />
				</div>
				<div style="float:left;">&nbsp;-&nbsp;</div>
				<div style="float:left;">
					<input data-toggle="datepicker" type="text" class="input" name="BDate2" id="BDate2" value="<?php echo FormatSQLDateToIndianDate($BDate2)?>" style="width:80px;" maxLength="10" />
				</div>
				<div style="float:left;padding-left:5px;" id="_jsontd2">
					<select name="str" id="str" style="width:200px"></select>
				</div>				
				<div style="float:left;padding-left:5px;" id="_jsontd4">
					<select name="sid" id="sid" style="width:200px"></select>
				</div>
				<div style="float:left;padding-left:5px;">
					&nbsp;Return# <input type="text" name="ono" id="ono" value="<?php if($ono > 0) echo $ono?>" style="width:50px;" maxLength="6" class="input" />
					&nbsp;<input type="button" class="red_button" value="Search »" id="btnS" onClick="srcR()" />
				</div>				
			</td>
		</tr>
	</table>
	
	<div style="height:5px;"></div>
	
	<div id="rptDiv" class="fakeContainer">

		<table cellspacing="0" cellpadding="2" border="0" width="960px" align="center" id="vTable">
			<thead>
				<tr>
					<th width="70px" align="left">#</th>
					<th width="80px" align="left">Date</th>
					<th width="200px" align="left">Store</th>
					<th width="300px" align="left">Customer</th>
					<th width="100px" align="left">Net Total</th>
					<th width="30px">Prn</th>
					<th width="30px">Edt</th>
					<th width="30px">Del</th>
				</tr>
			</thead>
			<tbody>
		<?php

			for($i=0;$i<count($arr);$i++) {
				$row		=	$arr[$i];
		?>			
				<tr>
					<td class="td_view"><?php echo $row->getReturnNo('no')?>/<?php echo $row->getFinYear()?></td>
					<td class="td_view"><?php echo $row->getDOR('yes')?></td>
					<td class="td_view" title="<?php echo $row->getStoreName('yes')?>"><?php echo $row->getStoreName('yes')?></td>
					<td class="td_view" title="<?php echo $row->getCustomerName('yes')?>"><?php echo $row->getCustomerName('yes')?></td>
					<td class="td_view"><?php echo $row->getNetTotal('yes')?></td>
					
					<td class="td_view" align="center"><a href="prnSaleReturn.php?pKey=<?php echo $row->getReturnID()?>" target="_blank"><img src="images/print.gif" title="EDIT - <?php echo formatJScriptString($row->getReturnNo())?>" /></a></td>
					<td class="td_view" align="center"><a href="editSaleReturn.php?pKey=<?php echo $row->getReturnID()?>&BDate1=<?php echo $BDate1?>&BDate2=<?php echo $BDate2?>&ono=<?php echo $ono?>&sid=<?php echo $sid?>&pno=<?php echo $pno?>&str=<?php echo $str?>"><img src="images/edit.png" title="EDIT - <?php echo formatJScriptString($row->getReturnNo())?>" /></a></td>
					<td class="td_view" align="center"><a href="javaScript:deleteRec('<?php echo $row->getReturnID()?>','<?php echo formatJScriptString($row->getReturnNo())?>')"><img src="images/delete.png" title="DELETE - <?php echo formatJScriptString($row->getReturnNo())?>" /></a></td>
				</tr>
				<?php } ?>
			</tbody>
		</table>

	</div>
	
	<div style="height:10px;"></div>
		

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">

	$(function () {
		$("#sid").select2();
		$("#str").select2();
		fetchStoreID();
		fetchCustomerID();
	});

	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});
	
	var div	=	document.getElementById('rptDiv');

	div.style.height	=	 (window.innerHeight - 230) + "px";
	div.style.width		=	 "980px";

	//<![CDATA[	
	(function() {
		var mySt = new superTable("vTable", {
			cssSkin 		: "sSky",
			fixedCols 	: 0,
			headerRows 	: 1
		});
	})();
	//]]>
	

	var dept_IE4	=	(document.all)? true:false;
	var dept_NS4	=	(document.layers);

	if (dept_NS4) EBD('ppno2').captureEvents(Event.KEYPRESS);

	EBD('ppno2').onkeypress = function(e){
		var whichASC;
		if(dept_IE4)
			whichASC	=	window.event.keyCode;
		else
			whichASC	=	e.which;

		if(whichASC == 13){
			var pno	= EBD('ppno2').value - 1;
			gotoPage(pno);
		}
	};
	
	function srcR() {
		var ono	= EBD('ono').value;
		var dt1	=	EBD('BDate1').value;
		var dt2	=	EBD('BDate2').value;
		var sid	=	EBD('sid').value;
		var str	=	EBD('str').value;

		location		=	"viewSaleReturn.php?pno=0&BDate1=" + dt1 + "&BDate2=" + dt2 + "&ono=" + ono + "&sid=" + sid + "&str=" + str;
	}

	function gotoPage(n) {
		location		=	"viewSaleReturn.php?pno=" + n + "&BDate1=<?php echo $BDate1?>&BDate2=<?php echo $BDate2?>&ono=<?php echo $ono?>&sid=<?php echo $sid?>&str=<?php echo $str?>";
	}

	function clrF(n){
		EBD('ppno'+n).value	=	'';
	}

	function fillF(n){
		EBD('ppno'+n).value	=	"<?php echo $pno+1?>";
	}
	
	function deleteRec(pkey, nm) {
		if(confirm("Click OK to delete " + nm) == false) return;
		
		location =	"deleteSaleReturn.php?pkey=" + pkey + "&BDate1=<?php echo $BDate1?>&BDate2=<?php echo $BDate2?>&ono=<?php echo $ono?>&sid=<?php echo $sid?>&pno=<?php echo $pno?>&str=<?php echo $str?>";
	}
	
	function fetchStoreID() {
	
    $('#str').empty();
    $('#str').append('<option value="0">--</option>');
    var str		= "<?php echo $str?>";
    
    $.ajax({
			type: "POST",
			url: "json/getStoreList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#str').append('<option value="' + d.StoreID + '">' + d.StoreName + '</option>');
				});
				$("#str").val(str).change();
				
			}
    });

	}	
	
	function fetchCustomerID() {
	
    $('#sid').empty();
    $('#sid').append('<option value="0">--</option>');
    var sid		= "<?php echo $sid?>";
    
    $.ajax({
			type: "POST",
			url: "json/getCustomerList.php",
			success: function(data){

				var opts = $.parseJSON(data);
				$.each(opts, function(i, d) {
					$('#sid').append('<option value="' + d.AccountID + '">' + d.AccountName + '</option>');
				});
				$("#sid").val(sid).change();
				
			}
    });

	}	

</script>