<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/class.gen_stocktransfer.php' );
	require_once( 'dao/class.gen_stocktransfer_items.php' );
	require_once( 'dao/class.purchasedb.php' );
	
	
	$ModuleID			= 23;

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	$pdb					= new purchasedb();
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$BDate1		= "";
	$BDate2		= "";
	$tid			= "";
	$pno			= 0;
	$sRec			= 0;
	$rCnt			= 0;
	$nRec			= 25; /* Number of Records per page */
	
	extract($_REQUEST);

	$pno			=	(int)$pno;
	if($pno < 0)
		$pno		=	0;

	$df				=	FormatIndianDateToSQLDate($BDate1);
	$dt				=	FormatIndianDateToSQLDate($BDate2);
	$tid			= (int)$tid;

	$rCnt			= $pdb->getNumberOfStockTransfer($df, $dt, $tcmp->getCompanyID(), $tid);
	if( ceil(($rCnt) / $nRec) < $pno + 1  && $rCnt != 0)
		$pno		=	ceil(($rCnt)/$nRec) - 1;
	$sRec			= $pno * $nRec;

	$arr			=	$pdb->getStockTransferListPaged($sRec, $nRec, $df, $dt, $tcmp->getCompanyID(), $tid);		
							
	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addLink("css/datepicker.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	$iPage->addScript("js/datepicker.js");
		
	
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
?>	

	<div id="pagehead">&nbsp;VIEW STOCK TRANSFER</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><a href="newStockTransfer.php" class="nav"><b>Stock Transfer</b></a></div>
			<div style="float:right;height:20px;" class="td_normal">
				<?php echo $rCnt?> records found |
				<?php if($pno>0) { ?><a class="nav" href="javaScript:gotoPage(<?php echo $pno-1?>)">Previous</a>   <?php } ?>
				Page <input type="text" class="input" name="ppno2" id="ppno2" value="<?php echo ($pno+1)?>" style="width:30px;height:13px;text-align:center" maxLength="3" onFocus="clrF(2)" onBlur="fillF(2)" /> of <?php echo ceil(($rCnt)/$nRec)?>
				<?php if(ceil(($rCnt)/$nRec)>$pno+1) { ?>  <a class="nav" href="javaScript:gotoPage(<?php echo $pno+1?>)">Next</a> <?php } ?>
			</div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				<div style="float:left;">
					<input data-toggle="datepicker" type="text" class="input" name="BDate1" id="BDate1" value="<?php echo $BDate1?>" style="width:80px;" maxLength="10" />
				</div>
				<div style="float:left;">&nbsp;-&nbsp;</div>
				<div style="float:left;">
					<input data-toggle="datepicker" type="text" class="input" name="BDate2" id="BDate2" value="<?php echo $BDate2?>" style="width:80px;" maxLength="10" />
				</div>
				<div style="float:left;padding-left:5px;">
					&nbsp;Transfer# <input type="text" name="tid" id="tid" value="<?php if($tid > 0) echo $tid?>" style="width:50px;" maxLength="6" class="input" />
					&nbsp;<input type="button" class="red_button" value="Search »" id="btnS" onClick="srcR()" />
				</div>
			</td>
		</tr>
	</table>
	
	<div style="height:5px;"></div>
	
	<div id="rptDiv" class="fakeContainer">

		<table cellspacing="0" cellpadding="2" border="0" width="970px" align="center" id="vTable">
			<thead>
				<tr>
					<th width="70px" align="left">#</th>
					<th width="80px" align="left">Date</th>
					<th width="200px" align="left">From Store</th>
					<th width="200px" align="left">To Store</th>
					<th width="200px" align="left">Purpose</th>
					<th width="30px">Prn</th>
					<th width="30px">Edt</th>
					<th width="30px">Del</th>
				</tr>
			</thead>
			<tbody>
		<?php

			for($i=0;$i<count($arr);$i++) {
				$row		=	$arr[$i];
		?>			
				<tr>
					<td class="td_view"><?php echo $row->getStockTransferID()?></td>
					<td class="td_view"><?php echo $row->getDOT('yes')?></td>
					<td class="td_view" title="<?php echo $row->getFromStoreName()?>"><?php echo $row->getFromStoreName('yes')?></td>
					<td class="td_view" title="<?php echo $row->getToStoreName()?>"><?php echo $row->getToStoreName('yes')?></td>
					<td class="td_view" title="<?php echo $row->getPurpose('yes')?>"><?php echo $row->getPurpose('yes')?></td>
					
					<td class="td_view" align="center"><a href="prnStockTransfer.php?pKey=<?php echo $row->getStockTransferID()?>" target="_blank"><img src="images/print.gif" title="PRINT - <?php echo formatJScriptString($row->getStockTransferID())?>" /></a></td>
					<td class="td_view" align="center"><a href="editStockTransfer.php?pKey=<?php echo $row->getStockTransferID()?>&BDate1=<?php echo $BDate1?>&BDate2=<?php echo $BDate2?>&pno=<?php echo $pno?>&tid=<?php echo $tid?>"><img src="images/edit.png" title="EDIT - <?php echo formatJScriptString($row->getStockTransferID())?>" /></a></td>
					<td class="td_view" align="center"><a href="javaScript:deleteRec('<?php echo $row->getStockTransferID()?>','<?php echo formatJScriptString($row->getStockTransferID())?>')"><img src="images/delete.png" title="DELETE - <?php echo formatJScriptString($row->getStockTransferID())?>" /></a></td>
				</tr>
				<?php } ?>
			</tbody>
		</table>

	</div>
	
	<div style="height:10px;"></div>
		

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">

	$('[data-toggle="datepicker"]').datepicker({
		format: 'dd-mm-yyyy',
		autoHide: 'yes'
	});
	
	var div	=	document.getElementById('rptDiv');

	div.style.height	=	 (window.innerHeight - 230) + "px";
	div.style.width		=	 "980px";

	//<![CDATA[	
	(function() {
		var mySt = new superTable("vTable", {
			cssSkin 		: "sSky",
			fixedCols 	: 0,
			headerRows 	: 1
		});
	})();
	//]]>
	

	var dept_IE4	=	(document.all)? true:false;
	var dept_NS4	=	(document.layers);

	if (dept_NS4) EBD('ppno2').captureEvents(Event.KEYPRESS);

	EBD('ppno2').onkeypress = function(e){
		var whichASC;
		if(dept_IE4)
			whichASC	=	window.event.keyCode;
		else
			whichASC	=	e.which;

		if(whichASC == 13){
			var pno	= EBD('ppno2').value - 1;
			gotoPage(pno);
		}
	};
	
	function srcR() {
		var dt1	=	EBD('BDate1').value;
		var dt2	=	EBD('BDate2').value;
		var tid	= EBD('tid').value;

		location		=	"viewStockTransfer.php?pno=0&BDate1=" + dt1 + "&BDate2=" + dt2 + "&tid=" + tid;
	}

	function gotoPage(n) {
		location		=	"viewStockTransfer.php?pno=" + n + "&BDate1=<?php echo $BDate1?>&BDate2=<?php echo $BDate2?>&tid=<?php echo $tid?>";
	}

	function clrF(n){
		EBD('ppno'+n).value	=	'';
	}

	function fillF(n){
		EBD('ppno'+n).value	=	"<?php echo $pno+1?>";
	}
	
	function deleteRec(pkey, nm) {
		if(confirm("Click OK to delete " + nm) == false) return;
		
		location =	"deleteStockTransfer.php?pkey=" + pkey + "&BDate1=<?php echo $BDate1?>&BDate2=<?php echo $BDate2?>&pno=<?php echo $pno?>&tid=<?php echo $tid?>";
	}

</script>