<?php

	/* Include the required files */
	require_once( 'checkLogin.php' );
	require_once( 'dao/asys.store.php' );

	
	$ModuleID			= 20;		

	$gdb					=	new genericdb();
	$mdb					=	new masterdb();
	$ldb					= new logindb();
	
	if($ldb->getViewPermission($tuser->getUserID(), $ModuleID, 0) != "YES") {
		header("Location:accessDenied.php");
		exit;
	}	
	
	$schStr		= "";
	$pno			= 0;
	$sRec			= 0;
	$rCnt			= 0;
	$nRec			= 25; /* Number of Records per page */
	
	extract($_REQUEST);

	$pno			=	(int)$pno;
	if($pno < 0)
		$pno		=	0;

	$schStr		=	addslashes($schStr);

	$rCnt			= $mdb->getNumberOfStore($schStr, $tcmp->getCompanyID());
	if( ceil(($rCnt) / $nRec) < $pno + 1  && $rCnt != 0)
		$pno		=	ceil(($rCnt)/$nRec) - 1;
	$sRec			= $pno * $nRec;

	$arr			=	$mdb->getStoreListPaged($sRec, $nRec, $schStr, $tcmp->getCompanyID());		
							
	
	/* Ready to create the page */
	$iPage	=	new asys_pages(APP_TITLE);
	/* Start writting the page */
	$iPage->startPage();
	$iPage->startHeader();
	/* Add links and Scripts as required */
	$iPage->addLink("css/asys.css");
	$iPage->addLink("css/menu.css");
	$iPage->addLink("css/superTables.css");
	$iPage->addScript("js/common.js");
	$iPage->addScript("js/superTables.js");	
	$iPage->addScript("js/jquery.js");
	
	
	$iPage->endHeader();
	$iPage->startBody();
	
	outputHeader($tuser, $tcmp);
	outputMenu($tuser);	
	
?>	

	<div id="pagehead">&nbsp;VIEW STORE</div>
	<div style="height:10px;"></div>
	
	<table cellspacing="0" border="0" width="980px" align="center" bgcolor="#99BBE8">
		<tr><td bgcolor="#D6E3F3" class="td_normal_large blue bold" style="padding:4px;">
			<div style="float:left"><a href="newStore.php" class="nav"><b>Create Store</b></a></div>
			<div style="float:right;height:20px;" class="td_normal">
				<?php echo $rCnt?> records found |
				<?php if($pno>0) { ?><a class="nav" href="javaScript:gotoPage(<?php echo $pno-1?>)">Previous</a>   <?php } ?>
				Page <input type="text" class="input" name="ppno2" id="ppno2" value="<?php echo ($pno+1)?>" style="width:30px;height:13px;text-align:center" maxLength="3" onFocus="clrF(2)" onBlur="fillF(2)" /> of <?php echo ceil(($rCnt)/$nRec)?>
				<?php if(ceil(($rCnt)/$nRec)>$pno+1) { ?>  <a class="nav" href="javaScript:gotoPage(<?php echo $pno+1?>)">Next</a> <?php } ?>
			</div>
		</td></tr>
		<tr><td style="border-top: 1px solid #99BBE8;"></td></tr>
		<tr>
			<td bgcolor="#ffffff" class="td_normal" style="padding:4px;">
				Search: <input type="text" class="input" name="schStr" id="schStr" value="<?php echo $schStr?>"  onFocus="this.className='input_focus'" onBlur="this.className='input'" style="width:200px;" />
				<input type="button" class="red_button" value="Search »" id="btnS" onClick="srcR()" />
			</td>
		</tr>
	</table>
	
	<div style="height:5px;"></div>
	
	<div id="rptDiv" class="fakeContainer">

		<table cellspacing="0" cellpadding="2" border="0" width="970px" align="center" id="vTable">
			<thead>
				<tr>
					<th width="70px" align="left">#</th>
					<th width="200px" align="left">Store Name</th>
					<th width="180px" align="left">Main Ledger</th>
					<th width="180px" align="left">Sub Ledger</th>
					<th width="170px" align="left">Opp Account</th>
					<th width="30px">Edt</th>
					<th width="30px">Del</th>
				</tr>
			</thead>
			<tbody>
		<?php

			for($i=0;$i<count($arr);$i++) {
				$row		=	$arr[$i];
		?>			
				<tr>
					<td class="td_view"><?php echo $row->getStoreID()?></td>
					<td class="td_view" title="<?php echo $row->getStoreName('yes')?>"><?php echo $row->getStoreName('yes')?></td>
					<td class="td_view" title="<?php echo $row->getMotherAccountName('yes')?>"><?php echo $row->getMotherAccountName('yes')?></td>
					<td class="td_view" title="<?php echo $row->getAccountName('yes')?>"><?php echo $row->getAccountName('yes')?></td>
					<td class="td_view" title="<?php echo $row->getOppositeAccountName('yes')?>"><?php echo $row->getOppositeAccountName('yes')?></td>
					
					<td class="td_view" align="center"><a href="editStore.php?pKey=<?php echo $row->getStoreID()?>&schStr=<?php echo $schStr?>&pno=<?php echo $pno?>"><img src="images/edit.png" title="EDIT - <?php echo formatJScriptString($row->getStoreName())?>" /></a></td>
					<td class="td_view" align="center"><a href="javaScript:deleteRec('<?php echo $row->getStoreID()?>','<?php echo formatJScriptString($row->getStoreName())?>')"><img src="images/delete.png" title="DELETE - <?php echo formatJScriptString($row->getStoreName())?>" /></a></td>
				</tr>
				<?php } ?>
			</tbody>
		</table>

	</div>
	
	<div style="height:10px;"></div>
		

<?php
	$iPage->endBody();
	$iPage->endPage();
?>

<script language="javaScript">
	
	var div	=	document.getElementById('rptDiv');

	div.style.height	=	 (window.innerHeight - 230) + "px";
	div.style.width		=	 "980px";

	//<![CDATA[	
	(function() {
		var mySt = new superTable("vTable", {
			cssSkin 		: "sSky",
			fixedCols 	: 0,
			headerRows 	: 1
		});
	})();
	//]]>

	var dept_IE4	=	(document.all)? true:false;
	var dept_NS4	=	(document.layers);

	if (dept_NS4) EBD('ppno2').captureEvents(Event.KEYPRESS);

	EBD('ppno2').onkeypress = function(e){
		var whichASC;
		if(dept_IE4)
			whichASC	=	window.event.keyCode;
		else
			whichASC	=	e.which;

		if(whichASC == 13){
			var pno	= EBD('ppno2').value - 1;
			gotoPage(pno);
		}
	};
	
	function srcR() {
		var schStr	=	EBD('schStr').value;

		location		=	"viewStore.php?pno=0&schStr="+schStr;
	}

	function gotoPage(n) {
		location		=	"viewStore.php?pno=" + n + "&schStr=<?php echo $schStr?>";
	}

	function clrF(n){
		EBD('ppno'+n).value	=	'';
	}

	function fillF(n){
		EBD('ppno'+n).value	=	"<?php echo $pno+1?>";
	}
	
	function deleteRec(pkey, nm) {
		if(confirm("Click OK to delete " + nm) == false) return;
		
		location =	"deleteStore.php?pkey=" + pkey + "&schStr=<?php echo $schStr?>&pno=<?php echo $pno?>";
	}

</script>